/* Generated automatically by the program `genoutput'
   from the machine description file `md'.  */

#define IN_TARGET_CODE 1
#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "tree.h"
#include "rtl.h"
#include "flags.h"
#include "alias.h"
#include "varasm.h"
#include "stor-layout.h"
#include "calls.h"
#include "insn-config.h"
#include "expmed.h"
#include "dojump.h"
#include "explow.h"
#include "memmodel.h"
#include "emit-rtl.h"
#include "stmt.h"
#include "expr.h"
#include "insn-codes.h"
#include "tm_p.h"
#include "regs.h"
#include "conditions.h"
#include "insn-attr.h"

#include "recog.h"

#include "diagnostic-core.h"
#include "output.h"
#include "target.h"
#include "tm-constrs.h"

static const char *
output_1 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 305 "../../gcc/config/aarch64/aarch64.md"
 return aarch64_output_branch_register (operands[0]);
}

static const char * const output_3[] = {
  "ccmp\t%w2, %w3, %k5, %m4",
  "ccmp\t%w2, %3, %k5, %m4",
  "ccmn\t%w2, #%n3, %k5, %m4",
};

static const char * const output_4[] = {
  "ccmp\t%x2, %x3, %k5, %m4",
  "ccmp\t%x2, %3, %k5, %m4",
  "ccmn\t%x2, #%n3, %k5, %m4",
};

static const char *
output_9 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 464 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 2, "Lbcond", "b%M0\t");
    else
      return  "b%m0\t%l2";
  }
}

static const char *
output_18 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 575 "../../gcc/config/aarch64/aarch64.md"

  return aarch64_output_casesi (operands);
  
}

static const char *
output_20 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 594 "../../gcc/config/aarch64/aarch64.md"
{
    const char * pftype[2][4] =
    {
      {"prfm\tPLDL1STRM, %0",
       "prfm\tPLDL3KEEP, %0",
       "prfm\tPLDL2KEEP, %0",
       "prfm\tPLDL1KEEP, %0"},
      {"prfm\tPSTL1STRM, %0",
       "prfm\tPSTL3KEEP, %0",
       "prfm\tPSTL2KEEP, %0",
       "prfm\tPSTL1KEEP, %0"},
    };

    int locality = INTVAL (operands[2]);

    gcc_assert (IN_RANGE (locality, 0, 3));

    /* PRFM accepts the same addresses as a 64-bit LDR so wrap
       the address into a DImode MEM so that aarch64_print_operand knows
       how to print it.  */
    operands[0] = gen_rtx_MEM (DImode, operands[0]);
    return pftype[INTVAL(operands[1])][locality];
  }
}

static const char *
output_22 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 656 "../../gcc/config/aarch64/aarch64.md"
{
    if (aarch64_return_address_signing_enabled ()
	&& TARGET_ARMV8_3
	&& !crtl->calls_eh_return)
      return "retaa";

    return "ret";
  }
}

static const char *
output_24 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 686 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%w0, ");
    else
      return "cbz\t%w0, %l1";
  }
}

static const char *
output_25 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 686 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%w0, ");
    else
      return "cbnz\t%w0, %l1";
  }
}

static const char *
output_26 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 686 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%x0, ");
    else
      return "cbz\t%x0, %l1";
  }
}

static const char *
output_27 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 686 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%x0, ");
    else
      return "cbnz\t%x0, %l1";
  }
}

static const char *
output_28 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 716 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_29 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 716 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_30 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 716 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%x0, %1, %l2";
  }
}

static const char *
output_31 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 716 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%x0, %1, %l2";
  }
}

static const char *
output_32 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 752 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #7, %l1";
  }
}

static const char *
output_33 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 752 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #7, %l1";
  }
}

static const char *
output_34 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 752 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #15, %l1";
  }
}

static const char *
output_35 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 752 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #15, %l1";
  }
}

static const char *
output_36 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 752 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #31, %l1";
  }
}

static const char *
output_37 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 752 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #31, %l1";
  }
}

static const char *
output_38 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 752 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%x0, #63, %l1";
  }
}

static const char *
output_39 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 752 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%x0, #63, %l1";
  }
}

static const char *
output_40 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_output_branch_and_link_register (operands[0]);
    case 1: return "bl\t%c0";
      default: gcc_unreachable ();
    }
}

static const char *
output_41 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_output_branch_and_link_register (operands[1]);
    case 1: return "bl\t%c1";
      default: gcc_unreachable ();
    }
}

static const char *
output_42 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_output_branch_register (operands[0]);
    case 1: return "b\t%c0";
      default: gcc_unreachable ();
    }
}

static const char *
output_43 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_output_branch_register (operands[1]);
    case 1: return "b\t%c1";
      default: gcc_unreachable ();
    }
}

static const char *
output_44 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 939 "../../gcc/config/aarch64/aarch64.md"
{
   switch (which_alternative)
     {
     case 0:
       return "mov\t%w0, %w1";
     case 1:
       return "mov\t%w0, %1";
     case 2:
       return aarch64_output_scalar_simd_mov_immediate (operands[1],
							QImode);
     case 3:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
     case 4:
       return "ldrb\t%w0, %1";
     case 5:
       return "ldr\t%b0, %1";
     case 6:
       return "strb\t%w1, %0";
     case 7:
       return "str\t%b1, %0";
     case 8:
       return "umov\t%w0, %1.b[0]";
     case 9:
       return "dup\t%0.8b, %w1";
     case 10:
       return "dup\t%b0, %1.b[0]";
     default:
       gcc_unreachable ();
     }
}
}

static const char *
output_45 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 939 "../../gcc/config/aarch64/aarch64.md"
{
   switch (which_alternative)
     {
     case 0:
       return "mov\t%w0, %w1";
     case 1:
       return "mov\t%w0, %1";
     case 2:
       return aarch64_output_scalar_simd_mov_immediate (operands[1],
							HImode);
     case 3:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
     case 4:
       return "ldrh\t%w0, %1";
     case 5:
       return "ldr\t%h0, %1";
     case 6:
       return "strh\t%w1, %0";
     case 7:
       return "str\t%h1, %0";
     case 8:
       return "umov\t%w0, %1.h[0]";
     case 9:
       return "dup\t%0.4h, %w1";
     case 10:
       return "dup\t%h0, %1.h[0]";
     default:
       gcc_unreachable ();
     }
}
}

static const char *
output_46 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%w0, %w1";
    case 1: return "mov\t%w0, %w1";
    case 2: return "mov\t%w0, %w1";
    case 3: return "mov\t%w0, %1";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 6: return "ldr\t%w0, %1";
    case 7: return "ldr\t%s0, %1";
    case 8: return "str\t%w1, %0";
    case 9: return "str\t%s1, %0";
    case 10: return "adr\t%x0, %c1";
    case 11: return "adrp\t%x0, %A1";
    case 12: return "fmov\t%s0, %w1";
    case 13: return "fmov\t%w0, %s1";
    case 14: return "fmov\t%s0, %s1";
    case 15:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
      default: gcc_unreachable ();
    }
}

static const char *
output_47 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%x0, %x1";
    case 1: return "mov\t%0, %x1";
    case 2: return "mov\t%x0, %1";
    case 3: return "mov\t%x0, %1";
    case 4: return "mov\t%w0, %1";
    case 5: return "#";
    case 6:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 7: return "ldr\t%x0, %1";
    case 8: return "ldr\t%d0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "str\t%d1, %0";
    case 11: return "adr\t%x0, %c1";
    case 12: return "adrp\t%x0, %A1";
    case 13: return "fmov\t%d0, %x1";
    case 14: return "fmov\t%x0, %d1";
    case 15: return "fmov\t%d0, %d1";
    case 16:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
      default: gcc_unreachable ();
    }
}

static const char * const output_50[] = {
  "#",
  "#",
  "#",
  "mov\t%0.16b, %1.16b",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
};

static const char *
output_51 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.4h, #0";
    case 1: return "fmov\t%h0, %w1";
    case 2: return "umov\t%w0, %1.h[0]";
    case 3: return "mov\t%0.h[0], %1.h[0]";
    case 4: return "fmov\t%h0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 6: return "ldr\t%h0, %1";
    case 7: return "str\t%h1, %0";
    case 8: return "ldrh\t%w0, %1";
    case 9: return "strh\t%w1, %0";
    case 10: return "mov\t%w0, %w1";
      default: gcc_unreachable ();
    }
}

static const char *
output_52 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2s, #0";
    case 1: return "fmov\t%s0, %w1";
    case 2: return "fmov\t%w0, %s1";
    case 3: return "fmov\t%s0, %s1";
    case 4: return "fmov\t%s0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
    case 6: return "ldr\t%s0, %1";
    case 7: return "str\t%s1, %0";
    case 8: return "ldr\t%w0, %1";
    case 9: return "str\t%w1, %0";
    case 10: return "mov\t%w0, %w1";
    case 11: return "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_53 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%d0, #0";
    case 1: return "fmov\t%d0, %x1";
    case 2: return "fmov\t%x0, %d1";
    case 3: return "fmov\t%d0, %d1";
    case 4: return "fmov\t%d0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
    case 6: return "ldr\t%d0, %1";
    case 7: return "str\t%d1, %0";
    case 8: return "ldr\t%x0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "mov\t%x0, %x1";
    case 11: return "mov\t%x0, %1";
      default: gcc_unreachable ();
    }
}

static const char * const output_54[] = {
  "mov\t%0.16b, %1.16b",
  "#",
  "#",
  "#",
  "movi\t%0.2d, #0",
  "fmov\t%s0, wzr",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
};

static const char * const output_55[] = {
  "ldp\t%w0, %w2, %1",
  "ldp\t%s0, %s2, %1",
};

static const char * const output_56[] = {
  "ldp\t%x0, %x2, %1",
  "ldp\t%d0, %d2, %1",
};

static const char * const output_57[] = {
  "stp\t%w1, %w3, %0",
  "stp\t%s1, %s3, %0",
};

static const char * const output_58[] = {
  "stp\t%x1, %x3, %0",
  "stp\t%d1, %d3, %0",
};

static const char * const output_59[] = {
  "ldp\t%s0, %s2, %1",
  "ldp\t%w0, %w2, %1",
};

static const char * const output_60[] = {
  "ldp\t%d0, %d2, %1",
  "ldp\t%x0, %x2, %1",
};

static const char * const output_61[] = {
  "stp\t%s1, %s3, %0",
  "stp\t%w1, %w3, %0",
};

static const char * const output_62[] = {
  "stp\t%d1, %d3, %0",
  "stp\t%x1, %x3, %0",
};

static const char * const output_79[] = {
  "sxtw\t%0, %w1",
  "ldrsw\t%0, %1",
};

static const char * const output_81[] = {
  "uxtw\t%0, %w1",
  "ldr\t%w0, %1",
};

static const char * const output_83[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
};

static const char * const output_84[] = {
  "sxtb\t%x0, %w1",
  "ldrsb\t%x0, %1",
};

static const char * const output_85[] = {
  "sxth\t%w0, %w1",
  "ldrsh\t%w0, %1",
};

static const char * const output_86[] = {
  "sxth\t%x0, %w1",
  "ldrsh\t%x0, %1",
};

static const char * const output_87[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
};

static const char * const output_88[] = {
  "and\t%x0, %x1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
};

static const char * const output_89[] = {
  "and\t%w0, %w1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
};

static const char * const output_90[] = {
  "and\t%x0, %x1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
};

static const char * const output_91[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
};

static const char * const output_92[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
};

static const char *
output_93 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "add\t%0.2s, %1.2s, %2.2s";
    case 3: return "sub\t%w0, %w1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[0], operands[1], operands[2]);
      default: gcc_unreachable ();
    }
}

static const char *
output_94 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "add\t%d0, %d1, %d2";
    case 3: return "sub\t%x0, %x1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[0], operands[1], operands[2]);
      default: gcc_unreachable ();
    }
}

static const char * const output_95[] = {
  "add\t%w0, %w1, %2",
  "add\t%w0, %w1, %w2",
  "sub\t%w0, %w1, #%n2",
  "#",
};

static const char *
output_96 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "sub\t%w0, %w1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_addvl_addpl (operands[0], operands[1], operands[2]);
    case 5: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_97 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "sub\t%x0, %x1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_addvl_addpl (operands[0], operands[1], operands[2]);
    case 5: return "#";
      default: gcc_unreachable ();
    }
}

static const char * const output_98[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_99[] = {
  "adds\t%x0, %x1, %x2",
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_100[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_101[] = {
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_102[] = {
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char * const output_105[] = {
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_106[] = {
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_181[] = {
  "cmn\t%w0, %w1",
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_182[] = {
  "cmn\t%x0, %x1",
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char *
output_259 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2292 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_260 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2292 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%x0, %x4, %x1, uxt%e3 %2";
}

static const char *
output_261 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2309 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_262 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2324 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %p2";
}

static const char *
output_263 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2324 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "add\t%x0, %x4, %x1, uxt%e3 %p2";
}

static const char *
output_264 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2341 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %p2";
}

static const char * const output_267[] = {
  "sub\t%x0, %x1, %x2",
  "sub\t%d0, %d1, %d2",
};

static const char *
output_334 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2748 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_335 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2748 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%x0, %x4, %x1, uxt%e3 %2";
}

static const char *
output_336 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2765 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_337 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2780 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %p2";
}

static const char *
output_338 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2780 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "sub\t%x0, %x4, %x1, uxt%e3 %p2";
}

static const char *
output_339 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2797 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %p2";
}

static const char * const output_340[] = {
  "neg\t%w0, %w1",
  "neg\t%0.2s, %1.2s",
};

static const char * const output_341[] = {
  "neg\t%x0, %x1",
  "neg\t%d0, %d1",
};

static const char * const output_395[] = {
  "cmp\t%w0, %w1",
  "cmp\t%w0, %1",
  "cmn\t%w0, #%n1",
};

static const char * const output_396[] = {
  "cmp\t%x0, %x1",
  "cmp\t%x0, %1",
  "cmn\t%x0, #%n1",
};

static const char * const output_397[] = {
  "fcmp\t%s0, #0.0",
  "fcmp\t%s0, %s1",
};

static const char * const output_398[] = {
  "fcmp\t%d0, #0.0",
  "fcmp\t%d0, %d1",
};

static const char * const output_399[] = {
  "fcmpe\t%s0, #0.0",
  "fcmpe\t%s0, %s1",
};

static const char * const output_400[] = {
  "fcmpe\t%d0, #0.0",
  "fcmpe\t%d0, %d1",
};

static const char * const output_445[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_446[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_447[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_448[] = {
  "csel\t%x0, %x3, %x4, %m1",
  "csinv\t%x0, %x3, xzr, %m1",
  "csinv\t%x0, %x4, xzr, %M1",
  "csinc\t%x0, %x3, xzr, %m1",
  "csinc\t%x0, %x4, xzr, %M1",
  "mov\t%x0, -1",
  "mov\t%x0, 1",
};

static const char * const output_449[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char *
output_453 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3514 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32b\t%w0, %w1, %x2";
    else
      return "crc32b\t%w0, %w1, %w2";
  }
}

static const char *
output_454 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3514 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32h\t%w0, %w1, %x2";
    else
      return "crc32h\t%w0, %w1, %w2";
  }
}

static const char *
output_455 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3514 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32w\t%w0, %w1, %x2";
    else
      return "crc32w\t%w0, %w1, %w2";
  }
}

static const char *
output_456 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3514 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32x\t%w0, %w1, %x2";
    else
      return "crc32x\t%w0, %w1, %w2";
  }
}

static const char *
output_457 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3514 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32cb\t%w0, %w1, %x2";
    else
      return "crc32cb\t%w0, %w1, %w2";
  }
}

static const char *
output_458 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3514 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32ch\t%w0, %w1, %x2";
    else
      return "crc32ch\t%w0, %w1, %w2";
  }
}

static const char *
output_459 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3514 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32cw\t%w0, %w1, %x2";
    else
      return "crc32cw\t%w0, %w1, %w2";
  }
}

static const char *
output_460 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3514 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32cx\t%w0, %w1, %x2";
    else
      return "crc32cx\t%w0, %w1, %w2";
  }
}

static const char *
output_470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3630 "../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%w0", operands[2]);
  }
}

static const char *
output_471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3630 "../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%x0", operands[2]);
  }
}

static const char * const output_474[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_475[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_476[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_477[] = {
  "and\t%x0, %x1, %x2",
  "and\t%x0, %x1, %2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_478[] = {
  "orr\t%x0, %x1, %x2",
  "orr\t%x0, %x1, %2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_479[] = {
  "eor\t%x0, %x1, %x2",
  "eor\t%x0, %x1, %2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_480[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
};

static const char * const output_481[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
};

static const char * const output_482[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
};

static const char * const output_483[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char * const output_484[] = {
  "ands\t%x0, %x1, %x2",
  "ands\t%x0, %x1, %2",
};

static const char * const output_485[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char * const output_543[] = {
  "mvn\t%w0, %w1",
  "mvn\t%0.8b, %1.8b",
};

static const char * const output_544[] = {
  "mvn\t%x0, %x1",
  "mvn\t%0.8b, %1.8b",
};

static const char * const output_553[] = {
  "bic\t%w0, %w2, %w1",
  "bic\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_554[] = {
  "orn\t%w0, %w2, %w1",
  "orn\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_555[] = {
  "bic\t%x0, %x2, %x1",
  "bic\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_556[] = {
  "orn\t%x0, %x2, %x1",
  "orn\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_560[] = {
  "eon\t%w0, %w1, %w2",
  "#",
};

static const char * const output_561[] = {
  "eon\t%x0, %x1, %x2",
  "#",
};

static const char * const output_637[] = {
  "tst\t%w0, %w1",
  "tst\t%w0, %1",
};

static const char * const output_638[] = {
  "tst\t%x0, %x1",
  "tst\t%x0, %1",
};

static const char *
output_639 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4154 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%w0, %1";
  }
}

static const char *
output_640 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4154 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%x0, %1";
  }
}

static const char *
output_667 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4358 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsl\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_668 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4358 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("asr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_669 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4358 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_670 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4358 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("ror\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char * const output_677[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
  "shl\t%0.2s, %1.2s, %2",
  "ushl\t%0.2s, %1.2s, %2.2s",
};

static const char * const output_678[] = {
  "lsl\t%x0, %x1, %2",
  "lsl\t%x0, %x1, %x2",
  "shl\t%d0, %d1, %2",
  "ushl\t%d0, %d1, %d2",
};

static const char * const output_679[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
  "ushr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_680[] = {
  "lsr\t%x0, %x1, %2",
  "lsr\t%x0, %x1, %x2",
  "ushr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_681[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
  "sshr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_682[] = {
  "asr\t%x0, %x1, %2",
  "asr\t%x0, %x1, %x2",
  "sshr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_688[] = {
  "ror\t%w0, %w1, %2",
  "ror\t%w0, %w1, %w2",
};

static const char * const output_689[] = {
  "ror\t%x0, %x1, %2",
  "ror\t%x0, %x1, %x2",
};

static const char * const output_690[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
};

static const char * const output_691[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
};

static const char * const output_692[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
};

static const char * const output_693[] = {
  "ror\t%w0, %w1, %2",
  "ror\t%w0, %w1, %w2",
};

static const char *
output_694 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4595 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_695 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4595 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4595 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_697 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4595 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_698 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4595 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_699 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4595 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_706 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4661 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %3";
}
}

static const char *
output_707 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4661 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ror\t%x0, %x1, %3";
}
}

static const char *
output_708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4675 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %3";
}
}

static const char *
output_709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4688 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_710 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4688 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_711 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4688 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_712 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4688 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_713 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4688 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_714 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4688 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_715 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4688 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_716 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4688 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_717 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4701 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_718 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4701 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_719 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4701 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_720 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4701 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_721 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4714 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_722 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4714 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_723 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4714 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_724 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4714 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_739 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_740 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_741 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_742 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_743 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_744 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_745 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_746 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_747 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_748 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_749 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_750 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_842 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4979 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_843 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4979 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_844 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4979 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_845 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4979 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_846 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4979 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_847 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4979 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_848 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4979 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_849 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4979 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_868[] = {
  "fcvtzs\t%w0, %s1",
  "fcvtzs\t%s0, %s1",
};

static const char * const output_869[] = {
  "fcvtzu\t%w0, %s1",
  "fcvtzu\t%s0, %s1",
};

static const char * const output_870[] = {
  "fcvtzs\t%x0, %d1",
  "fcvtzs\t%d0, %d1",
};

static const char * const output_871[] = {
  "fcvtzu\t%x0, %d1",
  "fcvtzu\t%d0, %d1",
};

static const char * const output_880[] = {
  "scvtf\t%s0, %s1",
  "scvtf\t%s0, %w1",
};

static const char * const output_881[] = {
  "ucvtf\t%s0, %s1",
  "ucvtf\t%s0, %w1",
};

static const char * const output_882[] = {
  "scvtf\t%d0, %d1",
  "scvtf\t%d0, %x1",
};

static const char * const output_883[] = {
  "ucvtf\t%d0, %d1",
  "ucvtf\t%d0, %x1",
};

static const char * const output_892[] = {
  "fcvtzs\t%w0, %s1, #%2",
  "fcvtzs\t%s0, %s1, #%2",
};

static const char * const output_893[] = {
  "fcvtzu\t%w0, %s1, #%2",
  "fcvtzu\t%s0, %s1, #%2",
};

static const char * const output_894[] = {
  "fcvtzs\t%x0, %d1, #%2",
  "fcvtzs\t%d0, %d1, #%2",
};

static const char * const output_895[] = {
  "fcvtzu\t%x0, %d1, #%2",
  "fcvtzu\t%d0, %d1, #%2",
};

static const char * const output_896[] = {
  "scvtf\t%s0, %w1, #%2",
  "scvtf\t%s0, %s1, #%2",
};

static const char * const output_897[] = {
  "ucvtf\t%s0, %w1, #%2",
  "ucvtf\t%s0, %s1, #%2",
};

static const char * const output_898[] = {
  "scvtf\t%d0, %x1, #%2",
  "scvtf\t%d0, %d1, #%2",
};

static const char * const output_899[] = {
  "ucvtf\t%d0, %x1, #%2",
  "ucvtf\t%d0, %d1, #%2",
};

static const char * const output_953[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
  "bfxil\t%w0, %w1, #0, #31",
};

static const char * const output_954[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
  "bfxil\t%x0, %x1, #0, #63",
};

static const char *
output_1002 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5960 "../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_stack_range (operands[0], operands[2]);
}
}

static const char * const output_1013[] = {
  "dup\t%0.8b, %1.b[0]",
  "dup\t%0.8b, %w1",
};

static const char * const output_1014[] = {
  "dup\t%0.16b, %1.b[0]",
  "dup\t%0.16b, %w1",
};

static const char * const output_1015[] = {
  "dup\t%0.4h, %1.h[0]",
  "dup\t%0.4h, %w1",
};

static const char * const output_1016[] = {
  "dup\t%0.8h, %1.h[0]",
  "dup\t%0.8h, %w1",
};

static const char * const output_1017[] = {
  "dup\t%0.2s, %1.s[0]",
  "dup\t%0.2s, %w1",
};

static const char * const output_1018[] = {
  "dup\t%0.4s, %1.s[0]",
  "dup\t%0.4s, %w1",
};

static const char * const output_1019[] = {
  "dup\t%0.2d, %1.d[0]",
  "dup\t%0.2d, %x1",
};

static const char *
output_1025 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1026 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1027 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1028 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1029 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1030 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1031 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1032 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1033 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1034 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1035 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1036 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1037 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1038 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1039 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1040 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1041 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1042 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1043 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1044 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1045 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1046 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1047 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1048 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1049 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1050 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1051 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1052 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1053 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1054 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1055 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1056 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1057 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1058 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1166 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1167 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1168 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1169 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1170 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1171 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1172 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1173 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1174 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #0";
}
}

static const char *
output_1175 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #90";
}
}

static const char *
output_1176 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #180";
}
}

static const char *
output_1177 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #270";
}
}

static const char *
output_1178 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1179 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1180 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1181 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1182 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #0";
}
}

static const char *
output_1183 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #90";
}
}

static const char *
output_1184 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #180";
}
}

static const char *
output_1185 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 430 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #270";
}
}

static const char *
output_1186 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 445 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1187 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 445 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1188 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 445 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1189 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 445 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1190 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 460 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1191 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 460 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1192 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 460 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1193 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 460 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1194 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 460 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1195 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 460 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1196 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 460 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1197 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 460 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1202 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 526 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1203 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 526 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1204 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 526 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1205 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 526 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1206 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 541 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1207 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 541 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1208 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 541 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1209 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 541 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1210 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 575 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1211 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 575 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1212 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 575 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1213 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 575 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1214 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 575 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "fmul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1215 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 575 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "fmul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1216 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 575 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1217 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 575 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1218 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 575 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmul\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_1219 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1220 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1221 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1222 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1223 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1224 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1250 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 644 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmul\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_1293 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 718 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1294 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 718 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1295 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 718 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1296 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 718 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1297 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 718 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1298 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 718 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1299 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 718 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1300 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 739 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1301 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 739 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1302 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 739 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1303 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 739 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1304 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 739 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1305 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 739 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1306 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 739 "../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1321 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %w1";
     case 1:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1322 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %w1";
     case 1:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1323 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %w1";
     case 1:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1324 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %w1";
     case 1:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1325 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %w1";
     case 1:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1326 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %w1";
     case 1:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1327 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1328 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1329 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1330 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1331 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1332 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1333 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1334 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1335 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1336 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1337 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1338 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1339 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 829 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1340 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 829 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1341 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 829 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1342 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 829 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1343 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 829 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1344 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 829 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1345 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 829 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1346 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 829 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1347 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 829 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1348 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 829 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1391 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1090 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1392 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1090 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1393 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1090 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1394 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1090 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1395 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1090 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1396 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1107 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    switch (which_alternative)
      {
      case 0:
	return "ins\t%0.d[%p2], %1";
      case 1:
        return "ins\t%0.d[%p2], %1.d[0]";
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1397 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1144 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));

    operands[2] = GEN_INT ((HOST_WIDE_INT)1 << elt);
    return "ins\t%0.h[%p2], %1.h[0]";
  }
}

static const char *
output_1398 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1144 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));

    operands[2] = GEN_INT ((HOST_WIDE_INT)1 << elt);
    return "ins\t%0.h[%p2], %1.h[0]";
  }
}

static const char *
output_1399 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1144 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));

    operands[2] = GEN_INT ((HOST_WIDE_INT)1 << elt);
    return "ins\t%0.s[%p2], %1.s[0]";
  }
}

static const char *
output_1400 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1144 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));

    operands[2] = GEN_INT ((HOST_WIDE_INT)1 << elt);
    return "ins\t%0.s[%p2], %1.s[0]";
  }
}

static const char *
output_1401 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1144 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));

    operands[2] = GEN_INT ((HOST_WIDE_INT)1 << elt);
    return "ins\t%0.d[%p2], %1.d[0]";
  }
}

static const char *
output_1408 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1189 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.4h[%2]";
  }
}

static const char *
output_1409 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1189 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.8h[%2]";
  }
}

static const char *
output_1410 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1189 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.2s[%2]";
  }
}

static const char *
output_1411 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1189 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.4s[%2]";
  }
}

static const char *
output_1412 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1207 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.4h[%2]";
  }
}

static const char *
output_1413 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1207 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.8h[%2]";
  }
}

static const char *
output_1414 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1207 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.2s[%2]";
  }
}

static const char *
output_1415 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1207 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.4s[%2]";
  }
}

static const char *
output_1426 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1247 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.4h[%2]";
  }
}

static const char *
output_1427 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1247 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.8h[%2]";
  }
}

static const char *
output_1428 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1247 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.2s[%2]";
  }
}

static const char *
output_1429 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1247 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.4s[%2]";
  }
}

static const char *
output_1430 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1265 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.4h[%2]";
  }
}

static const char *
output_1431 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1265 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.8h[%2]";
  }
}

static const char *
output_1432 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1265 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.2s[%2]";
  }
}

static const char *
output_1433 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1265 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.4s[%2]";
  }
}

static const char * const output_1506[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1507[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1508[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1509[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1510[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1511[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1512[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1513[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1514[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1515[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1516[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1517[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1518[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1519[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1520[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1521[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1522[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1523[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1524[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1525[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1526[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1527[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1528[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1529[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1530[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1531[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1532[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1533[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char *
output_1537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1488 "../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.8b, %2.8h\n\txtn2\t%0.16b, %1.8h";
   else
     return "xtn\t%0.8b, %1.8h\n\txtn2\t%0.16b, %2.8h";
 }
}

static const char *
output_1538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1488 "../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.4h, %2.4s\n\txtn2\t%0.8h, %1.4s";
   else
     return "xtn\t%0.4h, %1.4s\n\txtn2\t%0.8h, %2.4s";
 }
}

static const char *
output_1539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1488 "../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.2s, %2.2d\n\txtn2\t%0.4s, %1.2d";
   else
     return "xtn\t%0.2s, %1.2d\n\txtn2\t%0.4s, %2.2d";
 }
}

static const char *
output_1635 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1804 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.2s[%2]";
  }
}

static const char *
output_1636 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1804 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.4s[%2]";
  }
}

static const char *
output_1637 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1804 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.2d[%2]";
  }
}

static const char *
output_1638 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1821 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.2s[%2]";
  }
}

static const char *
output_1639 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1821 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.4s[%2]";
  }
}

static const char *
output_1649 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1849 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.2d[%2]";
  }
}

static const char *
output_1655 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1878 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.2s[%2]";
  }
}

static const char *
output_1656 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1878 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.4s[%2]";
  }
}

static const char *
output_1657 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1878 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.2d[%2]";
  }
}

static const char *
output_1658 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1896 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.2s[%2]";
  }
}

static const char *
output_1659 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1896 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.4s[%2]";
  }
}

static const char *
output_1669 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1926 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.2d[%2]";
  }
}

static const char *
output_1769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1992 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_1770 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1992 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_1771 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1992 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_1772 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1992 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_1773 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1992 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_1774 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1992 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_1919[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_1920[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_1921[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_1922[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_1923[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_1924[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_1925[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_1926[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_1927[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_1928[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_1929[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_1930[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_1931[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_1932[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_1933[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
  "#",
};

static const char * const output_1934[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
  "#",
};

static const char *
output_1935 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3012 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_1936 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3012 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_1937 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3012 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_1938 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3012 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_1939 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3012 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_1940 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3012 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_1941 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3012 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_1942 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3012 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_1943 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3026 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_1944 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3026 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_1945 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3026 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_1946 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3026 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_1947 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_1948 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_1949 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_1950 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_1951 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_1952 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_1953 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_1954 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_1955 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_1956 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_1957 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_1958 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3042 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char * const output_1966[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_1967[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_1968[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_1969[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_1970[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_1971[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_1972[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_1973[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1974[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1975[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1976[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1977[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1978[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1979[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1980[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1981[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1982[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1983[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1984[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1985[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_1986[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char *
output_2141 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3444 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2142 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3444 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2143 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3463 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2144 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3463 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2145 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3463 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2d, %1.2d, %2.d[%3]";
  }
}

static const char *
output_2151 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3497 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_2152 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3497 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_2153 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3497 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%d0, %d1, %2.d[%3]";
  }
}

static const char *
output_2272 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2273 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2274 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2275 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2276 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2277 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2278 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2279 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2280 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2281 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2282 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2283 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2284 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2285 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2286 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2287 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2288 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3613 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2289 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3613 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2290 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3613 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2291 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3613 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2292 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3628 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2293 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3628 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2294 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3628 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2295 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3628 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2308 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2309 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2310 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2311 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2312 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2313 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2314 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2315 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2316 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2317 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2318 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2319 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2320 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2321 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2322 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2323 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2324 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2325 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2326 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2327 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2328 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3716 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2329 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3716 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2330 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3716 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2331 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3716 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2340 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3760 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2341 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3760 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2342 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3760 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2343 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3760 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2344 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3784 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2345 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3784 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2346 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3784 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2347 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3784 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2348 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3807 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2349 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3807 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2350 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3807 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2351 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3807 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2352 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2353 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2354 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2355 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2364 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3925 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2365 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3925 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2366 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3925 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2367 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3925 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2368 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3951 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2369 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3951 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2370 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3951 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2371 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3951 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2380 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4098 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2381 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4098 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2382 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4119 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2383 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4119 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2384 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4139 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_2385 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4139 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_2386 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4159 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_2387 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4159 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_2392 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4237 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_2393 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4237 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2394 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4260 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_2395 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4260 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4363 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8QImode))
      return "shll\t%0.8h, %1.8b, %2";
    else
      return "sshll\t%0.8h, %1.8b, %2";
  }
}

static const char *
output_2475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4363 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8QImode))
      return "shll\t%0.8h, %1.8b, %2";
    else
      return "ushll\t%0.8h, %1.8b, %2";
  }
}

static const char *
output_2476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4363 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4HImode))
      return "shll\t%0.4s, %1.4h, %2";
    else
      return "sshll\t%0.4s, %1.4h, %2";
  }
}

static const char *
output_2477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4363 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4HImode))
      return "shll\t%0.4s, %1.4h, %2";
    else
      return "ushll\t%0.4s, %1.4h, %2";
  }
}

static const char *
output_2478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4363 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V2SImode))
      return "shll\t%0.2d, %1.2s, %2";
    else
      return "sshll\t%0.2d, %1.2s, %2";
  }
}

static const char *
output_2479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4363 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V2SImode))
      return "shll\t%0.2d, %1.2s, %2";
    else
      return "ushll\t%0.2d, %1.2s, %2";
  }
}

static const char *
output_2480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4380 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %2";
    else
      return "sshll2\t%0.8h, %1.16b, %2";
  }
}

static const char *
output_2481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4380 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %2";
    else
      return "ushll2\t%0.8h, %1.16b, %2";
  }
}

static const char *
output_2482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4380 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %2";
    else
      return "sshll2\t%0.4s, %1.8h, %2";
  }
}

static const char *
output_2483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4380 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %2";
    else
      return "ushll2\t%0.4s, %1.8h, %2";
  }
}

static const char *
output_2484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4380 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %2";
    else
      return "sshll2\t%0.2d, %1.4s, %2";
  }
}

static const char *
output_2485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4380 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %2";
    else
      return "ushll2\t%0.2d, %1.4s, %2";
  }
}

static const char * const output_2635[] = {
  "cmgt\t%0.8b, %2.8b, %1.8b",
  "cmlt\t%0.8b, %1.8b, #0",
};

static const char * const output_2636[] = {
  "cmge\t%0.8b, %2.8b, %1.8b",
  "cmle\t%0.8b, %1.8b, #0",
};

static const char * const output_2637[] = {
  "cmeq\t%0.8b, %1.8b, %2.8b",
  "cmeq\t%0.8b, %1.8b, #0",
};

static const char * const output_2638[] = {
  "cmge\t%0.8b, %1.8b, %2.8b",
  "cmge\t%0.8b, %1.8b, #0",
};

static const char * const output_2639[] = {
  "cmgt\t%0.8b, %1.8b, %2.8b",
  "cmgt\t%0.8b, %1.8b, #0",
};

static const char * const output_2640[] = {
  "cmgt\t%0.16b, %2.16b, %1.16b",
  "cmlt\t%0.16b, %1.16b, #0",
};

static const char * const output_2641[] = {
  "cmge\t%0.16b, %2.16b, %1.16b",
  "cmle\t%0.16b, %1.16b, #0",
};

static const char * const output_2642[] = {
  "cmeq\t%0.16b, %1.16b, %2.16b",
  "cmeq\t%0.16b, %1.16b, #0",
};

static const char * const output_2643[] = {
  "cmge\t%0.16b, %1.16b, %2.16b",
  "cmge\t%0.16b, %1.16b, #0",
};

static const char * const output_2644[] = {
  "cmgt\t%0.16b, %1.16b, %2.16b",
  "cmgt\t%0.16b, %1.16b, #0",
};

static const char * const output_2645[] = {
  "cmgt\t%0.4h, %2.4h, %1.4h",
  "cmlt\t%0.4h, %1.4h, #0",
};

static const char * const output_2646[] = {
  "cmge\t%0.4h, %2.4h, %1.4h",
  "cmle\t%0.4h, %1.4h, #0",
};

static const char * const output_2647[] = {
  "cmeq\t%0.4h, %1.4h, %2.4h",
  "cmeq\t%0.4h, %1.4h, #0",
};

static const char * const output_2648[] = {
  "cmge\t%0.4h, %1.4h, %2.4h",
  "cmge\t%0.4h, %1.4h, #0",
};

static const char * const output_2649[] = {
  "cmgt\t%0.4h, %1.4h, %2.4h",
  "cmgt\t%0.4h, %1.4h, #0",
};

static const char * const output_2650[] = {
  "cmgt\t%0.8h, %2.8h, %1.8h",
  "cmlt\t%0.8h, %1.8h, #0",
};

static const char * const output_2651[] = {
  "cmge\t%0.8h, %2.8h, %1.8h",
  "cmle\t%0.8h, %1.8h, #0",
};

static const char * const output_2652[] = {
  "cmeq\t%0.8h, %1.8h, %2.8h",
  "cmeq\t%0.8h, %1.8h, #0",
};

static const char * const output_2653[] = {
  "cmge\t%0.8h, %1.8h, %2.8h",
  "cmge\t%0.8h, %1.8h, #0",
};

static const char * const output_2654[] = {
  "cmgt\t%0.8h, %1.8h, %2.8h",
  "cmgt\t%0.8h, %1.8h, #0",
};

static const char * const output_2655[] = {
  "cmgt\t%0.2s, %2.2s, %1.2s",
  "cmlt\t%0.2s, %1.2s, #0",
};

static const char * const output_2656[] = {
  "cmge\t%0.2s, %2.2s, %1.2s",
  "cmle\t%0.2s, %1.2s, #0",
};

static const char * const output_2657[] = {
  "cmeq\t%0.2s, %1.2s, %2.2s",
  "cmeq\t%0.2s, %1.2s, #0",
};

static const char * const output_2658[] = {
  "cmge\t%0.2s, %1.2s, %2.2s",
  "cmge\t%0.2s, %1.2s, #0",
};

static const char * const output_2659[] = {
  "cmgt\t%0.2s, %1.2s, %2.2s",
  "cmgt\t%0.2s, %1.2s, #0",
};

static const char * const output_2660[] = {
  "cmgt\t%0.4s, %2.4s, %1.4s",
  "cmlt\t%0.4s, %1.4s, #0",
};

static const char * const output_2661[] = {
  "cmge\t%0.4s, %2.4s, %1.4s",
  "cmle\t%0.4s, %1.4s, #0",
};

static const char * const output_2662[] = {
  "cmeq\t%0.4s, %1.4s, %2.4s",
  "cmeq\t%0.4s, %1.4s, #0",
};

static const char * const output_2663[] = {
  "cmge\t%0.4s, %1.4s, %2.4s",
  "cmge\t%0.4s, %1.4s, #0",
};

static const char * const output_2664[] = {
  "cmgt\t%0.4s, %1.4s, %2.4s",
  "cmgt\t%0.4s, %1.4s, #0",
};

static const char * const output_2665[] = {
  "cmgt\t%0.2d, %2.2d, %1.2d",
  "cmlt\t%0.2d, %1.2d, #0",
};

static const char * const output_2666[] = {
  "cmge\t%0.2d, %2.2d, %1.2d",
  "cmle\t%0.2d, %1.2d, #0",
};

static const char * const output_2667[] = {
  "cmeq\t%0.2d, %1.2d, %2.2d",
  "cmeq\t%0.2d, %1.2d, #0",
};

static const char * const output_2668[] = {
  "cmge\t%0.2d, %1.2d, %2.2d",
  "cmge\t%0.2d, %1.2d, #0",
};

static const char * const output_2669[] = {
  "cmgt\t%0.2d, %1.2d, %2.2d",
  "cmgt\t%0.2d, %1.2d, #0",
};

static const char * const output_2675[] = {
  "cmgt\t%d0, %d2, %d1",
  "cmlt\t%d0, %d1, #0",
};

static const char * const output_2676[] = {
  "cmge\t%d0, %d2, %d1",
  "cmle\t%d0, %d1, #0",
};

static const char * const output_2677[] = {
  "cmeq\t%d0, %d1, %d2",
  "cmeq\t%d0, %d1, #0",
};

static const char * const output_2678[] = {
  "cmge\t%d0, %d1, %d2",
  "cmge\t%d0, %d1, #0",
};

static const char * const output_2679[] = {
  "cmgt\t%d0, %d1, %d2",
  "cmgt\t%d0, %d1, #0",
};

static const char * const output_2725[] = {
  "fcmgt\t%0.4h, %2.4h, %1.4h",
  "fcmlt\t%0.4h, %1.4h, 0",
};

static const char * const output_2726[] = {
  "fcmge\t%0.4h, %2.4h, %1.4h",
  "fcmle\t%0.4h, %1.4h, 0",
};

static const char * const output_2727[] = {
  "fcmeq\t%0.4h, %1.4h, %2.4h",
  "fcmeq\t%0.4h, %1.4h, 0",
};

static const char * const output_2728[] = {
  "fcmge\t%0.4h, %1.4h, %2.4h",
  "fcmge\t%0.4h, %1.4h, 0",
};

static const char * const output_2729[] = {
  "fcmgt\t%0.4h, %1.4h, %2.4h",
  "fcmgt\t%0.4h, %1.4h, 0",
};

static const char * const output_2730[] = {
  "fcmgt\t%0.8h, %2.8h, %1.8h",
  "fcmlt\t%0.8h, %1.8h, 0",
};

static const char * const output_2731[] = {
  "fcmge\t%0.8h, %2.8h, %1.8h",
  "fcmle\t%0.8h, %1.8h, 0",
};

static const char * const output_2732[] = {
  "fcmeq\t%0.8h, %1.8h, %2.8h",
  "fcmeq\t%0.8h, %1.8h, 0",
};

static const char * const output_2733[] = {
  "fcmge\t%0.8h, %1.8h, %2.8h",
  "fcmge\t%0.8h, %1.8h, 0",
};

static const char * const output_2734[] = {
  "fcmgt\t%0.8h, %1.8h, %2.8h",
  "fcmgt\t%0.8h, %1.8h, 0",
};

static const char * const output_2735[] = {
  "fcmgt\t%0.2s, %2.2s, %1.2s",
  "fcmlt\t%0.2s, %1.2s, 0",
};

static const char * const output_2736[] = {
  "fcmge\t%0.2s, %2.2s, %1.2s",
  "fcmle\t%0.2s, %1.2s, 0",
};

static const char * const output_2737[] = {
  "fcmeq\t%0.2s, %1.2s, %2.2s",
  "fcmeq\t%0.2s, %1.2s, 0",
};

static const char * const output_2738[] = {
  "fcmge\t%0.2s, %1.2s, %2.2s",
  "fcmge\t%0.2s, %1.2s, 0",
};

static const char * const output_2739[] = {
  "fcmgt\t%0.2s, %1.2s, %2.2s",
  "fcmgt\t%0.2s, %1.2s, 0",
};

static const char * const output_2740[] = {
  "fcmgt\t%0.4s, %2.4s, %1.4s",
  "fcmlt\t%0.4s, %1.4s, 0",
};

static const char * const output_2741[] = {
  "fcmge\t%0.4s, %2.4s, %1.4s",
  "fcmle\t%0.4s, %1.4s, 0",
};

static const char * const output_2742[] = {
  "fcmeq\t%0.4s, %1.4s, %2.4s",
  "fcmeq\t%0.4s, %1.4s, 0",
};

static const char * const output_2743[] = {
  "fcmge\t%0.4s, %1.4s, %2.4s",
  "fcmge\t%0.4s, %1.4s, 0",
};

static const char * const output_2744[] = {
  "fcmgt\t%0.4s, %1.4s, %2.4s",
  "fcmgt\t%0.4s, %1.4s, 0",
};

static const char * const output_2745[] = {
  "fcmgt\t%0.2d, %2.2d, %1.2d",
  "fcmlt\t%0.2d, %1.2d, 0",
};

static const char * const output_2746[] = {
  "fcmge\t%0.2d, %2.2d, %1.2d",
  "fcmle\t%0.2d, %1.2d, 0",
};

static const char * const output_2747[] = {
  "fcmeq\t%0.2d, %1.2d, %2.2d",
  "fcmeq\t%0.2d, %1.2d, 0",
};

static const char * const output_2748[] = {
  "fcmge\t%0.2d, %1.2d, %2.2d",
  "fcmge\t%0.2d, %1.2d, 0",
};

static const char * const output_2749[] = {
  "fcmgt\t%0.2d, %1.2d, %2.2d",
  "fcmgt\t%0.2d, %1.2d, 0",
};

static const char * const output_2750[] = {
  "fcmgt\t%h0, %h2, %h1",
  "fcmlt\t%h0, %h1, 0",
};

static const char * const output_2751[] = {
  "fcmge\t%h0, %h2, %h1",
  "fcmle\t%h0, %h1, 0",
};

static const char * const output_2752[] = {
  "fcmeq\t%h0, %h1, %h2",
  "fcmeq\t%h0, %h1, 0",
};

static const char * const output_2753[] = {
  "fcmge\t%h0, %h1, %h2",
  "fcmge\t%h0, %h1, 0",
};

static const char * const output_2754[] = {
  "fcmgt\t%h0, %h1, %h2",
  "fcmgt\t%h0, %h1, 0",
};

static const char * const output_2755[] = {
  "fcmgt\t%s0, %s2, %s1",
  "fcmlt\t%s0, %s1, 0",
};

static const char * const output_2756[] = {
  "fcmge\t%s0, %s2, %s1",
  "fcmle\t%s0, %s1, 0",
};

static const char * const output_2757[] = {
  "fcmeq\t%s0, %s1, %s2",
  "fcmeq\t%s0, %s1, 0",
};

static const char * const output_2758[] = {
  "fcmge\t%s0, %s1, %s2",
  "fcmge\t%s0, %s1, 0",
};

static const char * const output_2759[] = {
  "fcmgt\t%s0, %s1, %s2",
  "fcmgt\t%s0, %s1, 0",
};

static const char * const output_2760[] = {
  "fcmgt\t%d0, %d2, %d1",
  "fcmlt\t%d0, %d1, 0",
};

static const char * const output_2761[] = {
  "fcmge\t%d0, %d2, %d1",
  "fcmle\t%d0, %d1, 0",
};

static const char * const output_2762[] = {
  "fcmeq\t%d0, %d1, %d2",
  "fcmeq\t%d0, %d1, 0",
};

static const char * const output_2763[] = {
  "fcmge\t%d0, %d1, %d2",
  "fcmge\t%d0, %d1, 0",
};

static const char * const output_2764[] = {
  "fcmgt\t%d0, %d1, %d2",
  "fcmgt\t%d0, %d1, 0",
};

static const char *
output_2827 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_2828 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_2829 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_2830 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_2831 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_2832 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_2833 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_2834 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_2835 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_2836 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_2837 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_2838 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_2839 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_2840 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4766 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_2848 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_2849 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_2850 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_2851 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_2852 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_2853 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_2854 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_2855 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_2856 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_2857 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_2858 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_2859 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_2860 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_2861 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4810 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_2883 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_2884 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_2885 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_2886 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_2887 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_2888 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_2889 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_2890 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_2891 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_2892 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_2893 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_2894 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_2895 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_2896 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_2904 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_2905 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_2906 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_2907 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_2908 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_2909 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_2910 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_2911 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_2912 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_2913 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_2914 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_2915 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_2916 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_2917 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4908 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_2939 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_2940 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_2941 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_2942 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_2943 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_2944 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_2945 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_2946 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_2947 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_2948 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_2949 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_2950 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_2951 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_2952 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_2960 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_2961 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_2962 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_2963 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_2964 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_2965 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_2966 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_2967 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_2968 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_2969 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_2970 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_2971 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_2972 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_2973 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5006 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char * const output_3047[] = {
  "#",
  "st1\t{%S1.16b - %T1.16b}, %0",
  "ld1\t{%S0.16b - %T0.16b}, %1",
};

static const char * const output_3048[] = {
  "#",
  "st1\t{%S1.16b - %U1.16b}, %0",
  "ld1\t{%S0.16b - %U0.16b}, %1",
};

static const char * const output_3049[] = {
  "#",
  "st1\t{%S1.16b - %V1.16b}, %0",
  "ld1\t{%S0.16b - %V0.16b}, %1",
};

static const char * const output_3076[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char *
output_3188 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8QImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3189 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V16QImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3190 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3191 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3192 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3193 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3194 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3195 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3196 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3197 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3198 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3199 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5675 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3374 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casb\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casab\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslb\t%w0, %w2, %1";
  else
    return "casalb\t%w0, %w2, %1";
}
}

static const char *
output_3375 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cash\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casah\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslh\t%w0, %w2, %1";
  else
    return "casalh\t%w0, %w2, %1";
}
}

static const char *
output_3376 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "casl\t%w0, %w2, %1";
  else
    return "casal\t%w0, %w2, %1";
}
}

static const char *
output_3377 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%x0, %x2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%x0, %x2, %1";
  else if (is_mm_release (model))
    return "casl\t%x0, %x2, %1";
  else
    return "casal\t%x0, %x2, %1";
}
}

static const char *
output_3378 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 173 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casp\t%0, %R0, %2, %R2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "caspa\t%0, %R0, %2, %R2, %1";
  else if (is_mm_release (model))
    return "caspl\t%0, %R0, %2, %R2, %1";
  else
    return "caspal\t%0, %R0, %2, %R2, %1";
}
}

static const char *
output_3383 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swpb\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpab\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplb\t%w2, %w0, %1";
    else
      return "swpalb\t%w2, %w0, %1";
  }
}

static const char *
output_3384 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swph\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpah\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplh\t%w2, %w0, %1";
    else
      return "swpalh\t%w2, %w0, %1";
  }
}

static const char *
output_3385 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swpl\t%w2, %w0, %1";
    else
      return "swpal\t%w2, %w0, %1";
  }
}

static const char *
output_3386 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%x2, %x0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%x2, %x0, %1";
    else if (is_mm_release (model))
      return "swpl\t%x2, %x0, %1";
    else
      return "swpal\t%x2, %x0, %1";
  }
}

static const char *
output_3407 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w1, %w3, %0";
   else
     return "ldsetalb\t%w1, %w3, %0";
  }
}

static const char *
output_3408 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w1, %w3, %0";
   else
     return "ldclralb\t%w1, %w3, %0";
  }
}

static const char *
output_3409 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w1, %w3, %0";
   else
     return "ldeoralb\t%w1, %w3, %0";
  }
}

static const char *
output_3410 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w1, %w3, %0";
   else
     return "ldaddalb\t%w1, %w3, %0";
  }
}

static const char *
output_3411 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w1, %w3, %0";
   else
     return "ldsetalh\t%w1, %w3, %0";
  }
}

static const char *
output_3412 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w1, %w3, %0";
   else
     return "ldclralh\t%w1, %w3, %0";
  }
}

static const char *
output_3413 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w1, %w3, %0";
   else
     return "ldeoralh\t%w1, %w3, %0";
  }
}

static const char *
output_3414 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w1, %w3, %0";
   else
     return "ldaddalh\t%w1, %w3, %0";
  }
}

static const char *
output_3415 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w1, %w3, %0";
   else
     return "ldsetal\t%w1, %w3, %0";
  }
}

static const char *
output_3416 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w1, %w3, %0";
   else
     return "ldclral\t%w1, %w3, %0";
  }
}

static const char *
output_3417 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w1, %w3, %0";
   else
     return "ldeoral\t%w1, %w3, %0";
  }
}

static const char *
output_3418 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w1, %w3, %0";
   else
     return "ldaddal\t%w1, %w3, %0";
  }
}

static const char *
output_3419 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x1, %x3, %0";
   else
     return "ldsetal\t%x1, %x3, %0";
  }
}

static const char *
output_3420 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x1, %x3, %0";
   else
     return "ldclral\t%x1, %x3, %0";
  }
}

static const char *
output_3421 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x1, %x3, %0";
   else
     return "ldeoral\t%x1, %x3, %0";
  }
}

static const char *
output_3422 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x1, %x3, %0";
   else
     return "ldaddal\t%x1, %x3, %0";
  }
}

static const char *
output_3447 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlb\t%w2, %w0, %1";
   else
     return "ldsetalb\t%w2, %w0, %1";
  }
}

static const char *
output_3448 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlb\t%w2, %w0, %1";
   else
     return "ldclralb\t%w2, %w0, %1";
  }
}

static const char *
output_3449 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlb\t%w2, %w0, %1";
   else
     return "ldeoralb\t%w2, %w0, %1";
  }
}

static const char *
output_3450 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlb\t%w2, %w0, %1";
   else
     return "ldaddalb\t%w2, %w0, %1";
  }
}

static const char *
output_3451 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlh\t%w2, %w0, %1";
   else
     return "ldsetalh\t%w2, %w0, %1";
  }
}

static const char *
output_3452 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlh\t%w2, %w0, %1";
   else
     return "ldclralh\t%w2, %w0, %1";
  }
}

static const char *
output_3453 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlh\t%w2, %w0, %1";
   else
     return "ldeoralh\t%w2, %w0, %1";
  }
}

static const char *
output_3454 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlh\t%w2, %w0, %1";
   else
     return "ldaddalh\t%w2, %w0, %1";
  }
}

static const char *
output_3455 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%w2, %w0, %1";
   else
     return "ldsetal\t%w2, %w0, %1";
  }
}

static const char *
output_3456 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%w2, %w0, %1";
   else
     return "ldclral\t%w2, %w0, %1";
  }
}

static const char *
output_3457 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%w2, %w0, %1";
   else
     return "ldeoral\t%w2, %w0, %1";
  }
}

static const char *
output_3458 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%w2, %w0, %1";
   else
     return "ldaddal\t%w2, %w0, %1";
  }
}

static const char *
output_3459 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%x2, %x0, %1";
   else
     return "ldsetal\t%x2, %x0, %1";
  }
}

static const char *
output_3460 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%x2, %x0, %1";
   else
     return "ldclral\t%x2, %x0, %1";
  }
}

static const char *
output_3461 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%x2, %x0, %1";
   else
     return "ldeoral\t%x2, %x0, %1";
  }
}

static const char *
output_3462 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%x2, %x0, %1";
   else
     return "ldaddal\t%x2, %x0, %1";
  }
}

static const char *
output_3491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_3492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_3493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_3494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%x0, %1";
    else
      return "ldar\t%x0, %1";
  }
}

static const char *
output_3495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strb\t%w1, %0";
    else
      return "stlrb\t%w1, %0";
  }
}

static const char *
output_3496 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strh\t%w1, %0";
    else
      return "stlrh\t%w1, %0";
  }
}

static const char *
output_3497 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%w1, %0";
    else
      return "stlr\t%w1, %0";
  }
}

static const char *
output_3498 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%x1, %0";
    else
      return "stlr\t%x1, %0";
  }
}

static const char *
output_3499 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 683 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrb\t%w0, %1";
    else
      return "ldaxrb\t%w0, %1";
  }
}

static const char *
output_3500 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 683 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrh\t%w0, %1";
    else
      return "ldaxrh\t%w0, %1";
  }
}

static const char *
output_3501 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 699 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%w0, %1";
    else
      return "ldaxr\t%w0, %1";
  }
}

static const char *
output_3502 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 699 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%x0, %1";
    else
      return "ldaxr\t%x0, %1";
  }
}

static const char *
output_3503 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 717 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxp\t%0, %1, %2";
    else
      return "ldaxp\t%0, %1, %2";
  }
}

static const char *
output_3504 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 735 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrb\t%w0, %w2, %1";
    else
      return "stlxrb\t%w0, %w2, %1";
  }
}

static const char *
output_3505 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 735 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrh\t%w0, %w2, %1";
    else
      return "stlxrh\t%w0, %w2, %1";
  }
}

static const char *
output_3506 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 735 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %w2, %1";
    else
      return "stlxr\t%w0, %w2, %1";
  }
}

static const char *
output_3507 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 735 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %x2, %1";
    else
      return "stlxr\t%w0, %x2, %1";
  }
}

static const char *
output_3508 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 754 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[4]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxp\t%w0, %x2, %x3, %1";
    else
      return "stlxp\t%w0, %x2, %x3, %1";
  }
}

static const char *
output_3509 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 790 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[1]));
    if (is_mm_acquire (model))
      return "dmb\tishld";
    else
      return "dmb\tish";
  }
}

static const char *
output_3517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_3530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char * const output_3531[] = {
  "ld1b\t%0.b, %1/z, %2",
  "st1b\t%2.b, %1, %0",
};

static const char * const output_3532[] = {
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_3533[] = {
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_3534[] = {
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char * const output_3535[] = {
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_3536[] = {
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_3537[] = {
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char * const output_3552[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_3553[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_3554[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_3555[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_3556[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_3557[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_3558[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_3559[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char *
output_3623 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3: return "pfalse\t%0.b";
    case 4:
       return aarch64_output_ptrue (VNx16BImode, 'b');
      default: gcc_unreachable ();
    }
}

static const char *
output_3624 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3: return "pfalse\t%0.b";
    case 4:
       return aarch64_output_ptrue (VNx8BImode, 'h');
      default: gcc_unreachable ();
    }
}

static const char *
output_3625 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3: return "pfalse\t%0.b";
    case 4:
       return aarch64_output_ptrue (VNx4BImode, 's');
      default: gcc_unreachable ();
    }
}

static const char *
output_3626 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3: return "pfalse\t%0.b";
    case 4:
       return aarch64_output_ptrue (VNx2BImode, 'd');
      default: gcc_unreachable ();
    }
}

static const char *
output_3627 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 522 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.b}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3628 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 522 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3629 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 522 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3630 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 522 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3631 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 522 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3632 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 522 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3633 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 522 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3634 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 557 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3635 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 557 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3636 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 557 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3637 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 557 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3638 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 557 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3639 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 557 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3640 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 557 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_3641 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 583 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    return "dup\t%0.b, %1.b[%2]";
  }
}

static const char *
output_3642 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 583 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_3643 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 583 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_3644 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 583 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_3645 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 583 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_3646 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 583 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_3647 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 583 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_3648 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 597 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (QImode));
    return "ext\t%0.b, %0.b, %0.b, #%2";
  }
}

static const char *
output_3649 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 597 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HImode));
    return "ext\t%0.b, %0.b, %0.b, #%2";
  }
}

static const char *
output_3650 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 597 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SImode));
    return "ext\t%0.b, %0.b, %0.b, #%2";
  }
}

static const char *
output_3651 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 597 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DImode));
    return "ext\t%0.b, %0.b, %0.b, #%2";
  }
}

static const char *
output_3652 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 597 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HFmode));
    return "ext\t%0.b, %0.b, %0.b, #%2";
  }
}

static const char *
output_3653 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 597 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SFmode));
    return "ext\t%0.b, %0.b, %0.b, #%2";
  }
}

static const char *
output_3654 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 597 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DFmode));
    return "ext\t%0.b, %0.b, %0.b, #%2";
  }
}

static const char * const output_3655[] = {
  "lastb\t%w0, %1, %2.b",
  "lastb\t%b0, %1, %2.b",
};

static const char * const output_3656[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_3657[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_3658[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_3659[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_3660[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_3661[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_3662[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_3663[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_3664[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_3665[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char * const output_3666[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_3667[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_3668[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char * const output_3683[] = {
  "index\t%0.b, #%1, %w2",
  "index\t%0.b, %w1, #%2",
  "index\t%0.b, %w1, %w2",
};

static const char * const output_3684[] = {
  "index\t%0.h, #%1, %w2",
  "index\t%0.h, %w1, #%2",
  "index\t%0.h, %w1, %w2",
};

static const char * const output_3685[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_3686[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char *
output_3687 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.b, %w1, #%2";
  }
}

static const char *
output_3688 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.h, %w1, #%2";
  }
}

static const char *
output_3689 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_3690 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_3829 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 890 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (QImode));
    return "ext\t%0.b, %0.b, %2.b, #%3";
  }
}

static const char *
output_3830 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 890 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (HImode));
    return "ext\t%0.b, %0.b, %2.b, #%3";
  }
}

static const char *
output_3831 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 890 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (SImode));
    return "ext\t%0.b, %0.b, %2.b, #%3";
  }
}

static const char *
output_3832 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 890 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (DImode));
    return "ext\t%0.b, %0.b, %2.b, #%3";
  }
}

static const char *
output_3833 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 890 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (HFmode));
    return "ext\t%0.b, %0.b, %2.b, #%3";
  }
}

static const char *
output_3834 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 890 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (SFmode));
    return "ext\t%0.b, %0.b, %2.b, #%3";
  }
}

static const char *
output_3835 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 890 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (DFmode));
    return "ext\t%0.b, %0.b, %2.b, #%3";
  }
}

static const char *
output_3836 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_inc_dec_immediate ("%0.b", operands[2]);
    case 3: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_3837 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_inc_dec_immediate ("%0.h", operands[2]);
    case 3: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_3838 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.s, %0.s, #%D2";
    case 1: return "sub\t%0.s, %0.s, #%N2";
    case 2:
       return aarch64_output_sve_inc_dec_immediate ("%0.s", operands[2]);
    case 3: return "add\t%0.s, %1.s, %2.s";
      default: gcc_unreachable ();
    }
}

static const char *
output_3839 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.d, %0.d, #%D2";
    case 1: return "sub\t%0.d, %0.d, #%N2";
    case 2:
       return aarch64_output_sve_inc_dec_immediate ("%0.d", operands[2]);
    case 3: return "add\t%0.d, %1.d, %2.d";
      default: gcc_unreachable ();
    }
}

static const char * const output_3840[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
};

static const char * const output_3841[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
};

static const char * const output_3842[] = {
  "sub\t%0.s, %1.s, %2.s",
  "subr\t%0.s, %0.s, #%D1",
};

static const char * const output_3843[] = {
  "sub\t%0.d, %1.d, %2.d",
  "subr\t%0.d, %0.d, #%D1",
};

static const char * const output_3844[] = {
  "mul\t%0.b, %0.b, #%3",
  "mul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_3845[] = {
  "mul\t%0.h, %0.h, #%3",
  "mul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_3846[] = {
  "mul\t%0.s, %0.s, #%3",
  "mul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_3847[] = {
  "mul\t%0.d, %0.d, #%3",
  "mul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_3848[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_3849[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_3850[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "mla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_3851[] = {
  "mad\t%0.d, %1/m, %3.d, %4.d",
  "mla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_3852[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_3853[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_3854[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "mls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_3855[] = {
  "msb\t%0.d, %1/m, %3.d, %4.d",
  "mls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_3876[] = {
  "and\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_3877[] = {
  "orr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_3878[] = {
  "eor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_3879[] = {
  "and\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_3880[] = {
  "orr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_3881[] = {
  "eor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_3882[] = {
  "and\t%0.s, %0.s, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_3883[] = {
  "orr\t%0.s, %0.s, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_3884[] = {
  "eor\t%0.s, %0.s, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_3885[] = {
  "and\t%0.d, %0.d, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_3886[] = {
  "orr\t%0.d, %0.d, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_3887[] = {
  "eor\t%0.d, %0.d, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_3949[] = {
  "lsl\t%0.b, %2.b, #%3",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_3950[] = {
  "asr\t%0.b, %2.b, #%3",
  "asr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_3951[] = {
  "lsr\t%0.b, %2.b, #%3",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_3952[] = {
  "lsl\t%0.h, %2.h, #%3",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_3953[] = {
  "asr\t%0.h, %2.h, #%3",
  "asr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_3954[] = {
  "lsr\t%0.h, %2.h, #%3",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_3955[] = {
  "lsl\t%0.s, %2.s, #%3",
  "lsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_3956[] = {
  "asr\t%0.s, %2.s, #%3",
  "asr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_3957[] = {
  "lsr\t%0.s, %2.s, #%3",
  "lsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_3958[] = {
  "lsl\t%0.d, %2.d, #%3",
  "lsl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_3959[] = {
  "asr\t%0.d, %2.d, #%3",
  "asr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_3960[] = {
  "lsr\t%0.d, %2.d, #%3",
  "lsr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_3981[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_3982[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_3983[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_3984[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_3985[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_3986[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_3987[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_3988[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_3989[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_3990[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_3991[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_3992[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_3993[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_3994[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_3995[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_3996[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_3997[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_3998[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_3999[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4000[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4001[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4002[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4003[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4004[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4005[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4006[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4007[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4008[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4009[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4010[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4011[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4012[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4013[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4014[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4015[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4016[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4017[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4018[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4019[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4020[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4021[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4022[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4023[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4024[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4025[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4026[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4027[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4028[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4029[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4030[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4031[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4032[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4033[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4034[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4035[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4036[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4037[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4038[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4039[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4040[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4041[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4042[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4043[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4044[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4045[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4046[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4047[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4048[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4049[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4050[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4051[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4052[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4053[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4054[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4055[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4056[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4057[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4058[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4059[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4060[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4061[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4062[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4063[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4064[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4065[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4066[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4067[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4068[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4069[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4070[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_4071[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4072[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4073[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4074[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4075[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4076[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4077[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4078[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4079[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4080[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4081[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4082[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4083[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4084[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4085[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4086[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4087[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4088[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4089[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4090[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4091[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4092[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4093[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4094[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4095[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4096[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4097[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4098[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4099[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4100[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4101[] = {
  "fcmlt\t%0.h, %1/z, %2.h, #0.0",
  "fcmlt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4102[] = {
  "fcmle\t%0.h, %1/z, %2.h, #0.0",
  "fcmle\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4103[] = {
  "fcmeq\t%0.h, %1/z, %2.h, #0.0",
  "fcmeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4104[] = {
  "fcmne\t%0.h, %1/z, %2.h, #0.0",
  "fcmne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4105[] = {
  "fcmge\t%0.h, %1/z, %2.h, #0.0",
  "fcmge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4106[] = {
  "fcmgt\t%0.h, %1/z, %2.h, #0.0",
  "fcmgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_4107[] = {
  "fcmlt\t%0.s, %1/z, %2.s, #0.0",
  "fcmlt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4108[] = {
  "fcmle\t%0.s, %1/z, %2.s, #0.0",
  "fcmle\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4109[] = {
  "fcmeq\t%0.s, %1/z, %2.s, #0.0",
  "fcmeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4110[] = {
  "fcmne\t%0.s, %1/z, %2.s, #0.0",
  "fcmne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4111[] = {
  "fcmge\t%0.s, %1/z, %2.s, #0.0",
  "fcmge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4112[] = {
  "fcmgt\t%0.s, %1/z, %2.s, #0.0",
  "fcmgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_4113[] = {
  "fcmlt\t%0.d, %1/z, %2.d, #0.0",
  "fcmlt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4114[] = {
  "fcmle\t%0.d, %1/z, %2.d, #0.0",
  "fcmle\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4115[] = {
  "fcmeq\t%0.d, %1/z, %2.d, #0.0",
  "fcmeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4116[] = {
  "fcmne\t%0.d, %1/z, %2.d, #0.0",
  "fcmne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4117[] = {
  "fcmge\t%0.d, %1/z, %2.d, #0.0",
  "fcmge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4118[] = {
  "fcmgt\t%0.d, %1/z, %2.d, #0.0",
  "fcmgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_4203[] = {
  "clastb\t%w0, %2, %w0, %3.b",
  "clastb\t%w0, %2, %w0, %3.b",
};

static const char * const output_4204[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%w0, %2, %w0, %3.h",
};

static const char * const output_4205[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%w0, %2, %w0, %3.s",
};

static const char * const output_4206[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%x0, %2, %x0, %3.d",
};

static const char * const output_4207[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_4208[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%s0, %2, %s0, %3.s",
};

static const char * const output_4209[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%d0, %2, %d0, %3.d",
};

static const char * const output_4263[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "fadd\t%0.h, %2.h, %3.h",
};

static const char * const output_4264[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "fadd\t%0.s, %2.s, %3.s",
};

static const char * const output_4265[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "fadd\t%0.d, %2.d, %3.d",
};

static const char * const output_4266[] = {
  "fsub\t%0.h, %1/m, %0.h, #%3",
  "fadd\t%0.h, %1/m, %0.h, #%N3",
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "fsub\t%0.h, %2.h, %3.h",
};

static const char * const output_4267[] = {
  "fsub\t%0.s, %1/m, %0.s, #%3",
  "fadd\t%0.s, %1/m, %0.s, #%N3",
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "fsub\t%0.s, %2.s, %3.s",
};

static const char * const output_4268[] = {
  "fsub\t%0.d, %1/m, %0.d, #%3",
  "fadd\t%0.d, %1/m, %0.d, #%N3",
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "fsub\t%0.d, %2.d, %3.d",
};

static const char * const output_4269[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "fmul\t%0.h, %2.h, %3.h",
};

static const char * const output_4270[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "fmul\t%0.s, %2.s, %3.s",
};

static const char * const output_4271[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "fmul\t%0.d, %2.d, %3.d",
};

static const char * const output_4272[] = {
  "fmad\t%0.h, %1/m, %4.h, %2.h",
  "fmla\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_4273[] = {
  "fmad\t%0.s, %1/m, %4.s, %2.s",
  "fmla\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_4274[] = {
  "fmad\t%0.d, %1/m, %4.d, %2.d",
  "fmla\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_4275[] = {
  "fmsb\t%0.h, %1/m, %4.h, %2.h",
  "fmls\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_4276[] = {
  "fmsb\t%0.s, %1/m, %4.s, %2.s",
  "fmls\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_4277[] = {
  "fmsb\t%0.d, %1/m, %4.d, %2.d",
  "fmls\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_4278[] = {
  "fnmsb\t%0.h, %1/m, %4.h, %2.h",
  "fnmls\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_4279[] = {
  "fnmsb\t%0.s, %1/m, %4.s, %2.s",
  "fnmls\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_4280[] = {
  "fnmsb\t%0.d, %1/m, %4.d, %2.d",
  "fnmls\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_4281[] = {
  "fnmad\t%0.h, %1/m, %4.h, %2.h",
  "fnmla\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_4282[] = {
  "fnmad\t%0.s, %1/m, %4.s, %2.s",
  "fnmla\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_4283[] = {
  "fnmad\t%0.d, %1/m, %4.d, %2.d",
  "fnmla\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_4284[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_4285[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_4286[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_4379[] = {
  "insr\t%0.b, %w2",
  "insr\t%0.b, %b2",
};

static const char * const output_4380[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
};

static const char * const output_4381[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
};

static const char * const output_4382[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
};

static const char * const output_4383[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
};

static const char * const output_4384[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
};

static const char * const output_4385[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
};



static const struct insn_operand_data operand_data[] = 
{
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_prefetch_operand,
    "Dp",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "r,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucs,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=r,r,*w,r,r,*w,m,m,r,*w,*w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,M,Dq,Usv,m,m,rZ,*w,*w,r,*w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,r,*w,r,r,*w,m,m,r,*w,*w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,M,Dh,Usv,m,m,rZ,*w,*w,r,*w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,k,r,r,r,r,r,w,m,m,r,r,w,r,w,w",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,r,k,M,n,Usv,m,m,rZ,*w,Usa,Ush,rZ,w,w,Ds",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,k,r,r,r,r,r,r,w,m,m,r,r,w,r,w,w",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,r,k,N,M,n,Usv,m,m,rZ,w,Usa,Ush,rZ,w,w,Dd",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=r,w,r,w,r,m,m,w,m",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_movti_operand,
    "rUti,r,w,w,m,r,Z,m,w",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,M",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,N",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,?&r,w,?r,w,?w,w,m,?r,m,m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,?r,?r,w,Y,Y,m,w,m,?r,Y",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,*w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,*w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,*w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,*w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ,*w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ,*w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ,*w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ,*w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,*r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,*r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,*r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,*r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_fp_zero,
    "w,*rY",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_fp_zero,
    "w,*rY",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_fp_zero,
    "w,*rY",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_fp_zero,
    "w,*rY",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,*w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,*w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,*w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,*w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uav",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uav",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,rk,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,J,Uaa",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uav,Uat",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uav,Uat",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_2_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_2_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_2_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_2_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sub_immediate,
    "J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sub_immediate,
    "J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_2_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_QImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsO",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsP",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Uss,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usd,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usj,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,X",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,X",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umq,m,w,?r,?w,?r,w",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umq,m,w,?r,?w,?r,w",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umq,m,w,?r,?w,?r,w",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umq,m,w,?r,?w,?r,w",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umq,m,w,?r,?w,?r,w",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umq,m,w,?r,?w,?r,w",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umq,m,w,?r,?w,?r,w",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Uml,Uml",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Uml,Uml",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Uml,Uml",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Uml,Uml",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Uml,Uml",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Uml,Uml",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Uml,Uml",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "Usd",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_imm,
    "rn",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plushi_operand,
    "rUph",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_BLKmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "m,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "m,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "m,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "m,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "m,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "m,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "m,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,Utx",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "Utx,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Upa,Upa,m,Dz,Dm",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Upa,Upa,m,Dz,Dm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Upa,Upa,m,Dz,Dm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Upa,Upa,m,Dz,Dm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_mul_operand,
    "vsm,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_mul_operand,
    "vsm,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_mul_operand,
    "vsm,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_mul_operand,
    "vsm,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "0,0,vsA,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "0,0,vsA,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "0,0,vsA,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rZ,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rZ,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rZ,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm64_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_mul_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_mul_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_mul_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_mul_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
};


#if GCC_VERSION >= 2007
__extension__
#endif

const struct insn_data_d insn_data[] = 
{
  /* <internal>:0 */
  {
    "*placeholder_for_nothing",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:302 */
  {
    "indirect_jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1 },
#else
    { 0, 0, output_1 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_indirect_jump },
    &operand_data[1],
    1,
    1,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:309 */
  {
    "jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "b\t%l0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_jump },
    &operand_data[2],
    1,
    1,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:354 */
  {
    "ccmpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3 },
#else
    { 0, output_3, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpsi },
    &operand_data[3],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:354 */
  {
    "ccmpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4 },
#else
    { 0, output_4, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpdi },
    &operand_data[9],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:372 */
  {
    "fccmpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fccmpsf },
    &operand_data[15],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:372 */
  {
    "fccmpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fccmpdf },
    &operand_data[21],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:387 */
  {
    "fccmpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fccmpesf },
    &operand_data[27],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:387 */
  {
    "fccmpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fccmpedf },
    &operand_data[33],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:458 */
  {
    "condjump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_9 },
#else
    { 0, 0, output_9 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_condjump },
    &operand_data[39],
    3,
    3,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:493 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:493 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:493 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:493 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:493 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:493 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:493 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:493 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:564 */
  {
    "casesi_dispatch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_18 },
#else
    { 0, 0, output_18 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi_dispatch },
    &operand_data[48],
    3,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:582 */
  {
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nop },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:589 */
  {
    "prefetch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_20 },
#else
    { 0, 0, output_20 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prefetch },
    &operand_data[53],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:620 */
  {
    "trap",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brk #1000",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_trap },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:653 */
  {
    "*do_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_22 },
#else
    { 0, 0, output_22 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:673 */
  {
    "simple_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ret",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_simple_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:680 */
  {
    "*cbeqsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_24 },
#else
    { 0, 0, output_24 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:680 */
  {
    "*cbnesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_25 },
#else
    { 0, 0, output_25 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:680 */
  {
    "*cbeqdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_26 },
#else
    { 0, 0, output_26 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:680 */
  {
    "*cbnedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_27 },
#else
    { 0, 0, output_27 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:705 */
  {
    "*tbeqsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_28 },
#else
    { 0, 0, output_28 },
#endif
    { 0 },
    &operand_data[56],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:705 */
  {
    "*tbnesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_29 },
#else
    { 0, 0, output_29 },
#endif
    { 0 },
    &operand_data[56],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:705 */
  {
    "*tbeqdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_30 },
#else
    { 0, 0, output_30 },
#endif
    { 0 },
    &operand_data[59],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:705 */
  {
    "*tbnedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_31 },
#else
    { 0, 0, output_31 },
#endif
    { 0 },
    &operand_data[59],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:745 */
  {
    "*cbltqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_32 },
#else
    { 0, 0, output_32 },
#endif
    { 0 },
    &operand_data[62],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:745 */
  {
    "*cbgeqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_33 },
#else
    { 0, 0, output_33 },
#endif
    { 0 },
    &operand_data[62],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:745 */
  {
    "*cblthi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_34 },
#else
    { 0, 0, output_34 },
#endif
    { 0 },
    &operand_data[64],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:745 */
  {
    "*cbgehi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_35 },
#else
    { 0, 0, output_35 },
#endif
    { 0 },
    &operand_data[64],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:745 */
  {
    "*cbltsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_36 },
#else
    { 0, 0, output_36 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:745 */
  {
    "*cbgesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_37 },
#else
    { 0, 0, output_37 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:745 */
  {
    "*cbltdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_38 },
#else
    { 0, 0, output_38 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:745 */
  {
    "*cbgedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_39 },
#else
    { 0, 0, output_39 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:801 */
  {
    "*call_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_40 },
#else
    { 0, 0, output_40 },
#endif
    { 0 },
    &operand_data[66],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:826 */
  {
    "*call_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_41 },
#else
    { 0, 0, output_41 },
#endif
    { 0 },
    &operand_data[65],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:863 */
  {
    "*sibcall_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_42 },
#else
    { 0, 0, output_42 },
#endif
    { 0 },
    &operand_data[68],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:874 */
  {
    "*sibcall_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_43 },
#else
    { 0, 0, output_43 },
#endif
    { 0 },
    &operand_data[67],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:934 */
  {
    "*movqi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_44 },
#else
    { 0, 0, output_44 },
#endif
    { 0 },
    &operand_data[70],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:934 */
  {
    "*movhi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_45 },
#else
    { 0, 0, output_45 },
#endif
    { 0 },
    &operand_data[72],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1009 */
  {
    "*movsi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_46 },
#else
    { 0, 0, output_46 },
#endif
    { 0 },
    &operand_data[74],
    2,
    2,
    0,
    16,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1046 */
  {
    "*movdi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_47 },
#else
    { 0, 0, output_47 },
#endif
    { 0 },
    &operand_data[76],
    2,
    2,
    0,
    17,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1085 */
  {
    "insv_immsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%w0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immsi },
    &operand_data[78],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1085 */
  {
    "insv_immdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%x0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immdi },
    &operand_data[81],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1114 */
  {
    "*movti_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_50 },
#else
    { 0, output_50, 0 },
#endif
    { 0 },
    &operand_data[84],
    2,
    2,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1170 */
  {
    "*movhf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_51 },
#else
    { 0, 0, output_51 },
#endif
    { 0 },
    &operand_data[86],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1193 */
  {
    "*movsf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_52 },
#else
    { 0, 0, output_52 },
#endif
    { 0 },
    &operand_data[88],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1217 */
  {
    "*movdf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_53 },
#else
    { 0, 0, output_53 },
#endif
    { 0 },
    &operand_data[90],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1261 */
  {
    "*movtf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_54 },
#else
    { 0, output_54, 0 },
#endif
    { 0 },
    &operand_data[92],
    2,
    2,
    0,
    11,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1317 */
  {
    "load_pairsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_55 },
#else
    { 0, output_55, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairsi },
    &operand_data[94],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1333 */
  {
    "load_pairdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_56 },
#else
    { 0, output_56, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdi },
    &operand_data[98],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1352 */
  {
    "store_pairsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_57 },
#else
    { 0, output_57, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pairsi },
    &operand_data[102],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1368 */
  {
    "store_pairdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_58 },
#else
    { 0, output_58, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pairdi },
    &operand_data[106],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1386 */
  {
    "load_pairsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_59 },
#else
    { 0, output_59, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairsf },
    &operand_data[110],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1402 */
  {
    "load_pairdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_60 },
#else
    { 0, output_60, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdf },
    &operand_data[114],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1420 */
  {
    "store_pairsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_61 },
#else
    { 0, output_61, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pairsf },
    &operand_data[118],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1436 */
  {
    "store_pairdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_62 },
#else
    { 0, output_62, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pairdf },
    &operand_data[122],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1454 */
  {
    "loadwb_pairsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%w2, %w3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsi_si },
    &operand_data[126],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1454 */
  {
    "loadwb_pairsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%w2, %w3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsi_di },
    &operand_data[132],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1454 */
  {
    "loadwb_pairdi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%x2, %x3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdi_si },
    &operand_data[138],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1454 */
  {
    "loadwb_pairdi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%x2, %x3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdi_di },
    &operand_data[144],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1469 */
  {
    "loadwb_pairsf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%s2, %s3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsf_si },
    &operand_data[150],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1469 */
  {
    "loadwb_pairsf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%s2, %s3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsf_di },
    &operand_data[156],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1469 */
  {
    "loadwb_pairdf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d2, %d3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdf_si },
    &operand_data[162],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1469 */
  {
    "loadwb_pairdf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d2, %d3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdf_di },
    &operand_data[168],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1486 */
  {
    "storewb_pairsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%w2, %w3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsi_si },
    &operand_data[174],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1486 */
  {
    "storewb_pairsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%w2, %w3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsi_di },
    &operand_data[180],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1486 */
  {
    "storewb_pairdi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%x2, %x3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdi_si },
    &operand_data[186],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1486 */
  {
    "storewb_pairdi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%x2, %x3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdi_di },
    &operand_data[192],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1502 */
  {
    "storewb_pairsf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%s2, %s3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsf_si },
    &operand_data[198],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1502 */
  {
    "storewb_pairsf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%s2, %s3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsf_di },
    &operand_data[204],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1502 */
  {
    "storewb_pairdf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d2, %d3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdf_si },
    &operand_data[210],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1502 */
  {
    "storewb_pairdf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d2, %d3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdf_di },
    &operand_data[216],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1528 */
  {
    "*extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_79 },
#else
    { 0, output_79, 0 },
#endif
    { 0 },
    &operand_data[222],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1538 */
  {
    "*load_pair_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldpsw\t%0, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1551 */
  {
    "*zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_81 },
#else
    { 0, output_81, 0 },
#endif
    { 0 },
    &operand_data[222],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1561 */
  {
    "*load_pair_zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%w0, %w2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1580 */
  {
    "*extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_83 },
#else
    { 0, output_83, 0 },
#endif
    { 0 },
    &operand_data[228],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1580 */
  {
    "*extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_84 },
#else
    { 0, output_84, 0 },
#endif
    { 0 },
    &operand_data[230],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1580 */
  {
    "*extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_85 },
#else
    { 0, output_85, 0 },
#endif
    { 0 },
    &operand_data[232],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1580 */
  {
    "*extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_86 },
#else
    { 0, output_86, 0 },
#endif
    { 0 },
    &operand_data[234],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1590 */
  {
    "*zero_extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_87 },
#else
    { 0, output_87, 0 },
#endif
    { 0 },
    &operand_data[236],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1590 */
  {
    "*zero_extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_88 },
#else
    { 0, output_88, 0 },
#endif
    { 0 },
    &operand_data[238],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1590 */
  {
    "*zero_extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_89 },
#else
    { 0, output_89, 0 },
#endif
    { 0 },
    &operand_data[240],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1590 */
  {
    "*zero_extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_90 },
#else
    { 0, output_90, 0 },
#endif
    { 0 },
    &operand_data[242],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1607 */
  {
    "*extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_91 },
#else
    { 0, output_91, 0 },
#endif
    { 0 },
    &operand_data[244],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1617 */
  {
    "*zero_extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_92 },
#else
    { 0, output_92, 0 },
#endif
    { 0 },
    &operand_data[244],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1659 */
  {
    "*addsi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_93 },
#else
    { 0, 0, output_93 },
#endif
    { 0 },
    &operand_data[246],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1659 */
  {
    "*adddi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_94 },
#else
    { 0, 0, output_94 },
#endif
    { 0 },
    &operand_data[249],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1679 */
  {
    "*addsi3_aarch64_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_95 },
#else
    { 0, output_95, 0 },
#endif
    { 0 },
    &operand_data[252],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1752 */
  {
    "*addsi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_96 },
#else
    { 0, 0, output_96 },
#endif
    { 0 },
    &operand_data[255],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1752 */
  {
    "*adddi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_97 },
#else
    { 0, 0, output_97 },
#endif
    { 0 },
    &operand_data[258],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1816 */
  {
    "addsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_98 },
#else
    { 0, output_98, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compare0 },
    &operand_data[261],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1816 */
  {
    "adddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_99 },
#else
    { 0, output_99, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compare0 },
    &operand_data[264],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1833 */
  {
    "*addsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_100 },
#else
    { 0, output_100, 0 },
#endif
    { 0 },
    &operand_data[267],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1849 */
  {
    "*addsi3_compareC_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_101 },
#else
    { 0, output_101, 0 },
#endif
    { 0 },
    &operand_data[270],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1849 */
  {
    "*adddi3_compareC_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_102 },
#else
    { 0, output_102, 0 },
#endif
    { 0 },
    &operand_data[273],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1867 */
  {
    "*addsi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[176],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1867 */
  {
    "*adddi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[188],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1879 */
  {
    "*addsi3_compareC_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_105 },
#else
    { 0, output_105, 0 },
#endif
    { 0 },
    &operand_data[276],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1879 */
  {
    "*adddi3_compareC_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_106 },
#else
    { 0, output_106, 0 },
#endif
    { 0 },
    &operand_data[280],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1899 */
  {
    "addsi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareC },
    &operand_data[284],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1899 */
  {
    "adddi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareC },
    &operand_data[287],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1914 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1914 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1914 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1914 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1914 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1914 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1930 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[298],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1930 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[298],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1930 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[298],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1930 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[302],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1930 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[302],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1930 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[302],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1946 */
  {
    "*adds_mul_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[306],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1946 */
  {
    "*adds_mul_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[310],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1962 */
  {
    "*subs_mul_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsl %p3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[314],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1962 */
  {
    "*subs_mul_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsl %p3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[318],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[322],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[322],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[325],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[325],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[328],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[328],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[331],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[331],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[284],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[284],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[334],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1978 */
  {
    "*adds_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[334],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[337],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[337],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[340],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[340],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[343],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[343],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[346],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[346],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[284],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[284],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[349],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1992 */
  {
    "*subs_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[349],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[352],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[352],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[356],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[356],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[360],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[360],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[364],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[364],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[368],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[368],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[372],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*adds_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[372],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[376],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[376],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[380],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[380],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[384],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[384],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[388],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[388],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[392],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[392],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[396],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2024 */
  {
    "*subs_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[396],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2042 */
  {
    "*adds_extvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[400],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2042 */
  {
    "*adds_extzvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[400],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2042 */
  {
    "*adds_extvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x4, %x1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[405],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2042 */
  {
    "*adds_extzvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x4, %x1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[405],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2062 */
  {
    "*subs_extvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[400],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2062 */
  {
    "*subs_extzvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[400],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2062 */
  {
    "*subs_extvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x4, %x1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[405],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2062 */
  {
    "*subs_extzvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x4, %x1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[405],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2082 */
  {
    "*addsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_181 },
#else
    { 0, output_181, 0 },
#endif
    { 0 },
    &operand_data[262],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2082 */
  {
    "*adddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_182 },
#else
    { 0, output_182, 0 },
#endif
    { 0 },
    &operand_data[265],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2096 */
  {
    "aarch64_subsi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subsi_compare0 },
    &operand_data[410],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2096 */
  {
    "aarch64_subdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subdi_compare0 },
    &operand_data[412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2107 */
  {
    "*compare_negsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[176],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2107 */
  {
    "*compare_negdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[188],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2117 */
  {
    "*add_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2117 */
  {
    "*add_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2117 */
  {
    "*add_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2117 */
  {
    "*add_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2117 */
  {
    "*add_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2117 */
  {
    "*add_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2128 */
  {
    "*add_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2128 */
  {
    "*add_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2128 */
  {
    "*add_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2139 */
  {
    "*add_mul_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[306],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2139 */
  {
    "*add_mul_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[310],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[418],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[418],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[392],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[392],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2149 */
  {
    "*add_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2159 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2159 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2159 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2159 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2159 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2159 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2159 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2159 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[352],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[352],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2169 */
  {
    "*add_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2181 */
  {
    "*add_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2181 */
  {
    "*add_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2181 */
  {
    "*add_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2181 */
  {
    "*add_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_extendqi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_zero_extendqi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_extendqi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_zero_extendqi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_extendhi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[455],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_zero_extendhi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[455],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_extendhi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[459],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_zero_extendhi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[459],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_extendsi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtw %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_zero_extendsi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtw %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_extendsi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxtw %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[467],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2193 */
  {
    "*add_zero_extendsi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxtw %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[467],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2205 */
  {
    "*add_extendqi_mult_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[471],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2205 */
  {
    "*add_zero_extendqi_mult_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[471],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2205 */
  {
    "*add_extendhi_mult_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[475],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2205 */
  {
    "*add_zero_extendhi_mult_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[475],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2216 */
  {
    "*add_extvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[479],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2216 */
  {
    "*add_extzvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[479],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2216 */
  {
    "*add_extvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x4, %x1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[484],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2216 */
  {
    "*add_extzvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x4, %x1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[484],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2230 */
  {
    "*add_extvsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2230 */
  {
    "*add_extzvsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2258 */
  {
    "*addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[494],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2258 */
  {
    "*adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[498],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2271 */
  {
    "*addsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2284 */
  {
    "*add_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_259 },
#else
    { 0, 0, output_259 },
#endif
    { 0 },
    &operand_data[506],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2284 */
  {
    "*add_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_260 },
#else
    { 0, 0, output_260 },
#endif
    { 0 },
    &operand_data[511],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2300 */
  {
    "*add_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_261 },
#else
    { 0, 0, output_261 },
#endif
    { 0 },
    &operand_data[516],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2316 */
  {
    "*add_uxtsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_262 },
#else
    { 0, 0, output_262 },
#endif
    { 0 },
    &operand_data[479],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2316 */
  {
    "*add_uxtdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_263 },
#else
    { 0, 0, output_263 },
#endif
    { 0 },
    &operand_data[484],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2332 */
  {
    "*add_uxtsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_264 },
#else
    { 0, 0, output_264 },
#endif
    { 0 },
    &operand_data[489],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2348 */
  {
    "subsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3 },
    &operand_data[521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2358 */
  {
    "*subsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[524],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2368 */
  {
    "subdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_267 },
#else
    { 0, output_267, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3 },
    &operand_data[527],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*subsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[284],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*subdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[287],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2412 */
  {
    "*subsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "subsi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1 },
    &operand_data[530],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "subdi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1 },
    &operand_data[533],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2436 */
  {
    "subsi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, #%n2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1_imm },
    &operand_data[536],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2436 */
  {
    "subdi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, #%n2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1_imm },
    &operand_data[540],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2525 */
  {
    "*sub_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2525 */
  {
    "*sub_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2525 */
  {
    "*sub_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2525 */
  {
    "*sub_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2525 */
  {
    "*sub_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2525 */
  {
    "*sub_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*sub_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*sub_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*sub_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2549 */
  {
    "*sub_mul_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[306],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2549 */
  {
    "*sub_mul_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[310],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2561 */
  {
    "*sub_mul_imm_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[544],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[548],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[548],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[560],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2573 */
  {
    "*sub_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[560],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2584 */
  {
    "*sub_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[563],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2584 */
  {
    "*sub_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[563],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2584 */
  {
    "*sub_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[566],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2584 */
  {
    "*sub_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[566],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[569],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[569],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[573],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[573],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[577],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[577],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2595 */
  {
    "*sub_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2607 */
  {
    "*sub_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[593],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2607 */
  {
    "*sub_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[593],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2607 */
  {
    "*sub_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[597],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2607 */
  {
    "*sub_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[597],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2619 */
  {
    "*sub_extvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[601],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2619 */
  {
    "*sub_extzvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[601],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2619 */
  {
    "*sub_extvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x4, %x1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[606],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2619 */
  {
    "*sub_extzvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x4, %x1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[606],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2633 */
  {
    "*sub_extvsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[611],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2633 */
  {
    "*sub_extzvsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[611],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2653 */
  {
    "*subsi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2653 */
  {
    "*subdi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[619],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2664 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[622],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2686 */
  {
    "*subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[625],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2686 */
  {
    "*subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[629],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2700 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[633],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2714 */
  {
    "*subsi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[625],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2714 */
  {
    "*subdi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[629],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2727 */
  {
    "*subsi3_carryin_alt_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[633],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2740 */
  {
    "*sub_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_334 },
#else
    { 0, 0, output_334 },
#endif
    { 0 },
    &operand_data[637],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2740 */
  {
    "*sub_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_335 },
#else
    { 0, 0, output_335 },
#endif
    { 0 },
    &operand_data[642],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2756 */
  {
    "*sub_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_336 },
#else
    { 0, 0, output_336 },
#endif
    { 0 },
    &operand_data[647],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2772 */
  {
    "*sub_uxtsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_337 },
#else
    { 0, 0, output_337 },
#endif
    { 0 },
    &operand_data[601],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2772 */
  {
    "*sub_uxtdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_338 },
#else
    { 0, 0, output_338 },
#endif
    { 0 },
    &operand_data[606],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2788 */
  {
    "*sub_uxtsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_339 },
#else
    { 0, 0, output_339 },
#endif
    { 0 },
    &operand_data[611],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2816 */
  {
    "negsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_340 },
#else
    { 0, output_340, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2 },
    &operand_data[652],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2816 */
  {
    "negdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_341 },
#else
    { 0, output_341, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2 },
    &operand_data[654],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2828 */
  {
    "*negsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2836 */
  {
    "*ngcsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2836 */
  {
    "*ngcdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2846 */
  {
    "*ngcsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[662],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2857 */
  {
    "negsi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2_compare0 },
    &operand_data[284],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2857 */
  {
    "negdi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2_compare0 },
    &operand_data[287],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2869 */
  {
    "*negsi2_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[334],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*neg_lslsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*neg_asrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*neg_lsrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*neg_lsldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*neg_asrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*neg_lsrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*neg_lsl_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*neg_asr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*neg_lsr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*neg_lsl_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*neg_asr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*neg_lsr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2905 */
  {
    "*neg_lsl_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2905 */
  {
    "*neg_asr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2905 */
  {
    "*neg_lsr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2916 */
  {
    "*neg_mul_imm_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2916 */
  {
    "*neg_mul_imm_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[310],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2927 */
  {
    "*neg_mul_imm_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2938 */
  {
    "mulsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsi3 },
    &operand_data[284],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2938 */
  {
    "muldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldi3 },
    &operand_data[287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2948 */
  {
    "*mulsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "maddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsi },
    &operand_data[665],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "madddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_madddi },
    &operand_data[669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2969 */
  {
    "*maddsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2980 */
  {
    "*msubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[665],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2980 */
  {
    "*msubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2992 */
  {
    "*msubsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3004 */
  {
    "*mulsi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[284],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3004 */
  {
    "*muldi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3015 */
  {
    "*mulsi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3026 */
  {
    "mulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsidi3 },
    &operand_data[502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3026 */
  {
    "umulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulsidi3 },
    &operand_data[502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3035 */
  {
    "maddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsidi4 },
    &operand_data[677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3035 */
  {
    "umaddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaddsidi4 },
    &operand_data[677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3046 */
  {
    "msubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_msubsidi4 },
    &operand_data[677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3046 */
  {
    "umsubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umsubsidi4 },
    &operand_data[677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3058 */
  {
    "*mulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3058 */
  {
    "*umulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3110 */
  {
    "smuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smuldi3_highpart },
    &operand_data[287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3110 */
  {
    "umuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umuldi3_highpart },
    &operand_data[287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3123 */
  {
    "divsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsi3 },
    &operand_data[284],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3123 */
  {
    "udivsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivsi3 },
    &operand_data[284],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3123 */
  {
    "divdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdi3 },
    &operand_data[287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3123 */
  {
    "udivdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivdi3 },
    &operand_data[287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3133 */
  {
    "*divsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3133 */
  {
    "*udivsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3147 */
  {
    "cmpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_395 },
#else
    { 0, output_395, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpsi },
    &operand_data[681],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3147 */
  {
    "cmpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_396 },
#else
    { 0, output_396, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpdi },
    &operand_data[683],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3159 */
  {
    "fcmpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_397 },
#else
    { 0, output_397, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpsf },
    &operand_data[685],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3159 */
  {
    "fcmpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_398 },
#else
    { 0, output_398, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpdf },
    &operand_data[687],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3170 */
  {
    "fcmpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_399 },
#else
    { 0, output_399, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpesf },
    &operand_data[685],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3170 */
  {
    "fcmpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_400 },
#else
    { 0, output_400, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpedf },
    &operand_data[687],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3181 */
  {
    "*cmp_swp_lsl_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3181 */
  {
    "*cmp_swp_asr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3181 */
  {
    "*cmp_swp_lsr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3181 */
  {
    "*cmp_swp_lsl_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3181 */
  {
    "*cmp_swp_asr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3181 */
  {
    "*cmp_swp_lsr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_zero_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[326],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_zero_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[326],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_zero_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_zero_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[176],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_zero_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[176],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[335],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*cmp_swp_zero_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[335],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[361],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[361],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[365],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[365],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[373],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3202 */
  {
    "*cmp_swp_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[373],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3256 */
  {
    "aarch64_cstoreqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoreqi },
    &operand_data[695],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3256 */
  {
    "aarch64_cstorehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstorehi },
    &operand_data[698],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3256 */
  {
    "aarch64_cstoresi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoresi },
    &operand_data[701],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3256 */
  {
    "aarch64_cstoredi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoredi },
    &operand_data[704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3275 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[707],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3275 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[707],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3275 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[710],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3275 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[710],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3301 */
  {
    "*cstoresi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[713],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3311 */
  {
    "cstoreqi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoreqi_neg },
    &operand_data[695],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3311 */
  {
    "cstorehi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorehi_neg },
    &operand_data[698],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3311 */
  {
    "cstoresi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi_neg },
    &operand_data[701],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3311 */
  {
    "cstoredi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi_neg },
    &operand_data[704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3321 */
  {
    "*cstoresi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[713],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3363 */
  {
    "*cmovqi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_445 },
#else
    { 0, output_445, 0 },
#endif
    { 0 },
    &operand_data[716],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3363 */
  {
    "*cmovhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_446 },
#else
    { 0, output_446, 0 },
#endif
    { 0 },
    &operand_data[721],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3363 */
  {
    "*cmovsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_447 },
#else
    { 0, output_447, 0 },
#endif
    { 0 },
    &operand_data[726],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3363 */
  {
    "*cmovdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_448 },
#else
    { 0, output_448, 0 },
#endif
    { 0 },
    &operand_data[731],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3385 */
  {
    "*cmovsi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_449 },
#else
    { 0, output_449, 0 },
#endif
    { 0 },
    &operand_data[736],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3407 */
  {
    "*cmovdi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csel\t%w0, %w3, %w4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[741],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3419 */
  {
    "*cmovsf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%s0, %s3, %s4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[746],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3419 */
  {
    "*cmovdf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%d0, %d3, %d4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[751],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3508 */
  {
    "aarch64_crc32b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_453 },
#else
    { 0, 0, output_453 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32b },
    &operand_data[337],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3508 */
  {
    "aarch64_crc32h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_454 },
#else
    { 0, 0, output_454 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32h },
    &operand_data[343],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3508 */
  {
    "aarch64_crc32w",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_455 },
#else
    { 0, 0, output_455 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32w },
    &operand_data[284],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3508 */
  {
    "aarch64_crc32x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_456 },
#else
    { 0, 0, output_456 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32x },
    &operand_data[756],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3508 */
  {
    "aarch64_crc32cb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_457 },
#else
    { 0, 0, output_457 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cb },
    &operand_data[337],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3508 */
  {
    "aarch64_crc32ch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_458 },
#else
    { 0, 0, output_458 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32ch },
    &operand_data[343],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3508 */
  {
    "aarch64_crc32cw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_459 },
#else
    { 0, 0, output_459 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cw },
    &operand_data[284],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3508 */
  {
    "aarch64_crc32cx",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_460 },
#else
    { 0, 0, output_460 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cx },
    &operand_data[756],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3523 */
  {
    "*csinc2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%w0, %w1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3523 */
  {
    "*csinc2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%x0, %x1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3532 */
  {
    "csinc3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3si_insn },
    &operand_data[765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3532 */
  {
    "csinc3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3di_insn },
    &operand_data[769],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3544 */
  {
    "*csinv3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3544 */
  {
    "*csinv3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[769],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3555 */
  {
    "csneg3_uxtw_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3_uxtw_insn },
    &operand_data[773],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3567 */
  {
    "csneg3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3si_insn },
    &operand_data[765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3567 */
  {
    "csneg3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3di_insn },
    &operand_data[769],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3623 */
  {
    "aarch64_uqdecsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_470 },
#else
    { 0, 0, output_470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecsi },
    &operand_data[777],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3623 */
  {
    "aarch64_uqdecdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_471 },
#else
    { 0, 0, output_471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecdi },
    &operand_data[780],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3640 */
  {
    "*aarch64_andsi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[783],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3640 */
  {
    "*aarch64_anddi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[786],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "andsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_474 },
#else
    { 0, output_474, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andsi3 },
    &operand_data[789],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "iorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_475 },
#else
    { 0, output_475, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorsi3 },
    &operand_data[789],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "xorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_476 },
#else
    { 0, output_476, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsi3 },
    &operand_data[789],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "anddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_477 },
#else
    { 0, output_477, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_anddi3 },
    &operand_data[792],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "iordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_478 },
#else
    { 0, output_478, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iordi3 },
    &operand_data[792],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "xordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_479 },
#else
    { 0, output_479, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xordi3 },
    &operand_data[792],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3673 */
  {
    "*andsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_480 },
#else
    { 0, output_480, 0 },
#endif
    { 0 },
    &operand_data[795],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3673 */
  {
    "*iorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_481 },
#else
    { 0, output_481, 0 },
#endif
    { 0 },
    &operand_data[795],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3673 */
  {
    "*xorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_482 },
#else
    { 0, output_482, 0 },
#endif
    { 0 },
    &operand_data[795],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3685 */
  {
    "*andsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_483 },
#else
    { 0, output_483, 0 },
#endif
    { 0 },
    &operand_data[798],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3685 */
  {
    "*anddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_484 },
#else
    { 0, output_484, 0 },
#endif
    { 0 },
    &operand_data[801],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3701 */
  {
    "*andsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_485 },
#else
    { 0, output_485, 0 },
#endif
    { 0 },
    &operand_data[804],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3716 */
  {
    "*and_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3716 */
  {
    "*and_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3716 */
  {
    "*and_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3716 */
  {
    "*and_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3716 */
  {
    "*and_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3716 */
  {
    "*and_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3716 */
  {
    "*and_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3716 */
  {
    "*and_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3732 */
  {
    "*and_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3732 */
  {
    "*and_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3732 */
  {
    "*and_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3732 */
  {
    "*and_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*and_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*ior_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*xor_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*and_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*ior_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*xor_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*and_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*ior_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*xor_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*and_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*ior_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*xor_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*and_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*ior_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*xor_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*and_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*ior_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*xor_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*and_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*ior_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*xor_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*and_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*ior_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*xor_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3759 */
  {
    "*and_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3759 */
  {
    "*ior_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3759 */
  {
    "*xor_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3759 */
  {
    "*and_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, ror (64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3759 */
  {
    "*ior_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, ror (64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3759 */
  {
    "*xor_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, ror (64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*and_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*ior_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*xor_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*and_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*ior_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*xor_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*and_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*ior_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*xor_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*and_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*ior_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3771 */
  {
    "*xor_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3783 */
  {
    "*and_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3783 */
  {
    "*ior_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3783 */
  {
    "*xor_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3795 */
  {
    "one_cmplsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_543 },
#else
    { 0, output_543, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplsi2 },
    &operand_data[652],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3795 */
  {
    "one_cmpldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_544 },
#else
    { 0, output_544, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmpldi2 },
    &operand_data[654],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3806 */
  {
    "*one_cmpl_ashlsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3806 */
  {
    "*one_cmpl_ashrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3806 */
  {
    "*one_cmpl_lshrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3806 */
  {
    "*one_cmpl_rotrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3806 */
  {
    "*one_cmpl_ashldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3806 */
  {
    "*one_cmpl_ashrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3806 */
  {
    "*one_cmpl_lshrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3806 */
  {
    "*one_cmpl_rotrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*and_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_553 },
#else
    { 0, output_553, 0 },
#endif
    { 0 },
    &operand_data[807],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*ior_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_554 },
#else
    { 0, output_554, 0 },
#endif
    { 0 },
    &operand_data[807],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*and_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_555 },
#else
    { 0, output_555, 0 },
#endif
    { 0 },
    &operand_data[810],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*ior_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_556 },
#else
    { 0, output_556, 0 },
#endif
    { 0 },
    &operand_data[810],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3829 */
  {
    "*and_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3829 */
  {
    "*ior_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3839 */
  {
    "*xor_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3851 */
  {
    "*xor_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_560 },
#else
    { 0, output_560, 0 },
#endif
    { 0 },
    &operand_data[813],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3851 */
  {
    "*xor_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_561 },
#else
    { 0, output_561, 0 },
#endif
    { 0 },
    &operand_data[816],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3869 */
  {
    "*and_one_cmplsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[284],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3869 */
  {
    "*and_one_cmpldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x2, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[287],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3884 */
  {
    "*and_one_cmplsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[502],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3898 */
  {
    "*and_one_cmplsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[176],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3898 */
  {
    "*and_one_cmpldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[188],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "and_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashlsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "ior_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashlsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "xor_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashlsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "and_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "ior_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "xor_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "and_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "ior_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "xor_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "and_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "ior_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "xor_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrsi3 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "and_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashldi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "ior_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashldi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "xor_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashldi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "and_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrdi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "ior_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrdi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "xor_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrdi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "and_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrdi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "ior_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrdi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "xor_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrdi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "and_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrdi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "ior_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrdi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "xor_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrdi3 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3922 */
  {
    "*eor_one_cmpl_ashlsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3922 */
  {
    "*eor_one_cmpl_ashrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3922 */
  {
    "*eor_one_cmpl_lshrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3922 */
  {
    "*eor_one_cmpl_rotrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3922 */
  {
    "*eor_one_cmpl_ashldi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3922 */
  {
    "*eor_one_cmpl_ashrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3922 */
  {
    "*eor_one_cmpl_lshrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3922 */
  {
    "*eor_one_cmpl_rotrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3935 */
  {
    "*eor_one_cmpl_ashlsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3935 */
  {
    "*eor_one_cmpl_ashrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3935 */
  {
    "*eor_one_cmpl_lshrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3935 */
  {
    "*eor_one_cmpl_rotrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3948 */
  {
    "*and_one_cmpl_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3948 */
  {
    "*and_one_cmpl_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3948 */
  {
    "*and_one_cmpl_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3948 */
  {
    "*and_one_cmpl_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[290],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3948 */
  {
    "*and_one_cmpl_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3948 */
  {
    "*and_one_cmpl_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3948 */
  {
    "*and_one_cmpl_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3948 */
  {
    "*and_one_cmpl_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[294],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3967 */
  {
    "*and_one_cmpl_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3967 */
  {
    "*and_one_cmpl_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3967 */
  {
    "*and_one_cmpl_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3967 */
  {
    "*and_one_cmpl_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[414],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3985 */
  {
    "*and_one_cmpl_ashlsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3985 */
  {
    "*and_one_cmpl_ashrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3985 */
  {
    "*and_one_cmpl_lshrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3985 */
  {
    "*and_one_cmpl_rotrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3985 */
  {
    "*and_one_cmpl_ashldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3985 */
  {
    "*and_one_cmpl_ashrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3985 */
  {
    "*and_one_cmpl_lshrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3985 */
  {
    "*and_one_cmpl_rotrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3999 */
  {
    "clzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzsi2 },
    &operand_data[284],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3999 */
  {
    "clzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzdi2 },
    &operand_data[287],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4055 */
  {
    "clrsbsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbsi2 },
    &operand_data[284],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4055 */
  {
    "clrsbdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbdi2 },
    &operand_data[287],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4063 */
  {
    "rbitsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitsi2 },
    &operand_data[284],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4063 */
  {
    "rbitdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitdi2 },
    &operand_data[287],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4076 */
  {
    "ctzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzsi2 },
    &operand_data[284],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4076 */
  {
    "ctzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzdi2 },
    &operand_data[287],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4089 */
  {
    "*andqi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[62],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4089 */
  {
    "*andhi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[64],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4099 */
  {
    "*andsqi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[322],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4099 */
  {
    "*andsqi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[325],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4099 */
  {
    "*andshi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[328],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4099 */
  {
    "*andshi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[331],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4111 */
  {
    "*andsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_637 },
#else
    { 0, output_637, 0 },
#endif
    { 0 },
    &operand_data[796],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4111 */
  {
    "*anddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_638 },
#else
    { 0, output_638, 0 },
#endif
    { 0 },
    &operand_data[802],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4140 */
  {
    "*andsi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_639 },
#else
    { 0, 0, output_639 },
#endif
    { 0 },
    &operand_data[819],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4140 */
  {
    "*anddi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_640 },
#else
    { 0, 0, output_640 },
#endif
    { 0 },
    &operand_data[822],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4162 */
  {
    "*and_ashlsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4162 */
  {
    "*and_ashrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4162 */
  {
    "*and_lshrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4162 */
  {
    "*and_rotrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4162 */
  {
    "*and_ashldi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4162 */
  {
    "*and_ashrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4162 */
  {
    "*and_lshrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4162 */
  {
    "*and_rotrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4286 */
  {
    "*aarch64_ashl_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4286 */
  {
    "*aarch64_ashr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4286 */
  {
    "*aarch64_lshr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4286 */
  {
    "*aarch64_rotr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4286 */
  {
    "*aarch64_ashl_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[830],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4286 */
  {
    "*aarch64_ashr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[830],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4286 */
  {
    "*aarch64_lshr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[830],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4286 */
  {
    "*aarch64_rotr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[830],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*aarch64_ashl_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[835],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*aarch64_ashr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[835],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*aarch64_lshr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[835],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*aarch64_rotr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[835],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*aarch64_ashl_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[840],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*aarch64_ashr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[840],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*aarch64_lshr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[840],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*aarch64_rotr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[840],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4322 */
  {
    "*aarch64_ashl_reg_si3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[845],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4322 */
  {
    "*aarch64_ashl_reg_di3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[851],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4350 */
  {
    "*aarch64_ashl_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_667 },
#else
    { 0, 0, output_667 },
#endif
    { 0 },
    &operand_data[857],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4350 */
  {
    "*aarch64_ashr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_668 },
#else
    { 0, 0, output_668 },
#endif
    { 0 },
    &operand_data[857],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4350 */
  {
    "*aarch64_lshr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_669 },
#else
    { 0, 0, output_669 },
#endif
    { 0 },
    &operand_data[857],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4350 */
  {
    "*aarch64_rotr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_670 },
#else
    { 0, 0, output_670 },
#endif
    { 0 },
    &operand_data[857],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*aarch64_ashl_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[862],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*aarch64_ashr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[862],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*aarch64_lshr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[862],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*aarch64_ashl_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[866],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*aarch64_ashr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[866],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*aarch64_lshr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[866],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4399 */
  {
    "*aarch64_ashl_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_677 },
#else
    { 0, output_677, 0 },
#endif
    { 0 },
    &operand_data[870],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4399 */
  {
    "*aarch64_ashl_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_678 },
#else
    { 0, output_678, 0 },
#endif
    { 0 },
    &operand_data[873],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4415 */
  {
    "*aarch64_lshr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_679 },
#else
    { 0, output_679, 0 },
#endif
    { 0 },
    &operand_data[876],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4415 */
  {
    "*aarch64_lshr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_680 },
#else
    { 0, output_680, 0 },
#endif
    { 0 },
    &operand_data[879],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4463 */
  {
    "*aarch64_ashr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_681 },
#else
    { 0, output_681, 0 },
#endif
    { 0 },
    &operand_data[882],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4463 */
  {
    "*aarch64_ashr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_682 },
#else
    { 0, output_682, 0 },
#endif
    { 0 },
    &operand_data[879],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4510 */
  {
    "*aarch64_sisd_ushl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4521 */
  {
    "*aarch64_ushl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[888],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4532 */
  {
    "*aarch64_sisd_sshl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4543 */
  {
    "*aarch64_sshl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[888],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4554 */
  {
    "*aarch64_sisd_neg_qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[891],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4565 */
  {
    "*rorsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_688 },
#else
    { 0, output_688, 0 },
#endif
    { 0 },
    &operand_data[893],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4565 */
  {
    "*rordi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_689 },
#else
    { 0, output_689, 0 },
#endif
    { 0 },
    &operand_data[896],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4578 */
  {
    "*ashlsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_690 },
#else
    { 0, output_690, 0 },
#endif
    { 0 },
    &operand_data[899],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4578 */
  {
    "*ashrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_691 },
#else
    { 0, output_691, 0 },
#endif
    { 0 },
    &operand_data[899],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4578 */
  {
    "*lshrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_692 },
#else
    { 0, output_692, 0 },
#endif
    { 0 },
    &operand_data[899],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4578 */
  {
    "*rotrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_693 },
#else
    { 0, output_693, 0 },
#endif
    { 0 },
    &operand_data[899],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4590 */
  {
    "*ashlqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_694 },
#else
    { 0, 0, output_694 },
#endif
    { 0 },
    &operand_data[902],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4590 */
  {
    "*ashrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_695 },
#else
    { 0, 0, output_695 },
#endif
    { 0 },
    &operand_data[902],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4590 */
  {
    "*lshrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_696 },
#else
    { 0, 0, output_696 },
#endif
    { 0 },
    &operand_data[902],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4590 */
  {
    "*ashlhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_697 },
#else
    { 0, 0, output_697 },
#endif
    { 0 },
    &operand_data[905],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4590 */
  {
    "*ashrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_698 },
#else
    { 0, 0, output_698 },
#endif
    { 0 },
    &operand_data[905],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4590 */
  {
    "*lshrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_699 },
#else
    { 0, 0, output_699 },
#endif
    { 0 },
    &operand_data[905],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4602 */
  {
    "*extrsi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[908],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4602 */
  {
    "*extrdi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[913],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4616 */
  {
    "*extrsi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[908],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4616 */
  {
    "*extrdi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[913],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4630 */
  {
    "*extrsi5_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[918],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4643 */
  {
    "*extrsi5_insn_uxtw_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[918],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4656 */
  {
    "*rorsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_706 },
#else
    { 0, 0, output_706 },
#endif
    { 0 },
    &operand_data[923],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4656 */
  {
    "*rordi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_707 },
#else
    { 0, 0, output_707 },
#endif
    { 0 },
    &operand_data[926],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4669 */
  {
    "*rorsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_708 },
#else
    { 0, 0, output_708 },
#endif
    { 0 },
    &operand_data[929],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4682 */
  {
    "*extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_709 },
#else
    { 0, 0, output_709 },
#endif
    { 0 },
    &operand_data[932],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4682 */
  {
    "*zero_extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_710 },
#else
    { 0, 0, output_710 },
#endif
    { 0 },
    &operand_data[932],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4682 */
  {
    "*extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_711 },
#else
    { 0, 0, output_711 },
#endif
    { 0 },
    &operand_data[935],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4682 */
  {
    "*zero_extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_712 },
#else
    { 0, 0, output_712 },
#endif
    { 0 },
    &operand_data[935],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4682 */
  {
    "*extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_713 },
#else
    { 0, 0, output_713 },
#endif
    { 0 },
    &operand_data[938],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4682 */
  {
    "*zero_extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_714 },
#else
    { 0, 0, output_714 },
#endif
    { 0 },
    &operand_data[938],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4682 */
  {
    "*extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_715 },
#else
    { 0, 0, output_715 },
#endif
    { 0 },
    &operand_data[941],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4682 */
  {
    "*zero_extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_716 },
#else
    { 0, 0, output_716 },
#endif
    { 0 },
    &operand_data[941],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4695 */
  {
    "*zero_extendsi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_717 },
#else
    { 0, 0, output_717 },
#endif
    { 0 },
    &operand_data[932],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4695 */
  {
    "*zero_extenddi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_718 },
#else
    { 0, 0, output_718 },
#endif
    { 0 },
    &operand_data[935],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4695 */
  {
    "*zero_extendsi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_719 },
#else
    { 0, 0, output_719 },
#endif
    { 0 },
    &operand_data[938],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4695 */
  {
    "*zero_extenddi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_720 },
#else
    { 0, 0, output_720 },
#endif
    { 0 },
    &operand_data[941],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4708 */
  {
    "*extendsi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_721 },
#else
    { 0, 0, output_721 },
#endif
    { 0 },
    &operand_data[932],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4708 */
  {
    "*extenddi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_722 },
#else
    { 0, 0, output_722 },
#endif
    { 0 },
    &operand_data[935],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4708 */
  {
    "*extendsi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_723 },
#else
    { 0, 0, output_723 },
#endif
    { 0 },
    &operand_data[938],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4708 */
  {
    "*extenddi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_724 },
#else
    { 0, 0, output_724 },
#endif
    { 0 },
    &operand_data[941],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4740 */
  {
    "*extvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[944],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4740 */
  {
    "*extzvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[944],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4740 */
  {
    "*extvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[948],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4740 */
  {
    "*extzvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[948],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4804 */
  {
    "*insv_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[952],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4804 */
  {
    "*insv_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[956],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4816 */
  {
    "*aarch64_bfisiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[960],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4816 */
  {
    "*aarch64_bfidiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[964],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4816 */
  {
    "*aarch64_bfisihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[968],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4816 */
  {
    "*aarch64_bfidihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[972],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4816 */
  {
    "*aarch64_bfisisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[952],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4816 */
  {
    "*aarch64_bfidisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[976],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4826 */
  {
    "*extr_insv_lower_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[980],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4826 */
  {
    "*extr_insv_lower_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%x0, %x2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[984],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_739 },
#else
    { 0, 0, output_739 },
#endif
    { 0 },
    &operand_data[932],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_740 },
#else
    { 0, 0, output_740 },
#endif
    { 0 },
    &operand_data[932],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_741 },
#else
    { 0, 0, output_741 },
#endif
    { 0 },
    &operand_data[935],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_742 },
#else
    { 0, 0, output_742 },
#endif
    { 0 },
    &operand_data[935],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_743 },
#else
    { 0, 0, output_743 },
#endif
    { 0 },
    &operand_data[938],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_744 },
#else
    { 0, 0, output_744 },
#endif
    { 0 },
    &operand_data[938],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_745 },
#else
    { 0, 0, output_745 },
#endif
    { 0 },
    &operand_data[941],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_746 },
#else
    { 0, 0, output_746 },
#endif
    { 0 },
    &operand_data[941],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_747 },
#else
    { 0, 0, output_747 },
#endif
    { 0 },
    &operand_data[923],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_748 },
#else
    { 0, 0, output_748 },
#endif
    { 0 },
    &operand_data[923],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_749 },
#else
    { 0, 0, output_749 },
#endif
    { 0 },
    &operand_data[929],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4840 */
  {
    "*zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_750 },
#else
    { 0, 0, output_750 },
#endif
    { 0 },
    &operand_data[929],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4857 */
  {
    "*andim_ashiftsi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%w0, %w1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[988],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4857 */
  {
    "*andim_ashiftdi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%x0, %x1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[992],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "bswapsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapsi2 },
    &operand_data[284],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "bswapdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapdi2 },
    &operand_data[287],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4893 */
  {
    "bswaphi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswaphi2 },
    &operand_data[905],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4905 */
  {
    "rev16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16si2 },
    &operand_data[996],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4905 */
  {
    "rev16di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16di2 },
    &operand_data[1000],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4919 */
  {
    "rev16si2_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16si2_alt },
    &operand_data[996],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4919 */
  {
    "rev16di2_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16di2_alt },
    &operand_data[1000],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4934 */
  {
    "*bswapsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "btrunchf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btrunchf2 },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "ceilhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilhf2 },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "floorhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorhf2 },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "frintnhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnhf2 },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "nearbyinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyinthf2 },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "rinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rinthf2 },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "roundhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundhf2 },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "btruncsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncsf2 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "ceilsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilsf2 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "floorsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorsf2 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "frintnsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnsf2 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "nearbyintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintsf2 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "rintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintsf2 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "roundsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundsf2 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "btruncdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncdf2 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "ceildf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceildf2 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "floordf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floordf2 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "frintndf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintndf2 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "nearbyintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintdf2 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "rintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintdf2 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "rounddf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rounddf2 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtrunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceilhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfloorhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lroundhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintnhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtruncuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceiluhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lflooruhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lrounduhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintnuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtrunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceilhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfloorhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lroundhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintnhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtruncuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceiluhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lflooruhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lrounduhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintnuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtruncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfsi2 },
    &operand_data[1014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceilsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfsi2 },
    &operand_data[1014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfloorsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfsi2 },
    &operand_data[1014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lroundsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfsi2 },
    &operand_data[1014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintnsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfsi2 },
    &operand_data[1014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtruncusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfsi2 },
    &operand_data[1014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceilusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfsi2 },
    &operand_data[1014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfloorusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfsi2 },
    &operand_data[1014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lroundusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfsi2 },
    &operand_data[1014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintnusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfsi2 },
    &operand_data[1014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtruncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceilsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfloorsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lroundsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintnsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtruncusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceilusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfloorusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lroundusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintnusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtruncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceildfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfloordfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lrounddfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintndfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtruncudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceiludfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfloorudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lroundudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintnudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtruncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfdi2 },
    &operand_data[1020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceildfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfdi2 },
    &operand_data[1020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfloordfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfdi2 },
    &operand_data[1020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lrounddfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfdi2 },
    &operand_data[1020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintndfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfdi2 },
    &operand_data[1020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lbtruncudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfdi2 },
    &operand_data[1020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lceiludfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfdi2 },
    &operand_data[1020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfloorudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfdi2 },
    &operand_data[1020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lroundudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfdi2 },
    &operand_data[1020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4960 */
  {
    "lfrintnudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfdi2 },
    &operand_data[1020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4970 */
  {
    "*aarch64_fcvtsfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_842 },
#else
    { 0, 0, output_842 },
#endif
    { 0 },
    &operand_data[1022],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4970 */
  {
    "*aarch64_fcvtusfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_843 },
#else
    { 0, 0, output_843 },
#endif
    { 0 },
    &operand_data[1022],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4970 */
  {
    "*aarch64_fcvtsfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_844 },
#else
    { 0, 0, output_844 },
#endif
    { 0 },
    &operand_data[1025],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4970 */
  {
    "*aarch64_fcvtusfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_845 },
#else
    { 0, 0, output_845 },
#endif
    { 0 },
    &operand_data[1025],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4970 */
  {
    "*aarch64_fcvtdfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_846 },
#else
    { 0, 0, output_846 },
#endif
    { 0 },
    &operand_data[1028],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4970 */
  {
    "*aarch64_fcvtudfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_847 },
#else
    { 0, 0, output_847 },
#endif
    { 0 },
    &operand_data[1028],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4970 */
  {
    "*aarch64_fcvtdfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_848 },
#else
    { 0, 0, output_848 },
#endif
    { 0 },
    &operand_data[1031],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4970 */
  {
    "*aarch64_fcvtudfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_849 },
#else
    { 0, 0, output_849 },
#endif
    { 0 },
    &operand_data[1031],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4991 */
  {
    "fmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%h0, %h1, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmahf4 },
    &operand_data[1034],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4991 */
  {
    "fmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%s0, %s1, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmasf4 },
    &operand_data[1038],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4991 */
  {
    "fmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%d0, %d1, %d2, %d3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmadf4 },
    &operand_data[1042],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5001 */
  {
    "fnmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%h0, %h1, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmahf4 },
    &operand_data[1034],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5001 */
  {
    "fnmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%s0, %s1, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmasf4 },
    &operand_data[1038],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5001 */
  {
    "fnmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%d0, %d1, %d2, %d3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmadf4 },
    &operand_data[1042],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5012 */
  {
    "fmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%s0, %s1, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmssf4 },
    &operand_data[1038],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5012 */
  {
    "fmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%d0, %d1, %d2, %d3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsdf4 },
    &operand_data[1042],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5022 */
  {
    "fnmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s1, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmssf4 },
    &operand_data[1038],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5022 */
  {
    "fnmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d1, %d2, %d3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsdf4 },
    &operand_data[1042],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5033 */
  {
    "*fnmaddsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s1, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1038],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5033 */
  {
    "*fnmadddf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d1, %d2, %d3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1042],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5047 */
  {
    "extendsfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsfdf2 },
    &operand_data[1046],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5055 */
  {
    "extendhfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfsf2 },
    &operand_data[1048],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5063 */
  {
    "extendhfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfdf2 },
    &operand_data[1050],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5071 */
  {
    "truncdfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfsf2 },
    &operand_data[1052],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5079 */
  {
    "truncsfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncsfhf2 },
    &operand_data[1054],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5087 */
  {
    "truncdfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfhf2 },
    &operand_data[1056],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5098 */
  {
    "fix_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_868 },
#else
    { 0, output_868, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfsi2 },
    &operand_data[1058],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5098 */
  {
    "fixuns_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_869 },
#else
    { 0, output_869, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfsi2 },
    &operand_data[1058],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5098 */
  {
    "fix_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_870 },
#else
    { 0, output_870, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfdi2 },
    &operand_data[1060],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5098 */
  {
    "fixuns_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_871 },
#else
    { 0, output_871, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfdi2 },
    &operand_data[1060],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5110 */
  {
    "fix_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5110 */
  {
    "fixuns_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfsi2 },
    &operand_data[1010],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5110 */
  {
    "fix_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5110 */
  {
    "fixuns_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfdi2 },
    &operand_data[1012],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5121 */
  {
    "fix_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5121 */
  {
    "fixuns_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfsi2 },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5121 */
  {
    "fix_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5121 */
  {
    "fixuns_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfdi2 },
    &operand_data[1016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5129 */
  {
    "floatsisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_880 },
#else
    { 0, output_880, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsisf2 },
    &operand_data[1062],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5129 */
  {
    "floatunssisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_881 },
#else
    { 0, output_881, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssisf2 },
    &operand_data[1062],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5129 */
  {
    "floatdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_882 },
#else
    { 0, output_882, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdidf2 },
    &operand_data[1064],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5129 */
  {
    "floatunsdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_883 },
#else
    { 0, output_883, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdidf2 },
    &operand_data[1064],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "floatdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdisf2 },
    &operand_data[1066],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "floatunsdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdisf2 },
    &operand_data[1066],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "floatsidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsidf2 },
    &operand_data[1068],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "floatunssidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssidf2 },
    &operand_data[1068],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5156 */
  {
    "aarch64_fp16_floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatsihf2 },
    &operand_data[1070],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5156 */
  {
    "aarch64_fp16_floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunssihf2 },
    &operand_data[1070],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5156 */
  {
    "aarch64_fp16_floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatdihf2 },
    &operand_data[1072],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5156 */
  {
    "aarch64_fp16_floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunsdihf2 },
    &operand_data[1072],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5213 */
  {
    "fcvtzssf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_892 },
#else
    { 0, output_892, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzssf3 },
    &operand_data[1074],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5213 */
  {
    "fcvtzusf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_893 },
#else
    { 0, output_893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzusf3 },
    &operand_data[1074],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5213 */
  {
    "fcvtzsdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_894 },
#else
    { 0, output_894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsdf3 },
    &operand_data[1077],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5213 */
  {
    "fcvtzudf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_895 },
#else
    { 0, output_895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzudf3 },
    &operand_data[1077],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5227 */
  {
    "scvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_896 },
#else
    { 0, output_896, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsi3 },
    &operand_data[1080],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5227 */
  {
    "ucvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_897 },
#else
    { 0, output_897, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsi3 },
    &operand_data[1080],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5227 */
  {
    "scvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_898 },
#else
    { 0, output_898, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdi3 },
    &operand_data[1083],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5227 */
  {
    "ucvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_899 },
#else
    { 0, output_899, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdi3 },
    &operand_data[1083],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5241 */
  {
    "fcvtzshfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfsi3 },
    &operand_data[1086],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5241 */
  {
    "fcvtzuhfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfsi3 },
    &operand_data[1086],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5241 */
  {
    "fcvtzshfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfdi3 },
    &operand_data[1089],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5241 */
  {
    "fcvtzuhfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfdi3 },
    &operand_data[1089],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5251 */
  {
    "scvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsihf3 },
    &operand_data[1092],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5251 */
  {
    "ucvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsihf3 },
    &operand_data[1092],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5251 */
  {
    "scvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdihf3 },
    &operand_data[1095],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5251 */
  {
    "ucvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdihf3 },
    &operand_data[1095],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5261 */
  {
    "fcvtzshf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshf3 },
    &operand_data[1098],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5261 */
  {
    "fcvtzuhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhf3 },
    &operand_data[1098],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5271 */
  {
    "scvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfhi3 },
    &operand_data[1101],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5271 */
  {
    "ucvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfhi3 },
    &operand_data[1101],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5285 */
  {
    "addhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addhf3 },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5285 */
  {
    "addsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsf3 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5285 */
  {
    "adddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddf3 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5295 */
  {
    "subhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subhf3 },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5295 */
  {
    "subsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsf3 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5295 */
  {
    "subdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdf3 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5305 */
  {
    "mulhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulhf3 },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5305 */
  {
    "mulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsf3 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5305 */
  {
    "muldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldf3 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5315 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5315 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5325 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5325 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5347 */
  {
    "*divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5347 */
  {
    "*divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5347 */
  {
    "*divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5356 */
  {
    "neghf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_neghf2 },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5356 */
  {
    "negsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsf2 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5356 */
  {
    "negdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdf2 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5373 */
  {
    "*sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5373 */
  {
    "*sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5373 */
  {
    "*sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5381 */
  {
    "abshf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abshf2 },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5381 */
  {
    "abssf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssf2 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5381 */
  {
    "absdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdf2 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5393 */
  {
    "smaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxsf3 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5393 */
  {
    "smaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxdf3 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5402 */
  {
    "sminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminsf3 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5402 */
  {
    "smindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smindf3 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "smax_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanhf3 },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "smin_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanhf3 },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "fmaxhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxhf3 },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "fminhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminhf3 },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "smax_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nansf3 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "smin_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nansf3 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "fmaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxsf3 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "fminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminsf3 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "smax_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nandf3 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "smin_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nandf3 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "fmaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxdf3 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5414 */
  {
    "fmindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmindf3 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5468 */
  {
    "copysignsf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_953 },
#else
    { 0, output_953, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3_insn },
    &operand_data[1104],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5468 */
  {
    "copysigndf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_954 },
#else
    { 0, output_954, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3_insn },
    &operand_data[1108],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5571 */
  {
    "aarch64_movdi_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tilow },
    &operand_data[1112],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5571 */
  {
    "aarch64_movdi_tflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tflow },
    &operand_data[1114],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5581 */
  {
    "aarch64_movdi_tihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tihigh },
    &operand_data[1112],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5581 */
  {
    "aarch64_movdi_tfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tfhigh },
    &operand_data[1114],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5591 */
  {
    "aarch64_movtihigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtihigh_di },
    &operand_data[1116],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5591 */
  {
    "aarch64_movtfhigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtfhigh_di },
    &operand_data[1118],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5601 */
  {
    "aarch64_movtilow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_di },
    &operand_data[1120],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5601 */
  {
    "aarch64_movtflow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtflow_di },
    &operand_data[1122],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5610 */
  {
    "aarch64_movtilow_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_tilow },
    &operand_data[1124],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5641 */
  {
    "add_losym_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_si },
    &operand_data[1126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5641 */
  {
    "add_losym_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_di },
    &operand_data[1129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5650 */
  {
    "ldr_got_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_si },
    &operand_data[1132],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5650 */
  {
    "ldr_got_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_di },
    &operand_data[1135],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5661 */
  {
    "ldr_got_small_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_sidi },
    &operand_data[1135],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5673 */
  {
    "ldr_got_small_28k_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_si },
    &operand_data[1132],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5673 */
  {
    "ldr_got_small_28k_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, [%1, #:gotpage_lo15:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_di },
    &operand_data[1135],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5684 */
  {
    "ldr_got_small_28k_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_sidi },
    &operand_data[1135],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5696 */
  {
    "ldr_got_tiny",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny },
    &operand_data[1138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5705 */
  {
    "aarch64_load_tp_hard",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, tpidr_el0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_tp_hard },
    &operand_data[140],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5726 */
  {
    "*tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1140],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5726 */
  {
    "*tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1143],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5737 */
  {
    "tlsie_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_si },
    &operand_data[1146],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5737 */
  {
    "tlsie_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%x0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_di },
    &operand_data[1148],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5747 */
  {
    "tlsie_small_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_sidi },
    &operand_data[1148],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5758 */
  {
    "tlsie_tiny_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_si },
    &operand_data[1150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5758 */
  {
    "tlsie_tiny_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, %L1\n\tadd\t%x0, %x0, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_di },
    &operand_data[1153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5769 */
  {
    "tlsie_tiny_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_sidi },
    &operand_data[1153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5782 */
  {
    "tlsle12_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_si },
    &operand_data[1156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5782 */
  {
    "tlsle12_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_di },
    &operand_data[1159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5793 */
  {
    "tlsle24_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%G2, lsl #12\n\tadd\t%w0, %w0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_si },
    &operand_data[1156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5793 */
  {
    "tlsle24_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%G2, lsl #12\n\tadd\t%x0, %x0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_di },
    &operand_data[1159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5804 */
  {
    "tlsle32_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g1:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_si },
    &operand_data[1162],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5804 */
  {
    "tlsle32_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g1:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_di },
    &operand_data[1164],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5814 */
  {
    "tlsle48_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g2:%1\n\tmovk\t%w0, #:tprel_g1_nc:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_si },
    &operand_data[1162],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5814 */
  {
    "tlsle48_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g2:%1\n\tmovk\t%x0, #:tprel_g1_nc:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_di },
    &operand_data[1164],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5838 */
  {
    "tlsdesc_small_advsimd_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%w1, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_si },
    &operand_data[1166],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5838 */
  {
    "tlsdesc_small_advsimd_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%x1, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_di },
    &operand_data[1166],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5854 */
  {
    "tlsdesc_small_sve_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%w1, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_si },
    &operand_data[1166],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5854 */
  {
    "tlsdesc_small_sve_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%x1, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_di },
    &operand_data[1166],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5890 */
  {
    "stack_tie",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_tie },
    &operand_data[1168],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5900 */
  {
    "aarch64_fjcvtzs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fjcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fjcvtzs },
    &operand_data[1018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5919 */
  {
    "pacisp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t25 // paciasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacisp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5919 */
  {
    "autisp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t29 // autiasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autisp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5928 */
  {
    "paci1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t8 // pacia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_paci1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5928 */
  {
    "auti1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t12 // autia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_auti1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5937 */
  {
    "xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t7 // xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xpaclri },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5946 */
  {
    "blockage",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_blockage },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5954 */
  {
    "probe_stack_range",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1002 },
#else
    { 0, 0, output_1002 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_stack_range },
    &operand_data[1170],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5991 */
  {
    "stack_protect_set_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %1\n\tstr\t%w2, %0\n\tmov\t%w2,0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_si },
    &operand_data[1173],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5991 */
  {
    "stack_protect_set_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %1\n\tstr\t%x2, %0\n\tmov\t%x2,0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_di },
    &operand_data[1176],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6021 */
  {
    "stack_protect_test_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %0\n\tldr\t%w3, %1\n\tsubs\t%w2, %w2, %w3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_si },
    &operand_data[1179],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6021 */
  {
    "stack_protect_test_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %0\n\tldr\t%x3, %1\n\tsubs\t%x2, %x2, %x3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_di },
    &operand_data[1183],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6034 */
  {
    "set_fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpcr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_set_fpcr },
    &operand_data[42],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6041 */
  {
    "get_fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_get_fpcr },
    &operand_data[128],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6049 */
  {
    "set_fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpsr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_set_fpsr },
    &operand_data[42],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6056 */
  {
    "get_fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_get_fpsr },
    &operand_data[128],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6107 */
  {
    "aarch64_rndr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDR",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndr },
    &operand_data[140],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6117 */
  {
    "aarch64_rndrrs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDRRS",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndrrs },
    &operand_data[140],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1013 },
#else
    { 0, output_1013, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8qi },
    &operand_data[1187],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1014 },
#else
    { 0, output_1014, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv16qi },
    &operand_data[1189],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1015 },
#else
    { 0, output_1015, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hi },
    &operand_data[1191],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1016 },
#else
    { 0, output_1016, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hi },
    &operand_data[1193],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1017 },
#else
    { 0, output_1017, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2si },
    &operand_data[1195],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1018 },
#else
    { 0, output_1018, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4si },
    &operand_data[1197],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1019 },
#else
    { 0, output_1019, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2di },
    &operand_data[1199],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hf },
    &operand_data[1201],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hf },
    &operand_data[1203],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2sf },
    &operand_data[1205],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4sf },
    &operand_data[1207],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2df },
    &operand_data[1209],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1025 },
#else
    { 0, 0, output_1025 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8qi },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1026 },
#else
    { 0, 0, output_1026 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev16qi },
    &operand_data[1214],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1027 },
#else
    { 0, 0, output_1027 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hi },
    &operand_data[1217],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1028 },
#else
    { 0, 0, output_1028 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hi },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1029 },
#else
    { 0, 0, output_1029 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2si },
    &operand_data[1223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1030 },
#else
    { 0, 0, output_1030 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4si },
    &operand_data[1226],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1031 },
#else
    { 0, 0, output_1031 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2di },
    &operand_data[1229],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1032 },
#else
    { 0, 0, output_1032 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hf },
    &operand_data[1232],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1033 },
#else
    { 0, 0, output_1033 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hf },
    &operand_data[1235],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1034 },
#else
    { 0, 0, output_1034 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2sf },
    &operand_data[1238],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1035 },
#else
    { 0, 0, output_1035 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4sf },
    &operand_data[1241],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1036 },
#else
    { 0, 0, output_1036 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2df },
    &operand_data[1244],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1037 },
#else
    { 0, 0, output_1037 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v8qi },
    &operand_data[1247],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1038 },
#else
    { 0, 0, output_1038 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v16qi },
    &operand_data[1250],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1039 },
#else
    { 0, 0, output_1039 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hi },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1040 },
#else
    { 0, 0, output_1040 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hi },
    &operand_data[1256],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1041 },
#else
    { 0, 0, output_1041 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2si },
    &operand_data[1259],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1042 },
#else
    { 0, 0, output_1042 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4si },
    &operand_data[1262],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1043 },
#else
    { 0, 0, output_1043 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hf },
    &operand_data[1265],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1044 },
#else
    { 0, 0, output_1044 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hf },
    &operand_data[1268],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1045 },
#else
    { 0, 0, output_1045 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2sf },
    &operand_data[1271],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1046 },
#else
    { 0, 0, output_1046 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4sf },
    &operand_data[1274],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1047 },
#else
    { 0, 0, output_1047 },
#endif
    { 0 },
    &operand_data[1277],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1048 },
#else
    { 0, 0, output_1048 },
#endif
    { 0 },
    &operand_data[1279],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1049 },
#else
    { 0, 0, output_1049 },
#endif
    { 0 },
    &operand_data[1281],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1050 },
#else
    { 0, 0, output_1050 },
#endif
    { 0 },
    &operand_data[1283],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1051 },
#else
    { 0, 0, output_1051 },
#endif
    { 0 },
    &operand_data[1285],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1052 },
#else
    { 0, 0, output_1052 },
#endif
    { 0 },
    &operand_data[1287],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1053 },
#else
    { 0, 0, output_1053 },
#endif
    { 0 },
    &operand_data[1289],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1054 },
#else
    { 0, 0, output_1054 },
#endif
    { 0 },
    &operand_data[1291],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1055 },
#else
    { 0, 0, output_1055 },
#endif
    { 0 },
    &operand_data[1293],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1056 },
#else
    { 0, 0, output_1056 },
#endif
    { 0 },
    &operand_data[1295],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1057 },
#else
    { 0, 0, output_1057 },
#endif
    { 0 },
    &operand_data[1297],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1058 },
#else
    { 0, 0, output_1058 },
#endif
    { 0 },
    &operand_data[1299],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8qi },
    &operand_data[1301],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v16qi },
    &operand_data[1304],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hi },
    &operand_data[1307],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hi },
    &operand_data[1310],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2si },
    &operand_data[1313],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4si },
    &operand_data[1316],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2di },
    &operand_data[1319],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hf },
    &operand_data[1322],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hf },
    &operand_data[1325],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2sf },
    &operand_data[1328],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4sf },
    &operand_data[1331],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2df },
    &operand_data[1334],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qi },
    &operand_data[1337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hi },
    &operand_data[1341],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hf },
    &operand_data[1345],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2si },
    &operand_data[1349],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sf },
    &operand_data[1353],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "store_pairv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pairv8qi },
    &operand_data[1357],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "store_pairv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pairv4hi },
    &operand_data[1361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "store_pairv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pairv4hf },
    &operand_data[1365],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "store_pairv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pairv2si },
    &operand_data[1369],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "store_pairv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pairv2sf },
    &operand_data[1373],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:267 */
  {
    "aarch64_simd_mov_from_v16qilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qilow },
    &operand_data[1377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:267 */
  {
    "aarch64_simd_mov_from_v8hilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hilow },
    &operand_data[1380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:267 */
  {
    "aarch64_simd_mov_from_v4silow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4silow },
    &operand_data[1383],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:267 */
  {
    "aarch64_simd_mov_from_v2dilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v2dilow },
    &operand_data[1386],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:267 */
  {
    "aarch64_simd_mov_from_v8hflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hflow },
    &operand_data[1389],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:267 */
  {
    "aarch64_simd_mov_from_v4sflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sflow },
    &operand_data[1392],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:267 */
  {
    "aarch64_simd_mov_from_v2dflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v2dflow },
    &operand_data[1395],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:278 */
  {
    "aarch64_simd_mov_from_v16qihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qihigh },
    &operand_data[1398],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:278 */
  {
    "aarch64_simd_mov_from_v8hihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hihigh },
    &operand_data[1401],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:278 */
  {
    "aarch64_simd_mov_from_v4sihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sihigh },
    &operand_data[1404],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:278 */
  {
    "aarch64_simd_mov_from_v2dihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v2dihigh },
    &operand_data[1407],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:278 */
  {
    "aarch64_simd_mov_from_v8hfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hfhigh },
    &operand_data[1410],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:278 */
  {
    "aarch64_simd_mov_from_v4sfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sfhigh },
    &operand_data[1413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:278 */
  {
    "aarch64_simd_mov_from_v2dfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umov\t%0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v2dfhigh },
    &operand_data[1416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:289 */
  {
    "ornv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv8qi3 },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:289 */
  {
    "ornv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv16qi3 },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:289 */
  {
    "ornv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv4hi3 },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:289 */
  {
    "ornv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv8hi3 },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:289 */
  {
    "ornv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv2si3 },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:289 */
  {
    "ornv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv4si3 },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:289 */
  {
    "ornv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv2di3 },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:298 */
  {
    "bicv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv8qi3 },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:298 */
  {
    "bicv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv16qi3 },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:298 */
  {
    "bicv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv4hi3 },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:298 */
  {
    "bicv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv8hi3 },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:298 */
  {
    "bicv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv2si3 },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:298 */
  {
    "bicv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv4si3 },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:298 */
  {
    "bicv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv2di3 },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:307 */
  {
    "addv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8qi3 },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:307 */
  {
    "addv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv16qi3 },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:307 */
  {
    "addv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hi3 },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:307 */
  {
    "addv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hi3 },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:307 */
  {
    "addv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2si3 },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:307 */
  {
    "addv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4si3 },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:307 */
  {
    "addv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2di3 },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:316 */
  {
    "subv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8qi3 },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:316 */
  {
    "subv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv16qi3 },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:316 */
  {
    "subv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hi3 },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:316 */
  {
    "subv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hi3 },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:316 */
  {
    "subv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2si3 },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:316 */
  {
    "subv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4si3 },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:316 */
  {
    "subv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2di3 },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:325 */
  {
    "mulv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8qi3 },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:325 */
  {
    "mulv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv16qi3 },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:325 */
  {
    "mulv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hi3 },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:325 */
  {
    "mulv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hi3 },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:325 */
  {
    "mulv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2si3 },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:325 */
  {
    "mulv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4si3 },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:334 */
  {
    "bswapv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4hi2 },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:334 */
  {
    "bswapv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv8hi2 },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:334 */
  {
    "bswapv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2si2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:334 */
  {
    "bswapv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4si2 },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:334 */
  {
    "bswapv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2di2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "aarch64_rbitv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "aarch64_rbitv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "aarch64_fcadd90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "aarch64_fcadd270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "aarch64_fcadd90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "aarch64_fcadd270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "aarch64_fcadd90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "aarch64_fcadd270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "aarch64_fcadd90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "aarch64_fcadd270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "aarch64_fcadd90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "aarch64_fcadd270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4hf },
    &operand_data[1455],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4hf },
    &operand_data[1455],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4hf },
    &operand_data[1455],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4hf },
    &operand_data[1455],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v8hf },
    &operand_data[1459],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v8hf },
    &operand_data[1459],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v8hf },
    &operand_data[1459],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v8hf },
    &operand_data[1459],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2sf },
    &operand_data[1463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2sf },
    &operand_data[1463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2sf },
    &operand_data[1463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2sf },
    &operand_data[1463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4sf },
    &operand_data[1467],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4sf },
    &operand_data[1467],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4sf },
    &operand_data[1467],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4sf },
    &operand_data[1467],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2df },
    &operand_data[1471],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2df },
    &operand_data[1471],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2df },
    &operand_data[1471],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:410 */
  {
    "aarch64_fcmla270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2df },
    &operand_data[1471],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1166 },
#else
    { 0, 0, output_1166 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4hf },
    &operand_data[1475],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1167 },
#else
    { 0, 0, output_1167 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4hf },
    &operand_data[1475],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1168 },
#else
    { 0, 0, output_1168 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4hf },
    &operand_data[1475],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1169 },
#else
    { 0, 0, output_1169 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4hf },
    &operand_data[1475],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1170 },
#else
    { 0, 0, output_1170 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v8hf },
    &operand_data[1480],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1171 },
#else
    { 0, 0, output_1171 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v8hf },
    &operand_data[1480],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1172 },
#else
    { 0, 0, output_1172 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v8hf },
    &operand_data[1480],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1173 },
#else
    { 0, 0, output_1173 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v8hf },
    &operand_data[1480],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1174 },
#else
    { 0, 0, output_1174 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2sf },
    &operand_data[1485],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1175 },
#else
    { 0, 0, output_1175 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2sf },
    &operand_data[1485],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1176 },
#else
    { 0, 0, output_1176 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2sf },
    &operand_data[1485],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1177 },
#else
    { 0, 0, output_1177 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2sf },
    &operand_data[1485],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1178 },
#else
    { 0, 0, output_1178 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4sf },
    &operand_data[1490],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1179 },
#else
    { 0, 0, output_1179 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4sf },
    &operand_data[1490],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1180 },
#else
    { 0, 0, output_1180 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4sf },
    &operand_data[1490],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1181 },
#else
    { 0, 0, output_1181 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4sf },
    &operand_data[1490],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1182 },
#else
    { 0, 0, output_1182 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2df },
    &operand_data[1495],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1183 },
#else
    { 0, 0, output_1183 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2df },
    &operand_data[1495],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1184 },
#else
    { 0, 0, output_1184 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2df },
    &operand_data[1495],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:422 */
  {
    "aarch64_fcmla_lane270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1185 },
#else
    { 0, 0, output_1185 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2df },
    &operand_data[1495],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:437 */
  {
    "aarch64_fcmla_laneq0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1186 },
#else
    { 0, 0, output_1186 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq0v4hf },
    &operand_data[1500],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:437 */
  {
    "aarch64_fcmla_laneq90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1187 },
#else
    { 0, 0, output_1187 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq90v4hf },
    &operand_data[1500],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:437 */
  {
    "aarch64_fcmla_laneq180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1188 },
#else
    { 0, 0, output_1188 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq180v4hf },
    &operand_data[1500],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:437 */
  {
    "aarch64_fcmla_laneq270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1189 },
#else
    { 0, 0, output_1189 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq270v4hf },
    &operand_data[1500],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmlaq_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1190 },
#else
    { 0, 0, output_1190 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v8hf },
    &operand_data[1505],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmlaq_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1191 },
#else
    { 0, 0, output_1191 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v8hf },
    &operand_data[1505],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmlaq_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1192 },
#else
    { 0, 0, output_1192 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v8hf },
    &operand_data[1505],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmlaq_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1193 },
#else
    { 0, 0, output_1193 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v8hf },
    &operand_data[1505],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmlaq_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1194 },
#else
    { 0, 0, output_1194 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v4sf },
    &operand_data[1510],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmlaq_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1195 },
#else
    { 0, 0, output_1195 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v4sf },
    &operand_data[1510],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmlaq_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1196 },
#else
    { 0, 0, output_1196 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v4sf },
    &operand_data[1510],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmlaq_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1197 },
#else
    { 0, 0, output_1197 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v4sf },
    &operand_data[1510],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:470 */
  {
    "aarch64_sdotv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdotv8qi },
    &operand_data[1515],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:470 */
  {
    "aarch64_udotv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udotv8qi },
    &operand_data[1515],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:470 */
  {
    "aarch64_sdotv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdotv16qi },
    &operand_data[1519],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:470 */
  {
    "aarch64_udotv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udotv16qi },
    &operand_data[1519],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:518 */
  {
    "aarch64_sdot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1202 },
#else
    { 0, 0, output_1202 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev8qi },
    &operand_data[1523],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:518 */
  {
    "aarch64_udot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1203 },
#else
    { 0, 0, output_1203 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev8qi },
    &operand_data[1523],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:518 */
  {
    "aarch64_sdot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1204 },
#else
    { 0, 0, output_1204 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev16qi },
    &operand_data[1528],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:518 */
  {
    "aarch64_udot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1205 },
#else
    { 0, 0, output_1205 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev16qi },
    &operand_data[1528],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "aarch64_sdot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1206 },
#else
    { 0, 0, output_1206 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv8qi },
    &operand_data[1533],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "aarch64_udot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1207 },
#else
    { 0, 0, output_1207 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv8qi },
    &operand_data[1533],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "aarch64_sdot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1208 },
#else
    { 0, 0, output_1208 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv16qi },
    &operand_data[1538],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "aarch64_udot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1209 },
#else
    { 0, 0, output_1209 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv16qi },
    &operand_data[1538],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:566 */
  {
    "*aarch64_mul3_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1210 },
#else
    { 0, 0, output_1210 },
#endif
    { 0 },
    &operand_data[1543],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:566 */
  {
    "*aarch64_mul3_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1211 },
#else
    { 0, 0, output_1211 },
#endif
    { 0 },
    &operand_data[1547],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:566 */
  {
    "*aarch64_mul3_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1212 },
#else
    { 0, 0, output_1212 },
#endif
    { 0 },
    &operand_data[1551],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:566 */
  {
    "*aarch64_mul3_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1213 },
#else
    { 0, 0, output_1213 },
#endif
    { 0 },
    &operand_data[1555],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:566 */
  {
    "*aarch64_mul3_eltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1214 },
#else
    { 0, 0, output_1214 },
#endif
    { 0 },
    &operand_data[1559],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:566 */
  {
    "*aarch64_mul3_eltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1215 },
#else
    { 0, 0, output_1215 },
#endif
    { 0 },
    &operand_data[1563],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:566 */
  {
    "*aarch64_mul3_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1216 },
#else
    { 0, 0, output_1216 },
#endif
    { 0 },
    &operand_data[1567],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:566 */
  {
    "*aarch64_mul3_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1217 },
#else
    { 0, 0, output_1217 },
#endif
    { 0 },
    &operand_data[1571],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:566 */
  {
    "*aarch64_mul3_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1218 },
#else
    { 0, 0, output_1218 },
#endif
    { 0 },
    &operand_data[1575],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:582 */
  {
    "*aarch64_mul3_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1219 },
#else
    { 0, 0, output_1219 },
#endif
    { 0 },
    &operand_data[1579],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:582 */
  {
    "*aarch64_mul3_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1220 },
#else
    { 0, 0, output_1220 },
#endif
    { 0 },
    &operand_data[1583],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:582 */
  {
    "*aarch64_mul3_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1221 },
#else
    { 0, 0, output_1221 },
#endif
    { 0 },
    &operand_data[1587],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:582 */
  {
    "*aarch64_mul3_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1222 },
#else
    { 0, 0, output_1222 },
#endif
    { 0 },
    &operand_data[1591],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:582 */
  {
    "*aarch64_mul3_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1223 },
#else
    { 0, 0, output_1223 },
#endif
    { 0 },
    &operand_data[1595],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:582 */
  {
    "*aarch64_mul3_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1224 },
#else
    { 0, 0, output_1224 },
#endif
    { 0 },
    &operand_data[1599],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "*aarch64_mul3_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "*aarch64_mul3_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1606],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "*aarch64_mul3_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "*aarch64_mul3_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "*aarch64_mul3_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1615],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "*aarch64_mul3_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1618],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "*aarch64_mul3_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1621],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "*aarch64_mul3_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1624],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "*aarch64_mul3_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1627],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:609 */
  {
    "aarch64_rsqrtev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4hf },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:609 */
  {
    "aarch64_rsqrtev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev8hf },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:609 */
  {
    "aarch64_rsqrtev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2sf },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:609 */
  {
    "aarch64_rsqrtev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4sf },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:609 */
  {
    "aarch64_rsqrtev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2df },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:609 */
  {
    "aarch64_rsqrtehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtehf },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:609 */
  {
    "aarch64_rsqrtesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtesf },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:609 */
  {
    "aarch64_rsqrtedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtedf },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:617 */
  {
    "aarch64_rsqrtsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:617 */
  {
    "aarch64_rsqrtsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:617 */
  {
    "aarch64_rsqrtsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:617 */
  {
    "aarch64_rsqrtsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:617 */
  {
    "aarch64_rsqrtsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:617 */
  {
    "aarch64_rsqrtshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtshf },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:617 */
  {
    "aarch64_rsqrtssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtssf },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:617 */
  {
    "aarch64_rsqrtsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsdf },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:636 */
  {
    "*aarch64_mul3_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1250 },
#else
    { 0, 0, output_1250 },
#endif
    { 0 },
    &operand_data[1630],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:651 */
  {
    "negv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8qi2 },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:651 */
  {
    "negv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv16qi2 },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:651 */
  {
    "negv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hi2 },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:651 */
  {
    "negv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hi2 },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:651 */
  {
    "negv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2si2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:651 */
  {
    "negv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4si2 },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:651 */
  {
    "negv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2di2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:659 */
  {
    "absv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8qi2 },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:659 */
  {
    "absv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv16qi2 },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:659 */
  {
    "absv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hi2 },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:659 */
  {
    "absv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hi2 },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:659 */
  {
    "absv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2si2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:659 */
  {
    "absv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4si2 },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:659 */
  {
    "absv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2di2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "aarch64_absv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "aarch64_absv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "aarch64_absv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4hi },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "aarch64_absv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8hi },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "aarch64_absv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "aarch64_absv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "aarch64_absv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2di },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "aarch64_absdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absdi },
    &operand_data[885],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:680 */
  {
    "abdv8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abdv8qi_3 },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:680 */
  {
    "abdv16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abdv16qi_3 },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:680 */
  {
    "abdv4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abdv4hi_3 },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:680 */
  {
    "abdv8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abdv8hi_3 },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:680 */
  {
    "abdv2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abdv2si_3 },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:680 */
  {
    "abdv4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abdv4si_3 },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:690 */
  {
    "abav8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav8qi_3 },
    &operand_data[1634],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:690 */
  {
    "abav16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav16qi_3 },
    &operand_data[1638],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:690 */
  {
    "abav4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav4hi_3 },
    &operand_data[1642],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:690 */
  {
    "abav8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav8hi_3 },
    &operand_data[1646],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:690 */
  {
    "abav2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav2si_3 },
    &operand_data[1650],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:690 */
  {
    "abav4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav4si_3 },
    &operand_data[1654],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:701 */
  {
    "fabdv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4hf3 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:701 */
  {
    "fabdv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv8hf3 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:701 */
  {
    "fabdv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2sf3 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:701 */
  {
    "fabdv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4sf3 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:701 */
  {
    "fabdv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2df3 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:701 */
  {
    "fabdhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdhf3 },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:701 */
  {
    "fabdsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdsf3 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:701 */
  {
    "fabddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabddf3 },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:713 */
  {
    "andv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1293 },
#else
    { 0, 0, output_1293 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8qi3 },
    &operand_data[1658],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:713 */
  {
    "andv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1294 },
#else
    { 0, 0, output_1294 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv16qi3 },
    &operand_data[1661],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:713 */
  {
    "andv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1295 },
#else
    { 0, 0, output_1295 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4hi3 },
    &operand_data[1664],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:713 */
  {
    "andv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1296 },
#else
    { 0, 0, output_1296 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8hi3 },
    &operand_data[1667],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:713 */
  {
    "andv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1297 },
#else
    { 0, 0, output_1297 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2si3 },
    &operand_data[1670],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:713 */
  {
    "andv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1298 },
#else
    { 0, 0, output_1298 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4si3 },
    &operand_data[1673],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:713 */
  {
    "andv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1299 },
#else
    { 0, 0, output_1299 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2di3 },
    &operand_data[1676],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:734 */
  {
    "iorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1300 },
#else
    { 0, 0, output_1300 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:734 */
  {
    "iorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1301 },
#else
    { 0, 0, output_1301 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv16qi3 },
    &operand_data[1682],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:734 */
  {
    "iorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1302 },
#else
    { 0, 0, output_1302 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4hi3 },
    &operand_data[1685],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:734 */
  {
    "iorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1303 },
#else
    { 0, 0, output_1303 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8hi3 },
    &operand_data[1688],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:734 */
  {
    "iorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1304 },
#else
    { 0, 0, output_1304 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2si3 },
    &operand_data[1691],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:734 */
  {
    "iorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1305 },
#else
    { 0, 0, output_1305 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4si3 },
    &operand_data[1694],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:734 */
  {
    "iorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1306 },
#else
    { 0, 0, output_1306 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2di3 },
    &operand_data[1697],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:754 */
  {
    "xorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8qi3 },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:754 */
  {
    "xorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv16qi3 },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:754 */
  {
    "xorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4hi3 },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:754 */
  {
    "xorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8hi3 },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:754 */
  {
    "xorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2si3 },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:754 */
  {
    "xorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4si3 },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:754 */
  {
    "xorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2di3 },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:763 */
  {
    "one_cmplv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8qi2 },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:763 */
  {
    "one_cmplv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv16qi2 },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:763 */
  {
    "one_cmplv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4hi2 },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:763 */
  {
    "one_cmplv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8hi2 },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:763 */
  {
    "one_cmplv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2si2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:763 */
  {
    "one_cmplv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4si2 },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:763 */
  {
    "one_cmplv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2di2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:771 */
  {
    "aarch64_simd_vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1321 },
#else
    { 0, 0, output_1321 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8qi },
    &operand_data[1700],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:771 */
  {
    "aarch64_simd_vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1322 },
#else
    { 0, 0, output_1322 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv16qi },
    &operand_data[1704],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:771 */
  {
    "aarch64_simd_vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1323 },
#else
    { 0, 0, output_1323 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hi },
    &operand_data[1708],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:771 */
  {
    "aarch64_simd_vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1324 },
#else
    { 0, 0, output_1324 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hi },
    &operand_data[1712],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:771 */
  {
    "aarch64_simd_vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1325 },
#else
    { 0, 0, output_1325 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2si },
    &operand_data[1716],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:771 */
  {
    "aarch64_simd_vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1326 },
#else
    { 0, 0, output_1326 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4si },
    &operand_data[1720],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1327 },
#else
    { 0, 0, output_1327 },
#endif
    { 0 },
    &operand_data[1724],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1328 },
#else
    { 0, 0, output_1328 },
#endif
    { 0 },
    &operand_data[1729],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1329 },
#else
    { 0, 0, output_1329 },
#endif
    { 0 },
    &operand_data[1734],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1330 },
#else
    { 0, 0, output_1330 },
#endif
    { 0 },
    &operand_data[1739],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1331 },
#else
    { 0, 0, output_1331 },
#endif
    { 0 },
    &operand_data[1744],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1332 },
#else
    { 0, 0, output_1332 },
#endif
    { 0 },
    &operand_data[1749],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1333 },
#else
    { 0, 0, output_1333 },
#endif
    { 0 },
    &operand_data[1754],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1334 },
#else
    { 0, 0, output_1334 },
#endif
    { 0 },
    &operand_data[1759],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1335 },
#else
    { 0, 0, output_1335 },
#endif
    { 0 },
    &operand_data[1764],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1336 },
#else
    { 0, 0, output_1336 },
#endif
    { 0 },
    &operand_data[1769],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1337 },
#else
    { 0, 0, output_1337 },
#endif
    { 0 },
    &operand_data[1774],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:797 */
  {
    "*aarch64_simd_vec_copy_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1338 },
#else
    { 0, 0, output_1338 },
#endif
    { 0 },
    &operand_data[1779],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:818 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1339 },
#else
    { 0, 0, output_1339 },
#endif
    { 0 },
    &operand_data[1784],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:818 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1340 },
#else
    { 0, 0, output_1340 },
#endif
    { 0 },
    &operand_data[1789],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:818 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1341 },
#else
    { 0, 0, output_1341 },
#endif
    { 0 },
    &operand_data[1794],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:818 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1342 },
#else
    { 0, 0, output_1342 },
#endif
    { 0 },
    &operand_data[1799],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:818 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1343 },
#else
    { 0, 0, output_1343 },
#endif
    { 0 },
    &operand_data[1804],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:818 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1344 },
#else
    { 0, 0, output_1344 },
#endif
    { 0 },
    &operand_data[1809],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:818 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1345 },
#else
    { 0, 0, output_1345 },
#endif
    { 0 },
    &operand_data[1814],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:818 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1346 },
#else
    { 0, 0, output_1346 },
#endif
    { 0 },
    &operand_data[1819],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:818 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1347 },
#else
    { 0, 0, output_1347 },
#endif
    { 0 },
    &operand_data[1824],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:818 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1348 },
#else
    { 0, 0, output_1348 },
#endif
    { 0 },
    &operand_data[1829],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:840 */
  {
    "aarch64_simd_lshrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8qi },
    &operand_data[1834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:840 */
  {
    "aarch64_simd_lshrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv16qi },
    &operand_data[1837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:840 */
  {
    "aarch64_simd_lshrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4hi },
    &operand_data[1840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:840 */
  {
    "aarch64_simd_lshrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8hi },
    &operand_data[1843],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:840 */
  {
    "aarch64_simd_lshrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2si },
    &operand_data[1846],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:840 */
  {
    "aarch64_simd_lshrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4si },
    &operand_data[1849],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:840 */
  {
    "aarch64_simd_lshrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2di },
    &operand_data[1852],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:849 */
  {
    "aarch64_simd_ashrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8qi },
    &operand_data[1834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:849 */
  {
    "aarch64_simd_ashrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv16qi },
    &operand_data[1837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:849 */
  {
    "aarch64_simd_ashrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4hi },
    &operand_data[1840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:849 */
  {
    "aarch64_simd_ashrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8hi },
    &operand_data[1843],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:849 */
  {
    "aarch64_simd_ashrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2si },
    &operand_data[1846],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:849 */
  {
    "aarch64_simd_ashrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4si },
    &operand_data[1849],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:849 */
  {
    "aarch64_simd_ashrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2di },
    &operand_data[1852],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:858 */
  {
    "aarch64_simd_imm_shlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8qi },
    &operand_data[1855],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:858 */
  {
    "aarch64_simd_imm_shlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv16qi },
    &operand_data[1858],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:858 */
  {
    "aarch64_simd_imm_shlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4hi },
    &operand_data[1861],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:858 */
  {
    "aarch64_simd_imm_shlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8hi },
    &operand_data[1864],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:858 */
  {
    "aarch64_simd_imm_shlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2si },
    &operand_data[1867],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:858 */
  {
    "aarch64_simd_imm_shlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4si },
    &operand_data[1870],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:858 */
  {
    "aarch64_simd_imm_shlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2di },
    &operand_data[1873],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:867 */
  {
    "aarch64_simd_reg_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:867 */
  {
    "aarch64_simd_reg_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:867 */
  {
    "aarch64_simd_reg_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:867 */
  {
    "aarch64_simd_reg_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:867 */
  {
    "aarch64_simd_reg_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:867 */
  {
    "aarch64_simd_reg_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:867 */
  {
    "aarch64_simd_reg_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:876 */
  {
    "aarch64_simd_reg_shlv8qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_unsigned },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:876 */
  {
    "aarch64_simd_reg_shlv16qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_unsigned },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:876 */
  {
    "aarch64_simd_reg_shlv4hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_unsigned },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:876 */
  {
    "aarch64_simd_reg_shlv8hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_unsigned },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:876 */
  {
    "aarch64_simd_reg_shlv2si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_unsigned },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:876 */
  {
    "aarch64_simd_reg_shlv4si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_unsigned },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:876 */
  {
    "aarch64_simd_reg_shlv2di_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_unsigned },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:886 */
  {
    "aarch64_simd_reg_shlv8qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_signed },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:886 */
  {
    "aarch64_simd_reg_shlv16qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_signed },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:886 */
  {
    "aarch64_simd_reg_shlv4hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_signed },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:886 */
  {
    "aarch64_simd_reg_shlv8hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_signed },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:886 */
  {
    "aarch64_simd_reg_shlv2si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_signed },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:886 */
  {
    "aarch64_simd_reg_shlv4si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_signed },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:886 */
  {
    "aarch64_simd_reg_shlv2di_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_signed },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1084 */
  {
    "vec_shr_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1391 },
#else
    { 0, 0, output_1391 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v8qi },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1084 */
  {
    "vec_shr_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1392 },
#else
    { 0, 0, output_1392 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hi },
    &operand_data[1217],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1084 */
  {
    "vec_shr_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1393 },
#else
    { 0, 0, output_1393 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hf },
    &operand_data[1232],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1084 */
  {
    "vec_shr_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1394 },
#else
    { 0, 0, output_1394 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2si },
    &operand_data[1223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1084 */
  {
    "vec_shr_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1395 },
#else
    { 0, 0, output_1395 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2sf },
    &operand_data[1238],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1099 */
  {
    "aarch64_simd_vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1396 },
#else
    { 0, 0, output_1396 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2di },
    &operand_data[1876],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "aarch64_simd_vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1397 },
#else
    { 0, 0, output_1397 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hf },
    &operand_data[1880],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "aarch64_simd_vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1398 },
#else
    { 0, 0, output_1398 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hf },
    &operand_data[1884],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "aarch64_simd_vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1399 },
#else
    { 0, 0, output_1399 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2sf },
    &operand_data[1888],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "aarch64_simd_vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1400 },
#else
    { 0, 0, output_1400 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4sf },
    &operand_data[1892],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "aarch64_simd_vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1401 },
#else
    { 0, 0, output_1401 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2df },
    &operand_data[1896],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_mlav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8qi },
    &operand_data[1900],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_mlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav16qi },
    &operand_data[1904],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_mlav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4hi },
    &operand_data[1908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_mlav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8hi },
    &operand_data[1912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_mlav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav2si },
    &operand_data[1916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_mlav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4si },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1178 */
  {
    "*aarch64_mla_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1408 },
#else
    { 0, 0, output_1408 },
#endif
    { 0 },
    &operand_data[1924],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1178 */
  {
    "*aarch64_mla_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1409 },
#else
    { 0, 0, output_1409 },
#endif
    { 0 },
    &operand_data[1929],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1178 */
  {
    "*aarch64_mla_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1410 },
#else
    { 0, 0, output_1410 },
#endif
    { 0 },
    &operand_data[1934],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1178 */
  {
    "*aarch64_mla_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1411 },
#else
    { 0, 0, output_1411 },
#endif
    { 0 },
    &operand_data[1939],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1196 */
  {
    "*aarch64_mla_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1412 },
#else
    { 0, 0, output_1412 },
#endif
    { 0 },
    &operand_data[1944],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1196 */
  {
    "*aarch64_mla_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1413 },
#else
    { 0, 0, output_1413 },
#endif
    { 0 },
    &operand_data[1949],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1196 */
  {
    "*aarch64_mla_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1414 },
#else
    { 0, 0, output_1414 },
#endif
    { 0 },
    &operand_data[1954],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1196 */
  {
    "*aarch64_mla_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1415 },
#else
    { 0, 0, output_1415 },
#endif
    { 0 },
    &operand_data[1959],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1214 */
  {
    "*aarch64_mla_elt_mergev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1964],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1214 */
  {
    "*aarch64_mla_elt_mergev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1968],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1214 */
  {
    "*aarch64_mla_elt_mergev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1972],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1214 */
  {
    "*aarch64_mla_elt_mergev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1976],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1226 */
  {
    "aarch64_mlsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8qi },
    &operand_data[1900],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1226 */
  {
    "aarch64_mlsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv16qi },
    &operand_data[1904],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1226 */
  {
    "aarch64_mlsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4hi },
    &operand_data[1908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1226 */
  {
    "aarch64_mlsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8hi },
    &operand_data[1912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1226 */
  {
    "aarch64_mlsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv2si },
    &operand_data[1916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1226 */
  {
    "aarch64_mlsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4si },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1236 */
  {
    "*aarch64_mls_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1426 },
#else
    { 0, 0, output_1426 },
#endif
    { 0 },
    &operand_data[1924],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1236 */
  {
    "*aarch64_mls_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1427 },
#else
    { 0, 0, output_1427 },
#endif
    { 0 },
    &operand_data[1929],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1236 */
  {
    "*aarch64_mls_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1428 },
#else
    { 0, 0, output_1428 },
#endif
    { 0 },
    &operand_data[1934],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1236 */
  {
    "*aarch64_mls_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1429 },
#else
    { 0, 0, output_1429 },
#endif
    { 0 },
    &operand_data[1939],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1254 */
  {
    "*aarch64_mls_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1430 },
#else
    { 0, 0, output_1430 },
#endif
    { 0 },
    &operand_data[1944],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1254 */
  {
    "*aarch64_mls_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1431 },
#else
    { 0, 0, output_1431 },
#endif
    { 0 },
    &operand_data[1949],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1254 */
  {
    "*aarch64_mls_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1432 },
#else
    { 0, 0, output_1432 },
#endif
    { 0 },
    &operand_data[1954],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1254 */
  {
    "*aarch64_mls_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1433 },
#else
    { 0, 0, output_1433 },
#endif
    { 0 },
    &operand_data[1959],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1272 */
  {
    "*aarch64_mls_elt_mergev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %3.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1980],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1272 */
  {
    "*aarch64_mls_elt_mergev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %3.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1984],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1272 */
  {
    "*aarch64_mls_elt_mergev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %3.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1988],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1272 */
  {
    "*aarch64_mls_elt_mergev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %3.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1992],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "smaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8qi3 },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "sminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8qi3 },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "umaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8qi3 },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "uminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8qi3 },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "smaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv16qi3 },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "sminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv16qi3 },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "umaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv16qi3 },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "uminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv16qi3 },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "smaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hi3 },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "sminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hi3 },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "umaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4hi3 },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "uminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4hi3 },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "smaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hi3 },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "sminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hi3 },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "umaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8hi3 },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "uminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8hi3 },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "smaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2si3 },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "sminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2si3 },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "umaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2si3 },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "uminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2si3 },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "smaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4si3 },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "sminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4si3 },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "umaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4si3 },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "uminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4si3 },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_umaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_uminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_smaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_sminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_umaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_uminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_smaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_sminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_umaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_uminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_smaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_sminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_umaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_uminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_smaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_sminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_umaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_uminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_smaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_sminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_umaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_uminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_smaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1328 */
  {
    "aarch64_sminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smax_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smin_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smaxpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_sminpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smax_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smin_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smaxpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_sminpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smax_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smin_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smaxpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_sminpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smax_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smin_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smaxpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_sminpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smax_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smin_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_smaxpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1339 */
  {
    "aarch64_sminpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1359 */
  {
    "move_lo_quad_internal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1506 },
#else
    { 0, output_1506, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v16qi },
    &operand_data[1996],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1359 */
  {
    "move_lo_quad_internal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1507 },
#else
    { 0, output_1507, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v8hi },
    &operand_data[1999],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1359 */
  {
    "move_lo_quad_internal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1508 },
#else
    { 0, output_1508, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v4si },
    &operand_data[2002],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1359 */
  {
    "move_lo_quad_internal_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1509 },
#else
    { 0, output_1509, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v2di },
    &operand_data[2005],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1359 */
  {
    "move_lo_quad_internal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1510 },
#else
    { 0, output_1510, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v8hf },
    &operand_data[2008],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1359 */
  {
    "move_lo_quad_internal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1511 },
#else
    { 0, output_1511, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v4sf },
    &operand_data[2011],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1359 */
  {
    "move_lo_quad_internal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1512 },
#else
    { 0, output_1512, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v2df },
    &operand_data[2014],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1375 */
  {
    "move_lo_quad_internal_be_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1513 },
#else
    { 0, output_1513, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v16qi },
    &operand_data[1996],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1375 */
  {
    "move_lo_quad_internal_be_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1514 },
#else
    { 0, output_1514, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v8hi },
    &operand_data[1999],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1375 */
  {
    "move_lo_quad_internal_be_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1515 },
#else
    { 0, output_1515, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v4si },
    &operand_data[2002],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1375 */
  {
    "move_lo_quad_internal_be_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1516 },
#else
    { 0, output_1516, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v2di },
    &operand_data[2005],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1375 */
  {
    "move_lo_quad_internal_be_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1517 },
#else
    { 0, output_1517, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v8hf },
    &operand_data[2008],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1375 */
  {
    "move_lo_quad_internal_be_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1518 },
#else
    { 0, output_1518, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v4sf },
    &operand_data[2011],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1375 */
  {
    "move_lo_quad_internal_be_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1519 },
#else
    { 0, output_1519, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v2df },
    &operand_data[2014],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1410 */
  {
    "aarch64_simd_move_hi_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1520 },
#else
    { 0, output_1520, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v16qi },
    &operand_data[2017],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1410 */
  {
    "aarch64_simd_move_hi_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1521 },
#else
    { 0, output_1521, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v8hi },
    &operand_data[2020],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1410 */
  {
    "aarch64_simd_move_hi_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1522 },
#else
    { 0, output_1522, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v4si },
    &operand_data[2023],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1410 */
  {
    "aarch64_simd_move_hi_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1523 },
#else
    { 0, output_1523, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v2di },
    &operand_data[2026],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1410 */
  {
    "aarch64_simd_move_hi_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1524 },
#else
    { 0, output_1524, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v8hf },
    &operand_data[2029],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1410 */
  {
    "aarch64_simd_move_hi_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1525 },
#else
    { 0, output_1525, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v4sf },
    &operand_data[2032],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1410 */
  {
    "aarch64_simd_move_hi_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1526 },
#else
    { 0, output_1526, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v2df },
    &operand_data[2035],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1424 */
  {
    "aarch64_simd_move_hi_quad_be_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1527 },
#else
    { 0, output_1527, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v16qi },
    &operand_data[2017],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1424 */
  {
    "aarch64_simd_move_hi_quad_be_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1528 },
#else
    { 0, output_1528, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v8hi },
    &operand_data[2020],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1424 */
  {
    "aarch64_simd_move_hi_quad_be_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1529 },
#else
    { 0, output_1529, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v4si },
    &operand_data[2023],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1424 */
  {
    "aarch64_simd_move_hi_quad_be_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1530 },
#else
    { 0, output_1530, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v2di },
    &operand_data[2026],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1424 */
  {
    "aarch64_simd_move_hi_quad_be_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1531 },
#else
    { 0, output_1531, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v8hf },
    &operand_data[2029],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1424 */
  {
    "aarch64_simd_move_hi_quad_be_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1532 },
#else
    { 0, output_1532, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v4sf },
    &operand_data[2032],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1424 */
  {
    "aarch64_simd_move_hi_quad_be_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1533 },
#else
    { 0, output_1533, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v2df },
    &operand_data[2035],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1456 */
  {
    "aarch64_simd_vec_pack_trunc_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v8hi },
    &operand_data[2038],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1456 */
  {
    "aarch64_simd_vec_pack_trunc_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v4si },
    &operand_data[2040],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1456 */
  {
    "aarch64_simd_vec_pack_trunc_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v2di },
    &operand_data[2042],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1482 */
  {
    "vec_pack_trunc_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1537 },
#else
    { 0, 0, output_1537 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v8hi },
    &operand_data[2044],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1482 */
  {
    "vec_pack_trunc_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1538 },
#else
    { 0, 0, output_1538 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4si },
    &operand_data[2047],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1482 */
  {
    "vec_pack_trunc_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1539 },
#else
    { 0, 0, output_1539 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2di },
    &operand_data[2050],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1500 */
  {
    "aarch64_simd_vec_unpacks_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshll\t%0.8h, %1.8b, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v16qi },
    &operand_data[2053],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1500 */
  {
    "aarch64_simd_vec_unpacku_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushll\t%0.8h, %1.8b, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v16qi },
    &operand_data[2053],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1500 */
  {
    "aarch64_simd_vec_unpacks_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshll\t%0.4s, %1.4h, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v8hi },
    &operand_data[2056],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1500 */
  {
    "aarch64_simd_vec_unpacku_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushll\t%0.4s, %1.4h, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v8hi },
    &operand_data[2056],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1500 */
  {
    "aarch64_simd_vec_unpacks_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshll\t%0.2d, %1.2s, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v4si },
    &operand_data[2059],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1500 */
  {
    "aarch64_simd_vec_unpacku_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushll\t%0.2d, %1.2s, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v4si },
    &operand_data[2059],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1511 */
  {
    "aarch64_simd_vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshll2\t%0.8h, %1.16b, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v16qi },
    &operand_data[2062],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1511 */
  {
    "aarch64_simd_vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushll2\t%0.8h, %1.16b, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v16qi },
    &operand_data[2062],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1511 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshll2\t%0.4s, %1.8h, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hi },
    &operand_data[2065],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1511 */
  {
    "aarch64_simd_vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushll2\t%0.4s, %1.8h, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v8hi },
    &operand_data[2065],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1511 */
  {
    "aarch64_simd_vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshll2\t%0.2d, %1.4s, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4si },
    &operand_data[2068],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1511 */
  {
    "aarch64_simd_vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushll2\t%0.2d, %1.4s, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v4si },
    &operand_data[2068],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1548 */
  {
    "*aarch64_smlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2071],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1548 */
  {
    "*aarch64_umlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2071],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1548 */
  {
    "*aarch64_smlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2076],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1548 */
  {
    "*aarch64_umlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2076],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1548 */
  {
    "*aarch64_smlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2081],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1548 */
  {
    "*aarch64_umlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2081],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1564 */
  {
    "*aarch64_smlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2086],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1564 */
  {
    "*aarch64_umlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2086],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1564 */
  {
    "*aarch64_smlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2091],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1564 */
  {
    "*aarch64_umlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2091],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1564 */
  {
    "*aarch64_smlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2096],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1564 */
  {
    "*aarch64_umlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2096],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1580 */
  {
    "*aarch64_smlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2071],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1580 */
  {
    "*aarch64_umlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2071],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1580 */
  {
    "*aarch64_smlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2076],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1580 */
  {
    "*aarch64_umlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2076],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1580 */
  {
    "*aarch64_smlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2081],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1580 */
  {
    "*aarch64_umlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2081],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1596 */
  {
    "*aarch64_smlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2086],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1596 */
  {
    "*aarch64_umlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2086],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1596 */
  {
    "*aarch64_smlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2091],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1596 */
  {
    "*aarch64_umlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2091],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1596 */
  {
    "*aarch64_smlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2096],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1596 */
  {
    "*aarch64_umlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2096],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1612 */
  {
    "*aarch64_smlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2101],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1612 */
  {
    "*aarch64_umlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2101],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1612 */
  {
    "*aarch64_smlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2105],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1612 */
  {
    "*aarch64_umlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2105],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1612 */
  {
    "*aarch64_smlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2109],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1612 */
  {
    "*aarch64_umlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2109],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1626 */
  {
    "*aarch64_smlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2113],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1626 */
  {
    "*aarch64_umlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2113],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1626 */
  {
    "*aarch64_smlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2117],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1626 */
  {
    "*aarch64_umlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2117],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1626 */
  {
    "*aarch64_smlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2121],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1626 */
  {
    "*aarch64_umlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2121],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1640 */
  {
    "aarch64_simd_vec_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v16qi },
    &operand_data[2125],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1640 */
  {
    "aarch64_simd_vec_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v16qi },
    &operand_data[2125],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1640 */
  {
    "aarch64_simd_vec_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v8hi },
    &operand_data[2129],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1640 */
  {
    "aarch64_simd_vec_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v8hi },
    &operand_data[2129],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1640 */
  {
    "aarch64_simd_vec_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v4si },
    &operand_data[2133],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1640 */
  {
    "aarch64_simd_vec_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v4si },
    &operand_data[2133],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1667 */
  {
    "aarch64_simd_vec_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v16qi },
    &operand_data[2137],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1667 */
  {
    "aarch64_simd_vec_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v16qi },
    &operand_data[2137],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1667 */
  {
    "aarch64_simd_vec_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v8hi },
    &operand_data[2141],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1667 */
  {
    "aarch64_simd_vec_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v8hi },
    &operand_data[2141],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1667 */
  {
    "aarch64_simd_vec_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v4si },
    &operand_data[2145],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1667 */
  {
    "aarch64_simd_vec_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v4si },
    &operand_data[2145],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1720 */
  {
    "addv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hf3 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1720 */
  {
    "addv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hf3 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1720 */
  {
    "addv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2sf3 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1720 */
  {
    "addv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4sf3 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1720 */
  {
    "addv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2df3 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1729 */
  {
    "subv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hf3 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1729 */
  {
    "subv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hf3 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1729 */
  {
    "subv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2sf3 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1729 */
  {
    "subv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4sf3 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1729 */
  {
    "subv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2df3 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1738 */
  {
    "mulv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hf3 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1738 */
  {
    "mulv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hf3 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1738 */
  {
    "mulv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2sf3 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1738 */
  {
    "mulv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4sf3 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1738 */
  {
    "mulv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2df3 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "*divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "*divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "*divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "*divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "*divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1768 */
  {
    "negv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hf2 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1768 */
  {
    "negv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hf2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1768 */
  {
    "negv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2sf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1768 */
  {
    "negv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4sf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1768 */
  {
    "negv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2df2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1776 */
  {
    "absv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hf2 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1776 */
  {
    "absv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hf2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1776 */
  {
    "absv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2sf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1776 */
  {
    "absv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4sf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1776 */
  {
    "absv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2df2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1784 */
  {
    "fmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4hf4 },
    &operand_data[2149],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1784 */
  {
    "fmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav8hf4 },
    &operand_data[2153],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1784 */
  {
    "fmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2sf4 },
    &operand_data[2157],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1784 */
  {
    "fmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4sf4 },
    &operand_data[2161],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1784 */
  {
    "fmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2df4 },
    &operand_data[2165],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1794 */
  {
    "*aarch64_fma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1635 },
#else
    { 0, 0, output_1635 },
#endif
    { 0 },
    &operand_data[2169],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1794 */
  {
    "*aarch64_fma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1636 },
#else
    { 0, 0, output_1636 },
#endif
    { 0 },
    &operand_data[2174],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1794 */
  {
    "*aarch64_fma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1637 },
#else
    { 0, 0, output_1637 },
#endif
    { 0 },
    &operand_data[2179],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1811 */
  {
    "*aarch64_fma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1638 },
#else
    { 0, 0, output_1638 },
#endif
    { 0 },
    &operand_data[2184],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1811 */
  {
    "*aarch64_fma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1639 },
#else
    { 0, 0, output_1639 },
#endif
    { 0 },
    &operand_data[2189],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1828 */
  {
    "*aarch64_fma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1964],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1828 */
  {
    "*aarch64_fma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1968],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1828 */
  {
    "*aarch64_fma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1972],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1828 */
  {
    "*aarch64_fma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1976],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1828 */
  {
    "*aarch64_fma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2194],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1828 */
  {
    "*aarch64_fma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1828 */
  {
    "*aarch64_fma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1828 */
  {
    "*aarch64_fma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1828 */
  {
    "*aarch64_fma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1840 */
  {
    "*aarch64_fma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1649 },
#else
    { 0, 0, output_1649 },
#endif
    { 0 },
    &operand_data[2214],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1856 */
  {
    "fnmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4hf4 },
    &operand_data[2149],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1856 */
  {
    "fnmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav8hf4 },
    &operand_data[2153],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1856 */
  {
    "fnmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2sf4 },
    &operand_data[2157],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1856 */
  {
    "fnmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4sf4 },
    &operand_data[2161],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1856 */
  {
    "fnmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2df4 },
    &operand_data[2165],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1867 */
  {
    "*aarch64_fnma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1655 },
#else
    { 0, 0, output_1655 },
#endif
    { 0 },
    &operand_data[2169],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1867 */
  {
    "*aarch64_fnma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1656 },
#else
    { 0, 0, output_1656 },
#endif
    { 0 },
    &operand_data[2174],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1867 */
  {
    "*aarch64_fnma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1657 },
#else
    { 0, 0, output_1657 },
#endif
    { 0 },
    &operand_data[2179],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1885 */
  {
    "*aarch64_fnma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1658 },
#else
    { 0, 0, output_1658 },
#endif
    { 0 },
    &operand_data[2184],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1885 */
  {
    "*aarch64_fnma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1659 },
#else
    { 0, 0, output_1659 },
#endif
    { 0 },
    &operand_data[2189],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1903 */
  {
    "*aarch64_fnma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1964],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1903 */
  {
    "*aarch64_fnma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1968],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1903 */
  {
    "*aarch64_fnma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1972],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1903 */
  {
    "*aarch64_fnma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1976],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1903 */
  {
    "*aarch64_fnma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2194],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1903 */
  {
    "*aarch64_fnma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1903 */
  {
    "*aarch64_fnma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1903 */
  {
    "*aarch64_fnma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1903 */
  {
    "*aarch64_fnma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1916 */
  {
    "*aarch64_fnma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1669 },
#else
    { 0, 0, output_1669 },
#endif
    { 0 },
    &operand_data[2214],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "btruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4hf2 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "ceilv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4hf2 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "floorv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4hf2 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "frintnv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv4hf2 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "nearbyintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4hf2 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "rintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4hf2 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "roundv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4hf2 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "btruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv8hf2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "ceilv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv8hf2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "floorv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv8hf2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "frintnv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv8hf2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "nearbyintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv8hf2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "rintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv8hf2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "roundv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv8hf2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "btruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2sf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "ceilv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2sf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "floorv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2sf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "frintnv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv2sf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "nearbyintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2sf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "rintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2sf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "roundv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2sf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "btruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4sf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "ceilv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4sf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "floorv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4sf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "frintnv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv4sf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "nearbyintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4sf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "rintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4sf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "roundv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4sf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "btruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2df2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "ceilv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2df2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "floorv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2df2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "frintnv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv2df2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "nearbyintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2df2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "rintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2df2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1935 */
  {
    "roundv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2df2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lbtruncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4hfv4hi2 },
    &operand_data[2219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lceilv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4hfv4hi2 },
    &operand_data[2219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfloorv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4hfv4hi2 },
    &operand_data[2219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lroundv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4hfv4hi2 },
    &operand_data[2219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfrintnv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4hfv4hi2 },
    &operand_data[2219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lbtruncuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4hfv4hi2 },
    &operand_data[2219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lceiluv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4hfv4hi2 },
    &operand_data[2219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lflooruv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4hfv4hi2 },
    &operand_data[2219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lrounduv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4hfv4hi2 },
    &operand_data[2219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfrintnuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4hfv4hi2 },
    &operand_data[2219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lbtruncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv8hfv8hi2 },
    &operand_data[2221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lceilv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv8hfv8hi2 },
    &operand_data[2221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfloorv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv8hfv8hi2 },
    &operand_data[2221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lroundv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv8hfv8hi2 },
    &operand_data[2221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfrintnv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv8hfv8hi2 },
    &operand_data[2221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lbtruncuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv8hfv8hi2 },
    &operand_data[2221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lceiluv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv8hfv8hi2 },
    &operand_data[2221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lflooruv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv8hfv8hi2 },
    &operand_data[2221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lrounduv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv8hfv8hi2 },
    &operand_data[2221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfrintnuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv8hfv8hi2 },
    &operand_data[2221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lbtruncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2sfv2si2 },
    &operand_data[2223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lceilv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2sfv2si2 },
    &operand_data[2223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfloorv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2sfv2si2 },
    &operand_data[2223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lroundv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2sfv2si2 },
    &operand_data[2223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfrintnv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2sfv2si2 },
    &operand_data[2223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lbtruncuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2sfv2si2 },
    &operand_data[2223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lceiluv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2sfv2si2 },
    &operand_data[2223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lflooruv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2sfv2si2 },
    &operand_data[2223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lrounduv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2sfv2si2 },
    &operand_data[2223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfrintnuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2sfv2si2 },
    &operand_data[2223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lbtruncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4sfv4si2 },
    &operand_data[2225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lceilv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4sfv4si2 },
    &operand_data[2225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfloorv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4sfv4si2 },
    &operand_data[2225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lroundv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4sfv4si2 },
    &operand_data[2225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfrintnv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4sfv4si2 },
    &operand_data[2225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lbtruncuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4sfv4si2 },
    &operand_data[2225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lceiluv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4sfv4si2 },
    &operand_data[2225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lflooruv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4sfv4si2 },
    &operand_data[2225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lrounduv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4sfv4si2 },
    &operand_data[2225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfrintnuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4sfv4si2 },
    &operand_data[2225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lbtruncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2dfv2di2 },
    &operand_data[2227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lceilv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2dfv2di2 },
    &operand_data[2227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfloorv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2dfv2di2 },
    &operand_data[2227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lroundv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2dfv2di2 },
    &operand_data[2227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfrintnv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2dfv2di2 },
    &operand_data[2227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lbtruncuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2dfv2di2 },
    &operand_data[2227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lceiluv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2dfv2di2 },
    &operand_data[2227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lflooruv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2dfv2di2 },
    &operand_data[2227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lrounduv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2dfv2di2 },
    &operand_data[2227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "lfrintnuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2dfv2di2 },
    &operand_data[2227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "lbtrunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "lceilhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "lfloorhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "lroundhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "lfrintnhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "lbtruncuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "lceiluhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "lflooruhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "lrounduhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "lfrintnuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1966 */
  {
    "fix_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1966 */
  {
    "fixuns_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfhi2 },
    &operand_data[1098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1974 */
  {
    "floathihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floathihf2 },
    &operand_data[1101],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1974 */
  {
    "floatunshihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunshihf2 },
    &operand_data[1101],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1982 */
  {
    "*aarch64_fcvtv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1769 },
#else
    { 0, 0, output_1769 },
#endif
    { 0 },
    &operand_data[2229],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1982 */
  {
    "*aarch64_fcvtuv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1770 },
#else
    { 0, 0, output_1770 },
#endif
    { 0 },
    &operand_data[2229],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1982 */
  {
    "*aarch64_fcvtv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1771 },
#else
    { 0, 0, output_1771 },
#endif
    { 0 },
    &operand_data[2232],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1982 */
  {
    "*aarch64_fcvtuv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1772 },
#else
    { 0, 0, output_1772 },
#endif
    { 0 },
    &operand_data[2232],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1982 */
  {
    "*aarch64_fcvtv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1773 },
#else
    { 0, 0, output_1773 },
#endif
    { 0 },
    &operand_data[2235],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1982 */
  {
    "*aarch64_fcvtuv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1774 },
#else
    { 0, 0, output_1774 },
#endif
    { 0 },
    &operand_data[2235],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "floatv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4hiv4hf2 },
    &operand_data[2238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "floatunsv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4hiv4hf2 },
    &operand_data[2238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "floatv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv8hiv8hf2 },
    &operand_data[2240],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "floatunsv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv8hiv8hf2 },
    &operand_data[2240],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "floatv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2siv2sf2 },
    &operand_data[2242],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "floatunsv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2siv2sf2 },
    &operand_data[2242],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "floatv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4siv4sf2 },
    &operand_data[2244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "floatunsv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4siv4sf2 },
    &operand_data[2244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "floatv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2div2df2 },
    &operand_data[2246],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "floatunsv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2div2df2 },
    &operand_data[2246],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2040 */
  {
    "aarch64_simd_vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v8hf },
    &operand_data[2248],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2040 */
  {
    "aarch64_simd_vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v4sf },
    &operand_data[2251],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2053 */
  {
    "fcvtzsv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4hf3 },
    &operand_data[2254],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2053 */
  {
    "fcvtzuv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4hf3 },
    &operand_data[2254],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2053 */
  {
    "fcvtzsv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv8hf3 },
    &operand_data[2257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2053 */
  {
    "fcvtzuv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv8hf3 },
    &operand_data[2257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2053 */
  {
    "fcvtzsv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2sf3 },
    &operand_data[2260],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2053 */
  {
    "fcvtzuv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2sf3 },
    &operand_data[2260],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2053 */
  {
    "fcvtzsv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4sf3 },
    &operand_data[2263],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2053 */
  {
    "fcvtzuv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4sf3 },
    &operand_data[2263],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2053 */
  {
    "fcvtzsv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2df3 },
    &operand_data[2266],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2053 */
  {
    "fcvtzuv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2df3 },
    &operand_data[2266],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2064 */
  {
    "scvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4hi3 },
    &operand_data[2269],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2064 */
  {
    "ucvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4hi3 },
    &operand_data[2269],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2064 */
  {
    "scvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv8hi3 },
    &operand_data[2272],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2064 */
  {
    "ucvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv8hi3 },
    &operand_data[2272],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2064 */
  {
    "scvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2si3 },
    &operand_data[2275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2064 */
  {
    "ucvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2si3 },
    &operand_data[2275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2064 */
  {
    "scvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4si3 },
    &operand_data[2278],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2064 */
  {
    "ucvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4si3 },
    &operand_data[2278],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2064 */
  {
    "scvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2di3 },
    &operand_data[2281],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2064 */
  {
    "ucvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2di3 },
    &operand_data[2281],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2096 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hf },
    &operand_data[2284],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2096 */
  {
    "aarch64_simd_vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4sf },
    &operand_data[2287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2118 */
  {
    "aarch64_float_extend_lo_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_extend_lo_v2df },
    &operand_data[2290],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2118 */
  {
    "aarch64_float_extend_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_extend_lo_v4sf },
    &operand_data[2292],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2129 */
  {
    "aarch64_float_truncate_lo_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_lo_v2sf },
    &operand_data[2294],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2129 */
  {
    "aarch64_float_truncate_lo_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_lo_v4hf },
    &operand_data[2296],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2138 */
  {
    "aarch64_float_truncate_hi_v4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_le },
    &operand_data[2298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2138 */
  {
    "aarch64_float_truncate_hi_v8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_le },
    &operand_data[2301],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_float_truncate_hi_v4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_be },
    &operand_data[2298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_float_truncate_hi_v8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_be },
    &operand_data[2301],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2230 */
  {
    "smaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hf3 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2230 */
  {
    "sminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hf3 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2230 */
  {
    "smaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hf3 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2230 */
  {
    "sminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hf3 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2230 */
  {
    "smaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2sf3 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2230 */
  {
    "sminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2sf3 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2230 */
  {
    "smaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4sf3 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2230 */
  {
    "sminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4sf3 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2230 */
  {
    "smaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2df3 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2230 */
  {
    "sminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2df3 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "smax_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv4hf3 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "smin_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv4hf3 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "fmaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4hf3 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "fminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4hf3 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "smax_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv8hf3 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "smin_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv8hf3 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "fmaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv8hf3 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "fminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv8hf3 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "smax_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv2sf3 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "smin_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv2sf3 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "fmaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2sf3 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "fminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2sf3 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "smax_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv4sf3 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "smin_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv4sf3 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "fmaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4sf3 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "fminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4sf3 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "smax_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv2df3 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "smin_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv2df3 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "fmaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2df3 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2242 */
  {
    "fminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2df3 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2268 */
  {
    "aarch64_faddpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2268 */
  {
    "aarch64_faddpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2268 */
  {
    "aarch64_faddpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2268 */
  {
    "aarch64_faddpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2268 */
  {
    "aarch64_faddpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2278 */
  {
    "aarch64_reduc_plus_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2278 */
  {
    "aarch64_reduc_plus_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2278 */
  {
    "aarch64_reduc_plus_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv4hi },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2278 */
  {
    "aarch64_reduc_plus_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv8hi },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2278 */
  {
    "aarch64_reduc_plus_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2278 */
  {
    "aarch64_reduc_plus_internalv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv2di },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2287 */
  {
    "aarch64_reduc_plus_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2296 */
  {
    "reduc_plus_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2sf },
    &operand_data[2304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2296 */
  {
    "reduc_plus_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2df },
    &operand_data[1630],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2319 */
  {
    "clrsbv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8qi2 },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2319 */
  {
    "clrsbv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv16qi2 },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2319 */
  {
    "clrsbv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4hi2 },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2319 */
  {
    "clrsbv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8hi2 },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2319 */
  {
    "clrsbv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv2si2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2319 */
  {
    "clrsbv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4si2 },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2327 */
  {
    "clzv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8qi2 },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2327 */
  {
    "clzv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv16qi2 },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2327 */
  {
    "clzv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4hi2 },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2327 */
  {
    "clzv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8hi2 },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2327 */
  {
    "clzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv2si2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2327 */
  {
    "clzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4si2 },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2335 */
  {
    "popcountv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8qi2 },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2335 */
  {
    "popcountv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv16qi2 },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_umax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_umin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_smax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_smin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_umax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_umin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_smax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_smin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_umax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4hi },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_umin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4hi },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_smax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hi },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_smin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hi },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_umax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8hi },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_umin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8hi },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_smax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hi },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_smin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hi },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_umax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_umin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_smax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2378 */
  {
    "aarch64_reduc_smin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2387 */
  {
    "aarch64_reduc_umax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2387 */
  {
    "aarch64_reduc_umin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2387 */
  {
    "aarch64_reduc_smax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2387 */
  {
    "aarch64_reduc_smin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smax_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4hf },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smin_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4hf },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smax_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hf },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smin_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hf },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smax_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv8hf },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smin_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv8hf },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smax_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hf },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smin_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hf },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smax_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2sf },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smin_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2sf },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smax_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2sf },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smin_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2sf },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smax_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4sf },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smin_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4sf },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smax_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4sf },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smin_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4sf },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smax_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2df },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smin_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2df },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smax_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2df },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2396 */
  {
    "aarch64_reduc_smin_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2df },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2425 */
  {
    "aarch64_simd_bslv8qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1919 },
#else
    { 0, output_1919, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi_internal },
    &operand_data[2306],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2425 */
  {
    "aarch64_simd_bslv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1920 },
#else
    { 0, output_1920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi_internal },
    &operand_data[2310],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2425 */
  {
    "aarch64_simd_bslv4hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1921 },
#else
    { 0, output_1921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi_internal },
    &operand_data[2314],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2425 */
  {
    "aarch64_simd_bslv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1922 },
#else
    { 0, output_1922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi_internal },
    &operand_data[2318],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2425 */
  {
    "aarch64_simd_bslv2si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1923 },
#else
    { 0, output_1923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si_internal },
    &operand_data[2322],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2425 */
  {
    "aarch64_simd_bslv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1924 },
#else
    { 0, output_1924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si_internal },
    &operand_data[2326],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2425 */
  {
    "aarch64_simd_bslv2di_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1925 },
#else
    { 0, output_1925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di_internal },
    &operand_data[2330],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2449 */
  {
    "*aarch64_simd_bslv8qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1926 },
#else
    { 0, output_1926, 0 },
#endif
    { 0 },
    &operand_data[2334],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2449 */
  {
    "*aarch64_simd_bslv16qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1927 },
#else
    { 0, output_1927, 0 },
#endif
    { 0 },
    &operand_data[2338],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2449 */
  {
    "*aarch64_simd_bslv4hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1928 },
#else
    { 0, output_1928, 0 },
#endif
    { 0 },
    &operand_data[2342],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2449 */
  {
    "*aarch64_simd_bslv8hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1929 },
#else
    { 0, output_1929, 0 },
#endif
    { 0 },
    &operand_data[2346],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2449 */
  {
    "*aarch64_simd_bslv2si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1930 },
#else
    { 0, output_1930, 0 },
#endif
    { 0 },
    &operand_data[2350],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2449 */
  {
    "*aarch64_simd_bslv4si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1931 },
#else
    { 0, output_1931, 0 },
#endif
    { 0 },
    &operand_data[2354],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2449 */
  {
    "*aarch64_simd_bslv2di_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1932 },
#else
    { 0, output_1932, 0 },
#endif
    { 0 },
    &operand_data[2358],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2476 */
  {
    "aarch64_simd_bsldi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1933 },
#else
    { 0, output_1933, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_internal },
    &operand_data[2362],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2518 */
  {
    "aarch64_simd_bsldi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1934 },
#else
    { 0, output_1934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_alt },
    &operand_data[2366],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "*aarch64_get_lane_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1935 },
#else
    { 0, 0, output_1935 },
#endif
    { 0 },
    &operand_data[2370],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "*aarch64_get_lane_extenddiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1936 },
#else
    { 0, 0, output_1936 },
#endif
    { 0 },
    &operand_data[2373],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "*aarch64_get_lane_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1937 },
#else
    { 0, 0, output_1937 },
#endif
    { 0 },
    &operand_data[2376],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "*aarch64_get_lane_extenddiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1938 },
#else
    { 0, 0, output_1938 },
#endif
    { 0 },
    &operand_data[2379],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "*aarch64_get_lane_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1939 },
#else
    { 0, 0, output_1939 },
#endif
    { 0 },
    &operand_data[2382],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "*aarch64_get_lane_extenddiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1940 },
#else
    { 0, 0, output_1940 },
#endif
    { 0 },
    &operand_data[2385],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "*aarch64_get_lane_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1941 },
#else
    { 0, 0, output_1941 },
#endif
    { 0 },
    &operand_data[2388],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "*aarch64_get_lane_extenddiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1942 },
#else
    { 0, 0, output_1942 },
#endif
    { 0 },
    &operand_data[2391],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3019 */
  {
    "*aarch64_get_lane_zero_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1943 },
#else
    { 0, 0, output_1943 },
#endif
    { 0 },
    &operand_data[2370],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3019 */
  {
    "*aarch64_get_lane_zero_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1944 },
#else
    { 0, 0, output_1944 },
#endif
    { 0 },
    &operand_data[2376],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3019 */
  {
    "*aarch64_get_lane_zero_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1945 },
#else
    { 0, 0, output_1945 },
#endif
    { 0 },
    &operand_data[2382],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3019 */
  {
    "*aarch64_get_lane_zero_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1946 },
#else
    { 0, 0, output_1946 },
#endif
    { 0 },
    &operand_data[2388],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1947 },
#else
    { 0, 0, output_1947 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8qi },
    &operand_data[2394],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1948 },
#else
    { 0, 0, output_1948 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev16qi },
    &operand_data[2397],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1949 },
#else
    { 0, 0, output_1949 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hi },
    &operand_data[2400],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1950 },
#else
    { 0, 0, output_1950 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hi },
    &operand_data[2403],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1951 },
#else
    { 0, 0, output_1951 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2si },
    &operand_data[2406],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1952 },
#else
    { 0, 0, output_1952 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4si },
    &operand_data[2409],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1953 },
#else
    { 0, 0, output_1953 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2di },
    &operand_data[2412],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1954 },
#else
    { 0, 0, output_1954 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hf },
    &operand_data[2415],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1955 },
#else
    { 0, 0, output_1955 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hf },
    &operand_data[2418],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1956 },
#else
    { 0, 0, output_1956 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2sf },
    &operand_data[2421],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1957 },
#else
    { 0, 0, output_1957 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4sf },
    &operand_data[2424],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3036 */
  {
    "aarch64_get_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1958 },
#else
    { 0, 0, output_1958 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2df },
    &operand_data[2427],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3059 */
  {
    "load_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv8qi },
    &operand_data[2430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3059 */
  {
    "load_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hi },
    &operand_data[2433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3059 */
  {
    "load_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hf },
    &operand_data[2436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3059 */
  {
    "load_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2si },
    &operand_data[2439],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3059 */
  {
    "load_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2sf },
    &operand_data[2442],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3059 */
  {
    "load_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdi },
    &operand_data[2445],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3059 */
  {
    "load_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdf },
    &operand_data[2448],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "store_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1966 },
#else
    { 0, output_1966, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv8qi },
    &operand_data[2451],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "store_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1967 },
#else
    { 0, output_1967, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hi },
    &operand_data[2454],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "store_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1968 },
#else
    { 0, output_1968, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hf },
    &operand_data[2457],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "store_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1969 },
#else
    { 0, output_1969, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2si },
    &operand_data[2460],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "store_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1970 },
#else
    { 0, output_1970, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2sf },
    &operand_data[2463],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "store_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1971 },
#else
    { 0, output_1971, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdi },
    &operand_data[2466],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "store_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1972 },
#else
    { 0, output_1972, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdf },
    &operand_data[2469],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3088 */
  {
    "*aarch64_combinezv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1973 },
#else
    { 0, output_1973, 0 },
#endif
    { 0 },
    &operand_data[2472],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3088 */
  {
    "*aarch64_combinezv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1974 },
#else
    { 0, output_1974, 0 },
#endif
    { 0 },
    &operand_data[2475],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3088 */
  {
    "*aarch64_combinezv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1975 },
#else
    { 0, output_1975, 0 },
#endif
    { 0 },
    &operand_data[2478],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3088 */
  {
    "*aarch64_combinezv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1976 },
#else
    { 0, output_1976, 0 },
#endif
    { 0 },
    &operand_data[2481],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3088 */
  {
    "*aarch64_combinezv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1977 },
#else
    { 0, output_1977, 0 },
#endif
    { 0 },
    &operand_data[2484],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3088 */
  {
    "*aarch64_combinezdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1978 },
#else
    { 0, output_1978, 0 },
#endif
    { 0 },
    &operand_data[2487],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3088 */
  {
    "*aarch64_combinezdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1979 },
#else
    { 0, output_1979, 0 },
#endif
    { 0 },
    &operand_data[2490],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3103 */
  {
    "*aarch64_combinez_bev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1980 },
#else
    { 0, output_1980, 0 },
#endif
    { 0 },
    &operand_data[2472],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3103 */
  {
    "*aarch64_combinez_bev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1981 },
#else
    { 0, output_1981, 0 },
#endif
    { 0 },
    &operand_data[2475],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3103 */
  {
    "*aarch64_combinez_bev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1982 },
#else
    { 0, output_1982, 0 },
#endif
    { 0 },
    &operand_data[2478],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3103 */
  {
    "*aarch64_combinez_bev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1983 },
#else
    { 0, output_1983, 0 },
#endif
    { 0 },
    &operand_data[2481],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3103 */
  {
    "*aarch64_combinez_bev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1984 },
#else
    { 0, output_1984, 0 },
#endif
    { 0 },
    &operand_data[2484],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3103 */
  {
    "*aarch64_combinez_bedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1985 },
#else
    { 0, output_1985, 0 },
#endif
    { 0 },
    &operand_data[2487],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3103 */
  {
    "*aarch64_combinez_bedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1986 },
#else
    { 0, output_1986, 0 },
#endif
    { 0 },
    &operand_data[2490],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_saddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_hi_internal },
    &operand_data[2137],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_ssublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_hi_internal },
    &operand_data[2137],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_uaddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_hi_internal },
    &operand_data[2137],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_usublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_hi_internal },
    &operand_data[2137],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_saddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_hi_internal },
    &operand_data[2141],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_ssublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_hi_internal },
    &operand_data[2141],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_uaddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_hi_internal },
    &operand_data[2141],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_usublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_hi_internal },
    &operand_data[2141],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_saddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_hi_internal },
    &operand_data[2145],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_ssublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_hi_internal },
    &operand_data[2145],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_uaddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_hi_internal },
    &operand_data[2145],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3145 */
  {
    "aarch64_usublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_hi_internal },
    &operand_data[2145],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_saddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_lo_internal },
    &operand_data[2125],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_ssublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_lo_internal },
    &operand_data[2125],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_uaddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_lo_internal },
    &operand_data[2125],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_usublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_lo_internal },
    &operand_data[2125],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_saddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_lo_internal },
    &operand_data[2129],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_ssublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_lo_internal },
    &operand_data[2129],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_uaddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_lo_internal },
    &operand_data[2129],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_usublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_lo_internal },
    &operand_data[2129],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_saddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_lo_internal },
    &operand_data[2133],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_ssublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_lo_internal },
    &operand_data[2133],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_uaddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_lo_internal },
    &operand_data[2133],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3158 */
  {
    "aarch64_usublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_lo_internal },
    &operand_data[2133],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_saddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8qi },
    &operand_data[2101],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_ssublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8qi },
    &operand_data[2101],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_uaddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8qi },
    &operand_data[2101],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_usublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8qi },
    &operand_data[2101],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_saddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4hi },
    &operand_data[2105],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_ssublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4hi },
    &operand_data[2105],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_uaddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4hi },
    &operand_data[2105],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_usublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4hi },
    &operand_data[2105],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_saddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv2si },
    &operand_data[2109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_ssublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv2si },
    &operand_data[2109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_uaddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv2si },
    &operand_data[2109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "aarch64_usublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv2si },
    &operand_data[2109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_saddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8qi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_ssubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8qi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_uaddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8qi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_usubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8qi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_saddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_ssubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_uaddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_usubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_saddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_ssubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_uaddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_usubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_saddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv16qi_internal },
    &operand_data[2502],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_ssubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv16qi_internal },
    &operand_data[2502],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_uaddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv16qi_internal },
    &operand_data[2502],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_usubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv16qi_internal },
    &operand_data[2502],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_saddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8hi_internal },
    &operand_data[2506],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_ssubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8hi_internal },
    &operand_data[2506],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_uaddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8hi_internal },
    &operand_data[2506],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_usubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8hi_internal },
    &operand_data[2506],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_saddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4si_internal },
    &operand_data[2510],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_ssubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4si_internal },
    &operand_data[2510],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_uaddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4si_internal },
    &operand_data[2510],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3299 */
  {
    "aarch64_usubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4si_internal },
    &operand_data[2510],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_saddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi_internal },
    &operand_data[2514],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_ssubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi_internal },
    &operand_data[2514],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_uaddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi_internal },
    &operand_data[2514],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_usubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi_internal },
    &operand_data[2514],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_saddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi_internal },
    &operand_data[2518],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_ssubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi_internal },
    &operand_data[2518],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_uaddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi_internal },
    &operand_data[2518],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_usubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi_internal },
    &operand_data[2518],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_saddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si_internal },
    &operand_data[2522],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_ssubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si_internal },
    &operand_data[2522],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_uaddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si_internal },
    &operand_data[2522],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3311 */
  {
    "aarch64_usubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si_internal },
    &operand_data[2522],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhsubv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhsubv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhsubv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhsubv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhsubv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhsubv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhsubv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhsubv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhsubv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhsubv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_shsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_uhsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_srhsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhsubv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3374 */
  {
    "aarch64_urhsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhsubv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_addhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi },
    &operand_data[2526],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_raddhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi },
    &operand_data[2526],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_subhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi },
    &operand_data[2526],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_rsubhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi },
    &operand_data[2526],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_addhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si },
    &operand_data[2529],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_raddhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si },
    &operand_data[2529],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_subhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si },
    &operand_data[2529],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_rsubhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si },
    &operand_data[2529],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_addhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di },
    &operand_data[2532],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_raddhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di },
    &operand_data[2532],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_subhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di },
    &operand_data[2532],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3386 */
  {
    "aarch64_rsubhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di },
    &operand_data[2532],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_addhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v8hi },
    &operand_data[2535],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_raddhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v8hi },
    &operand_data[2535],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_subhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v8hi },
    &operand_data[2535],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_rsubhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v8hi },
    &operand_data[2535],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_addhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v4si },
    &operand_data[2539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_raddhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v4si },
    &operand_data[2539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_subhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v4si },
    &operand_data[2539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_rsubhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v4si },
    &operand_data[2539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_addhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v2di },
    &operand_data[2543],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_raddhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v2di },
    &operand_data[2543],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_subhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v2di },
    &operand_data[2543],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3396 */
  {
    "aarch64_rsubhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v2di },
    &operand_data[2543],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3409 */
  {
    "aarch64_pmulv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3409 */
  {
    "aarch64_pmulv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3421 */
  {
    "aarch64_fmulxv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3421 */
  {
    "aarch64_fmulxv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3421 */
  {
    "aarch64_fmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3421 */
  {
    "aarch64_fmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3421 */
  {
    "aarch64_fmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3421 */
  {
    "aarch64_fmulxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxhf },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3421 */
  {
    "aarch64_fmulxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxsf },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3421 */
  {
    "aarch64_fmulxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxdf },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3434 */
  {
    "*aarch64_mulx_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2141 },
#else
    { 0, 0, output_2141 },
#endif
    { 0 },
    &operand_data[2547],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3434 */
  {
    "*aarch64_mulx_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2142 },
#else
    { 0, 0, output_2142 },
#endif
    { 0 },
    &operand_data[2551],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3453 */
  {
    "*aarch64_mulx_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2143 },
#else
    { 0, 0, output_2143 },
#endif
    { 0 },
    &operand_data[2555],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3453 */
  {
    "*aarch64_mulx_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2144 },
#else
    { 0, 0, output_2144 },
#endif
    { 0 },
    &operand_data[2559],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3453 */
  {
    "*aarch64_mulx_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2145 },
#else
    { 0, 0, output_2145 },
#endif
    { 0 },
    &operand_data[2563],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3472 */
  {
    "*aarch64_mulx_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2567],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3472 */
  {
    "*aarch64_mulx_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2570],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3472 */
  {
    "*aarch64_mulx_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2573],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3472 */
  {
    "*aarch64_mulx_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2576],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3472 */
  {
    "*aarch64_mulx_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2579],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3488 */
  {
    "*aarch64_vgetfmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2151 },
#else
    { 0, 0, output_2151 },
#endif
    { 0 },
    &operand_data[2582],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3488 */
  {
    "*aarch64_vgetfmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2152 },
#else
    { 0, 0, output_2152 },
#endif
    { 0 },
    &operand_data[2586],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3488 */
  {
    "*aarch64_vgetfmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2153 },
#else
    { 0, 0, output_2153 },
#endif
    { 0 },
    &operand_data[2590],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqsubv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqsubv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddqi },
    &operand_data[2594],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddqi },
    &operand_data[2594],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqsubqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubqi },
    &operand_data[2594],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqsubqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubqi },
    &operand_data[2594],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddhi },
    &operand_data[2597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddhi },
    &operand_data[2597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqsubhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubhi },
    &operand_data[2597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqsubhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubhi },
    &operand_data[2597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddsi },
    &operand_data[2600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddsi },
    &operand_data[2600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqsubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubsi },
    &operand_data[2600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqsubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubsi },
    &operand_data[2600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqadddi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqadddi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_sqsubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubdi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_uqsubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubdi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_suqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8qi },
    &operand_data[1900],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_usqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8qi },
    &operand_data[1900],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_suqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv16qi },
    &operand_data[1904],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_usqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv16qi },
    &operand_data[1904],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_suqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4hi },
    &operand_data[1908],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_usqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4hi },
    &operand_data[1908],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_suqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8hi },
    &operand_data[1912],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_usqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8hi },
    &operand_data[1912],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_suqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2si },
    &operand_data[1916],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_usqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2si },
    &operand_data[1916],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_suqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4si },
    &operand_data[1920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_usqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4si },
    &operand_data[1920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_suqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2di },
    &operand_data[2606],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_usqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2di },
    &operand_data[2606],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_suqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddqi },
    &operand_data[2609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_usqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddqi },
    &operand_data[2609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_suqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddhi },
    &operand_data[2612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_usqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddhi },
    &operand_data[2612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_suqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddsi },
    &operand_data[2615],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_usqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddsi },
    &operand_data[2615],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_suqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqadddi },
    &operand_data[2618],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3516 */
  {
    "aarch64_usqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqadddi },
    &operand_data[2618],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "aarch64_sqmovunv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv8hi },
    &operand_data[2038],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "aarch64_sqmovunv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv4si },
    &operand_data[2040],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "aarch64_sqmovunv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv2di },
    &operand_data[2042],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "aarch64_sqmovunhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunhi },
    &operand_data[2621],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "aarch64_sqmovunsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunsi },
    &operand_data[2623],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "aarch64_sqmovundi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovundi },
    &operand_data[2625],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_sqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv8hi },
    &operand_data[2038],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_uqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv8hi },
    &operand_data[2038],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_sqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv4si },
    &operand_data[2040],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_uqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv4si },
    &operand_data[2040],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_sqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv2di },
    &operand_data[2042],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_uqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv2di },
    &operand_data[2042],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_sqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnhi },
    &operand_data[2621],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_uqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnhi },
    &operand_data[2621],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_sqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnsi },
    &operand_data[2623],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_uqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnsi },
    &operand_data[2623],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_sqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovndi },
    &operand_data[2625],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3539 */
  {
    "aarch64_uqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovndi },
    &operand_data[2625],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqnegv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqabsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqnegv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqabsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqnegv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4hi },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqabsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4hi },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqnegv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8hi },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqabsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8hi },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqnegv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqabsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqnegv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqabsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqnegv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2di },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqabsv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2di },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqnegqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegqi },
    &operand_data[891],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqabsqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsqi },
    &operand_data[891],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqneghi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqneghi },
    &operand_data[2597],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqabshi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabshi },
    &operand_data[2597],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqnegsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegsi },
    &operand_data[888],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqabssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabssi },
    &operand_data[888],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqnegdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegdi },
    &operand_data[885],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3550 */
  {
    "aarch64_sqabsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsdi },
    &operand_data[885],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqrdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqrdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqrdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqrdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhhi },
    &operand_data[2597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqrdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhhi },
    &operand_data[2597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhsi },
    &operand_data[2600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3561 */
  {
    "aarch64_sqrdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhsi },
    &operand_data[2600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3574 */
  {
    "aarch64_sqdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2272 },
#else
    { 0, 0, output_2272 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4hi },
    &operand_data[2627],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3574 */
  {
    "aarch64_sqrdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2273 },
#else
    { 0, 0, output_2273 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4hi },
    &operand_data[2627],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3574 */
  {
    "aarch64_sqdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2274 },
#else
    { 0, 0, output_2274 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev8hi },
    &operand_data[2631],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3574 */
  {
    "aarch64_sqrdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2275 },
#else
    { 0, 0, output_2275 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev8hi },
    &operand_data[2631],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3574 */
  {
    "aarch64_sqdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2276 },
#else
    { 0, 0, output_2276 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev2si },
    &operand_data[2635],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3574 */
  {
    "aarch64_sqrdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2277 },
#else
    { 0, 0, output_2277 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev2si },
    &operand_data[2635],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3574 */
  {
    "aarch64_sqdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2278 },
#else
    { 0, 0, output_2278 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4si },
    &operand_data[2639],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3574 */
  {
    "aarch64_sqrdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2279 },
#else
    { 0, 0, output_2279 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4si },
    &operand_data[2639],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3589 */
  {
    "aarch64_sqdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2280 },
#else
    { 0, 0, output_2280 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4hi },
    &operand_data[2643],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3589 */
  {
    "aarch64_sqrdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2281 },
#else
    { 0, 0, output_2281 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4hi },
    &operand_data[2643],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3589 */
  {
    "aarch64_sqdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2282 },
#else
    { 0, 0, output_2282 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv8hi },
    &operand_data[2647],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3589 */
  {
    "aarch64_sqrdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2283 },
#else
    { 0, 0, output_2283 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv8hi },
    &operand_data[2647],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3589 */
  {
    "aarch64_sqdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2284 },
#else
    { 0, 0, output_2284 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv2si },
    &operand_data[2651],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3589 */
  {
    "aarch64_sqrdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2285 },
#else
    { 0, 0, output_2285 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv2si },
    &operand_data[2651],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3589 */
  {
    "aarch64_sqdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2286 },
#else
    { 0, 0, output_2286 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4si },
    &operand_data[2655],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3589 */
  {
    "aarch64_sqrdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2287 },
#else
    { 0, 0, output_2287 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4si },
    &operand_data[2655],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "aarch64_sqdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2288 },
#else
    { 0, 0, output_2288 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanehi },
    &operand_data[2659],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "aarch64_sqrdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2289 },
#else
    { 0, 0, output_2289 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanehi },
    &operand_data[2659],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "aarch64_sqdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2290 },
#else
    { 0, 0, output_2290 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanesi },
    &operand_data[2663],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "aarch64_sqrdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2291 },
#else
    { 0, 0, output_2291 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanesi },
    &operand_data[2663],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3619 */
  {
    "aarch64_sqdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2292 },
#else
    { 0, 0, output_2292 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqhi },
    &operand_data[2667],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3619 */
  {
    "aarch64_sqrdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2293 },
#else
    { 0, 0, output_2293 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqhi },
    &operand_data[2667],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3619 */
  {
    "aarch64_sqdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2294 },
#else
    { 0, 0, output_2294 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqsi },
    &operand_data[2671],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3619 */
  {
    "aarch64_sqrdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2295 },
#else
    { 0, 0, output_2295 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqsi },
    &operand_data[2671],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlahv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4hi },
    &operand_data[1908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlshv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4hi },
    &operand_data[1908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlahv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv8hi },
    &operand_data[1912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlshv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv8hi },
    &operand_data[1912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlahv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv2si },
    &operand_data[1916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlshv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv2si },
    &operand_data[1916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlahv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4si },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlshv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4si },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlahhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahhi },
    &operand_data[2675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlshhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshhi },
    &operand_data[2675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlahsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahsi },
    &operand_data[2679],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3636 */
  {
    "aarch64_sqrdmlshsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshsi },
    &operand_data[2679],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3650 */
  {
    "aarch64_sqrdmlah_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2308 },
#else
    { 0, 0, output_2308 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4hi },
    &operand_data[2683],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3650 */
  {
    "aarch64_sqrdmlsh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2309 },
#else
    { 0, 0, output_2309 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4hi },
    &operand_data[2683],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3650 */
  {
    "aarch64_sqrdmlah_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2310 },
#else
    { 0, 0, output_2310 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev8hi },
    &operand_data[2688],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3650 */
  {
    "aarch64_sqrdmlsh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2311 },
#else
    { 0, 0, output_2311 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev8hi },
    &operand_data[2688],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3650 */
  {
    "aarch64_sqrdmlah_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2312 },
#else
    { 0, 0, output_2312 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev2si },
    &operand_data[2693],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3650 */
  {
    "aarch64_sqrdmlsh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2313 },
#else
    { 0, 0, output_2313 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev2si },
    &operand_data[2693],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3650 */
  {
    "aarch64_sqrdmlah_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2314 },
#else
    { 0, 0, output_2314 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4si },
    &operand_data[2698],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3650 */
  {
    "aarch64_sqrdmlsh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2315 },
#else
    { 0, 0, output_2315 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4si },
    &operand_data[2698],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3668 */
  {
    "aarch64_sqrdmlah_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2316 },
#else
    { 0, 0, output_2316 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanehi },
    &operand_data[2703],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3668 */
  {
    "aarch64_sqrdmlsh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2317 },
#else
    { 0, 0, output_2317 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanehi },
    &operand_data[2703],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3668 */
  {
    "aarch64_sqrdmlah_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2318 },
#else
    { 0, 0, output_2318 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanesi },
    &operand_data[2708],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3668 */
  {
    "aarch64_sqrdmlsh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2319 },
#else
    { 0, 0, output_2319 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanesi },
    &operand_data[2708],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3688 */
  {
    "aarch64_sqrdmlah_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2320 },
#else
    { 0, 0, output_2320 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4hi },
    &operand_data[2713],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3688 */
  {
    "aarch64_sqrdmlsh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2321 },
#else
    { 0, 0, output_2321 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4hi },
    &operand_data[2713],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3688 */
  {
    "aarch64_sqrdmlah_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2322 },
#else
    { 0, 0, output_2322 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv8hi },
    &operand_data[2718],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3688 */
  {
    "aarch64_sqrdmlsh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2323 },
#else
    { 0, 0, output_2323 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv8hi },
    &operand_data[2718],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3688 */
  {
    "aarch64_sqrdmlah_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2324 },
#else
    { 0, 0, output_2324 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv2si },
    &operand_data[2723],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3688 */
  {
    "aarch64_sqrdmlsh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2325 },
#else
    { 0, 0, output_2325 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv2si },
    &operand_data[2723],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3688 */
  {
    "aarch64_sqrdmlah_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2326 },
#else
    { 0, 0, output_2326 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4si },
    &operand_data[2728],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3688 */
  {
    "aarch64_sqrdmlsh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2327 },
#else
    { 0, 0, output_2327 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4si },
    &operand_data[2728],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3706 */
  {
    "aarch64_sqrdmlah_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2328 },
#else
    { 0, 0, output_2328 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqhi },
    &operand_data[2733],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3706 */
  {
    "aarch64_sqrdmlsh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2329 },
#else
    { 0, 0, output_2329 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqhi },
    &operand_data[2733],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3706 */
  {
    "aarch64_sqrdmlah_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2330 },
#else
    { 0, 0, output_2330 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqsi },
    &operand_data[2738],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3706 */
  {
    "aarch64_sqrdmlsh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2331 },
#else
    { 0, 0, output_2331 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqsi },
    &operand_data[2738],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3726 */
  {
    "aarch64_sqdmlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv4hi },
    &operand_data[2117],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3726 */
  {
    "aarch64_sqdmlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv4hi },
    &operand_data[2117],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3726 */
  {
    "aarch64_sqdmlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv2si },
    &operand_data[2121],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3726 */
  {
    "aarch64_sqdmlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv2si },
    &operand_data[2121],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3726 */
  {
    "aarch64_sqdmlalhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalhi },
    &operand_data[2743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3726 */
  {
    "aarch64_sqdmlslhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslhi },
    &operand_data[2743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3726 */
  {
    "aarch64_sqdmlalsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalsi },
    &operand_data[2747],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3726 */
  {
    "aarch64_sqdmlslsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslsi },
    &operand_data[2747],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3744 */
  {
    "aarch64_sqdmlal_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2340 },
#else
    { 0, 0, output_2340 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev4hi },
    &operand_data[2751],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3744 */
  {
    "aarch64_sqdmlsl_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2341 },
#else
    { 0, 0, output_2341 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev4hi },
    &operand_data[2751],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3744 */
  {
    "aarch64_sqdmlal_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2342 },
#else
    { 0, 0, output_2342 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev2si },
    &operand_data[2756],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3744 */
  {
    "aarch64_sqdmlsl_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2343 },
#else
    { 0, 0, output_2343 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev2si },
    &operand_data[2756],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3768 */
  {
    "aarch64_sqdmlal_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2344 },
#else
    { 0, 0, output_2344 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv4hi },
    &operand_data[2761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3768 */
  {
    "aarch64_sqdmlsl_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2345 },
#else
    { 0, 0, output_2345 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv4hi },
    &operand_data[2761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3768 */
  {
    "aarch64_sqdmlal_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2346 },
#else
    { 0, 0, output_2346 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv2si },
    &operand_data[2766],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3768 */
  {
    "aarch64_sqdmlsl_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2347 },
#else
    { 0, 0, output_2347 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv2si },
    &operand_data[2766],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3792 */
  {
    "aarch64_sqdmlal_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2348 },
#else
    { 0, 0, output_2348 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanehi },
    &operand_data[2771],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3792 */
  {
    "aarch64_sqdmlsl_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2349 },
#else
    { 0, 0, output_2349 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanehi },
    &operand_data[2771],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3792 */
  {
    "aarch64_sqdmlal_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2350 },
#else
    { 0, 0, output_2350 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanesi },
    &operand_data[2776],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3792 */
  {
    "aarch64_sqdmlsl_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2351 },
#else
    { 0, 0, output_2351 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanesi },
    &operand_data[2776],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3815 */
  {
    "aarch64_sqdmlal_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2352 },
#else
    { 0, 0, output_2352 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqhi },
    &operand_data[2781],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3815 */
  {
    "aarch64_sqdmlsl_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2353 },
#else
    { 0, 0, output_2353 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqhi },
    &operand_data[2781],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3815 */
  {
    "aarch64_sqdmlal_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2354 },
#else
    { 0, 0, output_2354 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqsi },
    &operand_data[2786],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3815 */
  {
    "aarch64_sqdmlsl_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2355 },
#else
    { 0, 0, output_2355 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqsi },
    &operand_data[2786],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3840 */
  {
    "aarch64_sqdmlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv4hi },
    &operand_data[2791],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3840 */
  {
    "aarch64_sqdmlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv4hi },
    &operand_data[2791],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3840 */
  {
    "aarch64_sqdmlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv2si },
    &operand_data[2795],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3840 */
  {
    "aarch64_sqdmlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv2si },
    &operand_data[2795],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3859 */
  {
    "aarch64_sqdmlal2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi_internal },
    &operand_data[2799],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3859 */
  {
    "aarch64_sqdmlsl2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi_internal },
    &operand_data[2799],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3859 */
  {
    "aarch64_sqdmlal2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si_internal },
    &operand_data[2804],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3859 */
  {
    "aarch64_sqdmlsl2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si_internal },
    &operand_data[2804],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3907 */
  {
    "aarch64_sqdmlal2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2364 },
#else
    { 0, 0, output_2364 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi_internal },
    &operand_data[2809],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3907 */
  {
    "aarch64_sqdmlsl2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2365 },
#else
    { 0, 0, output_2365 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi_internal },
    &operand_data[2809],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3907 */
  {
    "aarch64_sqdmlal2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2366 },
#else
    { 0, 0, output_2366 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si_internal },
    &operand_data[2815],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3907 */
  {
    "aarch64_sqdmlsl2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2367 },
#else
    { 0, 0, output_2367 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si_internal },
    &operand_data[2815],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3933 */
  {
    "aarch64_sqdmlal2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2368 },
#else
    { 0, 0, output_2368 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi_internal },
    &operand_data[2821],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3933 */
  {
    "aarch64_sqdmlsl2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2369 },
#else
    { 0, 0, output_2369 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi_internal },
    &operand_data[2821],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3933 */
  {
    "aarch64_sqdmlal2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2370 },
#else
    { 0, 0, output_2370 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si_internal },
    &operand_data[2827],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3933 */
  {
    "aarch64_sqdmlsl2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2371 },
#else
    { 0, 0, output_2371 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si_internal },
    &operand_data[2827],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4019 */
  {
    "aarch64_sqdmlal2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi_internal },
    &operand_data[2833],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4019 */
  {
    "aarch64_sqdmlsl2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi_internal },
    &operand_data[2833],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4019 */
  {
    "aarch64_sqdmlal2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si_internal },
    &operand_data[2838],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4019 */
  {
    "aarch64_sqdmlsl2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si_internal },
    &operand_data[2838],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4068 */
  {
    "aarch64_sqdmullv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv4hi },
    &operand_data[2105],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4068 */
  {
    "aarch64_sqdmullv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv2si },
    &operand_data[2109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4068 */
  {
    "aarch64_sqdmullhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%s0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullhi },
    &operand_data[2843],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4068 */
  {
    "aarch64_sqdmullsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%d0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullsi },
    &operand_data[2846],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4084 */
  {
    "aarch64_sqdmull_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2380 },
#else
    { 0, 0, output_2380 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev4hi },
    &operand_data[2849],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4084 */
  {
    "aarch64_sqdmull_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2381 },
#else
    { 0, 0, output_2381 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev2si },
    &operand_data[2853],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4105 */
  {
    "aarch64_sqdmull_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2382 },
#else
    { 0, 0, output_2382 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv4hi },
    &operand_data[2857],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4105 */
  {
    "aarch64_sqdmull_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2383 },
#else
    { 0, 0, output_2383 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv2si },
    &operand_data[2861],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4126 */
  {
    "aarch64_sqdmull_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2384 },
#else
    { 0, 0, output_2384 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanehi },
    &operand_data[2865],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4126 */
  {
    "aarch64_sqdmull_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2385 },
#else
    { 0, 0, output_2385 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanesi },
    &operand_data[2869],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4146 */
  {
    "aarch64_sqdmull_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2386 },
#else
    { 0, 0, output_2386 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqhi },
    &operand_data[2873],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4146 */
  {
    "aarch64_sqdmull_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2387 },
#else
    { 0, 0, output_2387 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqsi },
    &operand_data[2877],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4168 */
  {
    "aarch64_sqdmull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv4hi },
    &operand_data[2881],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4168 */
  {
    "aarch64_sqdmull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv2si },
    &operand_data[2884],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4188 */
  {
    "aarch64_sqdmull2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi_internal },
    &operand_data[2141],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4188 */
  {
    "aarch64_sqdmull2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si_internal },
    &operand_data[2145],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4221 */
  {
    "aarch64_sqdmull2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2392 },
#else
    { 0, 0, output_2392 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi_internal },
    &operand_data[2887],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4221 */
  {
    "aarch64_sqdmull2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2393 },
#else
    { 0, 0, output_2393 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si_internal },
    &operand_data[2892],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4244 */
  {
    "aarch64_sqdmull2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2394 },
#else
    { 0, 0, output_2394 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi_internal },
    &operand_data[2897],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4244 */
  {
    "aarch64_sqdmull2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2395 },
#else
    { 0, 0, output_2395 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si_internal },
    &operand_data[2902],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "aarch64_sqdmull2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi_internal },
    &operand_data[2907],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "aarch64_sqdmull2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si_internal },
    &operand_data[2911],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_ushlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_srshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_urshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_ushlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_srshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_urshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_ushlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_srshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_urshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_ushlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_srshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_urshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_ushlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_srshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_urshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_ushlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_srshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_urshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_ushlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_srshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_urshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_sshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshldi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_ushldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushldi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_srshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshldi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4329 */
  {
    "aarch64_urshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshldi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlqi },
    &operand_data[2594],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlqi },
    &operand_data[2594],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlqi },
    &operand_data[2594],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlqi },
    &operand_data[2594],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlhi },
    &operand_data[2597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlhi },
    &operand_data[2597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlhi },
    &operand_data[2597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlhi },
    &operand_data[2597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlsi },
    &operand_data[2600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlsi },
    &operand_data[2600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlsi },
    &operand_data[2600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlsi },
    &operand_data[2600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshldi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshldi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_sqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshldi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4343 */
  {
    "aarch64_uqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshldi },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4356 */
  {
    "aarch64_sshll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2474 },
#else
    { 0, 0, output_2474 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv8qi },
    &operand_data[2915],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4356 */
  {
    "aarch64_ushll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2475 },
#else
    { 0, 0, output_2475 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv8qi },
    &operand_data[2915],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4356 */
  {
    "aarch64_sshll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2476 },
#else
    { 0, 0, output_2476 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv4hi },
    &operand_data[2918],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4356 */
  {
    "aarch64_ushll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2477 },
#else
    { 0, 0, output_2477 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv4hi },
    &operand_data[2918],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4356 */
  {
    "aarch64_sshll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2478 },
#else
    { 0, 0, output_2478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv2si },
    &operand_data[2921],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4356 */
  {
    "aarch64_ushll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2479 },
#else
    { 0, 0, output_2479 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv2si },
    &operand_data[2921],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4374 */
  {
    "aarch64_sshll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2480 },
#else
    { 0, 0, output_2480 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv16qi },
    &operand_data[2924],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4374 */
  {
    "aarch64_ushll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2481 },
#else
    { 0, 0, output_2481 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv16qi },
    &operand_data[2924],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4374 */
  {
    "aarch64_sshll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2482 },
#else
    { 0, 0, output_2482 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv8hi },
    &operand_data[2927],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4374 */
  {
    "aarch64_ushll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2483 },
#else
    { 0, 0, output_2483 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv8hi },
    &operand_data[2927],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4374 */
  {
    "aarch64_sshll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2484 },
#else
    { 0, 0, output_2484 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv4si },
    &operand_data[2930],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4374 */
  {
    "aarch64_ushll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2485 },
#else
    { 0, 0, output_2485 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv4si },
    &operand_data[2930],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_srshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi },
    &operand_data[2933],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_urshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi },
    &operand_data[2933],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_srshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv16qi },
    &operand_data[2936],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_urshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv16qi },
    &operand_data[2936],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_srshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi },
    &operand_data[2939],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_urshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi },
    &operand_data[2939],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_srshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8hi },
    &operand_data[2942],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_urshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8hi },
    &operand_data[2942],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_srshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si },
    &operand_data[2945],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_urshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si },
    &operand_data[2945],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_srshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4si },
    &operand_data[2948],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_urshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4si },
    &operand_data[2948],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_srshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2di },
    &operand_data[2951],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_urshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2di },
    &operand_data[2951],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_srshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi },
    &operand_data[2954],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4391 */
  {
    "aarch64_urshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi },
    &operand_data[2954],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ssra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8qi },
    &operand_data[2957],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_usra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8qi },
    &operand_data[2957],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_srsra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8qi },
    &operand_data[2957],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ursra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8qi },
    &operand_data[2957],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ssra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv16qi },
    &operand_data[2961],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_usra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv16qi },
    &operand_data[2961],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_srsra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv16qi },
    &operand_data[2961],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ursra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv16qi },
    &operand_data[2961],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ssra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4hi },
    &operand_data[2965],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_usra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4hi },
    &operand_data[2965],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_srsra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4hi },
    &operand_data[2965],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ursra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4hi },
    &operand_data[2965],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ssra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8hi },
    &operand_data[2969],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_usra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8hi },
    &operand_data[2969],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_srsra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8hi },
    &operand_data[2969],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ursra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8hi },
    &operand_data[2969],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ssra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2si },
    &operand_data[2973],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_usra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2si },
    &operand_data[2973],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_srsra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2si },
    &operand_data[2973],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ursra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2si },
    &operand_data[2973],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ssra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4si },
    &operand_data[2977],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_usra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4si },
    &operand_data[2977],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_srsra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4si },
    &operand_data[2977],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ursra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4si },
    &operand_data[2977],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ssra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2di },
    &operand_data[2981],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_usra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2di },
    &operand_data[2981],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_srsra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2di },
    &operand_data[2981],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ursra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2di },
    &operand_data[2981],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ssra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_ndi },
    &operand_data[2985],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_usra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_ndi },
    &operand_data[2985],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_srsra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_ndi },
    &operand_data[2985],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4404 */
  {
    "aarch64_ursra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_ndi },
    &operand_data[2985],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8qi },
    &operand_data[2989],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8qi },
    &operand_data[2989],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8qi },
    &operand_data[2957],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8qi },
    &operand_data[2957],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv16qi },
    &operand_data[2993],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv16qi },
    &operand_data[2993],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv16qi },
    &operand_data[2961],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv16qi },
    &operand_data[2961],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4hi },
    &operand_data[2997],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4hi },
    &operand_data[2997],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4hi },
    &operand_data[2965],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4hi },
    &operand_data[2965],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8hi },
    &operand_data[3001],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8hi },
    &operand_data[3001],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8hi },
    &operand_data[2969],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8hi },
    &operand_data[2969],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2si },
    &operand_data[3005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2si },
    &operand_data[3005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2si },
    &operand_data[2973],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2si },
    &operand_data[2973],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4si },
    &operand_data[3009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4si },
    &operand_data[3009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4si },
    &operand_data[2977],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4si },
    &operand_data[2977],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2di },
    &operand_data[3013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2di },
    &operand_data[3013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2di },
    &operand_data[2981],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2di },
    &operand_data[2981],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_ndi },
    &operand_data[3017],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_ndi },
    &operand_data[3017],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_ssri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_ndi },
    &operand_data[2985],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4418 */
  {
    "aarch64_usri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_ndi },
    &operand_data[2985],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshlu_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8qi },
    &operand_data[3021],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8qi },
    &operand_data[3021],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_uqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8qi },
    &operand_data[3021],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshlu_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv16qi },
    &operand_data[3024],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv16qi },
    &operand_data[3024],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_uqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv16qi },
    &operand_data[3024],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshlu_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4hi },
    &operand_data[3027],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4hi },
    &operand_data[3027],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_uqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4hi },
    &operand_data[3027],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshlu_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8hi },
    &operand_data[3030],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8hi },
    &operand_data[3030],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_uqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8hi },
    &operand_data[3030],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshlu_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2si },
    &operand_data[3033],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2si },
    &operand_data[3033],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_uqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2si },
    &operand_data[3033],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshlu_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4si },
    &operand_data[3036],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4si },
    &operand_data[3036],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_uqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4si },
    &operand_data[3036],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshlu_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2di },
    &operand_data[3039],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2di },
    &operand_data[3039],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_uqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2di },
    &operand_data[3039],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshlu_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nqi },
    &operand_data[3042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nqi },
    &operand_data[3042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_uqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nqi },
    &operand_data[3042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshlu_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nhi },
    &operand_data[3045],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nhi },
    &operand_data[3045],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_uqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nhi },
    &operand_data[3045],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshlu_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nsi },
    &operand_data[3048],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nsi },
    &operand_data[3048],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_uqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nsi },
    &operand_data[3048],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshlu_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_ndi },
    &operand_data[3051],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_sqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_ndi },
    &operand_data[3051],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4432 */
  {
    "aarch64_uqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_ndi },
    &operand_data[3051],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv8hi },
    &operand_data[3054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv8hi },
    &operand_data[3054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv8hi },
    &operand_data[3054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv8hi },
    &operand_data[3054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv8hi },
    &operand_data[3054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv8hi },
    &operand_data[3054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv4si },
    &operand_data[3057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv4si },
    &operand_data[3057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv4si },
    &operand_data[3057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv4si },
    &operand_data[3057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv4si },
    &operand_data[3057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv4si },
    &operand_data[3057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv2di },
    &operand_data[3060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv2di },
    &operand_data[3060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv2di },
    &operand_data[3060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv2di },
    &operand_data[3060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv2di },
    &operand_data[3060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv2di },
    &operand_data[3060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nhi },
    &operand_data[3063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nhi },
    &operand_data[3063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nhi },
    &operand_data[3063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nhi },
    &operand_data[3063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nhi },
    &operand_data[3063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nhi },
    &operand_data[3063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nsi },
    &operand_data[3066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nsi },
    &operand_data[3066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nsi },
    &operand_data[3066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nsi },
    &operand_data[3066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nsi },
    &operand_data[3066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nsi },
    &operand_data[3066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_ndi },
    &operand_data[3069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_ndi },
    &operand_data[3069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_ndi },
    &operand_data[3069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_ndi },
    &operand_data[3069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_sqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_ndi },
    &operand_data[3069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4446 */
  {
    "aarch64_uqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_ndi },
    &operand_data[3069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmltv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2635 },
#else
    { 0, output_2635, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8qi },
    &operand_data[3072],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmlev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2636 },
#else
    { 0, output_2636, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8qi },
    &operand_data[3072],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmeqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2637 },
#else
    { 0, output_2637, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8qi },
    &operand_data[3072],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2638 },
#else
    { 0, output_2638, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8qi },
    &operand_data[3072],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgtv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2639 },
#else
    { 0, output_2639, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8qi },
    &operand_data[3072],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmltv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2640 },
#else
    { 0, output_2640, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv16qi },
    &operand_data[3075],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmlev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2641 },
#else
    { 0, output_2641, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev16qi },
    &operand_data[3075],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmeqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2642 },
#else
    { 0, output_2642, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv16qi },
    &operand_data[3075],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2643 },
#else
    { 0, output_2643, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev16qi },
    &operand_data[3075],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgtv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2644 },
#else
    { 0, output_2644, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv16qi },
    &operand_data[3075],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2645 },
#else
    { 0, output_2645, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hi },
    &operand_data[3078],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmlev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2646 },
#else
    { 0, output_2646, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hi },
    &operand_data[3078],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmeqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2647 },
#else
    { 0, output_2647, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hi },
    &operand_data[3078],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2648 },
#else
    { 0, output_2648, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hi },
    &operand_data[3078],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgtv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2649 },
#else
    { 0, output_2649, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hi },
    &operand_data[3078],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2650 },
#else
    { 0, output_2650, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hi },
    &operand_data[3081],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmlev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2651 },
#else
    { 0, output_2651, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hi },
    &operand_data[3081],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmeqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2652 },
#else
    { 0, output_2652, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hi },
    &operand_data[3081],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2653 },
#else
    { 0, output_2653, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hi },
    &operand_data[3081],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgtv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2654 },
#else
    { 0, output_2654, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hi },
    &operand_data[3081],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2655 },
#else
    { 0, output_2655, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2si },
    &operand_data[3084],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmlev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2656 },
#else
    { 0, output_2656, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2si },
    &operand_data[3084],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmeqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2657 },
#else
    { 0, output_2657, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2si },
    &operand_data[3084],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2658 },
#else
    { 0, output_2658, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2si },
    &operand_data[3084],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgtv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2659 },
#else
    { 0, output_2659, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2si },
    &operand_data[3084],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2660 },
#else
    { 0, output_2660, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4si },
    &operand_data[3087],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmlev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2661 },
#else
    { 0, output_2661, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4si },
    &operand_data[3087],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmeqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2662 },
#else
    { 0, output_2662, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4si },
    &operand_data[3087],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2663 },
#else
    { 0, output_2663, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4si },
    &operand_data[3087],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgtv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2664 },
#else
    { 0, output_2664, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4si },
    &operand_data[3087],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmltv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2665 },
#else
    { 0, output_2665, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2di },
    &operand_data[3090],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmlev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2666 },
#else
    { 0, output_2666, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2di },
    &operand_data[3090],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmeqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2667 },
#else
    { 0, output_2667, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2di },
    &operand_data[3090],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2668 },
#else
    { 0, output_2668, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2di },
    &operand_data[3090],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_cmgtv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2669 },
#else
    { 0, output_2669, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2di },
    &operand_data[3090],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4476 */
  {
    "aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdi },
    &operand_data[3093],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4476 */
  {
    "aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledi },
    &operand_data[3093],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4476 */
  {
    "aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdi },
    &operand_data[3093],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4476 */
  {
    "aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedi },
    &operand_data[3093],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4476 */
  {
    "aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdi },
    &operand_data[3093],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4511 */
  {
    "*aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2675 },
#else
    { 0, output_2675, 0 },
#endif
    { 0 },
    &operand_data[3096],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4511 */
  {
    "*aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2676 },
#else
    { 0, output_2676, 0 },
#endif
    { 0 },
    &operand_data[3096],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4511 */
  {
    "*aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2677 },
#else
    { 0, output_2677, 0 },
#endif
    { 0 },
    &operand_data[3096],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4511 */
  {
    "*aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2678 },
#else
    { 0, output_2678, 0 },
#endif
    { 0 },
    &operand_data[3096],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4511 */
  {
    "*aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2679 },
#else
    { 0, output_2679, 0 },
#endif
    { 0 },
    &operand_data[3096],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmltuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmleuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgeuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgtuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmltuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmleuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgeuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgtuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmltuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmleuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgeuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgtuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmltuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmleuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgeuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgtuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmltuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmleuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgeuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgtuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmltuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmleuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgeuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgtuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmltuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmleuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgeuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_cmgtuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4539 */
  {
    "aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltudi },
    &operand_data[3099],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4539 */
  {
    "aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleudi },
    &operand_data[3099],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4539 */
  {
    "aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeudi },
    &operand_data[3099],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4539 */
  {
    "aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtudi },
    &operand_data[3099],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4574 */
  {
    "*aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4574 */
  {
    "*aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4574 */
  {
    "*aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4574 */
  {
    "*aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4594 */
  {
    "aarch64_cmtstv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8qi },
    &operand_data[3105],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4594 */
  {
    "aarch64_cmtstv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv16qi },
    &operand_data[3110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4594 */
  {
    "aarch64_cmtstv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4hi },
    &operand_data[3115],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4594 */
  {
    "aarch64_cmtstv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8hi },
    &operand_data[3120],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4594 */
  {
    "aarch64_cmtstv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2si },
    &operand_data[3125],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4594 */
  {
    "aarch64_cmtstv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4si },
    &operand_data[3130],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4594 */
  {
    "aarch64_cmtstv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2di },
    &operand_data[3135],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4609 */
  {
    "aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstdi },
    &operand_data[3140],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4647 */
  {
    "*aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2725 },
#else
    { 0, output_2725, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hf },
    &operand_data[3143],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmlev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2726 },
#else
    { 0, output_2726, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hf },
    &operand_data[3143],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmeqv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2727 },
#else
    { 0, output_2727, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hf },
    &operand_data[3143],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2728 },
#else
    { 0, output_2728, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hf },
    &operand_data[3143],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2729 },
#else
    { 0, output_2729, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hf },
    &operand_data[3143],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2730 },
#else
    { 0, output_2730, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hf },
    &operand_data[3146],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmlev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2731 },
#else
    { 0, output_2731, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hf },
    &operand_data[3146],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmeqv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2732 },
#else
    { 0, output_2732, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hf },
    &operand_data[3146],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2733 },
#else
    { 0, output_2733, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hf },
    &operand_data[3146],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2734 },
#else
    { 0, output_2734, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hf },
    &operand_data[3146],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2735 },
#else
    { 0, output_2735, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2sf },
    &operand_data[3149],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmlev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2736 },
#else
    { 0, output_2736, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2sf },
    &operand_data[3149],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmeqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2737 },
#else
    { 0, output_2737, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2sf },
    &operand_data[3149],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2738 },
#else
    { 0, output_2738, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2sf },
    &operand_data[3149],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2739 },
#else
    { 0, output_2739, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2sf },
    &operand_data[3149],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2740 },
#else
    { 0, output_2740, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4sf },
    &operand_data[3152],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmlev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2741 },
#else
    { 0, output_2741, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4sf },
    &operand_data[3152],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmeqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2742 },
#else
    { 0, output_2742, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4sf },
    &operand_data[3152],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2743 },
#else
    { 0, output_2743, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4sf },
    &operand_data[3152],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2744 },
#else
    { 0, output_2744, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4sf },
    &operand_data[3152],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2745 },
#else
    { 0, output_2745, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2df },
    &operand_data[3155],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmlev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2746 },
#else
    { 0, output_2746, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2df },
    &operand_data[3155],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmeqv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2747 },
#else
    { 0, output_2747, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2df },
    &operand_data[3155],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2748 },
#else
    { 0, output_2748, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2df },
    &operand_data[3155],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2749 },
#else
    { 0, output_2749, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2df },
    &operand_data[3155],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmlthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2750 },
#else
    { 0, output_2750, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlthf },
    &operand_data[3158],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmlehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2751 },
#else
    { 0, output_2751, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlehf },
    &operand_data[3158],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmeqhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2752 },
#else
    { 0, output_2752, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqhf },
    &operand_data[3158],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2753 },
#else
    { 0, output_2753, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgehf },
    &operand_data[3158],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2754 },
#else
    { 0, output_2754, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgthf },
    &operand_data[3158],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2755 },
#else
    { 0, output_2755, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltsf },
    &operand_data[3161],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmlesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2756 },
#else
    { 0, output_2756, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlesf },
    &operand_data[3161],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmeqsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2757 },
#else
    { 0, output_2757, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqsf },
    &operand_data[3161],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2758 },
#else
    { 0, output_2758, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgesf },
    &operand_data[3161],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2759 },
#else
    { 0, output_2759, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtsf },
    &operand_data[3161],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2760 },
#else
    { 0, output_2760, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdf },
    &operand_data[3164],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2761 },
#else
    { 0, output_2761, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledf },
    &operand_data[3164],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmeqdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2762 },
#else
    { 0, output_2762, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdf },
    &operand_data[3164],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2763 },
#else
    { 0, output_2763, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedf },
    &operand_data[3164],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4662 */
  {
    "aarch64_cmgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2764 },
#else
    { 0, output_2764, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdf },
    &operand_data[3164],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4hf },
    &operand_data[3167],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_faclev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4hf },
    &operand_data[3167],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4hf },
    &operand_data[3167],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4hf },
    &operand_data[3167],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv8hf },
    &operand_data[3170],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_faclev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev8hf },
    &operand_data[3170],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev8hf },
    &operand_data[3170],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv8hf },
    &operand_data[3170],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2sf },
    &operand_data[3173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_faclev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2sf },
    &operand_data[3173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2sf },
    &operand_data[3173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2sf },
    &operand_data[3173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4sf },
    &operand_data[3176],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_faclev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4sf },
    &operand_data[3176],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4sf },
    &operand_data[3176],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4sf },
    &operand_data[3176],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2df },
    &operand_data[3179],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_faclev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2df },
    &operand_data[3179],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2df },
    &operand_data[3179],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2df },
    &operand_data[3179],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_faclthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclthf },
    &operand_data[3182],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_faclehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclehf },
    &operand_data[3182],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgehf },
    &operand_data[3182],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgthf },
    &operand_data[3182],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltsf },
    &operand_data[3185],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_faclesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclesf },
    &operand_data[3185],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgesf },
    &operand_data[3185],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtsf },
    &operand_data[3185],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltdf },
    &operand_data[3188],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facledf },
    &operand_data[3188],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgedf },
    &operand_data[3188],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4680 */
  {
    "aarch64_facgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtdf },
    &operand_data[3188],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4696 */
  {
    "aarch64_addpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4696 */
  {
    "aarch64_addpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4696 */
  {
    "aarch64_addpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4707 */
  {
    "aarch64_addpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpdi },
    &operand_data[3191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4728 */
  {
    "*sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4728 */
  {
    "*sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4728 */
  {
    "*sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4728 */
  {
    "*sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4728 */
  {
    "*sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "aarch64_simd_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v16qi },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "aarch64_simd_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hi },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "aarch64_simd_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4si },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "aarch64_simd_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2di },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "aarch64_simd_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hf },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "aarch64_simd_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4sf },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "aarch64_simd_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2df },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8qi },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv16qi },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hi },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hi },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2si },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4si },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2di },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hf },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hf },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2sf },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4sf },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2df },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdi },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4748 */
  {
    "aarch64_simd_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdf },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2827 },
#else
    { 0, 0, output_2827 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8qi },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2828 },
#else
    { 0, 0, output_2828 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev16qi },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2829 },
#else
    { 0, 0, output_2829 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4hi },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2830 },
#else
    { 0, 0, output_2830 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8hi },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2831 },
#else
    { 0, 0, output_2831 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2si },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2832 },
#else
    { 0, 0, output_2832 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4si },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2833 },
#else
    { 0, 0, output_2833 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2di },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2834 },
#else
    { 0, 0, output_2834 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4hf },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2835 },
#else
    { 0, 0, output_2835 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8hf },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2836 },
#else
    { 0, 0, output_2836 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2sf },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2837 },
#else
    { 0, 0, output_2837 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4sf },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2838 },
#else
    { 0, 0, output_2838 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2df },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2839 },
#else
    { 0, 0, output_2839 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanedi },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_vec_load_lanesoi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2840 },
#else
    { 0, 0, output_2840 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanedf },
    &operand_data[3195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4792 */
  {
    "aarch64_simd_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v16qi },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4792 */
  {
    "aarch64_simd_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hi },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4792 */
  {
    "aarch64_simd_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4si },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4792 */
  {
    "aarch64_simd_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2di },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4792 */
  {
    "aarch64_simd_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hf },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4792 */
  {
    "aarch64_simd_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4sf },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4792 */
  {
    "aarch64_simd_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2df },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2848 },
#else
    { 0, 0, output_2848 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8qi },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2849 },
#else
    { 0, 0, output_2849 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev16qi },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2850 },
#else
    { 0, 0, output_2850 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4hi },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2851 },
#else
    { 0, 0, output_2851 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8hi },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2852 },
#else
    { 0, 0, output_2852 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2si },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2853 },
#else
    { 0, 0, output_2853 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4si },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2854 },
#else
    { 0, 0, output_2854 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2di },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2855 },
#else
    { 0, 0, output_2855 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4hf },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2856 },
#else
    { 0, 0, output_2856 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8hf },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2857 },
#else
    { 0, 0, output_2857 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2sf },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2858 },
#else
    { 0, 0, output_2858 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4sf },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2859 },
#else
    { 0, 0, output_2859 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2df },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2860 },
#else
    { 0, 0, output_2860 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanedi },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4803 */
  {
    "aarch64_vec_store_lanesoi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2861 },
#else
    { 0, 0, output_2861 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanedf },
    &operand_data[3201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_simd_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v16qi },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_simd_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hi },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_simd_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4si },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_simd_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2di },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_simd_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hf },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_simd_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4sf },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_simd_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2df },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8qi },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv16qi },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hi },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hi },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2si },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4si },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2di },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hf },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hf },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2sf },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4sf },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2df },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdi },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_simd_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdf },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2883 },
#else
    { 0, 0, output_2883 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8qi },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2884 },
#else
    { 0, 0, output_2884 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev16qi },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2885 },
#else
    { 0, 0, output_2885 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4hi },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2886 },
#else
    { 0, 0, output_2886 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8hi },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2887 },
#else
    { 0, 0, output_2887 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2si },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2888 },
#else
    { 0, 0, output_2888 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4si },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2889 },
#else
    { 0, 0, output_2889 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2di },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2890 },
#else
    { 0, 0, output_2890 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4hf },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2891 },
#else
    { 0, 0, output_2891 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8hf },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2892 },
#else
    { 0, 0, output_2892 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2sf },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2893 },
#else
    { 0, 0, output_2893 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4sf },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2894 },
#else
    { 0, 0, output_2894 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2df },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2895 },
#else
    { 0, 0, output_2895 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanedi },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4856 */
  {
    "aarch64_vec_load_lanesci_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2896 },
#else
    { 0, 0, output_2896 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanedf },
    &operand_data[3206],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4890 */
  {
    "aarch64_simd_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v16qi },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4890 */
  {
    "aarch64_simd_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hi },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4890 */
  {
    "aarch64_simd_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4si },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4890 */
  {
    "aarch64_simd_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2di },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4890 */
  {
    "aarch64_simd_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hf },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4890 */
  {
    "aarch64_simd_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4sf },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4890 */
  {
    "aarch64_simd_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2df },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2904 },
#else
    { 0, 0, output_2904 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8qi },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2905 },
#else
    { 0, 0, output_2905 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev16qi },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2906 },
#else
    { 0, 0, output_2906 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4hi },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2907 },
#else
    { 0, 0, output_2907 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8hi },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2908 },
#else
    { 0, 0, output_2908 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2si },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2909 },
#else
    { 0, 0, output_2909 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4si },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2910 },
#else
    { 0, 0, output_2910 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2di },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2911 },
#else
    { 0, 0, output_2911 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4hf },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2912 },
#else
    { 0, 0, output_2912 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8hf },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2913 },
#else
    { 0, 0, output_2913 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2sf },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2914 },
#else
    { 0, 0, output_2914 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4sf },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2915 },
#else
    { 0, 0, output_2915 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2df },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2916 },
#else
    { 0, 0, output_2916 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanedi },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4901 */
  {
    "aarch64_vec_store_lanesci_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2917 },
#else
    { 0, 0, output_2917 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanedf },
    &operand_data[3212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4934 */
  {
    "aarch64_simd_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v16qi },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4934 */
  {
    "aarch64_simd_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hi },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4934 */
  {
    "aarch64_simd_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4si },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4934 */
  {
    "aarch64_simd_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2di },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4934 */
  {
    "aarch64_simd_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hf },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4934 */
  {
    "aarch64_simd_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4sf },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4934 */
  {
    "aarch64_simd_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2df },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8qi },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv16qi },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hi },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hi },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2si },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4si },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2di },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hf },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hf },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2sf },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4sf },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2df },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdi },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4944 */
  {
    "aarch64_simd_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdf },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2939 },
#else
    { 0, 0, output_2939 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8qi },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2940 },
#else
    { 0, 0, output_2940 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev16qi },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2941 },
#else
    { 0, 0, output_2941 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4hi },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2942 },
#else
    { 0, 0, output_2942 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8hi },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2943 },
#else
    { 0, 0, output_2943 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2si },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2944 },
#else
    { 0, 0, output_2944 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4si },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2945 },
#else
    { 0, 0, output_2945 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2di },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2946 },
#else
    { 0, 0, output_2946 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4hf },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2947 },
#else
    { 0, 0, output_2947 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8hf },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2948 },
#else
    { 0, 0, output_2948 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2sf },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2949 },
#else
    { 0, 0, output_2949 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4sf },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2950 },
#else
    { 0, 0, output_2950 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2df },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2951 },
#else
    { 0, 0, output_2951 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanedi },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4954 */
  {
    "aarch64_vec_load_lanesxi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2952 },
#else
    { 0, 0, output_2952 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanedf },
    &operand_data[3217],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4988 */
  {
    "aarch64_simd_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v16qi },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4988 */
  {
    "aarch64_simd_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hi },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4988 */
  {
    "aarch64_simd_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4si },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4988 */
  {
    "aarch64_simd_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2di },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4988 */
  {
    "aarch64_simd_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hf },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4988 */
  {
    "aarch64_simd_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4sf },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4988 */
  {
    "aarch64_simd_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2df },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2960 },
#else
    { 0, 0, output_2960 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8qi },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2961 },
#else
    { 0, 0, output_2961 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev16qi },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2962 },
#else
    { 0, 0, output_2962 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4hi },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2963 },
#else
    { 0, 0, output_2963 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8hi },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2964 },
#else
    { 0, 0, output_2964 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2si },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2965 },
#else
    { 0, 0, output_2965 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4si },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2966 },
#else
    { 0, 0, output_2966 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2di },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2967 },
#else
    { 0, 0, output_2967 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4hf },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2968 },
#else
    { 0, 0, output_2968 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8hf },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2969 },
#else
    { 0, 0, output_2969 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2sf },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2970 },
#else
    { 0, 0, output_2970 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4sf },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2971 },
#else
    { 0, 0, output_2971 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2df },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2972 },
#else
    { 0, 0, output_2972 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanedi },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4999 */
  {
    "aarch64_vec_store_lanesxi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2973 },
#else
    { 0, 0, output_2973 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanedf },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5032 */
  {
    "aarch64_rev_reglistoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistoi },
    &operand_data[3226],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5032 */
  {
    "aarch64_rev_reglistci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistci },
    &operand_data[3229],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5032 */
  {
    "aarch64_rev_reglistxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistxi },
    &operand_data[3232],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8qi },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v16qi },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hi },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hi },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2si },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4si },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2di },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hf },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hf },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2sf },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4sf },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2df },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_di },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5103 */
  {
    "aarch64_ld1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_df },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8qi },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v16qi },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hi },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hi },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2si },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4si },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2di },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hf },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hf },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2sf },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4sf },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2df },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_di },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5124 */
  {
    "aarch64_ld1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_df },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8qi },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v16qi },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hi },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hi },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2si },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4si },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2di },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hf },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hf },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2sf },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4sf },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2df },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_di },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5146 */
  {
    "aarch64_st1_x2_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_df },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8qi },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v16qi },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hi },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hi },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2si },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4si },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2di },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hf },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hf },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2sf },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4sf },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2df },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_di },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5167 */
  {
    "aarch64_st1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_df },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8qi },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v16qi },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hi },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hi },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2si },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4si },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2di },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hf },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hf },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2sf },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4sf },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2df },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_di },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5188 */
  {
    "aarch64_st1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_df },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5199 */
  {
    "*aarch64_movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3047 },
#else
    { 0, output_3047, 0 },
#endif
    { 0 },
    &operand_data[3235],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5199 */
  {
    "*aarch64_movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3048 },
#else
    { 0, output_3048, 0 },
#endif
    { 0 },
    &operand_data[3237],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5199 */
  {
    "*aarch64_movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3049 },
#else
    { 0, output_3049, 0 },
#endif
    { 0 },
    &operand_data[3239],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8qi },
    &operand_data[3241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v16qi },
    &operand_data[3243],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hi },
    &operand_data[3245],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hi },
    &operand_data[3247],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2si },
    &operand_data[3249],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4si },
    &operand_data[3251],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2di },
    &operand_data[3253],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hf },
    &operand_data[3255],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hf },
    &operand_data[3257],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2sf },
    &operand_data[3259],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4sf },
    &operand_data[3261],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2df },
    &operand_data[3263],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5214 */
  {
    "aarch64_be_ld1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1di },
    &operand_data[3265],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8qi },
    &operand_data[3267],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v16qi },
    &operand_data[3269],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hi },
    &operand_data[3271],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hi },
    &operand_data[3273],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2si },
    &operand_data[3275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4si },
    &operand_data[3277],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2di },
    &operand_data[3279],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hf },
    &operand_data[3281],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hf },
    &operand_data[3283],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2sf },
    &operand_data[3285],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4sf },
    &operand_data[3287],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2df },
    &operand_data[3289],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5224 */
  {
    "aarch64_be_st1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1di },
    &operand_data[3291],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5233 */
  {
    "*aarch64_be_movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3076 },
#else
    { 0, output_3076, 0 },
#endif
    { 0 },
    &operand_data[3293],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5247 */
  {
    "*aarch64_be_movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3295],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5258 */
  {
    "*aarch64_be_movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3297],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5346 */
  {
    "aarch64_ld2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi_dreg },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5346 */
  {
    "aarch64_ld2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi_dreg },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5346 */
  {
    "aarch64_ld2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf_dreg },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5346 */
  {
    "aarch64_ld2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si_dreg },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5346 */
  {
    "aarch64_ld2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf_dreg },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5356 */
  {
    "aarch64_ld2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di_dreg },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5356 */
  {
    "aarch64_ld2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df_dreg },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5366 */
  {
    "aarch64_ld3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi_dreg },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5366 */
  {
    "aarch64_ld3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi_dreg },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5366 */
  {
    "aarch64_ld3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf_dreg },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5366 */
  {
    "aarch64_ld3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si_dreg },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5366 */
  {
    "aarch64_ld3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf_dreg },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5376 */
  {
    "aarch64_ld3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di_dreg },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5376 */
  {
    "aarch64_ld3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df_dreg },
    &operand_data[3206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5386 */
  {
    "aarch64_ld4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi_dreg },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5386 */
  {
    "aarch64_ld4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi_dreg },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5386 */
  {
    "aarch64_ld4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf_dreg },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5386 */
  {
    "aarch64_ld4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si_dreg },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5386 */
  {
    "aarch64_ld4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf_dreg },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_ld4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di_dreg },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_ld4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df_dreg },
    &operand_data[3217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5546 */
  {
    "aarch64_tbl1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.8b, {%1.16b}, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl1v8qi },
    &operand_data[3299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5546 */
  {
    "aarch64_tbl1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.16b, {%1.16b}, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl1v16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5558 */
  {
    "aarch64_tbl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.16b, {%S1.16b - %T1.16b}, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl2v16qi },
    &operand_data[3302],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5568 */
  {
    "aarch64_tbl3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %T1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl3v8qi },
    &operand_data[3305],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5568 */
  {
    "aarch64_tbl3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %T1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl3v16qi },
    &operand_data[3302],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5578 */
  {
    "aarch64_tbx4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %T2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbx4v8qi },
    &operand_data[3308],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5578 */
  {
    "aarch64_tbx4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %T2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbx4v16qi },
    &operand_data[3312],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_qtbl3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %U1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v8qi },
    &operand_data[3316],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_qtbl3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %U1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v16qi },
    &operand_data[3319],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5601 */
  {
    "aarch64_qtbx3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %U2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v8qi },
    &operand_data[3322],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5601 */
  {
    "aarch64_qtbx3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %U2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v16qi },
    &operand_data[3326],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5614 */
  {
    "aarch64_qtbl4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %V1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v8qi },
    &operand_data[3330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5614 */
  {
    "aarch64_qtbl4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %V1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v16qi },
    &operand_data[3333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5624 */
  {
    "aarch64_qtbx4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %V2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v8qi },
    &operand_data[3336],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5624 */
  {
    "aarch64_qtbx4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %V2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v16qi },
    &operand_data[3340],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5635 */
  {
    "aarch64_combinev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev16qi },
    &operand_data[3344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8qi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v16qi },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hi },
    &operand_data[1425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hi },
    &operand_data[1428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2si },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_zip2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_trn2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5654 */
  {
    "aarch64_uzp2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3188 },
#else
    { 0, 0, output_3188 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8qi },
    &operand_data[3347],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3189 },
#else
    { 0, 0, output_3189 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv16qi },
    &operand_data[3351],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3190 },
#else
    { 0, 0, output_3190 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hi },
    &operand_data[3355],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3191 },
#else
    { 0, 0, output_3191 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hi },
    &operand_data[3359],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3192 },
#else
    { 0, 0, output_3192 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2si },
    &operand_data[2635],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3193 },
#else
    { 0, 0, output_3193 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4si },
    &operand_data[2655],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3194 },
#else
    { 0, 0, output_3194 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2di },
    &operand_data[3363],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3195 },
#else
    { 0, 0, output_3195 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hf },
    &operand_data[3367],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3196 },
#else
    { 0, 0, output_3196 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hf },
    &operand_data[3371],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3197 },
#else
    { 0, 0, output_3197 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2sf },
    &operand_data[2555],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3198 },
#else
    { 0, 0, output_3198 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4sf },
    &operand_data[2559],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_extv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3199 },
#else
    { 0, 0, output_3199 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2df },
    &operand_data[2563],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8qi },
    &operand_data[1211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v16qi },
    &operand_data[1214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hi },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hi },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hi },
    &operand_data[1217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hi },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hi },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hi },
    &operand_data[1220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2di },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2di },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2di },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hf },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hf },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hf },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hf },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hf },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hf },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2sf },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2sf },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2sf },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4sf },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4sf },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4sf },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2df },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev32v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2df },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_rev16v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2df },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_st2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi_dreg },
    &operand_data[3201],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_st2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi_dreg },
    &operand_data[3201],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_st2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf_dreg },
    &operand_data[3201],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_st2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si_dreg },
    &operand_data[3201],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_st2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf_dreg },
    &operand_data[3201],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_st2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di_dreg },
    &operand_data[3201],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_st2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df_dreg },
    &operand_data[3201],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5715 */
  {
    "aarch64_st3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi_dreg },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5715 */
  {
    "aarch64_st3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi_dreg },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5715 */
  {
    "aarch64_st3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf_dreg },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5715 */
  {
    "aarch64_st3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si_dreg },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5715 */
  {
    "aarch64_st3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf_dreg },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5725 */
  {
    "aarch64_st3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di_dreg },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5725 */
  {
    "aarch64_st3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df_dreg },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5735 */
  {
    "aarch64_st4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi_dreg },
    &operand_data[3223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5735 */
  {
    "aarch64_st4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi_dreg },
    &operand_data[3223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5735 */
  {
    "aarch64_st4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf_dreg },
    &operand_data[3223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5735 */
  {
    "aarch64_st4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si_dreg },
    &operand_data[3223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5735 */
  {
    "aarch64_st4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf_dreg },
    &operand_data[3223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5745 */
  {
    "aarch64_st4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di_dreg },
    &operand_data[3223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5745 */
  {
    "aarch64_st4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df_dreg },
    &operand_data[3223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3377],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3379],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3381],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3383],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3385],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3389],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3391],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3393],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3395],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5845 */
  {
    "*aarch64_simd_ld1rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3397],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5854 */
  {
    "aarch64_simd_ld1v16qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v16qi_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5854 */
  {
    "aarch64_simd_ld1v8hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hi_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5854 */
  {
    "aarch64_simd_ld1v4si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4si_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5854 */
  {
    "aarch64_simd_ld1v2di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2di_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5854 */
  {
    "aarch64_simd_ld1v8hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hf_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5854 */
  {
    "aarch64_simd_ld1v4sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4sf_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5854 */
  {
    "aarch64_simd_ld1v2df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2df_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5864 */
  {
    "aarch64_simd_ld1v8qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8qi_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5864 */
  {
    "aarch64_simd_ld1v4hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hi_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5864 */
  {
    "aarch64_simd_ld1v4hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hf_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5864 */
  {
    "aarch64_simd_ld1v2si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2si_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5864 */
  {
    "aarch64_simd_ld1v2sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2sf_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5864 */
  {
    "aarch64_simd_ld1di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1di_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5864 */
  {
    "aarch64_simd_ld1df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1df_x2 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5875 */
  {
    "aarch64_frecpev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4hf },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5875 */
  {
    "aarch64_frecpev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev8hf },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5875 */
  {
    "aarch64_frecpev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2sf },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5875 */
  {
    "aarch64_frecpev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4sf },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5875 */
  {
    "aarch64_frecpev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2df },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5884 */
  {
    "aarch64_frecpehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpehf },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5884 */
  {
    "aarch64_frecpxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxhf },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5884 */
  {
    "aarch64_frecpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpesf },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5884 */
  {
    "aarch64_frecpxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxsf },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5884 */
  {
    "aarch64_frecpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpedf },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5884 */
  {
    "aarch64_frecpxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxdf },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5893 */
  {
    "aarch64_frecpsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4hf },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5893 */
  {
    "aarch64_frecpsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv8hf },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5893 */
  {
    "aarch64_frecpsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2sf },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5893 */
  {
    "aarch64_frecpsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4sf },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5893 */
  {
    "aarch64_frecpsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2df },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5893 */
  {
    "aarch64_frecpshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpshf },
    &operand_data[1034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5893 */
  {
    "aarch64_frecpssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpssf },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5893 */
  {
    "aarch64_frecpsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsdf },
    &operand_data[1042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5904 */
  {
    "aarch64_urecpev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev2si },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5904 */
  {
    "aarch64_urecpev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev4si },
    &operand_data[1226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5927 */
  {
    "aarch64_crypto_aesev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesev16qi },
    &operand_data[1904],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5927 */
  {
    "aarch64_crypto_aesdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesdv16qi },
    &operand_data[1904],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5943 */
  {
    "aarch64_crypto_aesmcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesmc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesmcv16qi },
    &operand_data[3399],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5943 */
  {
    "aarch64_crypto_aesimcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesimc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesimcv16qi },
    &operand_data[3399],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_crypto_sha1hsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hsi },
    &operand_data[888],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5970 */
  {
    "aarch64_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hv4si },
    &operand_data[3401],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5980 */
  {
    "aarch64_be_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_crypto_sha1hv4si },
    &operand_data[3401],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5990 */
  {
    "aarch64_crypto_sha1su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su1\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su1v4si },
    &operand_data[1920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6000 */
  {
    "aarch64_crypto_sha1cv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1c\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1cv4si },
    &operand_data[1992],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6000 */
  {
    "aarch64_crypto_sha1mv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1m\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1mv4si },
    &operand_data[1992],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6000 */
  {
    "aarch64_crypto_sha1pv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1p\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1pv4si },
    &operand_data[1992],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6011 */
  {
    "aarch64_crypto_sha1su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su0\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su0v4si },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6024 */
  {
    "aarch64_crypto_sha256hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256hv4si },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6024 */
  {
    "aarch64_crypto_sha256h2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h2\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256h2v4si },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6035 */
  {
    "aarch64_crypto_sha256su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su0\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su0v4si },
    &operand_data[1920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6045 */
  {
    "aarch64_crypto_sha256su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su1v4si },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6058 */
  {
    "aarch64_crypto_sha512hqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512hqv2di },
    &operand_data[3403],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6058 */
  {
    "aarch64_crypto_sha512h2qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h2\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512h2qv2di },
    &operand_data[3403],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6069 */
  {
    "aarch64_crypto_sha512su0qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su0\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su0qv2di },
    &operand_data[2606],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6079 */
  {
    "aarch64_crypto_sha512su1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su1\t%0.2d, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su1qv2di },
    &operand_data[3403],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6092 */
  {
    "eor3qv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv16qi4 },
    &operand_data[3407],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6092 */
  {
    "eor3qv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv8hi4 },
    &operand_data[3411],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6092 */
  {
    "eor3qv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv4si4 },
    &operand_data[3415],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6092 */
  {
    "eor3qv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv2di4 },
    &operand_data[3419],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6104 */
  {
    "aarch64_rax1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rax1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rax1qv2di },
    &operand_data[1437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6116 */
  {
    "aarch64_xarqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xar\t%0.2d, %1.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xarqv2di },
    &operand_data[3423],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6128 */
  {
    "bcaxqv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv16qi4 },
    &operand_data[3407],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6128 */
  {
    "bcaxqv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv8hi4 },
    &operand_data[3411],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6128 */
  {
    "bcaxqv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv4si4 },
    &operand_data[3415],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6128 */
  {
    "bcaxqv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv2di4 },
    &operand_data[3419],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6142 */
  {
    "aarch64_sm3ss1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3ss1\t%0.4s, %1.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3ss1qv4si },
    &operand_data[3415],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_sm3tt1aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1aqv4si },
    &operand_data[3427],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_sm3tt1bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1bqv4si },
    &operand_data[3427],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_sm3tt2aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2aqv4si },
    &operand_data[3427],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_sm3tt2bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2bqv4si },
    &operand_data[3427],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6166 */
  {
    "aarch64_sm3partw1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw1qv4si },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6166 */
  {
    "aarch64_sm3partw2qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw2\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw2qv4si },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6179 */
  {
    "aarch64_sm4eqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4e\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4eqv4si },
    &operand_data[1920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6189 */
  {
    "aarch64_sm4ekeyqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4ekey\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4ekeyqv4si },
    &operand_data[1434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6244 */
  {
    "aarch64_simd_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lowv2sf },
    &operand_data[3432],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6244 */
  {
    "aarch64_simd_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lowv4sf },
    &operand_data[3438],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6261 */
  {
    "aarch64_simd_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lowv2sf },
    &operand_data[3432],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6261 */
  {
    "aarch64_simd_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lowv4sf },
    &operand_data[3438],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6279 */
  {
    "aarch64_simd_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_highv2sf },
    &operand_data[3444],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6279 */
  {
    "aarch64_simd_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_highv4sf },
    &operand_data[3450],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6296 */
  {
    "aarch64_simd_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_highv2sf },
    &operand_data[3444],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6296 */
  {
    "aarch64_simd_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_highv4sf },
    &operand_data[3450],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6355 */
  {
    "aarch64_simd_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_lowv2sf },
    &operand_data[3456],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6373 */
  {
    "aarch64_simd_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_lowv2sf },
    &operand_data[3456],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6392 */
  {
    "aarch64_simd_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_highv2sf },
    &operand_data[3462],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6410 */
  {
    "aarch64_simd_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_highv2sf },
    &operand_data[3462],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6469 */
  {
    "aarch64_simd_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_lowv4sf },
    &operand_data[3468],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6487 */
  {
    "aarch64_simd_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_lowv4sf },
    &operand_data[3468],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6506 */
  {
    "aarch64_simd_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_highv4sf },
    &operand_data[3474],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6524 */
  {
    "aarch64_simd_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_highv4sf },
    &operand_data[3474],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6585 */
  {
    "aarch64_simd_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_lowv2sf },
    &operand_data[3480],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6603 */
  {
    "aarch64_simd_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_lowv2sf },
    &operand_data[3480],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6622 */
  {
    "aarch64_simd_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_highv2sf },
    &operand_data[3486],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6640 */
  {
    "aarch64_simd_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_highv2sf },
    &operand_data[3486],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6699 */
  {
    "aarch64_simd_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_lowv4sf },
    &operand_data[3492],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6717 */
  {
    "aarch64_simd_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_lowv4sf },
    &operand_data[3492],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6736 */
  {
    "aarch64_simd_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_highv4sf },
    &operand_data[3498],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6754 */
  {
    "aarch64_simd_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_highv4sf },
    &operand_data[3498],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_crypto_pmulldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull\t%0.1q, %1.1d, %2.1d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmulldi },
    &operand_data[3504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6785 */
  {
    "aarch64_crypto_pmullv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull2\t%0.1q, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmullv2di },
    &operand_data[3507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi },
    &operand_data[3510],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi },
    &operand_data[3518],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi },
    &operand_data[3526],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi },
    &operand_data[3534],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:94 */
  {
    "aarch64_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti },
    &operand_data[3542],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swapqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3374 },
#else
    { 0, 0, output_3374 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi_lse },
    &operand_data[3550],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swaphi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3375 },
#else
    { 0, 0, output_3375 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi_lse },
    &operand_data[3554],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3376 },
#else
    { 0, 0, output_3376 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi_lse },
    &operand_data[3558],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3377 },
#else
    { 0, 0, output_3377 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi_lse },
    &operand_data[3562],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:163 */
  {
    "aarch64_compare_and_swapti_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3378 },
#else
    { 0, 0, output_3378 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti_lse },
    &operand_data[3566],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi },
    &operand_data[3570],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi },
    &operand_data[3575],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi },
    &operand_data[3580],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi },
    &operand_data[3585],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangeqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3383 },
#else
    { 0, 0, output_3383 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi_lse },
    &operand_data[3590],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangehi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3384 },
#else
    { 0, 0, output_3384 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi_lse },
    &operand_data[3594],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangesi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3385 },
#else
    { 0, 0, output_3385 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi_lse },
    &operand_data[3598],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangedi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3386 },
#else
    { 0, 0, output_3386 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi_lse },
    &operand_data[3602],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi },
    &operand_data[3606],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subqi },
    &operand_data[3606],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orqi },
    &operand_data[3611],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi },
    &operand_data[3611],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andqi },
    &operand_data[3611],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi },
    &operand_data[3616],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subhi },
    &operand_data[3616],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orhi },
    &operand_data[3621],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi },
    &operand_data[3621],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andhi },
    &operand_data[3621],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi },
    &operand_data[3626],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subsi },
    &operand_data[3626],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orsi },
    &operand_data[3631],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi },
    &operand_data[3631],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andsi },
    &operand_data[3631],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi },
    &operand_data[3636],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subdi },
    &operand_data[3636],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_ordi },
    &operand_data[3641],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi },
    &operand_data[3641],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_anddi },
    &operand_data[3641],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3407 },
#else
    { 0, 0, output_3407 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorqi_lse },
    &operand_data[3646],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3408 },
#else
    { 0, 0, output_3408 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicqi_lse },
    &operand_data[3646],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3409 },
#else
    { 0, 0, output_3409 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi_lse },
    &operand_data[3646],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3410 },
#else
    { 0, 0, output_3410 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi_lse },
    &operand_data[3646],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3411 },
#else
    { 0, 0, output_3411 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorhi_lse },
    &operand_data[3650],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3412 },
#else
    { 0, 0, output_3412 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bichi_lse },
    &operand_data[3650],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3413 },
#else
    { 0, 0, output_3413 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi_lse },
    &operand_data[3650],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3414 },
#else
    { 0, 0, output_3414 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi_lse },
    &operand_data[3650],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3415 },
#else
    { 0, 0, output_3415 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorsi_lse },
    &operand_data[3654],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3416 },
#else
    { 0, 0, output_3416 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicsi_lse },
    &operand_data[3654],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3417 },
#else
    { 0, 0, output_3417 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi_lse },
    &operand_data[3654],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3418 },
#else
    { 0, 0, output_3418 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi_lse },
    &operand_data[3654],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3419 },
#else
    { 0, 0, output_3419 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iordi_lse },
    &operand_data[3658],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3420 },
#else
    { 0, 0, output_3420 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicdi_lse },
    &operand_data[3658],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3421 },
#else
    { 0, 0, output_3421 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi_lse },
    &operand_data[3658],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3422 },
#else
    { 0, 0, output_3422 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi_lse },
    &operand_data[3658],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandqi },
    &operand_data[3611],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandhi },
    &operand_data[3621],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandsi },
    &operand_data[3631],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nanddi },
    &operand_data[3641],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi },
    &operand_data[3662],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subqi },
    &operand_data[3662],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orqi },
    &operand_data[3668],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi },
    &operand_data[3668],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andqi },
    &operand_data[3668],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi },
    &operand_data[3674],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subhi },
    &operand_data[3674],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orhi },
    &operand_data[3680],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi },
    &operand_data[3680],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andhi },
    &operand_data[3680],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi },
    &operand_data[3686],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subsi },
    &operand_data[3686],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orsi },
    &operand_data[3692],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi },
    &operand_data[3692],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andsi },
    &operand_data[3692],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi },
    &operand_data[3698],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subdi },
    &operand_data[3698],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_ordi },
    &operand_data[3704],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi },
    &operand_data[3704],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_anddi },
    &operand_data[3704],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3447 },
#else
    { 0, 0, output_3447 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorqi_lse },
    &operand_data[3710],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3448 },
#else
    { 0, 0, output_3448 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicqi_lse },
    &operand_data[3710],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3449 },
#else
    { 0, 0, output_3449 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi_lse },
    &operand_data[3710],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3450 },
#else
    { 0, 0, output_3450 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi_lse },
    &operand_data[3710],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3451 },
#else
    { 0, 0, output_3451 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorhi_lse },
    &operand_data[3714],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3452 },
#else
    { 0, 0, output_3452 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bichi_lse },
    &operand_data[3714],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3453 },
#else
    { 0, 0, output_3453 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi_lse },
    &operand_data[3714],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3454 },
#else
    { 0, 0, output_3454 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi_lse },
    &operand_data[3714],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3455 },
#else
    { 0, 0, output_3455 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorsi_lse },
    &operand_data[3718],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3456 },
#else
    { 0, 0, output_3456 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicsi_lse },
    &operand_data[3718],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3457 },
#else
    { 0, 0, output_3457 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi_lse },
    &operand_data[3718],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3458 },
#else
    { 0, 0, output_3458 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi_lse },
    &operand_data[3718],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3459 },
#else
    { 0, 0, output_3459 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iordi_lse },
    &operand_data[3722],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3460 },
#else
    { 0, 0, output_3460 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicdi_lse },
    &operand_data[3722],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3461 },
#else
    { 0, 0, output_3461 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi_lse },
    &operand_data[3722],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3462 },
#else
    { 0, 0, output_3462 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi_lse },
    &operand_data[3722],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandqi },
    &operand_data[3668],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandhi },
    &operand_data[3680],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandsi },
    &operand_data[3692],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nanddi },
    &operand_data[3704],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchqi },
    &operand_data[3726],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchqi },
    &operand_data[3726],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchqi },
    &operand_data[3731],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchqi },
    &operand_data[3731],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchqi },
    &operand_data[3731],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchhi },
    &operand_data[3736],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchhi },
    &operand_data[3736],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchhi },
    &operand_data[3741],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchhi },
    &operand_data[3741],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchhi },
    &operand_data[3741],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchsi },
    &operand_data[3686],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchsi },
    &operand_data[3686],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchsi },
    &operand_data[3692],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchsi },
    &operand_data[3692],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchsi },
    &operand_data[3692],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchdi },
    &operand_data[3746],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchdi },
    &operand_data[3746],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchdi },
    &operand_data[3751],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchdi },
    &operand_data[3751],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchdi },
    &operand_data[3751],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchqi },
    &operand_data[3731],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchhi },
    &operand_data[3741],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchsi },
    &operand_data[3692],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchdi },
    &operand_data[3751],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3491 },
#else
    { 0, 0, output_3491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadqi },
    &operand_data[3756],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3492 },
#else
    { 0, 0, output_3492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadhi },
    &operand_data[3759],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3493 },
#else
    { 0, 0, output_3493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadsi },
    &operand_data[3762],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loaddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3494 },
#else
    { 0, 0, output_3494 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loaddi },
    &operand_data[3765],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3495 },
#else
    { 0, 0, output_3495 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storeqi },
    &operand_data[3768],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3496 },
#else
    { 0, 0, output_3496 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storehi },
    &operand_data[3771],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3497 },
#else
    { 0, 0, output_3497 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storesi },
    &operand_data[3774],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3498 },
#else
    { 0, 0, output_3498 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storedi },
    &operand_data[3777],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:675 */
  {
    "aarch64_load_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3499 },
#else
    { 0, 0, output_3499 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusiveqi },
    &operand_data[3780],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:675 */
  {
    "aarch64_load_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3500 },
#else
    { 0, 0, output_3500 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivehi },
    &operand_data[3783],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:692 */
  {
    "aarch64_load_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3501 },
#else
    { 0, 0, output_3501 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivesi },
    &operand_data[3762],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:692 */
  {
    "aarch64_load_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3502 },
#else
    { 0, 0, output_3502 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivedi },
    &operand_data[3765],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:708 */
  {
    "aarch64_load_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3503 },
#else
    { 0, 0, output_3503 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusive_pair },
    &operand_data[3786],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:726 */
  {
    "aarch64_store_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3504 },
#else
    { 0, 0, output_3504 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusiveqi },
    &operand_data[3790],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:726 */
  {
    "aarch64_store_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3505 },
#else
    { 0, 0, output_3505 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivehi },
    &operand_data[3794],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:726 */
  {
    "aarch64_store_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3506 },
#else
    { 0, 0, output_3506 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivesi },
    &operand_data[3798],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:726 */
  {
    "aarch64_store_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3507 },
#else
    { 0, 0, output_3507 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivedi },
    &operand_data[3802],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:744 */
  {
    "aarch64_store_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3508 },
#else
    { 0, 0, output_3508 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusive_pair },
    &operand_data[3806],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:785 */
  {
    "*dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3509 },
#else
    { 0, 0, output_3509 },
#endif
    { 0 },
    &operand_data[3811],
    2,
    2,
    1,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:100 */
  {
    "*aarch64_sve_movvnx16qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:100 */
  {
    "*aarch64_sve_movvnx8hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3816],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:100 */
  {
    "*aarch64_sve_movvnx4si_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3819],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:100 */
  {
    "*aarch64_sve_movvnx2di_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3822],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:100 */
  {
    "*aarch64_sve_movvnx8hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3825],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:100 */
  {
    "*aarch64_sve_movvnx4sf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3828],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:100 */
  {
    "*aarch64_sve_movvnx2df_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3831],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:119 */
  {
    "*aarch64_sve_movvnx16qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3517 },
#else
    { 0, 0, output_3517 },
#endif
    { 0 },
    &operand_data[3834],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:119 */
  {
    "*aarch64_sve_movvnx8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3518 },
#else
    { 0, 0, output_3518 },
#endif
    { 0 },
    &operand_data[3836],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:119 */
  {
    "*aarch64_sve_movvnx4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3519 },
#else
    { 0, 0, output_3519 },
#endif
    { 0 },
    &operand_data[3838],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:119 */
  {
    "*aarch64_sve_movvnx2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3520 },
#else
    { 0, 0, output_3520 },
#endif
    { 0 },
    &operand_data[3840],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:119 */
  {
    "*aarch64_sve_movvnx8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3521 },
#else
    { 0, 0, output_3521 },
#endif
    { 0 },
    &operand_data[3842],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:119 */
  {
    "*aarch64_sve_movvnx4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3522 },
#else
    { 0, 0, output_3522 },
#endif
    { 0 },
    &operand_data[3844],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:119 */
  {
    "*aarch64_sve_movvnx2df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3523 },
#else
    { 0, 0, output_3523 },
#endif
    { 0 },
    &operand_data[3846],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:136 */
  {
    "*aarch64_sve_movvnx16qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3524 },
#else
    { 0, 0, output_3524 },
#endif
    { 0 },
    &operand_data[3848],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:136 */
  {
    "*aarch64_sve_movvnx8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3525 },
#else
    { 0, 0, output_3525 },
#endif
    { 0 },
    &operand_data[3850],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:136 */
  {
    "*aarch64_sve_movvnx4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3526 },
#else
    { 0, 0, output_3526 },
#endif
    { 0 },
    &operand_data[3852],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:136 */
  {
    "*aarch64_sve_movvnx2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3527 },
#else
    { 0, 0, output_3527 },
#endif
    { 0 },
    &operand_data[3854],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:136 */
  {
    "*aarch64_sve_movvnx8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3528 },
#else
    { 0, 0, output_3528 },
#endif
    { 0 },
    &operand_data[3856],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:136 */
  {
    "*aarch64_sve_movvnx4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3529 },
#else
    { 0, 0, output_3529 },
#endif
    { 0 },
    &operand_data[3858],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:136 */
  {
    "*aarch64_sve_movvnx2df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3530 },
#else
    { 0, 0, output_3530 },
#endif
    { 0 },
    &operand_data[3860],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:173 */
  {
    "*pred_movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3531 },
#else
    { 0, output_3531, 0 },
#endif
    { 0 },
    &operand_data[3862],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:173 */
  {
    "*pred_movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3532 },
#else
    { 0, output_3532, 0 },
#endif
    { 0 },
    &operand_data[3865],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:173 */
  {
    "*pred_movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3533 },
#else
    { 0, output_3533, 0 },
#endif
    { 0 },
    &operand_data[3868],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:173 */
  {
    "*pred_movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3534 },
#else
    { 0, output_3534, 0 },
#endif
    { 0 },
    &operand_data[3871],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:173 */
  {
    "*pred_movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3535 },
#else
    { 0, output_3535, 0 },
#endif
    { 0 },
    &operand_data[3874],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:173 */
  {
    "*pred_movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3536 },
#else
    { 0, output_3536, 0 },
#endif
    { 0 },
    &operand_data[3877],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:173 */
  {
    "*pred_movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3537 },
#else
    { 0, output_3537, 0 },
#endif
    { 0 },
    &operand_data[3880],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:198 */
  {
    "maskloadvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx16qivnx16bi },
    &operand_data[3883],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:198 */
  {
    "maskloadvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hivnx8bi },
    &operand_data[3886],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:198 */
  {
    "maskloadvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sivnx4bi },
    &operand_data[3889],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:198 */
  {
    "maskloadvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2divnx2bi },
    &operand_data[3892],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:198 */
  {
    "maskloadvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hfvnx8bi },
    &operand_data[3895],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:198 */
  {
    "maskloadvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sfvnx4bi },
    &operand_data[3898],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:198 */
  {
    "maskloadvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2dfvnx2bi },
    &operand_data[3901],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:208 */
  {
    "maskstorevnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.b, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx16qivnx16bi },
    &operand_data[3904],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:208 */
  {
    "maskstorevnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hivnx8bi },
    &operand_data[3907],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:208 */
  {
    "maskstorevnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sivnx4bi },
    &operand_data[3910],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:208 */
  {
    "maskstorevnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2divnx2bi },
    &operand_data[3913],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:208 */
  {
    "maskstorevnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hfvnx8bi },
    &operand_data[3916],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:208 */
  {
    "maskstorevnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sfvnx4bi },
    &operand_data[3919],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:208 */
  {
    "maskstorevnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2dfvnx2bi },
    &operand_data[3922],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:237 */
  {
    "mask_gather_loadvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3552 },
#else
    { 0, output_3552, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4si },
    &operand_data[3925],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:237 */
  {
    "mask_gather_loadvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3553 },
#else
    { 0, output_3553, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4sf },
    &operand_data[3931],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:258 */
  {
    "mask_gather_loadvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3554 },
#else
    { 0, output_3554, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2di },
    &operand_data[3937],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:258 */
  {
    "mask_gather_loadvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3555 },
#else
    { 0, output_3555, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2df },
    &operand_data[3943],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:294 */
  {
    "mask_scatter_storevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3556 },
#else
    { 0, output_3556, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4si },
    &operand_data[3949],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:294 */
  {
    "mask_scatter_storevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3557 },
#else
    { 0, output_3557, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4sf },
    &operand_data[3955],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:315 */
  {
    "mask_scatter_storevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3558 },
#else
    { 0, output_3558, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2di },
    &operand_data[3961],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:315 */
  {
    "mask_scatter_storevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3559 },
#else
    { 0, output_3559, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2df },
    &operand_data[3967],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx32qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3973],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx16hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3975],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx8si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3977],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx4di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3979],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx16hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3981],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx8sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3983],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx4df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3985],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx48qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3987],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx24hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3989],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx12si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3991],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx6di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3993],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx24hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3995],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx12sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3997],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx6df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3999],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx64qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4001],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx32hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4003],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx16si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4005],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx8di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4007],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx32hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4009],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx16sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4011],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:357 */
  {
    "*aarch64_sve_movvnx8df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4013],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx32qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4015],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx16hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4017],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx8si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4019],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx4di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4021],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx16hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4023],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx8sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4025],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx4df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4027],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx48qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4029],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx24hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4031],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx12si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4033],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx6di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4035],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx24hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4037],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx12sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4039],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx6df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4041],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx64qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4043],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx32hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4045],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx16si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4047],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx8di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4049],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx32hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4051],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx16sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4053],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:367 */
  {
    "*aarch64_sve_movvnx8df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4055],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx32qi },
    &operand_data[4057],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx16hi },
    &operand_data[4060],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx8si },
    &operand_data[4063],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx4di },
    &operand_data[4066],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx16hf },
    &operand_data[4069],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx8sf },
    &operand_data[4072],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx4df },
    &operand_data[4075],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx48qi },
    &operand_data[4078],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx24hi },
    &operand_data[4081],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx12si },
    &operand_data[4084],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx6di },
    &operand_data[4087],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx24hf },
    &operand_data[4090],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx12sf },
    &operand_data[4093],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx6df },
    &operand_data[4096],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx64qi },
    &operand_data[4099],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx32hi },
    &operand_data[4102],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx16si },
    &operand_data[4105],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx8di },
    &operand_data[4108],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx32hf },
    &operand_data[4111],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx16sf },
    &operand_data[4114],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:403 */
  {
    "pred_movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_movvnx8df },
    &operand_data[4117],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:441 */
  {
    "*aarch64_sve_movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3623 },
#else
    { 0, 0, output_3623 },
#endif
    { 0 },
    &operand_data[4120],
    2,
    2,
    0,
    5,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:441 */
  {
    "*aarch64_sve_movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3624 },
#else
    { 0, 0, output_3624 },
#endif
    { 0 },
    &operand_data[4122],
    2,
    2,
    0,
    5,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:441 */
  {
    "*aarch64_sve_movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3625 },
#else
    { 0, 0, output_3625 },
#endif
    { 0 },
    &operand_data[4124],
    2,
    2,
    0,
    5,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:441 */
  {
    "*aarch64_sve_movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3626 },
#else
    { 0, 0, output_3626 },
#endif
    { 0 },
    &operand_data[4126],
    2,
    2,
    0,
    5,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:516 */
  {
    "*vec_extractvnx16qiqi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3627 },
#else
    { 0, 0, output_3627 },
#endif
    { 0 },
    &operand_data[4128],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:516 */
  {
    "*vec_extractvnx8hihi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3628 },
#else
    { 0, 0, output_3628 },
#endif
    { 0 },
    &operand_data[4130],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:516 */
  {
    "*vec_extractvnx4sisi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3629 },
#else
    { 0, 0, output_3629 },
#endif
    { 0 },
    &operand_data[4132],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:516 */
  {
    "*vec_extractvnx2didi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3630 },
#else
    { 0, 0, output_3630 },
#endif
    { 0 },
    &operand_data[4134],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:516 */
  {
    "*vec_extractvnx8hfhf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3631 },
#else
    { 0, 0, output_3631 },
#endif
    { 0 },
    &operand_data[4136],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:516 */
  {
    "*vec_extractvnx4sfsf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3632 },
#else
    { 0, 0, output_3632 },
#endif
    { 0 },
    &operand_data[4138],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:516 */
  {
    "*vec_extractvnx2dfdf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3633 },
#else
    { 0, 0, output_3633 },
#endif
    { 0 },
    &operand_data[4140],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:550 */
  {
    "*vec_extractvnx16qiqi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3634 },
#else
    { 0, 0, output_3634 },
#endif
    { 0 },
    &operand_data[4142],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:550 */
  {
    "*vec_extractvnx8hihi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3635 },
#else
    { 0, 0, output_3635 },
#endif
    { 0 },
    &operand_data[4145],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:550 */
  {
    "*vec_extractvnx4sisi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3636 },
#else
    { 0, 0, output_3636 },
#endif
    { 0 },
    &operand_data[4148],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:550 */
  {
    "*vec_extractvnx2didi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3637 },
#else
    { 0, 0, output_3637 },
#endif
    { 0 },
    &operand_data[4151],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:550 */
  {
    "*vec_extractvnx8hfhf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3638 },
#else
    { 0, 0, output_3638 },
#endif
    { 0 },
    &operand_data[4154],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:550 */
  {
    "*vec_extractvnx4sfsf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3639 },
#else
    { 0, 0, output_3639 },
#endif
    { 0 },
    &operand_data[4157],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:550 */
  {
    "*vec_extractvnx2dfdf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3640 },
#else
    { 0, 0, output_3640 },
#endif
    { 0 },
    &operand_data[4160],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:576 */
  {
    "*vec_extractvnx16qiqi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3641 },
#else
    { 0, 0, output_3641 },
#endif
    { 0 },
    &operand_data[4163],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:576 */
  {
    "*vec_extractvnx8hihi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3642 },
#else
    { 0, 0, output_3642 },
#endif
    { 0 },
    &operand_data[4166],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:576 */
  {
    "*vec_extractvnx4sisi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3643 },
#else
    { 0, 0, output_3643 },
#endif
    { 0 },
    &operand_data[4169],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:576 */
  {
    "*vec_extractvnx2didi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3644 },
#else
    { 0, 0, output_3644 },
#endif
    { 0 },
    &operand_data[4172],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:576 */
  {
    "*vec_extractvnx8hfhf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3645 },
#else
    { 0, 0, output_3645 },
#endif
    { 0 },
    &operand_data[4175],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:576 */
  {
    "*vec_extractvnx4sfsf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3646 },
#else
    { 0, 0, output_3646 },
#endif
    { 0 },
    &operand_data[4178],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:576 */
  {
    "*vec_extractvnx2dfdf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3647 },
#else
    { 0, 0, output_3647 },
#endif
    { 0 },
    &operand_data[4181],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:591 */
  {
    "*vec_extractvnx16qiqi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3648 },
#else
    { 0, 0, output_3648 },
#endif
    { 0 },
    &operand_data[4184],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:591 */
  {
    "*vec_extractvnx8hihi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3649 },
#else
    { 0, 0, output_3649 },
#endif
    { 0 },
    &operand_data[4187],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:591 */
  {
    "*vec_extractvnx4sisi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3650 },
#else
    { 0, 0, output_3650 },
#endif
    { 0 },
    &operand_data[4190],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:591 */
  {
    "*vec_extractvnx2didi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3651 },
#else
    { 0, 0, output_3651 },
#endif
    { 0 },
    &operand_data[4193],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:591 */
  {
    "*vec_extractvnx8hfhf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3652 },
#else
    { 0, 0, output_3652 },
#endif
    { 0 },
    &operand_data[4196],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:591 */
  {
    "*vec_extractvnx4sfsf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3653 },
#else
    { 0, 0, output_3653 },
#endif
    { 0 },
    &operand_data[4199],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:591 */
  {
    "*vec_extractvnx2dfdf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3654 },
#else
    { 0, 0, output_3654 },
#endif
    { 0 },
    &operand_data[4202],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:606 */
  {
    "extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3655 },
#else
    { 0, output_3655, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx16qi },
    &operand_data[4205],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:606 */
  {
    "extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3656 },
#else
    { 0, output_3656, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hi },
    &operand_data[4208],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:606 */
  {
    "extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3657 },
#else
    { 0, output_3657, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4si },
    &operand_data[4211],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:606 */
  {
    "extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3658 },
#else
    { 0, output_3658, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2di },
    &operand_data[4214],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:606 */
  {
    "extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3659 },
#else
    { 0, output_3659, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hf },
    &operand_data[4217],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:606 */
  {
    "extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3660 },
#else
    { 0, output_3660, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4sf },
    &operand_data[4220],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:606 */
  {
    "extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3661 },
#else
    { 0, output_3661, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2df },
    &operand_data[4223],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:640 */
  {
    "*vec_duplicatevnx16qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3662 },
#else
    { 0, output_3662, 0 },
#endif
    { 0 },
    &operand_data[4226],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:640 */
  {
    "*vec_duplicatevnx8hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3663 },
#else
    { 0, output_3663, 0 },
#endif
    { 0 },
    &operand_data[4229],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:640 */
  {
    "*vec_duplicatevnx4si_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3664 },
#else
    { 0, output_3664, 0 },
#endif
    { 0 },
    &operand_data[4232],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:640 */
  {
    "*vec_duplicatevnx2di_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3665 },
#else
    { 0, output_3665, 0 },
#endif
    { 0 },
    &operand_data[4235],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:640 */
  {
    "*vec_duplicatevnx8hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3666 },
#else
    { 0, output_3666, 0 },
#endif
    { 0 },
    &operand_data[4238],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:640 */
  {
    "*vec_duplicatevnx4sf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3667 },
#else
    { 0, output_3667, 0 },
#endif
    { 0 },
    &operand_data[4241],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:640 */
  {
    "*vec_duplicatevnx2df_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3668 },
#else
    { 0, output_3668, 0 },
#endif
    { 0 },
    &operand_data[4244],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:666 */
  {
    "sve_ld1rvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx16qi },
    &operand_data[4247],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:666 */
  {
    "sve_ld1rvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hi },
    &operand_data[4251],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:666 */
  {
    "sve_ld1rvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4si },
    &operand_data[4255],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:666 */
  {
    "sve_ld1rvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2di },
    &operand_data[4259],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:666 */
  {
    "sve_ld1rvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hf },
    &operand_data[4263],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:666 */
  {
    "sve_ld1rvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4sf },
    &operand_data[4267],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:666 */
  {
    "sve_ld1rvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2df },
    &operand_data[4271],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:681 */
  {
    "*sve_ld1rqb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rqb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:681 */
  {
    "*sve_ld1rqh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rqh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4278],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:681 */
  {
    "*sve_ld1rqw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rqw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4281],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:681 */
  {
    "*sve_ld1rqd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rqd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4284],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:681 */
  {
    "*sve_ld1rqh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rqh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:681 */
  {
    "*sve_ld1rqw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rqw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:681 */
  {
    "*sve_ld1rqd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rqd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "vec_seriesvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3683 },
#else
    { 0, output_3683, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx16qi },
    &operand_data[4296],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "vec_seriesvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3684 },
#else
    { 0, output_3684, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx8hi },
    &operand_data[4299],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "vec_seriesvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3685 },
#else
    { 0, output_3685, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4si },
    &operand_data[4302],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "vec_seriesvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3686 },
#else
    { 0, output_3686, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2di },
    &operand_data[4305],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:721 */
  {
    "*vec_seriesvnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3687 },
#else
    { 0, 0, output_3687 },
#endif
    { 0 },
    &operand_data[4308],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:721 */
  {
    "*vec_seriesvnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3688 },
#else
    { 0, 0, output_3688 },
#endif
    { 0 },
    &operand_data[4311],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:721 */
  {
    "*vec_seriesvnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3689 },
#else
    { 0, 0, output_3689 },
#endif
    { 0 },
    &operand_data[4314],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:721 */
  {
    "*vec_seriesvnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3690 },
#else
    { 0, 0, output_3690 },
#endif
    { 0 },
    &operand_data[4317],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32qivnx16qi },
    &operand_data[4320],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hivnx8hi },
    &operand_data[4323],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sivnx4si },
    &operand_data[4326],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4divnx2di },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hfvnx8hf },
    &operand_data[4332],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sfvnx4sf },
    &operand_data[4335],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4dfvnx2df },
    &operand_data[4338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx48qivnx16qi },
    &operand_data[4341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hivnx8hi },
    &operand_data[4344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sivnx4si },
    &operand_data[4347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6divnx2di },
    &operand_data[4350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hfvnx8hf },
    &operand_data[4353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sfvnx4sf },
    &operand_data[4356],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6dfvnx2df },
    &operand_data[4359],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx64qivnx16qi },
    &operand_data[4362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hivnx8hi },
    &operand_data[4365],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sivnx4si },
    &operand_data[4368],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8divnx2di },
    &operand_data[4371],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hfvnx8hf },
    &operand_data[4374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sfvnx4sf },
    &operand_data[4377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "vec_mask_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8dfvnx2df },
    &operand_data[4380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32qivnx16qi },
    &operand_data[4383],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hivnx8hi },
    &operand_data[4386],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sivnx4si },
    &operand_data[4389],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4divnx2di },
    &operand_data[4392],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hfvnx8hf },
    &operand_data[4395],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sfvnx4sf },
    &operand_data[4398],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4dfvnx2df },
    &operand_data[4401],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx48qivnx16qi },
    &operand_data[4404],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hivnx8hi },
    &operand_data[4407],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sivnx4si },
    &operand_data[4410],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6divnx2di },
    &operand_data[4413],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hfvnx8hf },
    &operand_data[4416],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sfvnx4sf },
    &operand_data[4419],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6dfvnx2df },
    &operand_data[4422],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx64qivnx16qi },
    &operand_data[4425],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hivnx8hi },
    &operand_data[4428],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sivnx4si },
    &operand_data[4431],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8divnx2di },
    &operand_data[4434],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hfvnx8hf },
    &operand_data[4437],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sfvnx4sf },
    &operand_data[4440],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:777 */
  {
    "vec_mask_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8dfvnx2df },
    &operand_data[4443],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:801 */
  {
    "*aarch64_sve_tblvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:801 */
  {
    "*aarch64_sve_tblvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:801 */
  {
    "*aarch64_sve_tblvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:801 */
  {
    "*aarch64_sve_tblvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:801 */
  {
    "*aarch64_sve_tblvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:801 */
  {
    "*aarch64_sve_tblvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:801 */
  {
    "*aarch64_sve_tblvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_zip1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_zip2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_trn1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_trn2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_uzp1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_uzp2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_zip1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_zip2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_trn1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_trn2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_uzp1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_uzp2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_zip1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_zip2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_trn1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_trn2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_uzp1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_uzp2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_zip1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_zip2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_trn1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_trn2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_uzp1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:811 */
  {
    "*aarch64_sve_uzp2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx16qi },
    &operand_data[4446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx16qi },
    &operand_data[4446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx16qi },
    &operand_data[4446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx16qi },
    &operand_data[4446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx16qi },
    &operand_data[4446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx16qi },
    &operand_data[4446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hi },
    &operand_data[4449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hi },
    &operand_data[4449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hi },
    &operand_data[4449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hi },
    &operand_data[4449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hi },
    &operand_data[4449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hi },
    &operand_data[4449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4si },
    &operand_data[4452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4si },
    &operand_data[4452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4si },
    &operand_data[4452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4si },
    &operand_data[4452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4si },
    &operand_data[4452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4si },
    &operand_data[4452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2di },
    &operand_data[4455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2di },
    &operand_data[4455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2di },
    &operand_data[4455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2di },
    &operand_data[4455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2di },
    &operand_data[4455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2di },
    &operand_data[4455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hf },
    &operand_data[4479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hf },
    &operand_data[4479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hf },
    &operand_data[4479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hf },
    &operand_data[4479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hf },
    &operand_data[4479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hf },
    &operand_data[4479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4sf },
    &operand_data[4482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4sf },
    &operand_data[4482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4sf },
    &operand_data[4482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4sf },
    &operand_data[4482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4sf },
    &operand_data[4482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4sf },
    &operand_data[4482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2df },
    &operand_data[4485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_zip2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2df },
    &operand_data[4485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2df },
    &operand_data[4485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_trn2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2df },
    &operand_data[4485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2df },
    &operand_data[4485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:820 */
  {
    "aarch64_sve_uzp2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2df },
    &operand_data[4485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "*aarch64_sve_rev64vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "revb\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "*aarch64_sve_rev64vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "revh\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "*aarch64_sve_rev64vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "revw\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "*aarch64_sve_rev64vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "revh\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "*aarch64_sve_rev64vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "revw\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:840 */
  {
    "*aarch64_sve_rev32vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "revb\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4503],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:840 */
  {
    "*aarch64_sve_rev32vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "revh\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4506],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:840 */
  {
    "*aarch64_sve_rev32vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "revh\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:851 */
  {
    "*aarch64_sve_rev16vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "revb\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_revvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.b, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4446],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_revvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4449],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_revvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4452],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_revvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4455],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_revvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_revvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_revvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:869 */
  {
    "*aarch64_sve_dup_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.b, %1.b[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4515],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:869 */
  {
    "*aarch64_sve_dup_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4518],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:869 */
  {
    "*aarch64_sve_dup_lanevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:869 */
  {
    "*aarch64_sve_dup_lanevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4524],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:869 */
  {
    "*aarch64_sve_dup_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4527],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:869 */
  {
    "*aarch64_sve_dup_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4530],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:869 */
  {
    "*aarch64_sve_dup_lanevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4533],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:882 */
  {
    "*aarch64_sve_extvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3829 },
#else
    { 0, 0, output_3829 },
#endif
    { 0 },
    &operand_data[4536],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:882 */
  {
    "*aarch64_sve_extvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3830 },
#else
    { 0, 0, output_3830 },
#endif
    { 0 },
    &operand_data[4540],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:882 */
  {
    "*aarch64_sve_extvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3831 },
#else
    { 0, 0, output_3831 },
#endif
    { 0 },
    &operand_data[4544],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:882 */
  {
    "*aarch64_sve_extvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3832 },
#else
    { 0, 0, output_3832 },
#endif
    { 0 },
    &operand_data[4548],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:882 */
  {
    "*aarch64_sve_extvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3833 },
#else
    { 0, 0, output_3833 },
#endif
    { 0 },
    &operand_data[4552],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:882 */
  {
    "*aarch64_sve_extvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3834 },
#else
    { 0, 0, output_3834 },
#endif
    { 0 },
    &operand_data[4556],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:882 */
  {
    "*aarch64_sve_extvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3835 },
#else
    { 0, 0, output_3835 },
#endif
    { 0 },
    &operand_data[4560],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:896 */
  {
    "addvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3836 },
#else
    { 0, 0, output_3836 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx16qi3 },
    &operand_data[4564],
    3,
    3,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:896 */
  {
    "addvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3837 },
#else
    { 0, 0, output_3837 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hi3 },
    &operand_data[4567],
    3,
    3,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:896 */
  {
    "addvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3838 },
#else
    { 0, 0, output_3838 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4si3 },
    &operand_data[4570],
    3,
    3,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:896 */
  {
    "addvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3839 },
#else
    { 0, 0, output_3839 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2di3 },
    &operand_data[4573],
    3,
    3,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:909 */
  {
    "subvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3840 },
#else
    { 0, output_3840, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx16qi3 },
    &operand_data[4576],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:909 */
  {
    "subvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3841 },
#else
    { 0, output_3841, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hi3 },
    &operand_data[4579],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:909 */
  {
    "subvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3842 },
#else
    { 0, output_3842, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4si3 },
    &operand_data[4582],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:909 */
  {
    "subvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3843 },
#else
    { 0, output_3843, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2di3 },
    &operand_data[4585],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:939 */
  {
    "*mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3844 },
#else
    { 0, output_3844, 0 },
#endif
    { 0 },
    &operand_data[4588],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:939 */
  {
    "*mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3845 },
#else
    { 0, output_3845, 0 },
#endif
    { 0 },
    &operand_data[4592],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:939 */
  {
    "*mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3846 },
#else
    { 0, output_3846, 0 },
#endif
    { 0 },
    &operand_data[4596],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:939 */
  {
    "*mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3847 },
#else
    { 0, output_3847, 0 },
#endif
    { 0 },
    &operand_data[4600],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:953 */
  {
    "*maddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3848 },
#else
    { 0, output_3848, 0 },
#endif
    { 0 },
    &operand_data[4604],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:953 */
  {
    "*maddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3849 },
#else
    { 0, output_3849, 0 },
#endif
    { 0 },
    &operand_data[4609],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:953 */
  {
    "*maddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3850 },
#else
    { 0, output_3850, 0 },
#endif
    { 0 },
    &operand_data[4614],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:953 */
  {
    "*maddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3851 },
#else
    { 0, output_3851, 0 },
#endif
    { 0 },
    &operand_data[4619],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:968 */
  {
    "*msubvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3852 },
#else
    { 0, output_3852, 0 },
#endif
    { 0 },
    &operand_data[4604],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:968 */
  {
    "*msubvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3853 },
#else
    { 0, output_3853, 0 },
#endif
    { 0 },
    &operand_data[4609],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:968 */
  {
    "*msubvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3854 },
#else
    { 0, output_3854, 0 },
#endif
    { 0 },
    &operand_data[4614],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:968 */
  {
    "*msubvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3855 },
#else
    { 0, output_3855, 0 },
#endif
    { 0 },
    &operand_data[4619],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:999 */
  {
    "*smulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smulh\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4624],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:999 */
  {
    "*umulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umulh\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4624],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:999 */
  {
    "*smulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smulh\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4628],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:999 */
  {
    "*umulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umulh\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4628],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:999 */
  {
    "*smulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smulh\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4632],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:999 */
  {
    "*umulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umulh\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4632],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:999 */
  {
    "*smulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smulh\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4636],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:999 */
  {
    "*umulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umulh\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4636],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*negvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.b, %1/m, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4640],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*one_cmplvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/m, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4640],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*popcountvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.b, %1/m, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4640],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*negvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4643],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*one_cmplvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4643],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*popcountvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4643],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*negvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4646],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*one_cmplvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4646],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*popcountvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4646],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*negvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4649],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*one_cmplvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4649],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1025 */
  {
    "*popcountvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4649],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "andvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3876 },
#else
    { 0, output_3876, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16qi3 },
    &operand_data[4652],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "iorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3877 },
#else
    { 0, output_3877, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16qi3 },
    &operand_data[4652],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "xorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3878 },
#else
    { 0, output_3878, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16qi3 },
    &operand_data[4652],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "andvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3879 },
#else
    { 0, output_3879, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8hi3 },
    &operand_data[4655],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "iorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3880 },
#else
    { 0, output_3880, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8hi3 },
    &operand_data[4655],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "xorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3881 },
#else
    { 0, output_3881, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8hi3 },
    &operand_data[4655],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "andvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3882 },
#else
    { 0, output_3882, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4si3 },
    &operand_data[4658],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "iorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3883 },
#else
    { 0, output_3883, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4si3 },
    &operand_data[4658],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "xorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3884 },
#else
    { 0, output_3884, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4si3 },
    &operand_data[4658],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "andvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3885 },
#else
    { 0, output_3885, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2di3 },
    &operand_data[4661],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "iorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3886 },
#else
    { 0, output_3886, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2di3 },
    &operand_data[4661],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1037 */
  {
    "xorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3887 },
#else
    { 0, output_3887, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2di3 },
    &operand_data[4661],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1051 */
  {
    "*andvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1051 */
  {
    "*iorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1051 */
  {
    "*xorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1051 */
  {
    "*andvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1051 */
  {
    "*iorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1051 */
  {
    "*xorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1051 */
  {
    "*andvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1051 */
  {
    "*iorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1051 */
  {
    "*xorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1062 */
  {
    "bicvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %2.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicvnx16qi3 },
    &operand_data[4446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1062 */
  {
    "bicvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %2.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicvnx8hi3 },
    &operand_data[4449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1062 */
  {
    "bicvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %2.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicvnx4si3 },
    &operand_data[4452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1062 */
  {
    "bicvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %2.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicvnx2di3 },
    &operand_data[4455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1072 */
  {
    "andvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16bi3 },
    &operand_data[4467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1072 */
  {
    "andvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8bi3 },
    &operand_data[4470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1072 */
  {
    "andvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4bi3 },
    &operand_data[4473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1072 */
  {
    "andvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2bi3 },
    &operand_data[4476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_andvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_andvnx16bi3 },
    &operand_data[4664],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_iorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_iorvnx16bi3 },
    &operand_data[4664],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_xorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_xorvnx16bi3 },
    &operand_data[4664],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_andvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_andvnx8bi3 },
    &operand_data[4668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_iorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_iorvnx8bi3 },
    &operand_data[4668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_xorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_xorvnx8bi3 },
    &operand_data[4668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_andvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_andvnx4bi3 },
    &operand_data[4672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_iorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_iorvnx4bi3 },
    &operand_data[4672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_xorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_xorvnx4bi3 },
    &operand_data[4672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_andvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_andvnx2bi3 },
    &operand_data[4676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_iorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_iorvnx2bi3 },
    &operand_data[4676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1095 */
  {
    "pred_xorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pred_xorvnx2bi3 },
    &operand_data[4676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*andvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4664],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*iorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4664],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*xorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4664],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*andvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4668],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*iorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4668],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*xorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4668],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*andvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4672],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*iorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4672],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*xorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4672],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*andvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4676],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*iorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4676],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1111 */
  {
    "*xorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4676],
    4,
    4,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1142 */
  {
    "*one_cmplvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1142 */
  {
    "*one_cmplvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1142 */
  {
    "*one_cmplvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1142 */
  {
    "*one_cmplvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1152 */
  {
    "*bicvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %3.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4664],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1152 */
  {
    "*ornvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %3.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4664],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1152 */
  {
    "*bicvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %3.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1152 */
  {
    "*ornvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %3.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1152 */
  {
    "*bicvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %3.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1152 */
  {
    "*ornvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %3.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1152 */
  {
    "*bicvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %3.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1152 */
  {
    "*ornvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %3.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1164 */
  {
    "*norvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4664],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1164 */
  {
    "*nandvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4664],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1164 */
  {
    "*norvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1164 */
  {
    "*nandvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1164 */
  {
    "*norvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1164 */
  {
    "*nandvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1164 */
  {
    "*norvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1164 */
  {
    "*nandvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3949 },
#else
    { 0, output_3949, 0 },
#endif
    { 0 },
    &operand_data[4680],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3950 },
#else
    { 0, output_3950, 0 },
#endif
    { 0 },
    &operand_data[4684],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vlshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3951 },
#else
    { 0, output_3951, 0 },
#endif
    { 0 },
    &operand_data[4684],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3952 },
#else
    { 0, output_3952, 0 },
#endif
    { 0 },
    &operand_data[4688],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3953 },
#else
    { 0, output_3953, 0 },
#endif
    { 0 },
    &operand_data[4692],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vlshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3954 },
#else
    { 0, output_3954, 0 },
#endif
    { 0 },
    &operand_data[4692],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3955 },
#else
    { 0, output_3955, 0 },
#endif
    { 0 },
    &operand_data[4696],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3956 },
#else
    { 0, output_3956, 0 },
#endif
    { 0 },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vlshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3957 },
#else
    { 0, output_3957, 0 },
#endif
    { 0 },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3958 },
#else
    { 0, output_3958, 0 },
#endif
    { 0 },
    &operand_data[4704],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3959 },
#else
    { 0, output_3959, 0 },
#endif
    { 0 },
    &operand_data[4708],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1194 */
  {
    "*vlshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3960 },
#else
    { 0, output_3960, 0 },
#endif
    { 0 },
    &operand_data[4708],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1241 */
  {
    "ptest_ptruevnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ptest_ptruevnx16bi },
    &operand_data[4468],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1241 */
  {
    "ptest_ptruevnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ptest_ptruevnx8bi },
    &operand_data[4471],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1241 */
  {
    "ptest_ptruevnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ptest_ptruevnx4bi },
    &operand_data[4474],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1241 */
  {
    "ptest_ptruevnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ptest_ptruevnx2bi },
    &operand_data[4477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "while_ultsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi },
    &operand_data[4712],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "while_ultdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi },
    &operand_data[4715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "while_ultsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi },
    &operand_data[4718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "while_ultdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi },
    &operand_data[4721],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "while_ultsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi },
    &operand_data[4724],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "while_ultdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi },
    &operand_data[4727],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "while_ultsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi },
    &operand_data[4730],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "while_ultdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi },
    &operand_data[4733],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "while_ultsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi_cc },
    &operand_data[4736],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "while_ultdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi_cc },
    &operand_data[4740],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "while_ultsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi_cc },
    &operand_data[4744],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "while_ultdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi_cc },
    &operand_data[4748],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "while_ultsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi_cc },
    &operand_data[4752],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "while_ultdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi_cc },
    &operand_data[4756],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "while_ultsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi_cc },
    &operand_data[4760],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "while_ultdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi_cc },
    &operand_data[4764],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmplt_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3981 },
#else
    { 0, output_3981, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmple_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3982 },
#else
    { 0, output_3982, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpeq_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3983 },
#else
    { 0, output_3983, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpne_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3984 },
#else
    { 0, output_3984, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpge_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3985 },
#else
    { 0, output_3985, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpgt_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3986 },
#else
    { 0, output_3986, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmplo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3987 },
#else
    { 0, output_3987, 0 },
#endif
    { 0 },
    &operand_data[4772],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpls_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3988 },
#else
    { 0, output_3988, 0 },
#endif
    { 0 },
    &operand_data[4772],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmphs_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3989 },
#else
    { 0, output_3989, 0 },
#endif
    { 0 },
    &operand_data[4772],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmphi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3990 },
#else
    { 0, output_3990, 0 },
#endif
    { 0 },
    &operand_data[4772],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmplt_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3991 },
#else
    { 0, output_3991, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmple_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3992 },
#else
    { 0, output_3992, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpeq_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3993 },
#else
    { 0, output_3993, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpne_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3994 },
#else
    { 0, output_3994, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpge_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3995 },
#else
    { 0, output_3995, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpgt_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3996 },
#else
    { 0, output_3996, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmplo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3997 },
#else
    { 0, output_3997, 0 },
#endif
    { 0 },
    &operand_data[4780],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpls_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3998 },
#else
    { 0, output_3998, 0 },
#endif
    { 0 },
    &operand_data[4780],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmphs_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3999 },
#else
    { 0, output_3999, 0 },
#endif
    { 0 },
    &operand_data[4780],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmphi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4000 },
#else
    { 0, output_4000, 0 },
#endif
    { 0 },
    &operand_data[4780],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmplt_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4001 },
#else
    { 0, output_4001, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmple_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4002 },
#else
    { 0, output_4002, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpeq_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4003 },
#else
    { 0, output_4003, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpne_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4004 },
#else
    { 0, output_4004, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpge_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4005 },
#else
    { 0, output_4005, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpgt_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4006 },
#else
    { 0, output_4006, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmplo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4007 },
#else
    { 0, output_4007, 0 },
#endif
    { 0 },
    &operand_data[4788],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpls_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4008 },
#else
    { 0, output_4008, 0 },
#endif
    { 0 },
    &operand_data[4788],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmphs_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4009 },
#else
    { 0, output_4009, 0 },
#endif
    { 0 },
    &operand_data[4788],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmphi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4010 },
#else
    { 0, output_4010, 0 },
#endif
    { 0 },
    &operand_data[4788],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmplt_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4011 },
#else
    { 0, output_4011, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmple_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4012 },
#else
    { 0, output_4012, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpeq_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4013 },
#else
    { 0, output_4013, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpne_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4014 },
#else
    { 0, output_4014, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpge_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4015 },
#else
    { 0, output_4015, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpgt_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4016 },
#else
    { 0, output_4016, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmplo_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4017 },
#else
    { 0, output_4017, 0 },
#endif
    { 0 },
    &operand_data[4796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmpls_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4018 },
#else
    { 0, output_4018, 0 },
#endif
    { 0 },
    &operand_data[4796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmphs_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4019 },
#else
    { 0, output_4019, 0 },
#endif
    { 0 },
    &operand_data[4796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1296 */
  {
    "*vec_cmphi_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4020 },
#else
    { 0, output_4020, 0 },
#endif
    { 0 },
    &operand_data[4796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmplt_vnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4021 },
#else
    { 0, output_4021, 0 },
#endif
    { 0 },
    &operand_data[4800],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmple_vnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4022 },
#else
    { 0, output_4022, 0 },
#endif
    { 0 },
    &operand_data[4800],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpeq_vnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4023 },
#else
    { 0, output_4023, 0 },
#endif
    { 0 },
    &operand_data[4800],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpne_vnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4024 },
#else
    { 0, output_4024, 0 },
#endif
    { 0 },
    &operand_data[4800],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpge_vnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4025 },
#else
    { 0, output_4025, 0 },
#endif
    { 0 },
    &operand_data[4800],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpgt_vnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4026 },
#else
    { 0, output_4026, 0 },
#endif
    { 0 },
    &operand_data[4800],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmplo_vnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4027 },
#else
    { 0, output_4027, 0 },
#endif
    { 0 },
    &operand_data[4804],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpls_vnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4028 },
#else
    { 0, output_4028, 0 },
#endif
    { 0 },
    &operand_data[4804],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmphs_vnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4029 },
#else
    { 0, output_4029, 0 },
#endif
    { 0 },
    &operand_data[4804],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmphi_vnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4030 },
#else
    { 0, output_4030, 0 },
#endif
    { 0 },
    &operand_data[4804],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmplt_vnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4031 },
#else
    { 0, output_4031, 0 },
#endif
    { 0 },
    &operand_data[4808],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmple_vnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4032 },
#else
    { 0, output_4032, 0 },
#endif
    { 0 },
    &operand_data[4808],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpeq_vnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4033 },
#else
    { 0, output_4033, 0 },
#endif
    { 0 },
    &operand_data[4808],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpne_vnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4034 },
#else
    { 0, output_4034, 0 },
#endif
    { 0 },
    &operand_data[4808],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpge_vnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4035 },
#else
    { 0, output_4035, 0 },
#endif
    { 0 },
    &operand_data[4808],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpgt_vnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4036 },
#else
    { 0, output_4036, 0 },
#endif
    { 0 },
    &operand_data[4808],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmplo_vnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4037 },
#else
    { 0, output_4037, 0 },
#endif
    { 0 },
    &operand_data[4812],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpls_vnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4038 },
#else
    { 0, output_4038, 0 },
#endif
    { 0 },
    &operand_data[4812],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmphs_vnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4039 },
#else
    { 0, output_4039, 0 },
#endif
    { 0 },
    &operand_data[4812],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmphi_vnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4040 },
#else
    { 0, output_4040, 0 },
#endif
    { 0 },
    &operand_data[4812],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmplt_vnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4041 },
#else
    { 0, output_4041, 0 },
#endif
    { 0 },
    &operand_data[4816],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmple_vnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4042 },
#else
    { 0, output_4042, 0 },
#endif
    { 0 },
    &operand_data[4816],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpeq_vnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4043 },
#else
    { 0, output_4043, 0 },
#endif
    { 0 },
    &operand_data[4816],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpne_vnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4044 },
#else
    { 0, output_4044, 0 },
#endif
    { 0 },
    &operand_data[4816],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpge_vnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4045 },
#else
    { 0, output_4045, 0 },
#endif
    { 0 },
    &operand_data[4816],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpgt_vnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4046 },
#else
    { 0, output_4046, 0 },
#endif
    { 0 },
    &operand_data[4816],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmplo_vnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4047 },
#else
    { 0, output_4047, 0 },
#endif
    { 0 },
    &operand_data[4820],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpls_vnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4048 },
#else
    { 0, output_4048, 0 },
#endif
    { 0 },
    &operand_data[4820],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmphs_vnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4049 },
#else
    { 0, output_4049, 0 },
#endif
    { 0 },
    &operand_data[4820],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmphi_vnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4050 },
#else
    { 0, output_4050, 0 },
#endif
    { 0 },
    &operand_data[4820],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmplt_vnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4051 },
#else
    { 0, output_4051, 0 },
#endif
    { 0 },
    &operand_data[4824],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmple_vnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4052 },
#else
    { 0, output_4052, 0 },
#endif
    { 0 },
    &operand_data[4824],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpeq_vnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4053 },
#else
    { 0, output_4053, 0 },
#endif
    { 0 },
    &operand_data[4824],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpne_vnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4054 },
#else
    { 0, output_4054, 0 },
#endif
    { 0 },
    &operand_data[4824],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpge_vnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4055 },
#else
    { 0, output_4055, 0 },
#endif
    { 0 },
    &operand_data[4824],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpgt_vnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4056 },
#else
    { 0, output_4056, 0 },
#endif
    { 0 },
    &operand_data[4824],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmplo_vnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4057 },
#else
    { 0, output_4057, 0 },
#endif
    { 0 },
    &operand_data[4828],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmpls_vnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4058 },
#else
    { 0, output_4058, 0 },
#endif
    { 0 },
    &operand_data[4828],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmphs_vnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4059 },
#else
    { 0, output_4059, 0 },
#endif
    { 0 },
    &operand_data[4828],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1311 */
  {
    "*vec_cmphi_vnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4060 },
#else
    { 0, output_4060, 0 },
#endif
    { 0 },
    &operand_data[4828],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmplt_vnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4061 },
#else
    { 0, output_4061, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmple_vnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4062 },
#else
    { 0, output_4062, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpeq_vnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4063 },
#else
    { 0, output_4063, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpne_vnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4064 },
#else
    { 0, output_4064, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpge_vnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4065 },
#else
    { 0, output_4065, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpgt_vnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4066 },
#else
    { 0, output_4066, 0 },
#endif
    { 0 },
    &operand_data[4768],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmplo_vnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4067 },
#else
    { 0, output_4067, 0 },
#endif
    { 0 },
    &operand_data[4772],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpls_vnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4068 },
#else
    { 0, output_4068, 0 },
#endif
    { 0 },
    &operand_data[4772],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmphs_vnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4069 },
#else
    { 0, output_4069, 0 },
#endif
    { 0 },
    &operand_data[4772],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmphi_vnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4070 },
#else
    { 0, output_4070, 0 },
#endif
    { 0 },
    &operand_data[4772],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmplt_vnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4071 },
#else
    { 0, output_4071, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmple_vnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4072 },
#else
    { 0, output_4072, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpeq_vnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4073 },
#else
    { 0, output_4073, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpne_vnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4074 },
#else
    { 0, output_4074, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpge_vnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4075 },
#else
    { 0, output_4075, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpgt_vnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4076 },
#else
    { 0, output_4076, 0 },
#endif
    { 0 },
    &operand_data[4776],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmplo_vnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4077 },
#else
    { 0, output_4077, 0 },
#endif
    { 0 },
    &operand_data[4780],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpls_vnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4078 },
#else
    { 0, output_4078, 0 },
#endif
    { 0 },
    &operand_data[4780],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmphs_vnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4079 },
#else
    { 0, output_4079, 0 },
#endif
    { 0 },
    &operand_data[4780],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmphi_vnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4080 },
#else
    { 0, output_4080, 0 },
#endif
    { 0 },
    &operand_data[4780],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmplt_vnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4081 },
#else
    { 0, output_4081, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmple_vnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4082 },
#else
    { 0, output_4082, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpeq_vnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4083 },
#else
    { 0, output_4083, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpne_vnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4084 },
#else
    { 0, output_4084, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpge_vnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4085 },
#else
    { 0, output_4085, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpgt_vnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4086 },
#else
    { 0, output_4086, 0 },
#endif
    { 0 },
    &operand_data[4784],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmplo_vnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4087 },
#else
    { 0, output_4087, 0 },
#endif
    { 0 },
    &operand_data[4788],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpls_vnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4088 },
#else
    { 0, output_4088, 0 },
#endif
    { 0 },
    &operand_data[4788],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmphs_vnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4089 },
#else
    { 0, output_4089, 0 },
#endif
    { 0 },
    &operand_data[4788],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmphi_vnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4090 },
#else
    { 0, output_4090, 0 },
#endif
    { 0 },
    &operand_data[4788],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmplt_vnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4091 },
#else
    { 0, output_4091, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmple_vnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4092 },
#else
    { 0, output_4092, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpeq_vnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4093 },
#else
    { 0, output_4093, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpne_vnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4094 },
#else
    { 0, output_4094, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpge_vnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4095 },
#else
    { 0, output_4095, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpgt_vnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4096 },
#else
    { 0, output_4096, 0 },
#endif
    { 0 },
    &operand_data[4792],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmplo_vnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4097 },
#else
    { 0, output_4097, 0 },
#endif
    { 0 },
    &operand_data[4796],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmpls_vnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4098 },
#else
    { 0, output_4098, 0 },
#endif
    { 0 },
    &operand_data[4796],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmphs_vnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4099 },
#else
    { 0, output_4099, 0 },
#endif
    { 0 },
    &operand_data[4796],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1332 */
  {
    "*vec_cmphi_vnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4100 },
#else
    { 0, output_4100, 0 },
#endif
    { 0 },
    &operand_data[4796],
    4,
    4,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4101 },
#else
    { 0, output_4101, 0 },
#endif
    { 0 },
    &operand_data[4832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmlevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4102 },
#else
    { 0, output_4102, 0 },
#endif
    { 0 },
    &operand_data[4832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmeqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4103 },
#else
    { 0, output_4103, 0 },
#endif
    { 0 },
    &operand_data[4832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmnevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4104 },
#else
    { 0, output_4104, 0 },
#endif
    { 0 },
    &operand_data[4832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmgevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4105 },
#else
    { 0, output_4105, 0 },
#endif
    { 0 },
    &operand_data[4832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmgtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4106 },
#else
    { 0, output_4106, 0 },
#endif
    { 0 },
    &operand_data[4832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4107 },
#else
    { 0, output_4107, 0 },
#endif
    { 0 },
    &operand_data[4836],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmlevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4108 },
#else
    { 0, output_4108, 0 },
#endif
    { 0 },
    &operand_data[4836],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmeqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4109 },
#else
    { 0, output_4109, 0 },
#endif
    { 0 },
    &operand_data[4836],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmnevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4110 },
#else
    { 0, output_4110, 0 },
#endif
    { 0 },
    &operand_data[4836],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmgevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4111 },
#else
    { 0, output_4111, 0 },
#endif
    { 0 },
    &operand_data[4836],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmgtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4112 },
#else
    { 0, output_4112, 0 },
#endif
    { 0 },
    &operand_data[4836],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4113 },
#else
    { 0, output_4113, 0 },
#endif
    { 0 },
    &operand_data[4840],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmlevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4114 },
#else
    { 0, output_4114, 0 },
#endif
    { 0 },
    &operand_data[4840],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmeqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4115 },
#else
    { 0, output_4115, 0 },
#endif
    { 0 },
    &operand_data[4840],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmnevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4116 },
#else
    { 0, output_4116, 0 },
#endif
    { 0 },
    &operand_data[4840],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmgevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4117 },
#else
    { 0, output_4117, 0 },
#endif
    { 0 },
    &operand_data[4840],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1358 */
  {
    "*vec_fcmgtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4118 },
#else
    { 0, output_4118, 0 },
#endif
    { 0 },
    &operand_data[4840],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1372 */
  {
    "*vec_fcmuovnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1372 */
  {
    "*vec_fcmuovnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1372 */
  {
    "*vec_fcmuovnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4852],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1386 */
  {
    "vcond_mask_vnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx16qivnx16bi },
    &operand_data[4856],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1386 */
  {
    "vcond_mask_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.h, %3, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hivnx8bi },
    &operand_data[4860],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1386 */
  {
    "vcond_mask_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.s, %3, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sivnx4bi },
    &operand_data[4864],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1386 */
  {
    "vcond_mask_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.d, %3, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2divnx2bi },
    &operand_data[4868],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1386 */
  {
    "vcond_mask_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.h, %3, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hfvnx8bi },
    &operand_data[4872],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1386 */
  {
    "vcond_mask_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.s, %3, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sfvnx4bi },
    &operand_data[4876],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1386 */
  {
    "vcond_mask_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.d, %3, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2dfvnx2bi },
    &operand_data[4880],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1398 */
  {
    "aarch64_sve_dupvnx16qi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mov\t%0.b, %1/z, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupvnx16qi_const },
    &operand_data[4884],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1398 */
  {
    "aarch64_sve_dupvnx8hi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mov\t%0.h, %1/z, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupvnx8hi_const },
    &operand_data[4888],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1398 */
  {
    "aarch64_sve_dupvnx4si_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mov\t%0.s, %1/z, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupvnx4si_const },
    &operand_data[4892],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1398 */
  {
    "aarch64_sve_dupvnx2di_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mov\t%0.d, %1/z, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupvnx2di_const },
    &operand_data[4896],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4624],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4624],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4624],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4624],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4628],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4628],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4628],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4628],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4632],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4632],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4632],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4632],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4636],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4636],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4636],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1555 */
  {
    "*uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4636],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*smaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4900],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*sminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4900],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*smaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4904],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*sminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4904],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*smaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*sminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*smax_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4900],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*smin_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4900],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*fmaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4900],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*fminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4900],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*smax_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4904],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*smin_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4904],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*fmaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4904],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*fminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4904],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*smax_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*smin_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*fmaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1608 */
  {
    "*fminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_addvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx16qi },
    &operand_data[4912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_subvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx16qi },
    &operand_data[4912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_smaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx16qi },
    &operand_data[4912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_umaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx16qi },
    &operand_data[4912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_sminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx16qi },
    &operand_data[4912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_uminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx16qi },
    &operand_data[4912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_andvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx16qi },
    &operand_data[4912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_iorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx16qi },
    &operand_data[4912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_xorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/m, %0.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx16qi },
    &operand_data[4912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_addvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hi },
    &operand_data[4916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_subvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hi },
    &operand_data[4916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_smaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8hi },
    &operand_data[4916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_umaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx8hi },
    &operand_data[4916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_sminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8hi },
    &operand_data[4916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_uminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx8hi },
    &operand_data[4916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_andvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx8hi },
    &operand_data[4916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_iorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx8hi },
    &operand_data[4916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_xorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx8hi },
    &operand_data[4916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_addvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4si },
    &operand_data[4920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_subvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4si },
    &operand_data[4920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_smaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4si },
    &operand_data[4920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_umaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4si },
    &operand_data[4920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_sminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4si },
    &operand_data[4920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_uminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4si },
    &operand_data[4920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_andvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4si },
    &operand_data[4920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_iorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4si },
    &operand_data[4920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_xorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4si },
    &operand_data[4920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_addvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2di },
    &operand_data[4924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_subvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2di },
    &operand_data[4924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_smaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2di },
    &operand_data[4924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_umaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2di },
    &operand_data[4924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_sminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2di },
    &operand_data[4924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_uminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2di },
    &operand_data[4924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_andvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2di },
    &operand_data[4924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_iorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2di },
    &operand_data[4924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1621 */
  {
    "cond_xorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2di },
    &operand_data[4924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "fold_extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4203 },
#else
    { 0, output_4203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx16qi },
    &operand_data[4928],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "fold_extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4204 },
#else
    { 0, output_4204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hi },
    &operand_data[4932],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "fold_extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4205 },
#else
    { 0, output_4205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4si },
    &operand_data[4936],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "fold_extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4206 },
#else
    { 0, output_4206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2di },
    &operand_data[4940],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "fold_extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4207 },
#else
    { 0, output_4207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hf },
    &operand_data[4944],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "fold_extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4208 },
#else
    { 0, output_4208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4sf },
    &operand_data[4948],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "fold_extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4209 },
#else
    { 0, output_4209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2df },
    &operand_data[4952],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1660 */
  {
    "*reduc_plus_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1660 */
  {
    "*reduc_plus_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1660 */
  {
    "*reduc_plus_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4962],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1660 */
  {
    "*reduc_plus_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4965],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1682 */
  {
    "*reduc_plus_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4968],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1682 */
  {
    "*reduc_plus_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4971],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1682 */
  {
    "*reduc_plus_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4974],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_umax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_umin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_smax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_smin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_umax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_umin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_smax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_smin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_umax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4962],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_umin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4962],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_smax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4962],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_smin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4962],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_umax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4965],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_umin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4965],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_smax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4965],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1704 */
  {
    "*reduc_smin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4965],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smax_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4968],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smin_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4968],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smax_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4968],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smin_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4968],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smax_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4971],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smin_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4971],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smax_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4971],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smin_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4971],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smax_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4974],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smin_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4974],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smax_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4974],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1726 */
  {
    "*reduc_smin_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4974],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_and_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_ior_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_xor_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_and_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_ior_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_xor_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_and_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4962],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_ior_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4962],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_xor_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4962],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_and_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4965],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_ior_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4965],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1746 */
  {
    "*reduc_xor_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4965],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1769 */
  {
    "*fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%h0, %1, %h0, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4977],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1769 */
  {
    "*fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%s0, %1, %s0, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4981],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1769 */
  {
    "*fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%d0, %1, %d0, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4985],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1780 */
  {
    "*pred_fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%h0, %2, %h0, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4989],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1780 */
  {
    "*pred_fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%s0, %2, %s0, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4994],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1780 */
  {
    "*pred_fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%d0, %2, %d0, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4999],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1810 */
  {
    "*addvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4263 },
#else
    { 0, output_4263, 0 },
#endif
    { 0 },
    &operand_data[5004],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1810 */
  {
    "*addvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4264 },
#else
    { 0, output_4264, 0 },
#endif
    { 0 },
    &operand_data[5008],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1810 */
  {
    "*addvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4265 },
#else
    { 0, output_4265, 0 },
#endif
    { 0 },
    &operand_data[5012],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1841 */
  {
    "*subvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4266 },
#else
    { 0, output_4266, 0 },
#endif
    { 0 },
    &operand_data[5016],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1841 */
  {
    "*subvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4267 },
#else
    { 0, output_4267, 0 },
#endif
    { 0 },
    &operand_data[5020],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1841 */
  {
    "*subvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4268 },
#else
    { 0, output_4268, 0 },
#endif
    { 0 },
    &operand_data[5024],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1875 */
  {
    "*mulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4269 },
#else
    { 0, output_4269, 0 },
#endif
    { 0 },
    &operand_data[5028],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1875 */
  {
    "*mulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4270 },
#else
    { 0, output_4270, 0 },
#endif
    { 0 },
    &operand_data[5032],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1875 */
  {
    "*mulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4271 },
#else
    { 0, output_4271, 0 },
#endif
    { 0 },
    &operand_data[5036],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1905 */
  {
    "*fmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4272 },
#else
    { 0, output_4272, 0 },
#endif
    { 0 },
    &operand_data[5040],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1905 */
  {
    "*fmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4273 },
#else
    { 0, output_4273, 0 },
#endif
    { 0 },
    &operand_data[5045],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1905 */
  {
    "*fmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4274 },
#else
    { 0, output_4274, 0 },
#endif
    { 0 },
    &operand_data[5050],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1936 */
  {
    "*fnmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4275 },
#else
    { 0, output_4275, 0 },
#endif
    { 0 },
    &operand_data[5040],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1936 */
  {
    "*fnmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4276 },
#else
    { 0, output_4276, 0 },
#endif
    { 0 },
    &operand_data[5045],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1936 */
  {
    "*fnmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4277 },
#else
    { 0, output_4277, 0 },
#endif
    { 0 },
    &operand_data[5050],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1968 */
  {
    "*fmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4278 },
#else
    { 0, output_4278, 0 },
#endif
    { 0 },
    &operand_data[5040],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1968 */
  {
    "*fmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4279 },
#else
    { 0, output_4279, 0 },
#endif
    { 0 },
    &operand_data[5045],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1968 */
  {
    "*fmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4280 },
#else
    { 0, output_4280, 0 },
#endif
    { 0 },
    &operand_data[5050],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2001 */
  {
    "*fnmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4281 },
#else
    { 0, output_4281, 0 },
#endif
    { 0 },
    &operand_data[5040],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2001 */
  {
    "*fnmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4282 },
#else
    { 0, output_4282, 0 },
#endif
    { 0 },
    &operand_data[5045],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2001 */
  {
    "*fnmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4283 },
#else
    { 0, output_4283, 0 },
#endif
    { 0 },
    &operand_data[5050],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2032 */
  {
    "*divvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4284 },
#else
    { 0, output_4284, 0 },
#endif
    { 0 },
    &operand_data[5055],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2032 */
  {
    "*divvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4285 },
#else
    { 0, output_4285, 0 },
#endif
    { 0 },
    &operand_data[5059],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2032 */
  {
    "*divvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4286 },
#else
    { 0, output_4286, 0 },
#endif
    { 0 },
    &operand_data[5063],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2059 */
  {
    "*negvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5067],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2059 */
  {
    "*absvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5067],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2059 */
  {
    "*sqrtvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5067],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2059 */
  {
    "*negvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5070],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2059 */
  {
    "*absvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5070],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2059 */
  {
    "*sqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5070],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2059 */
  {
    "*negvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5073],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2059 */
  {
    "*absvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5073],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2059 */
  {
    "*sqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5073],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*btruncvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5067],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*ceilvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5067],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*floorvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5067],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*frintnvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5067],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*nearbyintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5067],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*rintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5067],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*roundvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5067],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*btruncvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5070],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*ceilvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5070],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*floorvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5070],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*frintnvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5070],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*nearbyintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5070],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*rintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5070],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*roundvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5070],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*btruncvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5073],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*ceilvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5073],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*floorvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5073],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*frintnvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5073],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*nearbyintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5073],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*rintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5073],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2084 */
  {
    "*roundvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5073],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2111 */
  {
    "*fix_truncv16hsfvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.b, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5076],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2111 */
  {
    "*fixuns_truncv16hsfvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.b, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5076],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2111 */
  {
    "*fix_truncv16hsfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5079],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2111 */
  {
    "*fixuns_truncv16hsfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5079],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2111 */
  {
    "*fix_truncv16hsfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5082],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2111 */
  {
    "*fixuns_truncv16hsfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5082],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2123 */
  {
    "*fix_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5085],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2123 */
  {
    "*fixuns_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5085],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2123 */
  {
    "*fix_truncvnx4sfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5088],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2123 */
  {
    "*fixuns_truncvnx4sfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5088],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2135 */
  {
    "*fix_truncvnx2dfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.s, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5091],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2135 */
  {
    "*fixuns_truncvnx2dfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.s, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5091],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2135 */
  {
    "*fix_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5094],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2135 */
  {
    "*fixuns_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5094],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2163 */
  {
    "*floatvnx16qivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.h, %1/m, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5097],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2163 */
  {
    "*floatunsvnx16qivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.h, %1/m, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5097],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2163 */
  {
    "*floatvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5100],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2163 */
  {
    "*floatunsvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.h, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5100],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2163 */
  {
    "*floatvnx4sivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.h, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5103],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2163 */
  {
    "*floatunsvnx4sivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.h, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5103],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2175 */
  {
    "*floatvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5106],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2175 */
  {
    "*floatunsvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.s, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5106],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2175 */
  {
    "*floatvnx2divnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.s, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2175 */
  {
    "*floatunsvnx2divnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.s, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2187 */
  {
    "aarch64_sve_floatvnx4sivnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatvnx4sivnx2df2 },
    &operand_data[5112],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2187 */
  {
    "aarch64_sve_floatunsvnx4sivnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatunsvnx4sivnx2df2 },
    &operand_data[5112],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2187 */
  {
    "aarch64_sve_floatvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatvnx2divnx2df2 },
    &operand_data[5115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2187 */
  {
    "aarch64_sve_floatunsvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.d, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatunsvnx2divnx2df2 },
    &operand_data[5115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2200 */
  {
    "*truncvnx4sfvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%0.h, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5118],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2200 */
  {
    "*truncvnx2dfvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%0.s, %1/m, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5121],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2214 */
  {
    "aarch64_sve_extendvnx8hfvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extendvnx8hfvnx4sf2 },
    &operand_data[5124],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2214 */
  {
    "aarch64_sve_extendvnx4sfvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extendvnx4sfvnx2df2 },
    &operand_data[5127],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2244 */
  {
    "aarch64_sve_punpklo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx16bi },
    &operand_data[5130],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2244 */
  {
    "aarch64_sve_punpkhi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx16bi },
    &operand_data[5130],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2244 */
  {
    "aarch64_sve_punpklo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx8bi },
    &operand_data[5132],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2244 */
  {
    "aarch64_sve_punpkhi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx8bi },
    &operand_data[5132],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2244 */
  {
    "aarch64_sve_punpklo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx4bi },
    &operand_data[5134],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2244 */
  {
    "aarch64_sve_punpkhi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx4bi },
    &operand_data[5134],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_sunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx16qi },
    &operand_data[5136],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_uunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx16qi },
    &operand_data[5136],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_sunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx16qi },
    &operand_data[5136],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_uunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx16qi },
    &operand_data[5136],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_sunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx8hi },
    &operand_data[5138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_uunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx8hi },
    &operand_data[5138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_sunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx8hi },
    &operand_data[5138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_uunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx8hi },
    &operand_data[5138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_sunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx4si },
    &operand_data[5140],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_uunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx4si },
    &operand_data[5140],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_sunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx4si },
    &operand_data[5140],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "aarch64_sve_uunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx4si },
    &operand_data[5140],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2330 */
  {
    "vec_pack_trunc_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8bi },
    &operand_data[5142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2330 */
  {
    "vec_pack_trunc_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4bi },
    &operand_data[5145],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2330 */
  {
    "vec_pack_trunc_vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2bi },
    &operand_data[5148],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2342 */
  {
    "vec_pack_trunc_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8hi },
    &operand_data[5151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2342 */
  {
    "vec_pack_trunc_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4si },
    &operand_data[5154],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2342 */
  {
    "vec_pack_trunc_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2di },
    &operand_data[5157],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2400 */
  {
    "cond_addvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hf },
    &operand_data[5160],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2400 */
  {
    "cond_subvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.h, %1/m, %0.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hf },
    &operand_data[5160],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2400 */
  {
    "cond_addvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4sf },
    &operand_data[5164],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2400 */
  {
    "cond_subvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.s, %1/m, %0.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4sf },
    &operand_data[5164],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2400 */
  {
    "cond_addvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2df },
    &operand_data[5168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2400 */
  {
    "cond_subvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.d, %1/m, %0.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2df },
    &operand_data[5168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2412 */
  {
    "vec_shl_insert_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4379 },
#else
    { 0, output_4379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx16qi },
    &operand_data[5172],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2412 */
  {
    "vec_shl_insert_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4380 },
#else
    { 0, output_4380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hi },
    &operand_data[5175],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2412 */
  {
    "vec_shl_insert_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4381 },
#else
    { 0, output_4381, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4si },
    &operand_data[5178],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2412 */
  {
    "vec_shl_insert_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4382 },
#else
    { 0, output_4382, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2di },
    &operand_data[5181],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2412 */
  {
    "vec_shl_insert_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4383 },
#else
    { 0, output_4383, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hf },
    &operand_data[5184],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2412 */
  {
    "vec_shl_insert_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4384 },
#else
    { 0, output_4384, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4sf },
    &operand_data[5187],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2412 */
  {
    "vec_shl_insert_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4385 },
#else
    { 0, output_4385, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2df },
    &operand_data[5190],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:316 */
  {
    "cbranchsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsi4 },
    &operand_data[5193],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:316 */
  {
    "cbranchdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdi4 },
    &operand_data[5197],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:330 */
  {
    "cbranchsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsf4 },
    &operand_data[5201],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:330 */
  {
    "cbranchdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdf4 },
    &operand_data[5205],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:344 */
  {
    "cbranchcc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchcc4 },
    &operand_data[5209],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:409 */
  {
    "modsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_modsi3 },
    &operand_data[5213],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:409 */
  {
    "moddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_moddi3 },
    &operand_data[5216],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:518 */
  {
    "casesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi },
    &operand_data[5219],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:626 */
  {
    "prologue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prologue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:635 */
  {
    "epilogue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_epilogue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:644 */
  {
    "sibcall_epilogue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall_epilogue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:667 */
  {
    "return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:788 */
  {
    "call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call },
    &operand_data[5224],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:812 */
  {
    "call_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call_value },
    &operand_data[5226],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:838 */
  {
    "sibcall",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall },
    &operand_data[5224],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:850 */
  {
    "sibcall_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall_value },
    &operand_data[5226],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:889 */
  {
    "untyped_call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_untyped_call },
    &operand_data[5229],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:918 */
  {
    "movqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqi },
    &operand_data[5232],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:918 */
  {
    "movhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhi },
    &operand_data[5234],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:976 */
  {
    "movsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsi },
    &operand_data[5236],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:976 */
  {
    "movdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdi },
    &operand_data[5238],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1096 */
  {
    "movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movti },
    &operand_data[5240],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1152 */
  {
    "movhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhf },
    &operand_data[5242],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1152 */
  {
    "movsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsf },
    &operand_data[5244],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1152 */
  {
    "movdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdf },
    &operand_data[5246],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1152 */
  {
    "movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movtf },
    &operand_data[5248],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1302 */
  {
    "movmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmemdi },
    &operand_data[5250],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1522 */
  {
    "extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsidi2 },
    &operand_data[5254],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1522 */
  {
    "zero_extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendsidi2 },
    &operand_data[5254],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1574 */
  {
    "extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqisi2 },
    &operand_data[5256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1574 */
  {
    "zero_extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqisi2 },
    &operand_data[5256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1574 */
  {
    "extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqidi2 },
    &operand_data[5258],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1574 */
  {
    "zero_extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqidi2 },
    &operand_data[5258],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1574 */
  {
    "extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhisi2 },
    &operand_data[5260],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1574 */
  {
    "zero_extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhisi2 },
    &operand_data[5260],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1574 */
  {
    "extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhidi2 },
    &operand_data[5262],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1574 */
  {
    "zero_extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhidi2 },
    &operand_data[5262],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1601 */
  {
    "extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqihi2 },
    &operand_data[5264],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1601 */
  {
    "zero_extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqihi2 },
    &operand_data[5264],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1631 */
  {
    "addsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3 },
    &operand_data[5266],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1631 */
  {
    "adddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3 },
    &operand_data[5269],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1797 */
  {
    "addti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addti3 },
    &operand_data[5272],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2244 */
  {
    "addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryin },
    &operand_data[5275],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2244 */
  {
    "adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryin },
    &operand_data[5278],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2380 */
  {
    "subti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subti3 },
    &operand_data[5272],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2675 */
  {
    "subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_carryin },
    &operand_data[5281],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2675 */
  {
    "subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_carryin },
    &operand_data[5284],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2804 */
  {
    "abssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssi2 },
    &operand_data[5213],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2804 */
  {
    "absdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdi2 },
    &operand_data[5216],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3068 */
  {
    "mulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulditi3 },
    &operand_data[5287],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3068 */
  {
    "umulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulditi3 },
    &operand_data[5287],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3087 */
  {
    "multi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_multi3 },
    &operand_data[5272],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3218 */
  {
    "cstoresi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi4 },
    &operand_data[5290],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3218 */
  {
    "cstoredi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi4 },
    &operand_data[5294],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3231 */
  {
    "cstorecc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorecc4 },
    &operand_data[5298],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3243 */
  {
    "cstoresf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresf4 },
    &operand_data[5302],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3243 */
  {
    "cstoredf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredf4 },
    &operand_data[5306],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3331 */
  {
    "cmovsi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsi6 },
    &operand_data[5310],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3331 */
  {
    "cmovdi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdi6 },
    &operand_data[5316],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3347 */
  {
    "cmovsf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsf6 },
    &operand_data[5322],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3347 */
  {
    "cmovdf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdf6 },
    &operand_data[5328],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3431 */
  {
    "movqicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqicc },
    &operand_data[5334],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3431 */
  {
    "movhicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhicc },
    &operand_data[5338],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3431 */
  {
    "movsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsicc },
    &operand_data[5342],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3431 */
  {
    "movdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdicc },
    &operand_data[5346],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3450 */
  {
    "movsfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfsicc },
    &operand_data[5350],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3450 */
  {
    "movsfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfdicc },
    &operand_data[5354],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3450 */
  {
    "movdfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfsicc },
    &operand_data[5358],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3450 */
  {
    "movdfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfdicc },
    &operand_data[5362],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3469 */
  {
    "movsfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfcc },
    &operand_data[5366],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3469 */
  {
    "movdfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfcc },
    &operand_data[5370],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3488 */
  {
    "negsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsicc },
    &operand_data[5342],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3488 */
  {
    "notsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notsicc },
    &operand_data[5342],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3488 */
  {
    "negdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdicc },
    &operand_data[5346],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3488 */
  {
    "notdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notdicc },
    &operand_data[5346],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3604 */
  {
    "umaxsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxsi3 },
    &operand_data[5374],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3604 */
  {
    "umaxdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxdi3 },
    &operand_data[5377],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4007 */
  {
    "ffssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffssi2 },
    &operand_data[5213],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4007 */
  {
    "ffsdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffsdi2 },
    &operand_data[5216],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4029 */
  {
    "popcountsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountsi2 },
    &operand_data[5213],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4029 */
  {
    "popcountdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountdi2 },
    &operand_data[5216],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4199 */
  {
    "ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlsi3 },
    &operand_data[5380],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4199 */
  {
    "ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrsi3 },
    &operand_data[5380],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4199 */
  {
    "lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrsi3 },
    &operand_data[5380],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4199 */
  {
    "ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashldi3 },
    &operand_data[5383],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4199 */
  {
    "ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrdi3 },
    &operand_data[5383],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4199 */
  {
    "lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrdi3 },
    &operand_data[5383],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4219 */
  {
    "ashlqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlqi3 },
    &operand_data[5386],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4219 */
  {
    "ashlhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlhi3 },
    &operand_data[5389],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4235 */
  {
    "rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrsi3 },
    &operand_data[5380],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4235 */
  {
    "rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrdi3 },
    &operand_data[5383],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4255 */
  {
    "rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotlsi3 },
    &operand_data[5380],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4255 */
  {
    "rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotldi3 },
    &operand_data[5383],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4725 */
  {
    "extv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extv },
    &operand_data[5392],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4725 */
  {
    "extzv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extzv },
    &operand_data[5392],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "insvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvsi },
    &operand_data[5396],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "insvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvdi },
    &operand_data[5400],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5164 */
  {
    "floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsihf2 },
    &operand_data[5404],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5164 */
  {
    "floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssihf2 },
    &operand_data[5404],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5193 */
  {
    "floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdihf2 },
    &operand_data[5406],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5193 */
  {
    "floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdihf2 },
    &operand_data[5406],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5335 */
  {
    "divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divhf3 },
    &operand_data[5408],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5335 */
  {
    "divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsf3 },
    &operand_data[5411],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5335 */
  {
    "divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdf3 },
    &operand_data[5414],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5364 */
  {
    "sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrthf2 },
    &operand_data[1004],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5364 */
  {
    "sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtsf2 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5364 */
  {
    "sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtdf2 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5424 */
  {
    "lrintsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfsi2 },
    &operand_data[5417],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5424 */
  {
    "lrintsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfdi2 },
    &operand_data[5321],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5424 */
  {
    "lrintdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfsi2 },
    &operand_data[5419],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5424 */
  {
    "lrintdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfdi2 },
    &operand_data[5421],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5453 */
  {
    "copysignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3 },
    &operand_data[5423],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5453 */
  {
    "copysigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3 },
    &operand_data[5426],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5492 */
  {
    "xorsignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignsf3 },
    &operand_data[5423],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5492 */
  {
    "xorsigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsigndf3 },
    &operand_data[5426],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5526 */
  {
    "aarch64_reload_movcpsfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfsi },
    &operand_data[5429],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5526 */
  {
    "aarch64_reload_movcpsfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfdi },
    &operand_data[5432],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5526 */
  {
    "aarch64_reload_movcpdfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfsi },
    &operand_data[5435],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5526 */
  {
    "aarch64_reload_movcpdfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfdi },
    &operand_data[5438],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5526 */
  {
    "aarch64_reload_movcptfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfsi },
    &operand_data[5441],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5526 */
  {
    "aarch64_reload_movcptfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfdi },
    &operand_data[5444],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv8qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qisi },
    &operand_data[5447],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv16qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qisi },
    &operand_data[5450],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv4hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hisi },
    &operand_data[5453],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv8hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hisi },
    &operand_data[5456],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sisi },
    &operand_data[5459],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sisi },
    &operand_data[5462],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv2disi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2disi },
    &operand_data[5465],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv2sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfsi },
    &operand_data[5468],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv4sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfsi },
    &operand_data[5471],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv2dfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfsi },
    &operand_data[5474],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv8qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qidi },
    &operand_data[5477],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv16qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qidi },
    &operand_data[5480],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv4hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hidi },
    &operand_data[5483],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv8hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hidi },
    &operand_data[5486],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv2sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sidi },
    &operand_data[5489],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv4sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sidi },
    &operand_data[5492],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2didi },
    &operand_data[5495],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv2sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfdi },
    &operand_data[5498],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv4sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfdi },
    &operand_data[5501],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "aarch64_reload_movcpv2dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfdi },
    &operand_data[5504],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5551 */
  {
    "aarch64_reload_movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movti },
    &operand_data[5507],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5551 */
  {
    "aarch64_reload_movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movtf },
    &operand_data[5510],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5625 */
  {
    "add_losym",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym },
    &operand_data[5513],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5716 */
  {
    "tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_si },
    &operand_data[5516],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5716 */
  {
    "tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_di },
    &operand_data[5518],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5824 */
  {
    "tlsdesc_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_si },
    &operand_data[5520],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5824 */
  {
    "tlsdesc_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_di },
    &operand_data[5520],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5967 */
  {
    "get_thread_pointerdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_get_thread_pointerdi },
    &operand_data[140],
    1,
    1,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5978 */
  {
    "stack_protect_set",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set },
    &operand_data[5521],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6001 */
  {
    "stack_protect_test",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test },
    &operand_data[5521],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6066 */
  {
    "doloop_end",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_doloop_end },
    &operand_data[5229],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6102 */
  {
    "set_clobber_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_set_clobber_cc },
    &operand_data[5229],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8qi },
    &operand_data[5524],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv16qi },
    &operand_data[5526],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hi },
    &operand_data[5528],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hi },
    &operand_data[5530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2si },
    &operand_data[5532],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4si },
    &operand_data[5534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2di },
    &operand_data[5536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hf },
    &operand_data[5538],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hf },
    &operand_data[5540],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2sf },
    &operand_data[5542],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4sf },
    &operand_data[5544],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2df },
    &operand_data[5546],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8qi },
    &operand_data[5524],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv16qi },
    &operand_data[5526],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4hi },
    &operand_data[5528],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8hi },
    &operand_data[5530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2si },
    &operand_data[5532],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4si },
    &operand_data[5534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2di },
    &operand_data[5536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2sf },
    &operand_data[5542],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4sf },
    &operand_data[5544],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2df },
    &operand_data[5546],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:232 */
  {
    "aarch64_split_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv16qi },
    &operand_data[5548],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:232 */
  {
    "aarch64_split_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hi },
    &operand_data[5550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:232 */
  {
    "aarch64_split_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4si },
    &operand_data[5552],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:232 */
  {
    "aarch64_split_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2di },
    &operand_data[5554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:232 */
  {
    "aarch64_split_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hf },
    &operand_data[5556],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:232 */
  {
    "aarch64_split_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4sf },
    &operand_data[5558],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:232 */
  {
    "aarch64_split_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2df },
    &operand_data[5560],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "ctzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv2si2 },
    &operand_data[5562],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "ctzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv4si2 },
    &operand_data[5564],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:365 */
  {
    "xorsignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4hf3 },
    &operand_data[5566],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:365 */
  {
    "xorsignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv8hf3 },
    &operand_data[5569],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:365 */
  {
    "xorsignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2sf3 },
    &operand_data[5572],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:365 */
  {
    "xorsignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4sf3 },
    &operand_data[5575],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:365 */
  {
    "xorsignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2df3 },
    &operand_data[5578],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:501 */
  {
    "sdot_prodv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv8qi },
    &operand_data[5581],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:501 */
  {
    "udot_prodv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv8qi },
    &operand_data[5581],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:501 */
  {
    "sdot_prodv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv16qi },
    &operand_data[5585],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:501 */
  {
    "udot_prodv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv16qi },
    &operand_data[5585],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:548 */
  {
    "copysignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4hf3 },
    &operand_data[5566],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:548 */
  {
    "copysignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv8hf3 },
    &operand_data[5569],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:548 */
  {
    "copysignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2sf3 },
    &operand_data[5572],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:548 */
  {
    "copysignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4sf3 },
    &operand_data[5575],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:548 */
  {
    "copysignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2df3 },
    &operand_data[5578],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:626 */
  {
    "rsqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2sf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:626 */
  {
    "rsqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv4sf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:626 */
  {
    "rsqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2df2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:626 */
  {
    "rsqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtsf2 },
    &operand_data[1006],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:626 */
  {
    "rsqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtdf2 },
    &operand_data[1008],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:896 */
  {
    "ashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8qi3 },
    &operand_data[5589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:896 */
  {
    "ashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv16qi3 },
    &operand_data[5592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:896 */
  {
    "ashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4hi3 },
    &operand_data[5595],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:896 */
  {
    "ashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8hi3 },
    &operand_data[5598],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:896 */
  {
    "ashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2si3 },
    &operand_data[5601],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:896 */
  {
    "ashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4si3 },
    &operand_data[5604],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:896 */
  {
    "ashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2di3 },
    &operand_data[5607],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:929 */
  {
    "lshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8qi3 },
    &operand_data[5589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:929 */
  {
    "lshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv16qi3 },
    &operand_data[5592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:929 */
  {
    "lshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4hi3 },
    &operand_data[5595],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:929 */
  {
    "lshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8hi3 },
    &operand_data[5598],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:929 */
  {
    "lshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2si3 },
    &operand_data[5601],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:929 */
  {
    "lshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4si3 },
    &operand_data[5604],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:929 */
  {
    "lshrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2di3 },
    &operand_data[5607],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "ashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8qi3 },
    &operand_data[5589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "ashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv16qi3 },
    &operand_data[5592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "ashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4hi3 },
    &operand_data[5595],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "ashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8hi3 },
    &operand_data[5598],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "ashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2si3 },
    &operand_data[5601],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "ashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4si3 },
    &operand_data[5604],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "ashrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2di3 },
    &operand_data[5607],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:999 */
  {
    "vashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8qi3 },
    &operand_data[5610],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:999 */
  {
    "vashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv16qi3 },
    &operand_data[5613],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:999 */
  {
    "vashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4hi3 },
    &operand_data[5616],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:999 */
  {
    "vashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8hi3 },
    &operand_data[5619],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:999 */
  {
    "vashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2si3 },
    &operand_data[5622],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:999 */
  {
    "vashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4si3 },
    &operand_data[5625],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:999 */
  {
    "vashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2di3 },
    &operand_data[5628],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1013 */
  {
    "vashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8qi3 },
    &operand_data[5610],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1013 */
  {
    "vashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv16qi3 },
    &operand_data[5613],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1013 */
  {
    "vashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4hi3 },
    &operand_data[5616],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1013 */
  {
    "vashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8hi3 },
    &operand_data[5619],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1013 */
  {
    "vashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv2si3 },
    &operand_data[5622],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1013 */
  {
    "vashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4si3 },
    &operand_data[5625],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1027 */
  {
    "aarch64_ashr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ashr_simddi },
    &operand_data[5631],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1043 */
  {
    "vlshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8qi3 },
    &operand_data[5610],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1043 */
  {
    "vlshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv16qi3 },
    &operand_data[5613],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1043 */
  {
    "vlshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4hi3 },
    &operand_data[5616],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1043 */
  {
    "vlshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8hi3 },
    &operand_data[5619],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1043 */
  {
    "vlshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv2si3 },
    &operand_data[5622],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1043 */
  {
    "vlshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4si3 },
    &operand_data[5625],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1056 */
  {
    "aarch64_lshr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lshr_simddi },
    &operand_data[5631],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1070 */
  {
    "vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8qi },
    &operand_data[5634],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1070 */
  {
    "vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv16qi },
    &operand_data[5637],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1070 */
  {
    "vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hi },
    &operand_data[5640],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1070 */
  {
    "vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hi },
    &operand_data[5643],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1070 */
  {
    "vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2si },
    &operand_data[5646],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1070 */
  {
    "vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4si },
    &operand_data[5649],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1123 */
  {
    "vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2di },
    &operand_data[5652],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1153 */
  {
    "vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hf },
    &operand_data[5655],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1153 */
  {
    "vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hf },
    &operand_data[5658],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1153 */
  {
    "vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2sf },
    &operand_data[5661],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1153 */
  {
    "vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4sf },
    &operand_data[5664],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1153 */
  {
    "vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2df },
    &operand_data[5667],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1294 */
  {
    "smaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2di3 },
    &operand_data[5628],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1294 */
  {
    "sminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2di3 },
    &operand_data[5628],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1294 */
  {
    "umaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2di3 },
    &operand_data[5628],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1294 */
  {
    "uminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2di3 },
    &operand_data[5628],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "move_lo_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v16qi },
    &operand_data[5670],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "move_lo_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v8hi },
    &operand_data[5672],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "move_lo_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v4si },
    &operand_data[5674],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "move_lo_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v2di },
    &operand_data[5652],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "move_lo_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v8hf },
    &operand_data[5676],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "move_lo_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v4sf },
    &operand_data[5678],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "move_lo_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v2df },
    &operand_data[5680],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1438 */
  {
    "move_hi_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v16qi },
    &operand_data[5670],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1438 */
  {
    "move_hi_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v8hi },
    &operand_data[5672],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1438 */
  {
    "move_hi_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v4si },
    &operand_data[5674],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1438 */
  {
    "move_hi_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v2di },
    &operand_data[5652],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1438 */
  {
    "move_hi_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v8hf },
    &operand_data[5676],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1438 */
  {
    "move_hi_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v4sf },
    &operand_data[5678],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1438 */
  {
    "move_hi_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v2df },
    &operand_data[5680],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1464 */
  {
    "vec_pack_trunc_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4hi },
    &operand_data[5682],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1464 */
  {
    "vec_pack_trunc_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2si },
    &operand_data[5684],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1464 */
  {
    "vec_pack_trunc_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_di },
    &operand_data[5686],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1522 */
  {
    "vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v16qi },
    &operand_data[5689],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1522 */
  {
    "vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v16qi },
    &operand_data[5689],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1522 */
  {
    "vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hi },
    &operand_data[5691],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1522 */
  {
    "vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v8hi },
    &operand_data[5691],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1522 */
  {
    "vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4si },
    &operand_data[5693],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1522 */
  {
    "vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v4si },
    &operand_data[5693],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1534 */
  {
    "vec_unpacks_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v16qi },
    &operand_data[5689],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1534 */
  {
    "vec_unpacku_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v16qi },
    &operand_data[5689],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1534 */
  {
    "vec_unpacks_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hi },
    &operand_data[5691],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1534 */
  {
    "vec_unpacku_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v8hi },
    &operand_data[5691],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1534 */
  {
    "vec_unpacks_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4si },
    &operand_data[5693],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1534 */
  {
    "vec_unpacku_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v4si },
    &operand_data[5693],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1653 */
  {
    "vec_widen_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v16qi },
    &operand_data[5695],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1653 */
  {
    "vec_widen_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v16qi },
    &operand_data[5695],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1653 */
  {
    "vec_widen_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v8hi },
    &operand_data[5698],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1653 */
  {
    "vec_widen_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v8hi },
    &operand_data[5698],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1653 */
  {
    "vec_widen_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v4si },
    &operand_data[5701],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1653 */
  {
    "vec_widen_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v4si },
    &operand_data[5701],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1680 */
  {
    "vec_widen_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v16qi },
    &operand_data[5695],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1680 */
  {
    "vec_widen_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v16qi },
    &operand_data[5695],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1680 */
  {
    "vec_widen_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v8hi },
    &operand_data[5698],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1680 */
  {
    "vec_widen_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v8hi },
    &operand_data[5698],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1680 */
  {
    "vec_widen_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v4si },
    &operand_data[5701],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1680 */
  {
    "vec_widen_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v4si },
    &operand_data[5701],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1747 */
  {
    "divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4hf3 },
    &operand_data[1440],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1747 */
  {
    "divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv8hf3 },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1747 */
  {
    "divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2sf3 },
    &operand_data[1446],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1747 */
  {
    "divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4sf3 },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1747 */
  {
    "divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2df3 },
    &operand_data[1452],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "fixv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4hfv4hi2 },
    &operand_data[5704],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "fixunsv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4hfv4hi2 },
    &operand_data[5704],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "fixv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv8hfv8hi2 },
    &operand_data[5706],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "fixunsv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv8hfv8hi2 },
    &operand_data[5706],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "fixv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2sfv2si2 },
    &operand_data[5708],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "fixunsv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2sfv2si2 },
    &operand_data[5708],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "fixv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4sfv4si2 },
    &operand_data[5710],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "fixunsv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4sfv4si2 },
    &operand_data[5710],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "fixv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2dfv2di2 },
    &operand_data[5712],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "fixunsv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2dfv2di2 },
    &operand_data[5712],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2010 */
  {
    "fix_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4hfv4hi2 },
    &operand_data[5704],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2010 */
  {
    "fixuns_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4hfv4hi2 },
    &operand_data[5704],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2010 */
  {
    "fix_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv8hfv8hi2 },
    &operand_data[5706],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2010 */
  {
    "fixuns_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv8hfv8hi2 },
    &operand_data[5706],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2010 */
  {
    "fix_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2sfv2si2 },
    &operand_data[5708],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2010 */
  {
    "fixuns_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2sfv2si2 },
    &operand_data[5708],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2010 */
  {
    "fix_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4sfv4si2 },
    &operand_data[5710],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2010 */
  {
    "fixuns_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4sfv4si2 },
    &operand_data[5710],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2010 */
  {
    "fix_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2dfv2di2 },
    &operand_data[5712],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2010 */
  {
    "fixuns_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2dfv2di2 },
    &operand_data[5712],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2018 */
  {
    "ftruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4hf2 },
    &operand_data[5566],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2018 */
  {
    "ftruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv8hf2 },
    &operand_data[5569],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2018 */
  {
    "ftruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2sf2 },
    &operand_data[5572],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2018 */
  {
    "ftruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4sf2 },
    &operand_data[5575],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2018 */
  {
    "ftruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2df2 },
    &operand_data[5578],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2084 */
  {
    "vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hf },
    &operand_data[5714],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2084 */
  {
    "vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4sf },
    &operand_data[5713],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2107 */
  {
    "vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hf },
    &operand_data[5714],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2107 */
  {
    "vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4sf },
    &operand_data[5713],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2160 */
  {
    "aarch64_float_truncate_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf },
    &operand_data[2298],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2160 */
  {
    "aarch64_float_truncate_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf },
    &operand_data[2301],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2174 */
  {
    "vec_pack_trunc_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2df },
    &operand_data[5577],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2195 */
  {
    "vec_pack_trunc_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_df },
    &operand_data[5716],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "reduc_plus_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8qi },
    &operand_data[5719],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "reduc_plus_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v16qi },
    &operand_data[5721],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "reduc_plus_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4hi },
    &operand_data[5723],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "reduc_plus_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8hi },
    &operand_data[5725],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "reduc_plus_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2si },
    &operand_data[5727],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "reduc_plus_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4si },
    &operand_data[3401],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "reduc_plus_scal_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2di },
    &operand_data[3191],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2305 */
  {
    "reduc_plus_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4sf },
    &operand_data[5729],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smax_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4hf },
    &operand_data[5731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smin_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4hf },
    &operand_data[5731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smax_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hf },
    &operand_data[5731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smin_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hf },
    &operand_data[5731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smax_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v8hf },
    &operand_data[5733],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smin_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v8hf },
    &operand_data[5733],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smax_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hf },
    &operand_data[5733],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smin_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hf },
    &operand_data[5733],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smax_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2sf },
    &operand_data[5735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smin_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2sf },
    &operand_data[5735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smax_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2sf },
    &operand_data[5735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smin_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2sf },
    &operand_data[5735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smax_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4sf },
    &operand_data[5729],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smin_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4sf },
    &operand_data[5729],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smax_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4sf },
    &operand_data[5729],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smin_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4sf },
    &operand_data[5729],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smax_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2df },
    &operand_data[5737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smin_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2df },
    &operand_data[5737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smax_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2df },
    &operand_data[5737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "reduc_smin_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2df },
    &operand_data[5737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8qi },
    &operand_data[5739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8qi },
    &operand_data[5739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8qi },
    &operand_data[5739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8qi },
    &operand_data[5739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v16qi },
    &operand_data[5741],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v16qi },
    &operand_data[5741],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v16qi },
    &operand_data[5741],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v16qi },
    &operand_data[5741],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4hi },
    &operand_data[5743],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4hi },
    &operand_data[5743],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hi },
    &operand_data[5743],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hi },
    &operand_data[5743],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8hi },
    &operand_data[5745],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8hi },
    &operand_data[5745],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hi },
    &operand_data[5745],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hi },
    &operand_data[5745],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v2si },
    &operand_data[5747],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v2si },
    &operand_data[5747],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2si },
    &operand_data[5747],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2si },
    &operand_data[5747],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4si },
    &operand_data[5749],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_umin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4si },
    &operand_data[5749],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4si },
    &operand_data[5749],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2363 */
  {
    "reduc_smin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4si },
    &operand_data[5749],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi },
    &operand_data[5751],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi },
    &operand_data[5755],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi },
    &operand_data[5759],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi },
    &operand_data[5763],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si },
    &operand_data[5767],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si },
    &operand_data[5771],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di },
    &operand_data[5775],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hf },
    &operand_data[5779],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hf },
    &operand_data[5783],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2sf },
    &operand_data[5787],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4sf },
    &operand_data[5791],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bslv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2df },
    &operand_data[5795],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bsldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi },
    &operand_data[5799],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2560 */
  {
    "aarch64_simd_bsldf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldf },
    &operand_data[5803],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2586 */
  {
    "vcond_mask_v8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8qiv8qi },
    &operand_data[5807],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2586 */
  {
    "vcond_mask_v16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v16qiv16qi },
    &operand_data[5811],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2586 */
  {
    "vcond_mask_v4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4hiv4hi },
    &operand_data[5815],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2586 */
  {
    "vcond_mask_v8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8hiv8hi },
    &operand_data[5819],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2586 */
  {
    "vcond_mask_v2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2siv2si },
    &operand_data[5823],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2586 */
  {
    "vcond_mask_v4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4siv4si },
    &operand_data[5827],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2586 */
  {
    "vcond_mask_v2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2div2di },
    &operand_data[5831],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2586 */
  {
    "vcond_mask_v2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2sfv2si },
    &operand_data[5835],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2586 */
  {
    "vcond_mask_v4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4sfv4si },
    &operand_data[5839],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2586 */
  {
    "vcond_mask_v2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2dfv2di },
    &operand_data[5843],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2586 */
  {
    "vcond_mask_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_didi },
    &operand_data[5847],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2617 */
  {
    "vec_cmpv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8qiv8qi },
    &operand_data[5851],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2617 */
  {
    "vec_cmpv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv16qiv16qi },
    &operand_data[5855],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2617 */
  {
    "vec_cmpv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4hiv4hi },
    &operand_data[5859],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2617 */
  {
    "vec_cmpv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8hiv8hi },
    &operand_data[5863],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2617 */
  {
    "vec_cmpv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2siv2si },
    &operand_data[5867],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2617 */
  {
    "vec_cmpv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4siv4si },
    &operand_data[5871],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2617 */
  {
    "vec_cmpv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2div2di },
    &operand_data[5875],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2617 */
  {
    "vec_cmpdidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpdidi },
    &operand_data[5879],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2697 */
  {
    "vec_cmpv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2sfv2si },
    &operand_data[5883],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2697 */
  {
    "vec_cmpv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4sfv4si },
    &operand_data[5887],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2697 */
  {
    "vec_cmpv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2dfv2di },
    &operand_data[5891],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2870 */
  {
    "vec_cmpuv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8qiv8qi },
    &operand_data[5851],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2870 */
  {
    "vec_cmpuv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv16qiv16qi },
    &operand_data[5855],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2870 */
  {
    "vec_cmpuv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4hiv4hi },
    &operand_data[5859],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2870 */
  {
    "vec_cmpuv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8hiv8hi },
    &operand_data[5863],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2870 */
  {
    "vec_cmpuv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2siv2si },
    &operand_data[5867],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2870 */
  {
    "vec_cmpuv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4siv4si },
    &operand_data[5871],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2870 */
  {
    "vec_cmpuv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2div2di },
    &operand_data[5875],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2870 */
  {
    "vec_cmpudidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpudidi },
    &operand_data[5879],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vcondv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv8qiv8qi },
    &operand_data[5895],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vcondv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv16qiv16qi },
    &operand_data[5901],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vcondv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4hiv4hi },
    &operand_data[5907],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vcondv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv8hiv8hi },
    &operand_data[5913],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vcondv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2siv2si },
    &operand_data[5919],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vcondv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4siv4si },
    &operand_data[5925],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vcondv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2div2di },
    &operand_data[5931],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vcondv2sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2sfv2sf },
    &operand_data[5937],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vcondv4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4sfv4sf },
    &operand_data[5943],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vcondv2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2dfv2df },
    &operand_data[5949],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vconddidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconddidi },
    &operand_data[5955],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2912 */
  {
    "vcondv2siv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2siv2sf },
    &operand_data[5961],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2912 */
  {
    "vcondv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2sfv2si },
    &operand_data[5965],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2912 */
  {
    "vcondv4siv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4siv4sf },
    &operand_data[5971],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2912 */
  {
    "vcondv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4sfv4si },
    &operand_data[5975],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2912 */
  {
    "vcondv2div2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2div2df },
    &operand_data[5981],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2912 */
  {
    "vcondv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2dfv2di },
    &operand_data[5985],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2943 */
  {
    "vconduv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv8qiv8qi },
    &operand_data[5895],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2943 */
  {
    "vconduv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv16qiv16qi },
    &operand_data[5901],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2943 */
  {
    "vconduv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4hiv4hi },
    &operand_data[5907],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2943 */
  {
    "vconduv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv8hiv8hi },
    &operand_data[5913],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2943 */
  {
    "vconduv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2siv2si },
    &operand_data[5919],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2943 */
  {
    "vconduv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4siv4si },
    &operand_data[5925],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2943 */
  {
    "vconduv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2div2di },
    &operand_data[5931],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2943 */
  {
    "vcondudidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondudidi },
    &operand_data[5955],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2972 */
  {
    "vconduv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2sfv2si },
    &operand_data[5965],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2972 */
  {
    "vconduv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4sfv4si },
    &operand_data[5975],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2972 */
  {
    "vconduv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2dfv2di },
    &operand_data[5985],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3118 */
  {
    "aarch64_combinev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev8qi },
    &operand_data[5991],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3118 */
  {
    "aarch64_combinev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hi },
    &operand_data[5994],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3118 */
  {
    "aarch64_combinev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hf },
    &operand_data[5997],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3118 */
  {
    "aarch64_combinev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2si },
    &operand_data[6000],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3118 */
  {
    "aarch64_combinev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2sf },
    &operand_data[6003],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3118 */
  {
    "aarch64_combinedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedi },
    &operand_data[6006],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3118 */
  {
    "aarch64_combinedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedf },
    &operand_data[6009],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "aarch64_simd_combinev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev8qi },
    &operand_data[5991],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "aarch64_simd_combinev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev4hi },
    &operand_data[5994],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "aarch64_simd_combinev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev4hf },
    &operand_data[5997],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "aarch64_simd_combinev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev2si },
    &operand_data[6000],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "aarch64_simd_combinev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev2sf },
    &operand_data[6003],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "aarch64_simd_combinedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinedi },
    &operand_data[6006],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "aarch64_simd_combinedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinedf },
    &operand_data[6009],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3172 */
  {
    "aarch64_saddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v16qi },
    &operand_data[2125],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3172 */
  {
    "aarch64_saddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v8hi },
    &operand_data[2129],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3172 */
  {
    "aarch64_saddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v4si },
    &operand_data[2133],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3184 */
  {
    "aarch64_uaddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v16qi },
    &operand_data[2125],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3184 */
  {
    "aarch64_uaddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v8hi },
    &operand_data[2129],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3184 */
  {
    "aarch64_uaddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v4si },
    &operand_data[2133],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3196 */
  {
    "aarch64_ssubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v16qi },
    &operand_data[2125],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3196 */
  {
    "aarch64_ssubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v8hi },
    &operand_data[2129],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3196 */
  {
    "aarch64_ssubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v4si },
    &operand_data[2133],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3208 */
  {
    "aarch64_usubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v16qi },
    &operand_data[2125],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3208 */
  {
    "aarch64_usubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v8hi },
    &operand_data[2129],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3208 */
  {
    "aarch64_usubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v4si },
    &operand_data[2133],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3233 */
  {
    "widen_ssumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv16qi3 },
    &operand_data[6012],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3233 */
  {
    "widen_ssumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8hi3 },
    &operand_data[6015],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3233 */
  {
    "widen_ssumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4si3 },
    &operand_data[6018],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3250 */
  {
    "widen_ssumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8qi3 },
    &operand_data[6021],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3250 */
  {
    "widen_ssumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4hi3 },
    &operand_data[6024],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3250 */
  {
    "widen_ssumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv2si3 },
    &operand_data[6027],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3261 */
  {
    "widen_usumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv16qi3 },
    &operand_data[6012],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3261 */
  {
    "widen_usumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8hi3 },
    &operand_data[6015],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3261 */
  {
    "widen_usumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4si3 },
    &operand_data[6018],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3278 */
  {
    "widen_usumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8qi3 },
    &operand_data[6021],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3278 */
  {
    "widen_usumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4hi3 },
    &operand_data[6024],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3278 */
  {
    "widen_usumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv2si3 },
    &operand_data[6027],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3323 */
  {
    "aarch64_saddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3323 */
  {
    "aarch64_saddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi },
    &operand_data[2506],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3323 */
  {
    "aarch64_saddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si },
    &operand_data[2510],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3335 */
  {
    "aarch64_uaddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3335 */
  {
    "aarch64_uaddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi },
    &operand_data[2506],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3335 */
  {
    "aarch64_uaddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si },
    &operand_data[2510],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3348 */
  {
    "aarch64_ssubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3348 */
  {
    "aarch64_ssubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi },
    &operand_data[2506],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3348 */
  {
    "aarch64_ssubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si },
    &operand_data[2510],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3360 */
  {
    "aarch64_usubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3360 */
  {
    "aarch64_usubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi },
    &operand_data[2506],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3360 */
  {
    "aarch64_usubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si },
    &operand_data[2510],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3879 */
  {
    "aarch64_sqdmlal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi },
    &operand_data[6030],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3879 */
  {
    "aarch64_sqdmlal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si },
    &operand_data[6034],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3892 */
  {
    "aarch64_sqdmlsl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi },
    &operand_data[6030],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3892 */
  {
    "aarch64_sqdmlsl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si },
    &operand_data[6034],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3959 */
  {
    "aarch64_sqdmlal2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi },
    &operand_data[6038],
    5,
    5,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3959 */
  {
    "aarch64_sqdmlal2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si },
    &operand_data[6043],
    5,
    5,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqdmlal2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi },
    &operand_data[6048],
    5,
    5,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqdmlal2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si },
    &operand_data[6053],
    5,
    5,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3989 */
  {
    "aarch64_sqdmlsl2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi },
    &operand_data[6038],
    5,
    5,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3989 */
  {
    "aarch64_sqdmlsl2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si },
    &operand_data[6043],
    5,
    5,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4004 */
  {
    "aarch64_sqdmlsl2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi },
    &operand_data[6048],
    5,
    5,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4004 */
  {
    "aarch64_sqdmlsl2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si },
    &operand_data[6053],
    5,
    5,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_sqdmlal2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi },
    &operand_data[6058],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_sqdmlal2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si },
    &operand_data[6062],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4052 */
  {
    "aarch64_sqdmlsl2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi },
    &operand_data[6058],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4052 */
  {
    "aarch64_sqdmlsl2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si },
    &operand_data[6062],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4207 */
  {
    "aarch64_sqdmull2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi },
    &operand_data[2129],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4207 */
  {
    "aarch64_sqdmull2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si },
    &operand_data[2133],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4267 */
  {
    "aarch64_sqdmull2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi },
    &operand_data[2887],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4267 */
  {
    "aarch64_sqdmull2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si },
    &operand_data[2892],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4281 */
  {
    "aarch64_sqdmull2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi },
    &operand_data[2897],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4281 */
  {
    "aarch64_sqdmull2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si },
    &operand_data[2902],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4315 */
  {
    "aarch64_sqdmull2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi },
    &operand_data[6066],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4315 */
  {
    "aarch64_sqdmull2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si },
    &operand_data[2911],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4719 */
  {
    "sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4hf2 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4719 */
  {
    "sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv8hf2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4719 */
  {
    "sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2sf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4719 */
  {
    "sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4sf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4719 */
  {
    "sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2df2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "vec_load_lanesoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv16qi },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "vec_load_lanesoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv8hi },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "vec_load_lanesoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv4si },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "vec_load_lanesoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv2di },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "vec_load_lanesoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv8hf },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "vec_load_lanesoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv4sf },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "vec_load_lanesoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv2df },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4817 */
  {
    "vec_store_lanesoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv16qi },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4817 */
  {
    "vec_store_lanesoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv8hi },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4817 */
  {
    "vec_store_lanesoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv4si },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4817 */
  {
    "vec_store_lanesoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv2di },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4817 */
  {
    "vec_store_lanesoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv8hf },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4817 */
  {
    "vec_store_lanesoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv4sf },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4817 */
  {
    "vec_store_lanesoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv2df },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4871 */
  {
    "vec_load_lanesciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv16qi },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4871 */
  {
    "vec_load_lanesciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv8hi },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4871 */
  {
    "vec_load_lanesciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv4si },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4871 */
  {
    "vec_load_lanesciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv2di },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4871 */
  {
    "vec_load_lanesciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv8hf },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4871 */
  {
    "vec_load_lanesciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv4sf },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4871 */
  {
    "vec_load_lanesciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv2df },
    &operand_data[3204],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4915 */
  {
    "vec_store_lanesciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv16qi },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4915 */
  {
    "vec_store_lanesciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv8hi },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4915 */
  {
    "vec_store_lanesciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv4si },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4915 */
  {
    "vec_store_lanesciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv2di },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4915 */
  {
    "vec_store_lanesciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv8hf },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4915 */
  {
    "vec_store_lanesciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv4sf },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4915 */
  {
    "vec_store_lanesciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv2df },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4969 */
  {
    "vec_load_lanesxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv16qi },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4969 */
  {
    "vec_load_lanesxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv8hi },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4969 */
  {
    "vec_load_lanesxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv4si },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4969 */
  {
    "vec_load_lanesxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv2di },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4969 */
  {
    "vec_load_lanesxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv8hf },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4969 */
  {
    "vec_load_lanesxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv4sf },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4969 */
  {
    "vec_load_lanesxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv2df },
    &operand_data[3215],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5013 */
  {
    "vec_store_lanesxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv16qi },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5013 */
  {
    "vec_store_lanesxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv8hi },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5013 */
  {
    "vec_store_lanesxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv4si },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5013 */
  {
    "vec_store_lanesxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv2di },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5013 */
  {
    "vec_store_lanesxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv8hf },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5013 */
  {
    "vec_store_lanesxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv4sf },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5013 */
  {
    "vec_store_lanesxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv2df },
    &operand_data[3221],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5059 */
  {
    "movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movoi },
    &operand_data[6069],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5059 */
  {
    "movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movci },
    &operand_data[6071],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5059 */
  {
    "movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movxi },
    &operand_data[6073],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8qi },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v16qi },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hi },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hi },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2si },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4si },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2di },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hf },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hf },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2sf },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4sf },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2df },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3di },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_ld1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3df },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8qi },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v16qi },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hi },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hi },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2si },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4si },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2di },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hf },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hf },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2sf },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4sf },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2df },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4di },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_ld1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4df },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8qi },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v16qi },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hi },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hi },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2si },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4si },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2di },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hf },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hf },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2sf },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4sf },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2df },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2di },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5135 */
  {
    "aarch64_st1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2df },
    &operand_data[6079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8qi },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v16qi },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hi },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hi },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2si },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4si },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2di },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hf },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hf },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2sf },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4sf },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2df },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3di },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5156 */
  {
    "aarch64_st1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3df },
    &operand_data[6081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8qi },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v16qi },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hi },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hi },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2si },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4si },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2di },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hf },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hf },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2sf },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4sf },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2df },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4di },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5177 */
  {
    "aarch64_st1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4df },
    &operand_data[6083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8qi },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8qi },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8qi },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv16qi },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv16qi },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv16qi },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hi },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hi },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hi },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hi },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hi },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hi },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2si },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2si },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2si },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4si },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4si },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4si },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2di },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2di },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2di },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hf },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hf },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hf },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hf },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hf },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hf },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2sf },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2sf },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2sf },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4sf },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4sf },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4sf },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2df },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2df },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2df },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdi },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdi },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdi },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdf },
    &operand_data[6085],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdf },
    &operand_data[6087],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5331 */
  {
    "aarch64_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdf },
    &operand_data[6089],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5406 */
  {
    "aarch64_ld4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8qi },
    &operand_data[6093],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v16qi },
    &operand_data[6095],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hi },
    &operand_data[6097],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hi },
    &operand_data[6099],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2si },
    &operand_data[5686],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4si },
    &operand_data[6101],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2di },
    &operand_data[5652],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hf },
    &operand_data[6103],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hf },
    &operand_data[6105],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2sf },
    &operand_data[6107],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4sf },
    &operand_data[6109],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5419 */
  {
    "aarch64_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2df },
    &operand_data[5798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v16qi },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hi },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4si },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2di },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hf },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4sf },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2df },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v16qi },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hi },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4si },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2di },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hf },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4sf },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2df },
    &operand_data[6075],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v16qi },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hi },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4si },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2di },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hf },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4sf },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5434 */
  {
    "aarch64_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2df },
    &operand_data[6077],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5447 */
  {
    "aarch64_ld1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v16qi },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5447 */
  {
    "aarch64_ld1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hi },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5447 */
  {
    "aarch64_ld1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4si },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5447 */
  {
    "aarch64_ld1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2di },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5447 */
  {
    "aarch64_ld1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hf },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5447 */
  {
    "aarch64_ld1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4sf },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5447 */
  {
    "aarch64_ld1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2df },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5460 */
  {
    "aarch64_ld1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8qi },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5460 */
  {
    "aarch64_ld1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hi },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5460 */
  {
    "aarch64_ld1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hf },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5460 */
  {
    "aarch64_ld1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2si },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5460 */
  {
    "aarch64_ld1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2sf },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5460 */
  {
    "aarch64_ld1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2di },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5460 */
  {
    "aarch64_ld1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2df },
    &operand_data[6091],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8qi },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8qi },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8qi },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev16qi },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev16qi },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev16qi },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hi },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hi },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hi },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hi },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hi },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hi },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2si },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2si },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2si },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4si },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4si },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4si },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2di },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2di },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2di },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hf },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hf },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hf },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hf },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hf },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hf },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2sf },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2sf },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2sf },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4sf },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4sf },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4sf },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2df },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2df },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2df },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedi },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedi },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedi },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedf },
    &operand_data[6111],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedf },
    &operand_data[6115],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5474 */
  {
    "aarch64_ld4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedf },
    &operand_data[6119],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregoiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv8qi },
    &operand_data[6123],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregoiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv4hi },
    &operand_data[6126],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregoiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv4hf },
    &operand_data[6129],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregoiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv2si },
    &operand_data[6132],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregoiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv2sf },
    &operand_data[6135],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregoidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoidi },
    &operand_data[6138],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregoidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoidf },
    &operand_data[6141],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregciv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv8qi },
    &operand_data[6144],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregciv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv4hi },
    &operand_data[6147],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregciv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv4hf },
    &operand_data[6150],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregciv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv2si },
    &operand_data[6153],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregciv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv2sf },
    &operand_data[6156],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregcidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregcidi },
    &operand_data[6159],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregcidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregcidf },
    &operand_data[6162],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregxiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv8qi },
    &operand_data[6165],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregxiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv4hi },
    &operand_data[6168],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregxiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv4hf },
    &operand_data[6171],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregxiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv2si },
    &operand_data[6174],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregxiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv2sf },
    &operand_data[6177],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregxidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxidi },
    &operand_data[6180],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5497 */
  {
    "aarch64_get_dregxidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxidf },
    &operand_data[6183],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv16qi },
    &operand_data[6186],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv8hi },
    &operand_data[6189],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv4si },
    &operand_data[6192],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv2di },
    &operand_data[6195],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv8hf },
    &operand_data[6198],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv4sf },
    &operand_data[6201],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv2df },
    &operand_data[6204],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv16qi },
    &operand_data[6207],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv8hi },
    &operand_data[6210],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv4si },
    &operand_data[6213],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv2di },
    &operand_data[6216],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv8hf },
    &operand_data[6219],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv4sf },
    &operand_data[6222],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv2df },
    &operand_data[6225],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv16qi },
    &operand_data[6228],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv8hi },
    &operand_data[6231],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv4si },
    &operand_data[6234],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv2di },
    &operand_data[6237],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv8hf },
    &operand_data[6240],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv4sf },
    &operand_data[6243],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "aarch64_get_qregxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv2df },
    &operand_data[6246],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5534 */
  {
    "vec_permv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv8qi },
    &operand_data[5751],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5534 */
  {
    "vec_permv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv16qi },
    &operand_data[5755],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5755 */
  {
    "aarch64_st4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v16qi },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hi },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4si },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2di },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hf },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4sf },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2df },
    &operand_data[6249],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v16qi },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hi },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4si },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2di },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hf },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4sf },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2df },
    &operand_data[6251],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v16qi },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hi },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4si },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2di },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hf },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4sf },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5768 */
  {
    "aarch64_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2df },
    &operand_data[6253],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8qi },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8qi },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8qi },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev16qi },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev16qi },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev16qi },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hi },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hi },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hi },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hi },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hi },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hi },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2si },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2si },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2si },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4si },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4si },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4si },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2di },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2di },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2di },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hf },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hf },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hf },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hf },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hf },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hf },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2sf },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2sf },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2sf },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4sf },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4sf },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4sf },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2df },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2df },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2df },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedi },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedi },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedi },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedf },
    &operand_data[6255],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedf },
    &operand_data[6258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5781 */
  {
    "aarch64_st4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedf },
    &operand_data[6261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8qi },
    &operand_data[5850],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v16qi },
    &operand_data[6094],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hi },
    &operand_data[6096],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hi },
    &operand_data[5688],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2si },
    &operand_data[6264],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4si },
    &operand_data[6100],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2di },
    &operand_data[6266],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hf },
    &operand_data[6102],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hf },
    &operand_data[6104],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2sf },
    &operand_data[6106],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4sf },
    &operand_data[6108],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5797 */
  {
    "aarch64_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2df },
    &operand_data[6008],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv16qi },
    &operand_data[6268],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv8hi },
    &operand_data[6272],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv4si },
    &operand_data[6276],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv2di },
    &operand_data[6280],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv8hf },
    &operand_data[6284],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv4sf },
    &operand_data[6288],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv2df },
    &operand_data[6292],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv16qi },
    &operand_data[6296],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv8hi },
    &operand_data[6300],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv4si },
    &operand_data[6304],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv2di },
    &operand_data[6308],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv8hf },
    &operand_data[6312],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv4sf },
    &operand_data[6316],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv2df },
    &operand_data[6320],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv16qi },
    &operand_data[6324],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv8hi },
    &operand_data[6328],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv4si },
    &operand_data[6332],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv2di },
    &operand_data[6336],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv8hf },
    &operand_data[6340],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv4sf },
    &operand_data[6344],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5818 */
  {
    "aarch64_set_qregxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv2df },
    &operand_data[6348],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8qiqi },
    &operand_data[6352],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv16qiqi },
    &operand_data[6354],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hihi },
    &operand_data[6356],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hihi },
    &operand_data[6358],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sisi },
    &operand_data[6360],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sisi },
    &operand_data[6362],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2didi },
    &operand_data[6364],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hfhf },
    &operand_data[6366],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hfhf },
    &operand_data[6368],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sfsf },
    &operand_data[6370],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sfsf },
    &operand_data[6372],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5836 */
  {
    "vec_initv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2dfdf },
    &operand_data[6374],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8qiqi },
    &operand_data[6376],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv16qiqi },
    &operand_data[6379],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hihi },
    &operand_data[6382],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hihi },
    &operand_data[6385],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sisi },
    &operand_data[6388],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sisi },
    &operand_data[6391],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2didi },
    &operand_data[6394],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hfhf },
    &operand_data[6397],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hfhf },
    &operand_data[6400],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sfsf },
    &operand_data[6403],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sfsf },
    &operand_data[6406],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5914 */
  {
    "vec_extractv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2dfdf },
    &operand_data[6409],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6201 */
  {
    "aarch64_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lowv2sf },
    &operand_data[3432],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6201 */
  {
    "aarch64_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lowv2sf },
    &operand_data[3432],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6201 */
  {
    "aarch64_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lowv4sf },
    &operand_data[3438],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6201 */
  {
    "aarch64_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lowv4sf },
    &operand_data[3438],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6224 */
  {
    "aarch64_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_highv2sf },
    &operand_data[3432],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6224 */
  {
    "aarch64_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_highv2sf },
    &operand_data[3432],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6224 */
  {
    "aarch64_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_highv4sf },
    &operand_data[3438],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6224 */
  {
    "aarch64_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_highv4sf },
    &operand_data[3438],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6314 */
  {
    "aarch64_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_lowv2sf },
    &operand_data[6412],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6314 */
  {
    "aarch64_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_lowv2sf },
    &operand_data[6412],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "aarch64_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_highv2sf },
    &operand_data[6412],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "aarch64_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_highv2sf },
    &operand_data[6412],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6429 */
  {
    "aarch64_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_lowv4sf },
    &operand_data[6417],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6429 */
  {
    "aarch64_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_lowv4sf },
    &operand_data[6417],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6449 */
  {
    "aarch64_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_highv4sf },
    &operand_data[6417],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6449 */
  {
    "aarch64_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_highv4sf },
    &operand_data[6417],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6543 */
  {
    "aarch64_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_lowv2sf },
    &operand_data[6422],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6543 */
  {
    "aarch64_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_lowv2sf },
    &operand_data[6422],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6564 */
  {
    "aarch64_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_highv2sf },
    &operand_data[6422],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6564 */
  {
    "aarch64_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_highv2sf },
    &operand_data[6422],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6659 */
  {
    "aarch64_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_lowv4sf },
    &operand_data[6427],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6659 */
  {
    "aarch64_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_lowv4sf },
    &operand_data[6427],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6679 */
  {
    "aarch64_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_highv4sf },
    &operand_data[6427],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6679 */
  {
    "aarch64_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_highv4sf },
    &operand_data[6427],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapqi },
    &operand_data[6432],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swaphi },
    &operand_data[6440],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapsi },
    &operand_data[6448],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapdi },
    &operand_data[6456],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapti },
    &operand_data[6464],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangeqi },
    &operand_data[6472],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangehi },
    &operand_data[6476],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangesi },
    &operand_data[6480],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangedi },
    &operand_data[6484],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addqi },
    &operand_data[6488],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subqi },
    &operand_data[6488],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orqi },
    &operand_data[6491],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorqi },
    &operand_data[6491],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andqi },
    &operand_data[6491],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addhi },
    &operand_data[6494],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subhi },
    &operand_data[6494],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orhi },
    &operand_data[6497],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorhi },
    &operand_data[6497],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andhi },
    &operand_data[6497],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addsi },
    &operand_data[6500],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subsi },
    &operand_data[6500],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orsi },
    &operand_data[6503],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorsi },
    &operand_data[6503],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andsi },
    &operand_data[6503],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_adddi },
    &operand_data[6506],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subdi },
    &operand_data[6506],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_ordi },
    &operand_data[6509],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xordi },
    &operand_data[6509],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_anddi },
    &operand_data[6509],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addqi },
    &operand_data[6512],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subqi },
    &operand_data[6512],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orqi },
    &operand_data[6516],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorqi },
    &operand_data[6516],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andqi },
    &operand_data[6516],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addhi },
    &operand_data[6520],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subhi },
    &operand_data[6520],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orhi },
    &operand_data[6524],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorhi },
    &operand_data[6524],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andhi },
    &operand_data[6524],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addsi },
    &operand_data[6528],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subsi },
    &operand_data[6528],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orsi },
    &operand_data[6532],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorsi },
    &operand_data[6532],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andsi },
    &operand_data[6532],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_adddi },
    &operand_data[6536],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subdi },
    &operand_data[6536],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_ordi },
    &operand_data[6540],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xordi },
    &operand_data[6540],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_anddi },
    &operand_data[6540],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchqi },
    &operand_data[6512],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchqi },
    &operand_data[6512],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchqi },
    &operand_data[6516],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchqi },
    &operand_data[6516],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchqi },
    &operand_data[6516],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchhi },
    &operand_data[6520],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchhi },
    &operand_data[6520],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchhi },
    &operand_data[6524],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchhi },
    &operand_data[6524],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchhi },
    &operand_data[6524],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchsi },
    &operand_data[6528],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchsi },
    &operand_data[6528],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchsi },
    &operand_data[6532],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchsi },
    &operand_data[6532],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchsi },
    &operand_data[6532],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchdi },
    &operand_data[6536],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchdi },
    &operand_data[6536],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchdi },
    &operand_data[6540],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchdi },
    &operand_data[6540],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchdi },
    &operand_data[6540],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:763 */
  {
    "mem_thread_fence",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mem_thread_fence },
    &operand_data[3514],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:774 */
  {
    "dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_dmb },
    &operand_data[3514],
    1,
    1,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:65 */
  {
    "movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16qi },
    &operand_data[6544],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:65 */
  {
    "movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hi },
    &operand_data[6546],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:65 */
  {
    "movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4si },
    &operand_data[6548],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:65 */
  {
    "movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2di },
    &operand_data[6550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:65 */
  {
    "movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hf },
    &operand_data[6552],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:65 */
  {
    "movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4sf },
    &operand_data[6554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:65 */
  {
    "movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2df },
    &operand_data[6556],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:147 */
  {
    "aarch64_sve_reload_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reload_be },
    &operand_data[6558],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:187 */
  {
    "movmisalignvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx16qi },
    &operand_data[6544],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:187 */
  {
    "movmisalignvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hi },
    &operand_data[6546],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:187 */
  {
    "movmisalignvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4si },
    &operand_data[6548],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:187 */
  {
    "movmisalignvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2di },
    &operand_data[6550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:187 */
  {
    "movmisalignvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hf },
    &operand_data[6552],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:187 */
  {
    "movmisalignvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4sf },
    &operand_data[6554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:187 */
  {
    "movmisalignvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2df },
    &operand_data[6556],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:219 */
  {
    "gather_loadvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4si },
    &operand_data[6561],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:219 */
  {
    "gather_loadvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2di },
    &operand_data[6566],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:219 */
  {
    "gather_loadvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4sf },
    &operand_data[6571],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:219 */
  {
    "gather_loadvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2df },
    &operand_data[6576],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:276 */
  {
    "scatter_storevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4si },
    &operand_data[6581],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:276 */
  {
    "scatter_storevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2di },
    &operand_data[6586],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:276 */
  {
    "scatter_storevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4sf },
    &operand_data[6591],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:276 */
  {
    "scatter_storevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2df },
    &operand_data[6596],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32qi },
    &operand_data[6601],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hi },
    &operand_data[6603],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8si },
    &operand_data[6605],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4di },
    &operand_data[6607],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hf },
    &operand_data[6609],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8sf },
    &operand_data[6611],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4df },
    &operand_data[6613],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx48qi },
    &operand_data[6615],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hi },
    &operand_data[6617],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12si },
    &operand_data[6619],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6di },
    &operand_data[6621],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hf },
    &operand_data[6623],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12sf },
    &operand_data[6625],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6df },
    &operand_data[6627],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx64qi },
    &operand_data[6629],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hi },
    &operand_data[6631],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16si },
    &operand_data[6633],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8di },
    &operand_data[6635],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hf },
    &operand_data[6637],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16sf },
    &operand_data[6639],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:333 */
  {
    "movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8df },
    &operand_data[6641],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:431 */
  {
    "movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16bi },
    &operand_data[6643],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:431 */
  {
    "movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8bi },
    &operand_data[6645],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:431 */
  {
    "movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4bi },
    &operand_data[6647],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:431 */
  {
    "movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2bi },
    &operand_data[6649],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:457 */
  {
    "vec_extractvnx16biqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16biqi },
    &operand_data[6651],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:457 */
  {
    "vec_extractvnx8bihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8bihi },
    &operand_data[6654],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:457 */
  {
    "vec_extractvnx4bisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4bisi },
    &operand_data[6657],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:457 */
  {
    "vec_extractvnx2bidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2bidi },
    &operand_data[6660],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:474 */
  {
    "vec_extractvnx16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16qiqi },
    &operand_data[6663],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:474 */
  {
    "vec_extractvnx8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hihi },
    &operand_data[6666],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:474 */
  {
    "vec_extractvnx4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sisi },
    &operand_data[6669],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:474 */
  {
    "vec_extractvnx2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2didi },
    &operand_data[6672],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:474 */
  {
    "vec_extractvnx8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hfhf },
    &operand_data[6675],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:474 */
  {
    "vec_extractvnx4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sfsf },
    &operand_data[6678],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:474 */
  {
    "vec_extractvnx2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2dfdf },
    &operand_data[6681],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:618 */
  {
    "vec_duplicatevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16qi },
    &operand_data[6684],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:618 */
  {
    "vec_duplicatevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hi },
    &operand_data[6686],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:618 */
  {
    "vec_duplicatevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4si },
    &operand_data[6688],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:618 */
  {
    "vec_duplicatevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2di },
    &operand_data[6690],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:618 */
  {
    "vec_duplicatevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hf },
    &operand_data[6692],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:618 */
  {
    "vec_duplicatevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4sf },
    &operand_data[6694],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:618 */
  {
    "vec_duplicatevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2df },
    &operand_data[6696],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:694 */
  {
    "vec_duplicatevnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16bi },
    &operand_data[6698],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:694 */
  {
    "vec_duplicatevnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8bi },
    &operand_data[6700],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:694 */
  {
    "vec_duplicatevnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4bi },
    &operand_data[6702],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:694 */
  {
    "vec_duplicatevnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2bi },
    &operand_data[6704],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32qivnx16qi },
    &operand_data[6706],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hivnx8hi },
    &operand_data[6708],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sivnx4si },
    &operand_data[6710],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4divnx2di },
    &operand_data[6712],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hfvnx8hf },
    &operand_data[6714],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sfvnx4sf },
    &operand_data[6716],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4dfvnx2df },
    &operand_data[6718],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx48qivnx16qi },
    &operand_data[6720],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hivnx8hi },
    &operand_data[6722],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sivnx4si },
    &operand_data[6724],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6divnx2di },
    &operand_data[6726],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hfvnx8hf },
    &operand_data[6728],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sfvnx4sf },
    &operand_data[6730],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6dfvnx2df },
    &operand_data[6732],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx64qivnx16qi },
    &operand_data[6734],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hivnx8hi },
    &operand_data[6736],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sivnx4si },
    &operand_data[6738],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8divnx2di },
    &operand_data[6740],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hfvnx8hf },
    &operand_data[6742],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sfvnx4sf },
    &operand_data[6744],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:735 */
  {
    "vec_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8dfvnx2df },
    &operand_data[6746],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32qivnx16qi },
    &operand_data[6748],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hivnx8hi },
    &operand_data[6750],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sivnx4si },
    &operand_data[6752],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4divnx2di },
    &operand_data[6754],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hfvnx8hf },
    &operand_data[6756],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sfvnx4sf },
    &operand_data[6758],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4dfvnx2df },
    &operand_data[6760],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx48qivnx16qi },
    &operand_data[6762],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hivnx8hi },
    &operand_data[6764],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sivnx4si },
    &operand_data[6766],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6divnx2di },
    &operand_data[6768],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hfvnx8hf },
    &operand_data[6770],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sfvnx4sf },
    &operand_data[6772],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6dfvnx2df },
    &operand_data[6774],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx64qivnx16qi },
    &operand_data[6776],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hivnx8hi },
    &operand_data[6778],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sivnx4si },
    &operand_data[6780],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8divnx2di },
    &operand_data[6782],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hfvnx8hf },
    &operand_data[6784],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sfvnx4sf },
    &operand_data[6786],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:763 */
  {
    "vec_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8dfvnx2df },
    &operand_data[6788],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:788 */
  {
    "vec_permvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx16qi },
    &operand_data[6790],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:788 */
  {
    "vec_permvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hi },
    &operand_data[6794],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:788 */
  {
    "vec_permvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4si },
    &operand_data[6798],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:788 */
  {
    "vec_permvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2di },
    &operand_data[6802],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:788 */
  {
    "vec_permvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hf },
    &operand_data[6806],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:788 */
  {
    "vec_permvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4sf },
    &operand_data[6810],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:788 */
  {
    "vec_permvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2df },
    &operand_data[6814],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:921 */
  {
    "mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx16qi3 },
    &operand_data[6818],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:921 */
  {
    "mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hi3 },
    &operand_data[6821],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:921 */
  {
    "mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4si3 },
    &operand_data[6824],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:921 */
  {
    "mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2di3 },
    &operand_data[6827],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:984 */
  {
    "smulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx16qi3_highpart },
    &operand_data[6790],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:984 */
  {
    "umulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx16qi3_highpart },
    &operand_data[6790],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:984 */
  {
    "smulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx8hi3_highpart },
    &operand_data[6794],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:984 */
  {
    "umulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx8hi3_highpart },
    &operand_data[6794],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:984 */
  {
    "smulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4si3_highpart },
    &operand_data[6798],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:984 */
  {
    "umulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4si3_highpart },
    &operand_data[6798],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:984 */
  {
    "smulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2di3_highpart },
    &operand_data[6802],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:984 */
  {
    "umulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2di3_highpart },
    &operand_data[6802],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "negvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx16qi2 },
    &operand_data[6790],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "one_cmplvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16qi2 },
    &operand_data[6790],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "popcountvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx16qi2 },
    &operand_data[6790],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "negvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hi2 },
    &operand_data[6794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "one_cmplvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8hi2 },
    &operand_data[6794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "popcountvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx8hi2 },
    &operand_data[6794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "negvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4si2 },
    &operand_data[6798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "one_cmplvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4si2 },
    &operand_data[6798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "popcountvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4si2 },
    &operand_data[6798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "negvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2di2 },
    &operand_data[6802],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "one_cmplvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2di2 },
    &operand_data[6802],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1012 */
  {
    "popcountvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2di2 },
    &operand_data[6802],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1081 */
  {
    "iorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16bi3 },
    &operand_data[6830],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1081 */
  {
    "xorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16bi3 },
    &operand_data[6830],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1081 */
  {
    "iorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8bi3 },
    &operand_data[6833],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1081 */
  {
    "xorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8bi3 },
    &operand_data[6833],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1081 */
  {
    "iorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4bi3 },
    &operand_data[6836],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1081 */
  {
    "xorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4bi3 },
    &operand_data[6836],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1081 */
  {
    "iorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2bi3 },
    &operand_data[6839],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1081 */
  {
    "xorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2bi3 },
    &operand_data[6839],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1130 */
  {
    "one_cmplvnx16bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16bi2 },
    &operand_data[6830],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1130 */
  {
    "one_cmplvnx8bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8bi2 },
    &operand_data[6833],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1130 */
  {
    "one_cmplvnx4bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4bi2 },
    &operand_data[6836],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1130 */
  {
    "one_cmplvnx2bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2bi2 },
    &operand_data[6839],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx16qi3 },
    &operand_data[6842],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx16qi3 },
    &operand_data[6845],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vlshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx16qi3 },
    &operand_data[6845],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx8hi3 },
    &operand_data[6848],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx8hi3 },
    &operand_data[6851],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vlshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx8hi3 },
    &operand_data[6851],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4si3 },
    &operand_data[6854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4si3 },
    &operand_data[6857],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vlshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4si3 },
    &operand_data[6857],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2di3 },
    &operand_data[6860],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2di3 },
    &operand_data[6863],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1176 */
  {
    "vlshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2di3 },
    &operand_data[6863],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "ashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx16qi3 },
    &operand_data[6866],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "ashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx16qi3 },
    &operand_data[6866],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "lshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx16qi3 },
    &operand_data[6866],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "ashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx8hi3 },
    &operand_data[6869],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "ashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx8hi3 },
    &operand_data[6869],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "lshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx8hi3 },
    &operand_data[6869],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "ashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4si3 },
    &operand_data[6872],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "ashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4si3 },
    &operand_data[6872],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "lshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4si3 },
    &operand_data[6872],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "ashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2di3 },
    &operand_data[6875],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "ashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2di3 },
    &operand_data[6875],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "lshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2di3 },
    &operand_data[6875],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1411 */
  {
    "vcondvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx16qi },
    &operand_data[6878],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1411 */
  {
    "vcondvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8hi },
    &operand_data[6884],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1411 */
  {
    "vcondvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4si },
    &operand_data[6890],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1411 */
  {
    "vcondvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2di },
    &operand_data[6896],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1411 */
  {
    "vcondvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8hi },
    &operand_data[6902],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1411 */
  {
    "vcondvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4si },
    &operand_data[6908],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1411 */
  {
    "vcondvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2di },
    &operand_data[6914],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1428 */
  {
    "vconduvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx16qi },
    &operand_data[6878],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1428 */
  {
    "vconduvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx8hi },
    &operand_data[6884],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1428 */
  {
    "vconduvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx4si },
    &operand_data[6890],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1428 */
  {
    "vconduvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2di },
    &operand_data[6896],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1428 */
  {
    "vconduvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx8hi },
    &operand_data[6902],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1428 */
  {
    "vconduvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx4si },
    &operand_data[6908],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1428 */
  {
    "vconduvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2di },
    &operand_data[6914],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1446 */
  {
    "vcondvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4sf },
    &operand_data[6920],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1446 */
  {
    "vcondvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2df },
    &operand_data[6926],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1446 */
  {
    "vcondvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4sf },
    &operand_data[6932],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1446 */
  {
    "vcondvnx2dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2df },
    &operand_data[6938],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1464 */
  {
    "vec_cmpvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx16qivnx16bi },
    &operand_data[6944],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1464 */
  {
    "vec_cmpvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hivnx8bi },
    &operand_data[6948],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1464 */
  {
    "vec_cmpvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sivnx4bi },
    &operand_data[6952],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1464 */
  {
    "vec_cmpvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2divnx2bi },
    &operand_data[6956],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1482 */
  {
    "vec_cmpuvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx16qivnx16bi },
    &operand_data[6944],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1482 */
  {
    "vec_cmpuvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx8hivnx8bi },
    &operand_data[6948],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1482 */
  {
    "vec_cmpuvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4sivnx4bi },
    &operand_data[6952],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1482 */
  {
    "vec_cmpuvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2divnx2bi },
    &operand_data[6956],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1500 */
  {
    "vec_cmpvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hfvnx8bi },
    &operand_data[6960],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1500 */
  {
    "vec_cmpvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sfvnx4bi },
    &operand_data[6964],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1500 */
  {
    "vec_cmpvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2dfvnx2bi },
    &operand_data[6968],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "cbranchvnx16bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx16bi4 },
    &operand_data[6972],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "cbranchvnx8bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx8bi4 },
    &operand_data[6976],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "cbranchvnx4bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx4bi4 },
    &operand_data[6980],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "cbranchvnx2bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx2bi4 },
    &operand_data[6984],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx16qi3 },
    &operand_data[6790],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx16qi3 },
    &operand_data[6790],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx16qi3 },
    &operand_data[6790],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx16qi3 },
    &operand_data[6790],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hi3 },
    &operand_data[6794],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hi3 },
    &operand_data[6794],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8hi3 },
    &operand_data[6794],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8hi3 },
    &operand_data[6794],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4si3 },
    &operand_data[6798],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4si3 },
    &operand_data[6798],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4si3 },
    &operand_data[6798],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4si3 },
    &operand_data[6798],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2di3 },
    &operand_data[6802],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2di3 },
    &operand_data[6802],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2di3 },
    &operand_data[6802],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1541 */
  {
    "uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2di3 },
    &operand_data[6802],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1567 */
  {
    "smaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hf3 },
    &operand_data[6806],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1567 */
  {
    "sminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hf3 },
    &operand_data[6806],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1567 */
  {
    "smaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4sf3 },
    &operand_data[6810],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1567 */
  {
    "sminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4sf3 },
    &operand_data[6810],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1567 */
  {
    "smaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2df3 },
    &operand_data[6814],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1567 */
  {
    "sminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2df3 },
    &operand_data[6814],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "smax_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx8hf3 },
    &operand_data[6806],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "smin_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx8hf3 },
    &operand_data[6806],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "fmaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx8hf3 },
    &operand_data[6806],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "fminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx8hf3 },
    &operand_data[6806],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "smax_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx4sf3 },
    &operand_data[6810],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "smin_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx4sf3 },
    &operand_data[6810],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "fmaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx4sf3 },
    &operand_data[6810],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "fminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx4sf3 },
    &operand_data[6810],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "smax_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx2df3 },
    &operand_data[6814],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "smin_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx2df3 },
    &operand_data[6814],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "fmaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx2df3 },
    &operand_data[6814],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1593 */
  {
    "fminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx2df3 },
    &operand_data[6814],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "reduc_plus_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx16qi },
    &operand_data[6663],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "reduc_plus_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hi },
    &operand_data[6666],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "reduc_plus_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4si },
    &operand_data[6669],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "reduc_plus_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2di },
    &operand_data[6672],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1670 */
  {
    "reduc_plus_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hf },
    &operand_data[6675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1670 */
  {
    "reduc_plus_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4sf },
    &operand_data[6678],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1670 */
  {
    "reduc_plus_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2df },
    &operand_data[6681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_umax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx16qi },
    &operand_data[6663],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_umin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx16qi },
    &operand_data[6663],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_smax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx16qi },
    &operand_data[6663],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_smin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx16qi },
    &operand_data[6663],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_umax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx8hi },
    &operand_data[6666],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_umin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx8hi },
    &operand_data[6666],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_smax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hi },
    &operand_data[6666],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_smin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hi },
    &operand_data[6666],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_umax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx4si },
    &operand_data[6669],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_umin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx4si },
    &operand_data[6669],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_smax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4si },
    &operand_data[6669],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_smin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4si },
    &operand_data[6669],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_umax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx2di },
    &operand_data[6672],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_umin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx2di },
    &operand_data[6672],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_smax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2di },
    &operand_data[6672],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1692 */
  {
    "reduc_smin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2di },
    &operand_data[6672],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smax_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx8hf },
    &operand_data[6675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smin_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx8hf },
    &operand_data[6675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smax_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hf },
    &operand_data[6675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smin_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hf },
    &operand_data[6675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smax_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx4sf },
    &operand_data[6678],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smin_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx4sf },
    &operand_data[6678],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smax_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4sf },
    &operand_data[6678],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smin_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4sf },
    &operand_data[6678],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smax_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx2df },
    &operand_data[6681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smin_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx2df },
    &operand_data[6681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smax_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2df },
    &operand_data[6681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1714 */
  {
    "reduc_smin_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2df },
    &operand_data[6681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_and_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx16qi },
    &operand_data[6663],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_ior_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx16qi },
    &operand_data[6663],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_xor_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx16qi },
    &operand_data[6663],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_and_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx8hi },
    &operand_data[6666],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_ior_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx8hi },
    &operand_data[6666],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_xor_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx8hi },
    &operand_data[6666],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_and_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx4si },
    &operand_data[6669],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_ior_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx4si },
    &operand_data[6669],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_xor_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx4si },
    &operand_data[6669],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_and_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx2di },
    &operand_data[6672],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_ior_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx2di },
    &operand_data[6672],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1735 */
  {
    "reduc_xor_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx2di },
    &operand_data[6672],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1756 */
  {
    "fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx8hf },
    &operand_data[6988],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1756 */
  {
    "fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx4sf },
    &operand_data[6991],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1756 */
  {
    "fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx2df },
    &operand_data[6994],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1795 */
  {
    "addvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hf3 },
    &operand_data[6997],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1795 */
  {
    "addvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4sf3 },
    &operand_data[7000],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1795 */
  {
    "addvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2df3 },
    &operand_data[7003],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1826 */
  {
    "subvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hf3 },
    &operand_data[7006],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1826 */
  {
    "subvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4sf3 },
    &operand_data[7009],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1826 */
  {
    "subvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2df3 },
    &operand_data[7012],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1860 */
  {
    "mulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hf3 },
    &operand_data[7015],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1860 */
  {
    "mulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4sf3 },
    &operand_data[7018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1860 */
  {
    "mulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2df3 },
    &operand_data[7021],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1890 */
  {
    "fmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8hf4 },
    &operand_data[7024],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1890 */
  {
    "fmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4sf4 },
    &operand_data[7028],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1890 */
  {
    "fmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2df4 },
    &operand_data[7032],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1920 */
  {
    "fnmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8hf4 },
    &operand_data[7024],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1920 */
  {
    "fnmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4sf4 },
    &operand_data[7028],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1920 */
  {
    "fnmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2df4 },
    &operand_data[7032],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1952 */
  {
    "fmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx8hf4 },
    &operand_data[7024],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1952 */
  {
    "fmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx4sf4 },
    &operand_data[7028],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1952 */
  {
    "fmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx2df4 },
    &operand_data[7032],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1984 */
  {
    "fnmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx8hf4 },
    &operand_data[7024],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1984 */
  {
    "fnmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx4sf4 },
    &operand_data[7028],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1984 */
  {
    "fnmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx2df4 },
    &operand_data[7032],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2018 */
  {
    "divvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx8hf3 },
    &operand_data[6806],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2018 */
  {
    "divvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx4sf3 },
    &operand_data[6810],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2018 */
  {
    "divvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx2df3 },
    &operand_data[6814],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2046 */
  {
    "negvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hf2 },
    &operand_data[6806],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2046 */
  {
    "absvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8hf2 },
    &operand_data[6806],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2046 */
  {
    "sqrtvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx8hf2 },
    &operand_data[6806],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2046 */
  {
    "negvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4sf2 },
    &operand_data[6810],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2046 */
  {
    "absvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4sf2 },
    &operand_data[6810],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2046 */
  {
    "sqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx4sf2 },
    &operand_data[6810],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2046 */
  {
    "negvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2df2 },
    &operand_data[6814],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2046 */
  {
    "absvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2df2 },
    &operand_data[6814],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2046 */
  {
    "sqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx2df2 },
    &operand_data[6814],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "btruncvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx8hf2 },
    &operand_data[6806],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "ceilvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx8hf2 },
    &operand_data[6806],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "floorvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx8hf2 },
    &operand_data[6806],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "frintnvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx8hf2 },
    &operand_data[6806],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "nearbyintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx8hf2 },
    &operand_data[6806],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "rintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx8hf2 },
    &operand_data[6806],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "roundvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx8hf2 },
    &operand_data[6806],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "btruncvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx4sf2 },
    &operand_data[6810],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "ceilvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx4sf2 },
    &operand_data[6810],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "floorvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx4sf2 },
    &operand_data[6810],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "frintnvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx4sf2 },
    &operand_data[6810],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "nearbyintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx4sf2 },
    &operand_data[6810],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "rintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx4sf2 },
    &operand_data[6810],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "roundvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx4sf2 },
    &operand_data[6810],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "btruncvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx2df2 },
    &operand_data[6814],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "ceilvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx2df2 },
    &operand_data[6814],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "floorvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx2df2 },
    &operand_data[6814],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "frintnvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx2df2 },
    &operand_data[6814],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "nearbyintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx2df2 },
    &operand_data[6814],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "rintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx2df2 },
    &operand_data[6814],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2070 */
  {
    "roundvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx2df2 },
    &operand_data[6814],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2097 */
  {
    "fix_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx8hfvnx8hi2 },
    &operand_data[7036],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2097 */
  {
    "fixuns_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx8hfvnx8hi2 },
    &operand_data[7036],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2097 */
  {
    "fix_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx4sfvnx4si2 },
    &operand_data[7038],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2097 */
  {
    "fixuns_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx4sfvnx4si2 },
    &operand_data[7038],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2097 */
  {
    "fix_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx2dfvnx2di2 },
    &operand_data[7040],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2097 */
  {
    "fixuns_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx2dfvnx2di2 },
    &operand_data[7040],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2148 */
  {
    "floatvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx8hivnx8hf2 },
    &operand_data[7042],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2148 */
  {
    "floatunsvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx8hivnx8hf2 },
    &operand_data[7042],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2148 */
  {
    "floatvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx4sivnx4sf2 },
    &operand_data[7044],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2148 */
  {
    "floatunsvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx4sivnx4sf2 },
    &operand_data[7044],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2148 */
  {
    "floatvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx2divnx2df2 },
    &operand_data[7046],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2148 */
  {
    "floatunsvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx2divnx2df2 },
    &operand_data[7046],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacks_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16bi },
    &operand_data[7048],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacku_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16bi },
    &operand_data[7048],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacks_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16bi },
    &operand_data[7048],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacku_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16bi },
    &operand_data[7048],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacks_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8bi },
    &operand_data[7050],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacku_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8bi },
    &operand_data[7050],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacks_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8bi },
    &operand_data[7050],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacku_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8bi },
    &operand_data[7050],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacks_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4bi },
    &operand_data[7052],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacku_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4bi },
    &operand_data[7052],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacks_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4bi },
    &operand_data[7052],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2229 */
  {
    "vec_unpacku_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4bi },
    &operand_data[7052],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacks_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16qi },
    &operand_data[7054],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacku_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16qi },
    &operand_data[7054],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacks_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16qi },
    &operand_data[7054],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacku_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16qi },
    &operand_data[7054],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacks_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hi },
    &operand_data[7056],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacku_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8hi },
    &operand_data[7056],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacks_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hi },
    &operand_data[7056],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacku_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8hi },
    &operand_data[7056],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacks_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4si },
    &operand_data[7058],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacku_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4si },
    &operand_data[7058],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacks_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4si },
    &operand_data[7058],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2255 */
  {
    "vec_unpacku_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4si },
    &operand_data[7058],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2280 */
  {
    "vec_unpacks_lo_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hf },
    &operand_data[7060],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2280 */
  {
    "vec_unpacks_hi_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hf },
    &operand_data[7060],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2280 */
  {
    "vec_unpacks_lo_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4sf },
    &operand_data[7062],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2280 */
  {
    "vec_unpacks_hi_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4sf },
    &operand_data[7062],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2305 */
  {
    "vec_unpacks_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_lo_vnx4si },
    &operand_data[7064],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2305 */
  {
    "vec_unpacks_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_hi_vnx4si },
    &operand_data[7064],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2305 */
  {
    "vec_unpacku_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_lo_vnx4si },
    &operand_data[7064],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2305 */
  {
    "vec_unpacku_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_hi_vnx4si },
    &operand_data[7064],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2354 */
  {
    "vec_pack_trunc_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4sf },
    &operand_data[7027],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2354 */
  {
    "vec_pack_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2df },
    &operand_data[7031],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2378 */
  {
    "vec_pack_sfix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_sfix_trunc_vnx2df },
    &operand_data[7065],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2378 */
  {
    "vec_pack_ufix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_ufix_trunc_vnx2df },
    &operand_data[7065],
    3,
    3,
    6,
    0,
    0
  },
};


const char *
get_insn_name (int code)
{
  if (code == NOOP_MOVE_INSN_CODE)
    return "NOOP_MOVE";
  else
    return insn_data[code].name;
}
